<?php
namespace App\AppFilters;

class MonthFilter{
    public function handle($request,  $next){
        if(! request()->has('monthly')){
            return $next($request);
        }
        
        $builder = $next($request);
        return $builder->whereDate('created_at', '>', \Carbon\Carbon::today()->subDays(32)->toDateString());
    }
}