<?php

namespace App\AppFilters;

class WeekFilter{
    public function handle($request, $next){
        if(! request()->has('weekly')){
            return $next($request);
        }
        
        $builder = $next($request);
        return $builder->whereDate('created_at', '>', \Carbon\Carbon::today()->subDays(7)->toDateString());
    }
}