<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Mail;

class TestCronJobCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'CancelOrder:TestCronJob';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send email test';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    	$this->email(['ajay.kumar.khatri24@gmail.com']);
    }


	private function email($email){
		Mail::send('mail.emailTestCron',
			  compact('email'),
			   function ($message) use($email){
					$message->from('noreply@olfstores.com', 'OLF STORE');
					$message->sender('noreply@olfstores.com','OLF STORE');
					$message->to($email);
					$message->subject('Mark order cancelled for date '. \Carbon\Carbon::now()->subDays(1)->format('m/d/Y').' for olfstores');
					$message->priority(3);
				});

    }

}
