<?php

namespace App\Domain;

use Exception;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Log;

trait OrderMessaging
{
    function sendMessage($string, $numbers, $DLT_TE_ID = null)
    {
        if ($DLT_TE_ID == null) {
            return [false, 'Message cannot be sent Template undefined'];
        }

        $key = "191164Aup6j2p05a4cb419";

        $uri = http_build_query([
            'authkey' => $key,
            'mobiles' => $numbers,
            'route' => '4',
            'sender' => urlencode('OLFSTR'),
            'message' => urlencode($string),
            'country' => '91',
            'DLT_TE_ID' => $DLT_TE_ID

        ]);

        $client = new \GuzzleHttp\Client();
        
        Log::info("REQUEST URL"."https://api.msg91.com/api/sendhttp.php?" . $uri);
        
        try {
            // Log::channel('dailyInfo')->info("Sending message to $numbers");
            $response = $client->get("https://api.msg91.com/api/sendhttp.php?" . $uri);
            // Log::channel('dailyInfo')->info("message sent to $numbers");
            return [true, $response->getBody()->getContents()];
        } catch (\Exception $th) {
            Log::info("message cannot to $numbers");
            return [false, $th];
        }
    }



    
}
