<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Exports;

use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class InvoicesExcel implements WithMultipleSheets
{
    use Exportable;

    protected $invoices;
    
    public function __construct($invoices)
    {
        $this->invoices = $invoices;
    }

    /**
     * @return array
     */
    public function sheets(): array
    {
        $sheets = [];
        $sheets[] = new InvoicesSheet($this->invoices);

        return $sheets;
    }
}