<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;

class FoodController extends Controller
{
    public function index(){
        return view('food.index');
    }

    public function all(){
        return response(\App\Models\Food::all(), 200);
    }

    public function create(Request $request){
        if(\App\Models\Food::create($request->all())){
            $message = (object)['message'=>'created'];
            return response()->json($message);
        }else{
            $message = (object)['message'=>'Record Already Exists'];
            return response()->json($message);
        }
    }

    public function update(Request $request, $id){
        if($food = \App\Models\Food::find($id)){
            $food->update($request->all());
        }else{
            $message = (object)['message'=>'Record Not Found'];
            return response()->json($message);
        }
    }

    public function delete($id){
        if($food = \App\Models\Food::find($id)){
            $food->delete();
            $message = (object)['message'=>'Record Deleted'];
            return response()->json($message);
        }else{
            $message = (object)['message'=>'No Record Found'];
            return response()->json($message);
        }
    }
}
