<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class MarkingController extends Controller
{
    private function makeRequest($url, $data_string){
            $ch = curl_init($url);
		    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
		    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
		    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
					    'Content-Type: application/json',
					    'Content-Length: ' . strlen($data_string),
					    //'Authorization:80d171c2-8bef-4b02-884f-fabffc769776')//dev-----SHOULD BE CORRECTED
					    'Authorization:'.config('constkeys.irctc_token'))//prod----
			       );

		    $result = curl_exec($ch);
		    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

		    $to_transfer = json_decode($result, true);
		    return response()->json($to_transfer, $httpCode != 200 ?500:200);
    }
    
    
    public function processRequest(Request $request){
        if(!$request->query()['orderId'])
            return response()->json(['message' => 'Order Id is required'], 400);
            
        $data = $request->getContent();
        $data_ = json_decode($data, true);
        $url = config('constkeys.irctc_base_url')."/api/v1/order/{$request->query()['orderId']}/status";
       // print_r(compact('data_','url'));
        return  $this->makeRequest($url, json_encode($data_));

    }
    
    
}
