<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class ResourceController extends Controller
{
    public function fetchOutlet($id){
        return response()->json(['data' => \App\Models\Outlet::find($id)]);
    }
    
    public function fetchItem($id){
        return response()->json(['data' => \App\Models\MenuItem::find($id)]);
    }
    
    public function fetchItems($ids){
        $_ids = array_map('trim', explode(',', $ids));
        
        $_idz = array_reduce(array_map('intval',$_ids), function ($result, $item) { return $result && is_int($item); }, true);
        if($_idz){
            return response()->json(['data' => \App\Models\MenuItem::whereIn('id', $_ids)->get(['id','itemName','description','basePrice','sellingPrice', 'tax','isVegeterian','options', 'foodType'])]);
        }else{
            return response()->json(['data' => 'Invalid Request']);
        }
        
    }
    
   
    
}
