<?php

namespace App\Http\Middleware;
use Illuminate\Support\Facades\Log;
use Closure;

class PostProcessingMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $fields = $request['fields'];
	//dd($fields);
        $response = $resObj =  $next($request)->getData();
       // dd($response);
        if($response->status == "failure"){
	    //dd($response);
            return response()->json(["message"=> "Hydrogen Processing Error", "response"=>$response]);
        }
        
        if($resObj->status=='success'){
                    $fields->orderId = $resObj->result->id;
                    Log::channel('dailyInfo')->info('order id:'.$resObj->result->id);
                        $result = app(\App\Http\Controllers\OrderController::class)->persist_order($fields);
                    // user event
                    $outlet1 = \App\Models\Outlet::find($fields->outlet->id);
                    /*$outlet1->user->token->map(function($token) use ($resObj){
                        //Log::channel('dailyInfo')->info('token:'.$token->firebase_token);
                        if(isset($token->firebase_token))
                         /*   event(new \App\Events\OrderCreatedFirebaseEvent([
                                'type'=>"USER",
                                'token'=>$token->firebase_token,
                                'message'=>[
                                    'title'=>'Order Recieved',
                                    'content'=>"Order placed with #{$resObj->result->id}"
                                ]
                            ]));
                    });*/
                 
                    if($result->status){
                        Log::channel('dailyInfo')->info('order placement successful');
                        Log::channel('dailyInfo')->info('--------------Order Log End----------------------');
                        return  response()->json(array('status'=>'failure',
                                                    'message'=>$result->message),200);
                    }else{
                        Log::channel('dailyInfo')->info('order placement failed:');
                        Log::channel('dailyInfo')->info('--------------Order Log End----------------------');
                    }
			return response()->json($resObj);


            }
            
        return $next($request);
    }
}
