<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Imports;

use App\Form;
use Maatwebsite\Excel\Concerns\ToArray;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\WithMappedCells;
use Maatwebsite\Excel\Concerns\WithCalculatedFormulas;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class FormulaImport implements WithMappedCells, ToArray, WithCalculatedFormulas,WithMultipleSheets
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    use Importable;
    public function mapping(): array
    {
        return [
            'S.No.' => 'B2',
            'Outlet Id' => 'C2',
            'Status' => 'D2',
            'Outlet Name' => 'E2',
            'Station' => 'F2',
            'Vendor Name' => 'G2',
            'Manager Contact No.' => 'H2',
            'Opening Balance' => 'I2',
            'Current Innvoice' => 'J2',
            'Total Amount' => 'K2',
            'Payment' => 'L2',
            'Closing Balance' => 'M2',
            'Remark' => 'N2',
            'Reciever' => 'O2',
            'Collection Date' => 'P2',
        ];
    }

    public function array(array $row)
    {
        return [ 
            's_no' => $row['S.No.'],
            'outlet_id' => $row['Outlet Id'],
            'status' => $row['Status'],
            'outlet' => $row['Outlet Name'],
            'station' => $row['Station'],
            'vendor' => $row['Vendor Name'],
            'manager_contact' => $row['Manager Contact No.'],
            'opening_bal' => $row['Opening Balance'],
            'current_invoice' => $row['Current Innvoice'],
            'total' => $row['Total Amount'],
            'payment' => $row['Payment'],
            'closing_bal' => $row['Closing Balance'],
            'remark' => $row['Remark'],
            'reciever' => $row['Reciever'],
            'collection_date' => $row['Collection Date'],
        ];
    }
    public function sheets(): array
    {
        return [
            '29July - 04Aug' => new FormulaImport(),
            '05Aug-11Aug' => new FormulaImport(),
        ];
    }
}