<?php

namespace App\Policies;

use Illuminate\Auth\Access\HandlesAuthorization;
use App\Models\Station;
use App\Models\User;

class StationPolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function before($user, $ability)
    {

        if ($user->isAdmin()) {
            return true;
        }
    }

    public function pol_view_station(User $user)
    {
        if($user->hasRole('agent'))
            return true;
        if($user->hasRole('radmin'))
            return true;
    }

    public function pol_add_station(User $user)
    {
        if($user->hasRole('agent'))
            return true;
    }

    public function pol_update_station(User $user, Station $st)
    {
        if($user->hasRole('agent')){
            return  true;
        }

        return false;
    }

    public function pol_delete_station(User $user, Station $st)
    {
        if($user->hasRole('agent')){
            return  false;
        }

        return false;
    }
}
