<?php
return [
    /*
    |--------------------------------------------------------------------------
    | Authentication Defaults
    |--------------------------------------------------------------------------
    |
    | This option controls the default authentication "guard" and password
    | reset options for your application. You may change these defaults
    | as required, but they're a perfect start for most applications.
    |
    */
    'channels' => [

    'dailyInfo' => [
        'driver' => 'daily',
        // 'via' => App\Logging\CreateOrderLogger::class,
        'path' => storage_path('logs/orderinfo.log'),
        'level' => 'info',
        "days" => 7,
        ],

    'outletLog' => [
        'driver' => 'daily',
        // 'via' => App\Logging\CreateOutletLogger::class,
        'path' => storage_path('logs/outletinfo.log'),
        'level' => 'info',
        "days" => 7,
        ],

    'menuLog' => [
        'driver' => 'daily',
        // 'via' => App\Logging\CreateMenuLogger::class,
        'path' => storage_path('logs/menuinfo.log'),
        'level' => 'info',
        "days" => 7,
        ],
        
     'backgroundTask' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/taskinfo.log'),
        'level' => 'info',
        "days" => 7,
        ],
        
        
    'otpLog' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/otpLog.log'),
        'level' => 'info',
        "days" => 7,
        ],
        
    'database_log' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/database_log.log'),
        'level' => 'info',
        "days" => 7,
        ],
        
    'loginAttempts' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/loginAttempts.log'),
        'level' => 'info',
        "days" => 7,
        ],
    
    'invoiceLogs' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/invoiceLogs.log'),
        'level' => 'info',
        "days" => 7,
        ],

    'errorLogs' => [
        'driver' => 'daily',
        'path' => storage_path('/logs/errorLogs.log'),
        'level' => 'info',
        "days" => 7,
        ],
        
    ],
    
    
    "default" => 'dailyInfo'
];
