<html lang="en">

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   @yield('meta')
   <title>OLF STORES Dashboard</title>
   <link rel="shortcut icon" href="{{url('/')}}/favicon.ico" type="image/x-icon">

   <link href="{{asset('/backend/assets/plugins/jquery-ui-1.12.1/jquery-ui.min.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/bootstrap-rtl/bootstrap-rtl.min.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/plugins/lobipanel/lobipanel.min.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/plugins/pace/flash.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/pe-icon-7-stroke/css/pe-icon-7-stroke.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/themify-icons/themify-icons.css')}}" rel="stylesheet" type="text/css" />
   <link rel="stylesheet" href="{{asset('/backend/assets/wicked/wickedpicker.min.css')}}">
   <link href="{{asset('/backend/assets/dist/css/stylecrm.css')}}" rel="stylesheet" type="text/css" />
   <link href="{{asset('/backend/assets/dist/css/stylecrm-rtl.css')}}" rel="stylesheet" type="text/css" />
   <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.4/css/bootstrap-datetimepicker.min.css"/>

   @yield('styles')

   @yield('headerScripts')
</head>
<style>
   .pace-done.sidebar-collapse .main-sidebar {

    width: 50px;
   }
   .pace-done.sidebar-collapse .content-wrapper, .right-side, .main-footer {

    margin-left: 50px;

}
.pace-done .main-sidebar{
   width:250px;
}
.pace-done.sidebar-collapse .fa-angle-left{
   display:none;
}
.dropdown-toggle i{
   color:#fff;
}
.dropdown-toggle{
   background:transparent;
}
.drop-menu a{
   display:flex;
padding-left:10px;
padding-bottom:10px;
}
.fa{
    font-size:24px;
}
.dropdown-item{
   display:flex;
   justify-content:space-between;
   align-items:center;
   padding:5px 10px;
}
#Enqnumber{
   color:#c00;
   font-weight:600;
}
#number{
   color:#c00;
   font-weight:600;
}
a:hover, a:active, a:focus {
    outline: none;
    text-decoration: none;
    color: #000;
    -webkit-transition: all .3s;
    transition: all .3s;
    background: #ddd;
}
#total{
   position: absolute;
    top: -12%;
    color: #fff;
    background: #c00;
    padding: 0px 4px;
    font-size: 12px;
    left: 60%;
}
.navbar-nav > .dropdown-user> .dropdown-menu > li > a {
    color: #009688;
    background: #2A3F54;
    height: 24px;
    margin-top: -5px;
}
.navbar-nav > .dropdown-user> .dropdown-menu > li > a:hover {
    color: #009688;
    background: #2A3F54;
    height: 24px;
    margin-top: -5px;
}
.fa {
    font-size: 17px;
}
.content-header{
   display:flex;
   align-items:center;
}
   </style>

<body class="hold-transition sidebar-mini">
   <script>
      window.Laravel = <?php echo json_encode([
                           'csrfToken' => csrf_token(),
                        ]); ?>;
      var module = {}; /*   <-----THIS LINE */
   </script>
   <div id="preloader">
      <div id="status"></div>
   </div>
   @role('admin','vendor')
   <audio id="myAudio">
      <!--source src="horse.ogg" type="audio/ogg"-->
      <source src="{{url('/')}}/backend/assets/dist/sounds/media.io_alert.ogg" type="audio/mpeg">
      Your browser does not support the audio element.
   </audio>
   <!-- Modal -->

   <!-- Modal -->
   <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <h5 class="modal-title" id="modalLabel">New Order</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
            </div>
            <div class="modal-body">

            </div>
            <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">OK</button>
            </div>
         </div>
      </div>
   </div>
   @endrole
   <div class="wrapper">
      @if(\Auth::check())
      <header class="main-header">
         <a href="{{url('home')}}" class="logo">
            <span class="logo-mini">
               <div style="color: #009688">OLF Stores</div>
            </span>
            <span class="logo-lg">
               <div style="color: #009688"> OLF Stores</div>
            </span>
         </a>
         <nav class="navbar navbar-static-top">
            <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
               <span class="sr-only">Toggle navigation</span>
               <span class="pe-7s-angle-left-circle">
               </span>
            </a>

            <div class="navbar-custom-menu">
               <ul class="nav navbar-nav">
                  Orders
                  <li class="dropdown messages-menu">

                     <ul class="dropdown-menu">
                        <li>
                           <ul class="menu">
                              <li>
                                 <a href="#" class="border-gray">
                                    <div class="pull-left">
                                       <img src="{{url('/')}}/backend/assets/dist/img/basketball-jersey.png" class="img-thumbnail" alt="User Image">
                                    </div>
                                    <h4>polo shirt</h4>
                                    <p><strong>total item:</strong> 21
                                    </p>
                                 </a>
                              </li>
                              <li>
                                 <a href="#" class="border-gray">
                                    <div class="pull-left">
                                       <img src="{{url('/')}}/backend/assets/dist/img/shirt.png" class="img-thumbnail" alt="User Image">
                                    </div>
                                    <h4>Kits</h4>
                                    <p><strong>total item:</strong> 11
                                    </p>
                                 </a>
                              </li>
                              <li>
                                 <a href="#" class="border-gray">
                                    <div class="pull-left">
                                       <img src="{{url('/')}}/backend/assets/dist/img/football.png" class="img-thumbnail" alt="User Image">
                                    </div>
                                    <h4>Football</h4>
                                    <p><strong>total item:</strong> 16
                                    </p>
                                 </a>
                              </li>
                              <li class="nav-list">
                                 <a href="#" class="border-gray">
                                    <div class="pull-left">
                                       <img src="{{url('/')}}/backend/assets/dist/img/shoe.png" class="img-thumbnail" alt="User Image">
                                    </div>
                                    <h4>Sports sheos</h4>
                                    <p><strong>total item:</strong> 10
                                    </p>
                                 </a>
                              </li>
                           </ul>
                        </li>
                     </ul>
                  </li>
                  user
                  <li class="dropdown dropdown-user" style="margin-left: 0px; margin-top: 20px;">
                     <div class="dropdown">
                        <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                           <i class="fa fa-bell" title="Notifications"></i><span id="total"></span>
                        </button>
                     <div class="dropdown-menu drop-menu" aria-labelledby="dropdownMenuButton">
                        <a class="dropdown-item" href="javascript:void(0);" onclick="updateCustomer();">Customer Queries <span id="Enqnumber"></span> </a>
                        <a class="dropdown-item" href="{{url('/backend/BulkBooking')}}">Bulk Order <span id="number"></span></a>

                     </div>
                     </div>
                  </li>
                  <li class="dropdown dropdown-user" style="margin-right: -101px; margin-top: -12px;">
                     <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <h4 style="color: white;">{{Auth::user()->name}} </h4>
                        <ul class="dropdown-menu">
                           <li><a href="{{ url('/auth/logout') }}">
                                 <i class="fa fa-sign-out"></i> Signout</a>
                              <!--a href="{{ url('/auth/logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout</a>
                            <form id="logout-form" action="{{ url('/auth/logout') }}" method="POST" style="display: none;">{{ csrf_field() }}</form-->
                           </li>
                        </ul>
                  </li>
               </ul>
            </div>
         </nav>
      </header>
      @endif
      @if(\Auth::check())
      @role('admin','agent','radmin','vendor','manager','assMgr')
      <aside class="main-sidebar">
         <div class="sidebar">
            <ul class="sidebar-menu">
               <li class="active">
                  <a href="{{url('home')}}"><i class="fa fa-tachometer"></i><span>Dashboard</span>
                     <span class="pull-right-container">
                     </span>
                  </a>
               </li>
               @role('admin','agent','radmin','vendor','manager','assMgr')
               <li class="treeview">
                  <a href="#">
                     <i class="fa fa-file-image-o"></i><span>Admins</span>
                     <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                     </span>
                  </a>
                  <ul class="treeview-menu">
                     @role('admin','radmin')
                     <li><a href="{{route('admins.index')}}">Show Admin </a></li>
                     @role('admin')
                     <li><a href="{{route('admins.create')}}">Create Admin</a></li>
                     @endrole
                     @endrole

                     {{--@role('admin','radmin')--}}
                     <li><a href="{{url('/manager/Food')}}">Food Types</a></li>
                     <li><a href="{{url('/manager/Cuisines')}}">Cuisines</a></li>
                     <li><a href="{{url('/manager/Stations')}}">Stations</a></li>

                     @if (hasPermission(['page-list']))
                        <li><a href="{{route('stations.content')}}">Station Content</a></li>
                     @endif
                     
                    {{-- @endrole --}}

                     @role('manager')
                     <li><a href="{{url('/manager/Stations')}}">Stations</a></li>
                     @endrole
                     @role('assMgr')
                  <li><a href="{{route('metaList')}}">Station SEO</a></li>
                 <li><a href="{{route('stations.content')}}">Station Content</a></li>
                  <li><a href="{{url('backend/Blog/view')}}">Blog Manager</a></li>
                     @endrole

                     @role('admin','agent','vendor','radmin', 'manager')
                        <li><a href="{{url('/manager/Outlets/1/20/0')}}">Outlets</a></li>
                     @endrole
                     @role('admin','agent','vendor','radmin', 'manager')
                        <li><a href="{{url('/search/outlets')}}">Search Outlets</a></li>
                     @endrole

                     @role('admin')
                     <li><a href="{{url('/manager/invoice5/index2/1/50/0')}}">Generate Invoice</a></li>
                     <li><a href="{{route('consolidated.serve')}}">Consolidated Report</a></li>
                    @endrole

                        @role('admin')
                        <li><a href="{{route('agents.index')}}">Show Agent</a></li>
                        <li><a href="{{route('agents.create')}}">Create Agent</a></li>
                        <li><a href="{{route('metaList')}}">Station SEO</a></li>
                        @endrole

                     @role('admin','radmin','agent','manager')

                         @role('admin')
                         <li><a href="{{url('/vendors/email/form')}}">Email Vendors</a></li>
                         @endrole


                     <li><a href="{{url('/manager/orders/admin/approve/get')}}">Approve Orders</a></li>
                     @endrole


                     @role('admin', 'agent')
                         <li><a href="{{url('/admin/log')}}">Logs</a></li>
                         @role('admin')
                         <li><a href="{{route('slideUploads')}}">Slides</a></li>
                         @endrole
                     @endrole
                  </ul>
               </li>
               @role('admin','radmin')
               <li class="treeview">
                  <a href="#">
                  <i class="fa fa-user-secret" aria-hidden="true"></i><span>Agents</span>
                     <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                     </span>
                  </a>
               </li>
               @endrole
               @role('admin','radmin', 'manager','agent')
               @role('admin')
               <li class="treeview">
                  <a href="#">
                     <i class="fa fa-users"></i><span>Users</span>
                     <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                     </span>
                  </a>
                  <ul class="treeview-menu">
                     <li><a href="{{route('users.index')}}">Show User</a></li>

                     <li><a href="{{route('users.create')}}">Create User</a></li>

                  </ul>
               </li>
               @endrole
               <li class="treeview">
                  <a href="#">
                     <i class="fa fa-industry"></i><span>Vendor</span>
                     <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                     </span>
                  </a>
                  <ul class="treeview-menu">
                     @role('admin','manager','agent')

                     <li><a href="{{route('vendors.index')}}">Show Vendor</a></li>
                     <li><a href="{{url('/manager/vouchers/1/51/0')}}">Vouchers</a></li>
                     @endrole
                     @role('admin','manager')
                     <li><a href="{{route('vendors.create')}}">Create Vendor</a></li>
                     @endrole
                  </ul>
               </li>

               <li class="treeview">
                  <a href="{{url('backend/Queries')}}">
                  <i class="fa fa-question-circle" aria-hidden="true"></i><span>Customer Queries</span>

                  </a>

               </li>
                 @role('admin')
                 <li class="treeview">
                  <a href="{{url('backend/BulkBooking')}}">
                  <i class="fa fa-list" aria-hidden="true"></i><span>Bulk  Order</span>

                  </a>

               </li>


               <li class="treeview">
                  <a href="{{url('backend/fssaiExpire')}}">
                     <i class="fa fa-map-marker"></i><span>FASSI Tracking</span>
                  </a>
               </li>
          

               @if (hasPermission(['blog-list']))
               <li class="treeview">
                  <a href="{{url('backend/Blog/view')}}">
                  <i class="fa fa-sticky-note-o" aria-hidden="true"></i><span>Blog Manager</span>
                  </a>
               </li> 
               @endif

               <li class="treeview">
                  <a href="{{url('backend/outlets/OutletHistory')}}">
                  <i class="fa fa-sticky-note-o" aria-hidden="true"></i><span>Outlet History</span>
                  </a>

               </li>

               @if (hasPermission(['role-list']))
               <li class="treeview">
                  <a href="{{route('admin.roles.index')}}">
                     <i class="fa fa-users" aria-hidden="true"></i><span>Role & Permission</span>
                  </a>
               </li>
               @endif

      
               <li class="treeview">
                  <a href="#">
                     <i class="fa fa-line-chart"></i><span>Reports</span>
                     <span class="pull-right-container">
                        <i class="fa fa-angle-left pull-right"></i>
                     </span>
                  </a>
                  <ul class="treeview-menu">
            
                     <li><a href="{{route('salesReport')}}">Sales Report</a></li>
                    
                  </ul>
               </li>

               @endrole
               @endrole


               @endrole
            </ul>
         </div>

      </aside>
      @endrole
      @endif
      <div class="" style="background-color: white !important;">
         <div class="row tile_count">

            @yield('content')

         </div>
      </div>

   </div>
   @role('admin','vendor')
   <script>
      var user_id = <?php echo \Auth::user() == null ? 0 : \Auth::user()->id ?>;
   </script>
   <script src="https://js.pusher.com/4.4/pusher.min.js"></script>
   <!--

    <script>

        $(function() {
            var x = document.getElementById("myAudio");
            x.loop = true;
            var message = '';

        $('#modal').on('hidden.bs.modal', function (e) {
            x.pause();
        });
    //navigator.serviceWorker.register('/sw.js');
            function showNotifications() {
        $('.modal-body').text('You have new Order Id:  '+message.id);
        $('#modal').modal('show');
       if(role=='admin' || (role=='vendor' && message.user_id==user_id))
      Notification.requestPermission(function(result) {
        if (result === 'granted') {
          navigator.serviceWorker.ready.then(function(registration) {
            registration.showNotification('New Order', {
              body: 'You have new order '+message.id,
              icon: '{{url('/')}}/backend/assets/dist/img/chrome-touch-icon-192x192.png',
              requireInteraction: true,
              tag: 'New order'
            });
          });
        }
      });
    }
        //var ws = '/sw.js';

      // Enable pusher logging - don't include this in production
      Pusher.logToConsole = true;
      var pusher = new Pusher('341a95c6feee22ecafd7', {
        cluster: 'ap2',
        forceTLS: true
      });
      var channel = pusher.subscribe('my-channel');
      channel.bind('my-event', function(data) {
        message = data;
               if(role=='admin' || (role=='vendor' && message.user_id==user_id))
               {
        $('.modal-body').text('You have new Order Id:  '+message.id);
        $('#modal').modal('show');
        x.play();

               }
        //showNotifications();
      });
       });

    </script>
    -->
   @endrole
   <script src="{{asset('/backend/assets/plugins/jQuery/jquery-1.12.4.min.js')}}" type="text/javascript"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.13.0/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/3.1.4/js/bootstrap-datetimepicker.min.js"></script>
   <script src="{{asset('/backend/assets/plugins/jquery-ui-1.12.1/jquery-ui.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/bootstrap/js/bootstrap.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/plugins/lobipanel/lobipanel.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/plugins/pace/pace.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/plugins/slimScroll/jquery.slimscroll.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/plugins/fastclick/fastclick.min.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/dist/js/custom.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/dist/js/dashboard.js')}}" type="text/javascript"></script>
   <script src="{{asset('/backend/assets/wicked/wickedpicker.min.js')}}"></script>
   <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script>




   @yield('script')
   @role('admin','vendor')
   <script src="{{asset('/lib/pusher.min.js')}}"></script>
   <script src="{{asset('/lib/echo.js')}}"></script>
   <script>
      $(function() {
         var x = document.getElementById("myAudio");
         x.loop = true;
         var message = '';

         $('#modal').on('hidden.bs.modal', function(e) {
            x.pause();
         });

         try {
            navigator.serviceWorker.register('/sw.js');
         } catch (error) {
            console.log(error)
         }
         function showNotifications() {
            $('.modal-body').text('You have new Order Id:  ' + message.id);
            $('#modal').modal('show');
            x.play();

            Notification.requestPermission(function(result) {
               if (result === 'granted') {
                  navigator.serviceWorker.ready.then(function(registration) {
                     registration.showNotification('New Order', {
                        body: 'You have new order ' + message.id,
                        icon: "{{asset('/backend/assets/dist/img/chrome-touch-icon-192x192.png')}}",
                        requireInteraction: true,
                        tag: 'New order'
                     });
                  });
               }
            });

         }
         //Pusher.logToConsole = true
         Echo = new Echo({
            broadcaster: 'pusher',
            key: '{{env("PUSHER_APP_KEY")}}',
            cluster: 'ap2',
            encrypted: true,
            authEndpoint: '{{env("APP_URL")}}/broadcasting/auth',
         });
         Echo.private('order.' + user_id)
            .listen('.created', (msg) => {
               message = msg;
               showNotifications();
            });
      });
      $('select').select2();

      $(".sss").select2('destroy');
      function getTotalCount(){
        var base_url = "{{url('')}}";
            $.ajax({
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
            },
            url: base_url + '/backend/TotalRequest',
            cache: false,

            success: function(data) {
                var obj = JSON.parse(data);

                var totalCont = obj.totalCont;
               var CustomerEnquiry = obj.CustomerEnquiry;

               var total = totalCont+CustomerEnquiry;
               $("#total").text(total);
                $("#number").text(obj.totalCont);
                  $("#Enqnumber").text(obj.CustomerEnquiry);

                  if(totalCont==0){
                     $("#number").css({
                     "color":"#000",
                     "font-weight": "400"
                  });
                  }
                  else{
                  $("#number").css({
                     "color":"#C00",
                     "font-weight": "800"
                  });
                  }
                  if(CustomerEnquiry==0){
                     $("#Enqnumber").css({
                     "color":"#000",
                     "font-weight": "400"
                  });
                  }
                  else{
                  $("#Enqnumber").css({
                     "color":"#C00",
                     "font-weight": "800"
                  });
                  }
                 if(total==0){
                  $("#total").css({
                     "background": "transparent",
                     "color": "#fff"
                  });
               }
               else{
                  $("#total").css({
                     "background": "#c00",
                     "color": "#fff"
                  });
               }

            }
        });

    }
      setInterval(
         getTotalCount()
    ,1000)
window.onload = function(){
   $("#total").css({
    "background": "#000",
    "color": "#fff"
});
    getTotalCount();
};

function updateCustomer(){
   var base_url = "{{url('')}}";
            $.ajax({
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
            },
            url: base_url + '/backend/UpdateSeenCount',
            cache: false,

            success: function(data) {
               var load = "{{url('/backend/Queries')}}";
               //  var obj = JSON.parse(data);
               //  $("#number").text(obj.totalCont);
               //    $("#Enqnumber").text(obj.CustomerEnquiry);
               window.location.href = load;

            }
        });
}




   </script>

   @endrole
</body>

</html>
