@extends('app')
@section('content')
@if(\Auth::check())


@section('styles')
<style>
    .nav-tabs{
        background: rgb(0, 196, 0);
    }


    .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 10px 10px 14px 10px;
      padding: 10px;
      width: 329px;
  }
      .station-list .d-block {
      display: block!important;
      max-height: 93px !important;
      overflow-y: auto;
  }
  a.btn.btn-primary {
      margin-top: 0px !important;
  }
  .rest_list {
      padding: 10px 12px 0px 1px;
  }
  .train-route {
      height: 40px !important;
      width: 40px !important;
  }
  .trrain_rs-right{
      width: 82%;
  }
  .fa-train {
      font-size: 31px;
      margin-right: 10px;
      color: #a85930;
  }
  .train-name h3 {
      font-size: 18px !important; 
  }
  .train-name h4 {
    
      font-size: 14px !important;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 0px;
  }
  .res_img img{
      max-width:100%;
  }
  .res_img{
      width: 8%;
      margin-right: 19px;
  }
  .login-button {
      text-align: right;
      padding: 5px;
      margin-right: 19px;
  }
  .view_all{
      font-size:12px;
  }
  i.fa.fa-user {
      font-size: 14px !important;
      margin-right: 6px !important;
  }
  .fa-arrow-right {
      color: #000 !important;
      font-weight: 400;
      font-size: 18px;
      margin-left: 3px;
  }
  .fa-arrow-down {
      color: #000 !important;
      font-weight: 400;
      font-size: 18px;
      margin-left: 3px;
  }
  .badge-success {
      height: 15px;
      background-image: url('https://olfstores.com/assets/img/veg.png');
      background-size: cover;
     background-color:#fff;
      width: 15px;
      margin-left: 5px;
      padding-top: 7px;
  }
  .badge-danger{
      height: 15px;
      background-image: url('https://olfstores.com/assets/img/non-veg.png');
      background-size: cover;
      width: 15px;
     background-color:#fff;
      padding-top: 7px;
  }
  .container {
      max-width: 1098px;
  }
  .respn{
      display:none;
  }
  
  .badge-primary {
      color: #FF6713;
      background-color: #fff;
      font-size: 16px;
      align-items: flex-start;
  }
  .btn-outline{
      
      font-size: 15px;
      padding: 7px;
      font-weight: 500;
  }
  .train-btn{
      display:flex;
      justify-content:space-between;
      align-items:center;
  }
  .badge-primary {
      color: #000;
      background-color: #fff;
      font-size: 16px;
      align-items: flex-start;
      margin-left: 44px;
      margin-top: 12px;
  }
  .btn-primary {
      color: #fff;
      background-color:#f67c01;
      border-color: #f67c01;
  }
  .btn-primary:hover {
      color: #fff;
      background-color:#f67c01;
      border-color: #f67c01;
  }
  @media (max-width:1280px){
      .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px -9px;
      padding: 10px !important;
      width: 100%;
  }
  .center-line {
      font-family: inherit;
      padding-bottom: 0px;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 5px;
  }
  }
  @media (max-width:1024px){
      .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
    
      padding: 10px !important;
      width: 99%;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 5px;
  }
  
  }
  @media (max-width:991px){
      .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 12px 5px !important;
      padding: 10px !important;
      width: 100%;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 5px;
  }
  
  .rest_list {
      padding: 12px 12px 3px 8px;
  }
  .respn {
      display: none;
      color: #000!important;
      margin-right: 2px;
      margin-left: 3px;
  }
  .btn-outline{
      display:flex;
      align-items:center;
  }
  .login-button {
      text-align: right;
      padding: 5px;
      margin-right: -2px;
  }
  .dstk{
      display:block;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 14px !important;
  } 
  }
  @media (max-width:840px){
      .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 12px 16px !important;
  }
  }
  @media (max-width:786px){
      .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 12px  5px !important;
      padding: 10px !important;
      width:100%;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 16px !important;
  }
  .respn {
      display: none;
      color: #000!important;
      margin-right: 2px;
      margin-left: 3px;
  }
  .btn-outline{
      display:flex;
      align-items:center;
  }
  .login-button {
      text-align: right;
      padding: 5px;
      margin-right: -2px;
  }
  .dstk{
      display:block;
  }
  .display-block{
      display:none !important;
  }
  .display-none{
      display:block !important;
  }
  
  .display-none {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 5px;
  }
  
  }
  @media (max-width:640px){
      .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 0 8px;
      padding: 10px !important;
      width:99%;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 13px 5px;
      display:none;
  }
  .train-route-list li {
      position: relative;
      margin: 10px;
  }
  .station-list {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 0px;
      padding: 10px !important;
      width: 100% !important;
  }
  .respn {
      display: block;
      color: #000!important;
      margin-right: 2px;
      margin-left: 3px;
  }
  .btn-outline{
      display:flex;
      align-items:center;
  }
  .login-button {
      text-align: right;
      padding: 5px;
      margin-right: -2px;
  }
  .dstk{
      display:none;
  }
  }
  @media (max-width:576px){
      .train-route-list li {
      position: relative;
      margin: 0px;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 12px 6px !important;
  }
  }
  @media (max-width:380px){
      .train-route-list li {
      position: relative;
      margin: 0px !important;
  }
  .res_img {
      width: 11%;
      margin-right: 15px;
  }
  .d-block {
      box-shadow: 0 0 5px rgba(0,0,0,1.0);
      margin: 12px 6px !important;
  }
  }
  
  @media (max-width:480px){
      .train-route-list li {
      position: relative;
      margin: 0px !important;
  }
  .res_img {
      width: 11%;
      margin-right: 15px;
  }
  }
  
</style>
@endsection


<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-cart-plus"></i>
        </div>
        <div class="header-title">
            <h1>Create Order</h1>
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <h2>Create Order</h2>
                <p>Order can be created by searching through PNR</p>

                <div class="panel panel-default">
                    <div class="panel-body">
                        <form action="#" method="get">
                        <div class="row">
                            <div class="col-md-10">
                                <input type="text" name="pnr" id="pnr_number" class="form-control" placeholder="Please enter Pnr number." required>
                            </div>
                            <div class="col-md-2">
                                <button type="button" class="btn btn-primary btn-block pnr_search">Search</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-body">
                        <form action="#" method="get">
                        <div class="row">
                            <div class="col-md-2">
                                <input type="text" name="train_number" class="form-control" placeholder="Please train number." required>
                            </div>
                            <div class="col-md-2">
                                <input type="text" name="station_code" class="form-control" placeholder="Please enter station code." required>
                            </div>
                            <div class="col-md-2">
                                <input type="text" name="birth_number" class="form-control" placeholder="Please enter birth number." required>
                            </div>
                            <div class="col-md-2">
                                <input type="text" name="seat_number" class="form-control" placeholder="Please enter seat number." required>
                            </div>
                            <div class="col-md-2">
                                <input type="date" name="date" class="form-control" placeholder="Please enter date." required>
                            </div>
                            <div class="col-md-2">
                                <input type="time" name="time" class="form-control" placeholder="Please enter time." required>
                            </div>
                            <div class="col-md-2" style="margin-top:20px;">
                                <button class="btn btn-primary btn-block">Search</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>

        
            </div>
    </section>

    @if(!empty($stations))
    <section class="content">
        <div class="row">
            @forelse($stations as $station)
                <div class="col-md-12">
                    <div class="">
                        <station-component station="{{json_encode($station)}}" route="{{route('restraunts.list',['code' => $station->code,'date' => base64_encode($station->deliveryDate) , 'source'=>"admin" ])}}"></station-component>
                    </div>
                </div>
                @empty
                <h1 class="text-center badge badge-info">No Stations found in your way</h1>
            @endforelse
    </section>
    @endif
</div>


@section('script')
<script>
$(document).ready(function() {
    $('.pnr_search').on('click', function() {
        var pnrVal=$('#pnr_number').val();
        window.location.href = "/fetch/" + pnrVal+"/stations/admin";
    });
});
</script>

<script type="module">
    import {
        LitElement,
        css,
        html
    } from 'https://unpkg.com/lit-element@2.2.1/lit-element.js?module'


    class RestrauntTile extends LitElement {

        constructor() {
            super()
            this.name = this.openingTime = this.closingTime = this.minAmount = this.cutOffTime = this.tag = this.url = ""
        }


        static get properties() {
            return {
                name: String,
                openingTime: String,
                closingTime: String,
                minAmount: String,
                cutOffTime: String,
                tag: String,
                url: "#"
            }
        }


        createRenderRoot() {
            return this
        }


        render() {
            const {
                name,
                openingTime,
                closingTime,
                minAmount,
                tag,
                cutOffTime
            } = this
            return html `<div>
            <div class="d-flex align-items-center justify-content-between rest_list">
                <div class="d-flex">
                <div class='res_img'>
                <img src='../../assets/img/3d-utensil.png'>
                </div>
                <div>
                    <h6 style="color:#FF6713">
                       <b>
                       <u> <strong>${name}</strong> </u>
                       </b> 
                    </h6>

                    <br class="d-none d-sm-block d-xs-block d-md-none">

                    <span style="color:#333 font-size:10px" class="mobile-block d-flex align-items-center">
                      Min Order ₹ ${minAmount} |  ${tag.split(",").map((t) => {
                          const klass = t.trim().toUpperCase() == 'VEG' ? 'badge badge-success mr-2' :'badge badge-danger'
                          return html`<span class="${klass}">
                         
                          </span>`
                      })}
                    </span>


                </div>
                </div>
                <div>
                    <a href="${this.url}" class = "btn btn-sm" style="background:#f67c01; border: 1px solid #f67c01; color:#fff">View Menu </a>
                </div>
            </div>
            <hr>
            </div>`
        }
    }

    class StationComponent extends LitElement {
        constructor() {
            super()
            this.station = {},
                this.route = null
            this.hidden = false
            this.restraunts = []
          
        }
        
        createRenderRoot() {
            return this;
        }


        async connectedCallback() {
            fetch(this.route).then(r => r.json()).then(j => {
                const {
                    restraunts
                } = j
                this.restraunts = restraunts
            });

            super.connectedCallback()
        }

        static get properties() {
            return {
                station: Object,
                hidden: Boolean,
                route: String,
                restraunts: Array
            }
        }

        isPropertyValid(prop) {
            return (prop != null || prop != undefined || prop != "")
        }

        renderRestraunt(restraunt) {

            return html `<restraunt-tile
                @click="${(e) => {
                    window.location = restraunt.url
                }}" 
                style="cursor:pointer;"
                name=${restraunt.name}  
                closingTime= ${restraunt.closingTime} 
                openingTime=${restraunt.openingTime} 
                minAmount = ${restraunt.minOrderAmount}
                cutOffTime = ${restraunt.cutOffTime}
                tag = ${restraunt.tags}
                url = ${restraunt.url}
                ></restraunt-tile>`
        }

        render() {
            console.log(this.restraunts.length)
            const {
                station
            } = this
            const {
                name,
                code,
                arrival,
                departure
            } = JSON.parse(station)
            return this.restraunts.length > 0 ? html `
           
            <li class="row">
                <div class="col-12 col-md-1"></div>
                <div class="col-12 col-md-4 col-sm-12" @click="${() =>  this.hidden = !this.hidden}" style="cursor:pointer">
                <div class="station-list">
                    <div class="train-list-left">
                        <div class="d-flex">
                            <div class="train-route"><img src="../../assets/img/Train_Icon.jpeg"></div>
                            <div class="d-flex align-items-center justify-content-between trrain_rs-right">
                            <div class="train-name">
                                <h3>${name}</h3>
                                <h4>${ `${name} - ${code}`.toUpperCase() }</h4>
                                
                            </div>
                           
                            </div>
                        </div>
                    </div>
                    <div class="train-btn">
                    <h1 class="badge badge-primary">ETA: ${this.isPropertyValid(arrival) ? arrival : departure}</h1>
                        <div class="login-button get-started">
                                <a href="javascript:void"  style="font-size:28px;display:block">
                                    <span class="badge btn-outline">
                                   
                                    ${this.hidden ? html`<i class="fa fa-arrow-right dstk" aria-hidden="true"></i> <i class="fa fa-arrow-down respn" aria-hidden="true"></i>
                                        `: html`<i class="fa fa-arrow-right dstk" aria-hidden="true"></i> <i class="fa fa-arrow-down respn" aria-hidden="true"></i>
                                        ` }
                                    </span>
                                    
                                </a>
                        </div>
                    </div>
                </div>
                </div>
                
                <div class="${this.hidden ? 'd-none display-none':'d-block display-block'} col-12 col-md-6 col-sm-12">
                
                    ${
                        this.isPropertyValid(this.restraunts) && this.restraunts.length > 0 ? this.restraunts.map(r => this.renderRestraunt(r)) : html`<h3><span class="badge  badge-light">No Restaurunts available now</span></h3>`
                    }
                </div>

              
            </li>
        

            
            `: html`<p></p>`
        }
    }
   
    customElements.define('restraunt-tile', RestrauntTile)

    customElements.define('station-component', StationComponent)
    
   
</script>

@stop


@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop