@extends('app')
@section('content')
<!-- END top banner section -->
<style>
i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 5px !important;
}
.container {
    max-width: 1102px;
}
.menu-items-btn{
    min-width:123px;
}
.left-no{
    width:48px;
    height:48px;
}
.quatity-price h5 {
    margin: 0;
    color: #f67c01;
    
}
.left-minus > i {
    color: #f67c01;
}
.total-price {
   
    color: #f67c01;
   
}
.btn-primary {
    color: #fff;
    background-color:#f67c01;
    border-color: #f67c01;
}
.btn-primary:hover {
    color: #fff;
    background-color:#f67c01;
    border-color: #f67c01;
}
.btn-main {
    border: 1px solid #f67c01;
    background-color: #f67c01;
}
.left-no {
    width: 88px;
    height: 31px;
    background-color:#f67c01!important;
}
.list-quatity .btn-main {
   background-color:#f67c01;
   border-color:#f67c01;
   border:1px solid #f67c01;

}
@media (max-width:1024px){
    a.btn.btn-primary {
    margin-top: -6px;
}
.menu-items-btn {
    min-width: 78px;
    margin-right: 0px;
}
.list-quatity .btn-main {
    font-size: 14px;
    padding: 5px 3px;
}
.items-order-list li {
    padding: 15px 0px;
   
}

}
@media (max-width:991px){
    a.btn.btn-primary {
    margin-top: -6px;
}
.menu-items-btn {
    min-width: 78px;
    margin-right: 0px;
}
.list-quatity .btn-main {
    font-size: 14px;
    padding: 5px 3px;
}
.items-order-list li {
    padding: 15px 0px;
   
}
.left-no {
    width: 88px;
    height: 31px;
}
}
@media (max-width:768px){
    a.btn.btn-primary {
    margin-top: -6px;
}
.menu-items-btn {
    min-width: 78px;
    margin-right: 0px;
}
.list-quatity .btn-main {
    font-size: 14px;
    padding: 5px 3px;
}
.items-order-list li {
    padding: 15px 0px;
   
}
.left-no {
    width: 88px;
    height: 31px;
}
}
</style>

<!-- START Best Resturant For You -->
<section class="sec">
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="col-md-12">
                <div class="trainer-top text-center mt-4">
                    <h2 class="text-center">{{$outlet->outletName}} </h2>
                    <div class="sec-heading center-line">Best Food For You</div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="d-flex flex-wrap justify-content-between cart-main-mobile">
            <div class="col-md-7">
                <div class="cart-listing">
                    <div id="accordion">
                        @forelse($items as $key => $value)

                        <div class="card">
                            <div class="card-header p-0" id="heading_{{$key}}" style="background-color:#f67c01;">

                                <button class="btn btn-link w-100" data-toggle="collapse" data-target="#{{$key}}" aria-expanded="true" aria-controls="{{$key}}" style="text-decoration: none; font-weight: 600; border-left:none; color:#fff">
                                    {{$key}}
                                </button>
                            </div>

                            <div id="{{$key}}" class="collapse" aria-labelledby="heading_{{$key}}" data-parent="#accordion">
                                <div class="card-body">
                                    <ul class="items-order-list">
                                        @foreach($value as $item)

                                        <cart-item id="{{$item->itemId}}" quantity="{{$item->quantity}}" itemName="{{$item->itemName}}" price="{{$item->sellingPrice}}" image="{{$item->isVegetarian == 1 ? secure_asset('assets/img/veg.png'): secure_asset('assets/img/non-veg.png')}}" description="{{$item->description}}" method="POST" success="{{route('cart.fetchNormal')}}" action="{{route('cart.postUrl')}}">

                                        </cart-item>
                                        @endforeach
                                    </ul>

                                </div>
                            </div>
                        </div>


                        @empty

                        @endforelse
                    </div>
                </div>

            </div>

            <div class="col-md-5" id="cartInfo">
                {!! $carty !!}
            </div>

        </div>

    </div>

    </div>

</section>
<!-- END Best Resturant For You -->

<meta name="csrf-token" content="your-csrf-token-value">

@stop


@section('script')
<script src="https://unpkg.com/@webcomponents/webcomponentsjs@2.0.0/webcomponents-bundle.js"></script>

<script type="module">
    import {
        LitElement,
        css,
        html
    } from 'https://unpkg.com/lit-element@2.2.1/lit-element.js?module'


    class CartItem extends LitElement {

        static get properties() {
            return {
                id: String,
                itemName: String,
                description: String,
                quantity: Number,
                image: String,
                price: String,
                action: String,
                method: String,
                success: String
            }
        }

        constructor() {
            super();
            this.quantity = 1
            this.description = " -- "
        }

        dispach() {
    
            this.dispatchEvent(new CustomEvent('fetch_cart', {
                bubbles: true,
                composed: true,
                detail: {
                    url: this.success,
                    cartUrl: "{{route('web.cartOverview')}}"
                }
            }))
        }

        handleSubmit(evt, defaultQuantity = 1) {
    
            const {
                id,
                quantity
            } = this
            fetch(this.action, {
                method: "POST",
                body: JSON.stringify({
                    itemId: id,
                    quantity: quantity == 0 ? defaultQuantity : quantity
                }),
                headers: {
                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').content
                }
            }).then(re => re.text()).then(d => {
                this.dispach();
            })
        }

        createRenderRoot() {
            return this
        }

        render() {
            const {
                itemName,
                description,
                quantity,
                image,
                price
            } = this

            return html `
            <li style="border-bottom:1px solid #eee">
                <div class="d-flex align-items-center justify-content-between">
                    <div class="list-left">
                        <div class="d-flex align-items-top">
                            <div class="left-no">${quantity}</div>
                            <div class="order-name">
                                <h3> ${itemName} <span><img src="${image}" alt=""></span></h3>
                                <h4>${description}</h4>
                                <h5><i class="fa fa-rupee"></i>${price}</h5>
                            </div>
                        </div>
                    </div>
                    <div class="list-quatity">
                        <div class="quantity">
                            ${
                                quantity <1  ? html`<div class="menu-items-btn"> <button class="btn-main login-btn" @click="${ (e) =>{
                                    this.quantity = 1;
                                    this.handleSubmit(e)}}">add to cart</button> </div> `:html`
                                <div class="control">
                                <button class="bttn bttn-left" id="" @click="${
                                    (evt) => {
                                        if(this.quantity < 1){
                                            this.quantity = 1
                                        }

                                        this.quantity = this.quantity - 1
                                        this.handleSubmit(evt, this.quantity)
                                    }
                                }">
                                    <span>-</span>
                                </button>
                                <input type="number" class="input" id="input" value="${quantity}">
                                <button class="bttn bttn-right" @click="${
                                    (evt) => {
                                        this.quantity =  parseInt(this.quantity) + 1
                                        this.handleSubmit(evt, this.quantity)
                                    }
                                    
                                }">
                                    <span>+</span>
                                </button>
                            </div>
                                `
                            }
                            
                        </div>
                        
                    </div>
                </div>
            </li>
            `
        }
    }

    window.customElements.define('cart-item', CartItem)
</script>

@stop


@section('footer-scripts')
<script>
    $('.tab').on('click', function(e) {
        $(this).children('.tab-content').each((_, i) => $(i).css({
            'max-height': '100%'
        }))
        $(this).siblings('.tab').each(function(_, item) {
            $(this).children('.tab-content').each((_, i) => $(i).css({
                'max-height': '0'
            }))
        })
    });
</script>
@stop



