@extends('app')
@section('content')
@if(\Auth::check())
<style>
    .d-flex{
        display:flex;
        justify-content:space-between;
        align-items:center;
    }
    .fa {
    
    font-size: 35px;
   
}
.search-button form{
    display:flex;
        justify-content:space-between;
        align-items:center;
}
.search-button form input,
.search-button form .select2-container .selection .select2-selection.select2-selection--single{
    height:35px;
    margin-right:10px;
    border-radius:5px;
    border:1px solid #ddd;
    padding:5px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 29px;
    position: absolute;
    top: 1px;
    right: 11px;
    width: 20px;
}
.rel{
    position:relative;
}
.rel #number {
    position: absolute;
    top: -27%;
    left: 51%;
    color: #fff;
    font-size: 9px;
    font-weight: 700;
    background-color: #c00;
    border-radius: 10px;
    padding: 3px 10px;
}
.fa{
    font-size:20px;
}
.content-header{
   display:flex;
   align-items:center;
}
.header-icon .fa{
    font-size: 30px;
}
.content-header .header-title {
    margin-left: 0px;
}
.content-header .header-icon {
    
    width: 41px;
   
}
    </style>
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
      
    <section class="content-header">
        <div class="header-icon">
        <i class="fa fa-list" aria-hidden="true"></i>
        </div>
        <div class="header-title">
            <h1>Show All Orders</h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group d-flex">
                                <a href="#">
                                    <h4 style="color:#009688">List Bulk Orders</h4>
                                </a>

                                <div class="TotalBulkOrder">
                                    <b>Total Bulk Order: <span style="color:#c00;font-weight:800;">{{$BulkBooking->Total()}}</span></b>
                                </div>
                                <!-- <div class="rel">
                                    <i class="fa fa-bell" aria-hidden="true"></i>
                                    <p id="number"></p>
    `                           </div> -->
                                <div class="search-button">
                                    <form method="GET" action="">
                                    <input type="text" name="name"  class="" Placeholder="Search Name"/>
                                    <select name="status" class="form-control">
                                        <option  @if(request()->get('status')=='') @endif value="">--Select--</option>
                                        <option @if(request()->get('status')==1) selected @endif value="1">Rejected</option>
                                        <option @if(request()->get('status')==2) selected @endif value="2">Approved</option>
                                        <option @if(request()->get('status')==0) selected @endif value="0">Pending</option>
                                    </select>
                                    <button class="btn btn-primary">Search</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="panel-body">
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="btn-group">

                            </div>
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="table-responsive">
                                <table id="dataTableExample1" class="table table-bordered table-striped table-hover text-center">
                                    <thead>
                                        <tr class="info">
                                           
                                            <th style="min-width:200px;">Name</th>
                                            <th style="min-width:180px;">Email</th>
                                            <th style="min-width:100px;">Mobile No</th>
                                            <th style="min-width:180px;">No Of Pessengers</th>
                                            <th style="min-width:150px;">PNR Number</th>
                                            <th style="min-width:150px;">Journey Date</th>
                                            <th style="min-width:150px;">Message</th>
                                            <th style="min-width:150px;">Travel Agent</th>
                                            <th style="min-width:200px;">Created_At</th>
                                            <th style="min-width:100px;">Status</th>
                                            <th style="min-width:200px;">Action</th>
                                        </tr>
                                    </thead>
                                    @foreach($BulkBooking as $admin)
                                    <tbody>
                                        <tr>
                                            <td>{{$admin->name}}</td>
                                            <td>{{$admin->email}}</td>
                                            <td>{{$admin->mob_no}}</td>
                                            <td>{{$admin->no_pessenger}}</td>
                                            <td>{{$admin->pnr_no}}</td>
                                            <td>{{$admin->jur_date}}</td>
                                            <td>{{$admin->message}}</td>
                                            <td>
                                                @if($admin->travel_agent==1)
                                                    No
                                                
                                                @elseif($admin->travel_agent==0)
                                                    Yes
                                                
                                                @endif
                                            </td>
                                            <td>{{$admin->Created_At}}</td>
                                           
                                            <td class="status-cell">
                                            @if($admin->Status == 0)
                                                Pending
                                            @elseif($admin->Status == 1)
                                                Rejected
                                            @elseif($admin->Status == 2)
                                                Approved
                                            @endif
                                       
                                            </td>
                                            <td>
                                            <a class="btn btn-danger reject-btn"  onclick="rejectFunction('{{$admin->id}}')">Reject</a>
                                            <a class="btn btn-success approve-btn"  onclick="approveFunction('{{$admin->id}}')">Approve</a>
                                            </td>
                                           
                                       
                                        </tr>
                                    </tbody>
                                       @endforeach                    
                                </table>
                                <div class="d-flex d-flex justify-content-between">
                                    {{ $BulkBooking->appends(Request::except('page'))->links() }}
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>

@else

@endif

@stop


<script>

    function rejectFunction(id){
  
      if(confirm("Are You Sure ?")){

            var base_url = "{{url('')}}";
                $.ajax({
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
            },
            url: base_url + '/backend/rejected',
            cache: false,
            data: {
                'id':id,
            
        },
            success: function(data) {
                var obj = JSON.parse(data);
                if(obj.success=="true"){
                    alert(obj.msg);
                }
                
                location.reload();
                
                
            }
        });
      }
     
    }


    function approveFunction(id){
  
  if(confirm("Are You Sure ?")){
    
        var base_url = "{{url('')}}";
            $.ajax({
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
        },
        url: base_url + '/backend/approved',
        cache: false,
        data: {
            'id':id,
        
    },
        success: function(data) {
            var obj = JSON.parse(data);
            if(obj.success=="true"){
                alert(obj.msg);
            }
            
            location.reload();
            
            
        }
    });
  }
 
}
setInterval(
    function getTotalCount(){
        var base_url = "{{url('')}}";
            $.ajax({
            type: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
            },
            url: base_url + '/backend/TotalRequest',
            cache: false,
           
            success: function(data) {
                var obj = JSON.parse(data);
                $("#number").text(obj.totalCont);
            }
        });

    },1000)
window.onload = function(){
    getTotalCount();
};

    

 
</script>

