@extends('app')
@section('content')
@if(\Auth::check())
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Admin Add</h1>
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{route('admins.store')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">First Name</label>
                                    <input type="text" name="first_name" class="form-control" placeholder="Enter First Name" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Last Name</label>
                                    <input type="text" name="last_name" class="form-control" placeholder="Enter Last name" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Email</label>
                                    <input type="text" name="email" class="form-control" placeholder="Enter Email" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Password</label>
                                    <input type="password" name="passwrod" class="form-control" placeholder="Enter Password" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Mobile</label>
                                    <input type="text" name="mobile" class="form-control" placeholder="Enter Mobile" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Enter Title" required>
                                </div>
                                <button href="#" class="btn btn-success" type="submit" style="width: 200px; margin-left: 10px; margin-left: 128px; background-color: #009688;border-color: #009688;">Save</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop