@extends('app')

@section('content')
<!--<div class="container">
        <div class="row">
                <div class="col-md-10 col-md-offset-1">
                        <div class="panel panel-default">
                                <div class="panel-heading">Home</div>

                                <div class="panel-body">
                                        You are logged in!
                                </div>
                        </div>
                </div>
        </div>
</div>-->
<div class="content-wrapper">
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                  @if (hasPermission(['approve-order']))
                    <div style="margin-top:15px;margin-bottom:30px;margin-left:15px;">
                          <form action="{{url('/home/admin')}}" method="POST">
                              <input type="hidden" name="_token" value="{{csrf_token()}}">
                              <input type="text" style="max-width:100px;display:inline-block;" name="start" value="{{$start}}" class="form-control to-period datepicker">
                              <input type="text" style="max-width:100px;display:inline-block;" name="end" value="{{$end}}" class="form-control to-period datepicker">
                              <button class="btn btn-primary add-period" style="border-radius: 20px;">
                                      <span>Apply</span>
                              </button>
                              <!--iframe src="storage/exports/index.html" width=200 height=400 frameborder=0 ></iframe-->
                          </form>
                      </div>
                  @endif
                    <!--div id="graph" -->
                  <!--200<br /> <br /> <br /> 150 <br /> <br /> <br /> 100 <br /> <br /> <br /> 50-->
               
                  @role('admin')
                  <div style="margin-top:50px;">
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#6bd66b;height:140px">
                        <small>
                          <span style="padding-right:2px;" class="fa fa-calendar-check-o p-r-5"></span>Orders <br> ( Booked Orders )</small>
                        <h2 class="m-t-10">{{$confdOrders[0]}}</h2>
                        <a href="{{url('view-orders/All'.'/'.$start.'/'.$end)}}" >View |</a>
                        <a href="{{url('download-orders/All'.'/'.$start.'/'.$end)}}" >Download</a>
                      </div>
                    </div>
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#f0ad4e;height:140px">
                        <small>
                          <span style="padding-right:2px;" class="fa fa-rupee p-r-5"></span>Order earnings </small>
                          <br><span style="padding-right:2px;">&nbsp;</span>
                        <h2 class="m-t-10">{{$confdOrders[1]}}</h2>
                      </div>
                    </div>
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#50ab20ad;height:140px">
                        <small>
                          <span style="padding-right:2px;" class="fa fa-calendar-check-o p-r-5"></span>Delivered Orders</small>
                            <br><span style="padding-right:2px;">&nbsp;</span>
                        <h2 class="m-t-10">{{$confdOrders[2]}}</h2>
                        <a href="{{url('view-orders/ORDER_DELIVERED'.'/'.$start.'/'.$end)}}" >View |</a>
                        <a href="{{url('download-orders/ORDER_DELIVERED'.'/'.$start.'/'.$end)}}" >Download</a>
                      </div>
                    </div>
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#b36967cc;height:140px">
                        <small>
                          <span style="padding-right:2px;" class="fa fa-remove p-r-5"></span>Undelivered Orders </small>
                        <h2 class="m-t-10">{{$confdOrders[3]}}</h2>
                        <a href="{{url('view-orders/ORDER_UNDELIVERED'.'/'.$start.'/'.$end)}}" >View |</a>
                        <a href="{{url('download-orders/ORDER_UNDELIVERED'.'/'.$start.'/'.$end)}}" >Download</a>
                      </div>
                    </div>
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#d0d052;height:140px">
                        <small>
                          <span style="padding-right:2px;" class="fa fa-user-plus p-r-5"></span>Cancelled Orders </small>
                            <br><span style="padding-right:2px;">&nbsp;</span>
                        <h2 class="m-t-10">{{$confdOrders[4]}}</h2>
                            <a href="{{url('view-orders/ORDER_CANCELLED'.'/'.$start.'/'.$end)}}" >View |</a>
                            <a href="{{url('download-orders/ORDER_CANCELLED'.'/'.$start.'/'.$end)}}" >Download</a>
                      </div>
                    </div>
                    <div class="col-xs-2">
                      <div class="box card-primary" style="background-color:#428bcab3;height:140px">
                        <small>
                            <span style="padding-right:2px;" class="fa fa-user-plus p-r-5"></span>Active Restaurants </small>
                            <br><span style="padding-right:2px;">&nbsp;</span>
                            <h2 class="m-t-10">{{$confdOrders[7]}}</h2>
                      </div>
                    </div>
                    </div>
                    @endrole
                    @if (hasPermission(['view-order-history']))
                    <div class="panel-body" style="clear:both;margin-top:180px;padding:15px;">
                        <div class="table-responsive" style="clear:both">
                            <table style="margin-top:30px;" id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr class="info">
                                        <th style="background-color:#c4c5c6">Order Id</th>
                                        <th style="background-color:#c4c5c6">Customer Name</th>
                                        <th style="background-color:#c4c5c6">Mobile</th>
                                        <th style="background-color:#c4c5c6">Outlet name</th>
                                        <th style="background-color:#c4c5c6">Payment Mode</th>
                                        <th style="background-color:#c4c5c6">Total Amount</th>
                                        <th style="background-color:#c4c5c6">Action</th>
                                        <th style="background-color:#c4c5c6">Booked From</th>
                                        <th style="background-color:#c4c5c6">Updated by and Time</th>
                                        <th style="background-color:#c4c5c6">Action</th>
                                    </tr>
                                </thead>
                                @if(isset($orders))
                                @foreach($orders as $order)
                                <tbody>
                         
                                    <tr style="background-color:{{$order->orderBackColor}}">
                                        <td style="color:{{$order->color}}">{{$order->orderId}}</td>
                                        <td style="color:{{$order->color}}">{{$order->customerDetails->customerName ?? $order->customerDetails->fullName ?? ""}}</td>
                                        <td style="color:{{$order->color}}">{{$order->customerDetails->mobile ?? ""}}</td>
                                        <td style="color:{{$order->color}}">{{$order->outletDetails->outletName}}</td>
                                        <td style="color:{{$order->color}}">{{$order->paymentType ?? '' }}</td>
                                        <td style="color:{{$order->color}}">{{$order->amountPayable}}</td>
                                        <td>
                                      
                                            @role('admin','agent')
                                            <form method="POST" action="{{url('/manager/dashboard/update/order')}}/{{$order->orderId}}">
                                                <input type="hidden" name="_token" value="{{csrf_token()}}">
                                                <input type="hidden" name="vendor" value="{{$order->vendorOrder1}}">
                                                <button id="update" class="btn btn-primary"  type="submit" style="display:inline-block">Update</button>
                                            </form>
                                            @endrole
                                        </td>

                                        @php
                                          if(!empty($order->vendorOrder))
                                            $orderSource="OLF";
                                          else
                                            $orderSource="IRCTC";
                                        @endphp

                                        <td style="color:{{$order->color}}">
                                          {{$orderSource}}
                                        </td>
                                
                                        <td style="color:{{$order->color}}">{{$order->updated_at}}</td>
                                        <td style="color:{{$order->color}}">
                                          <a class="text-white btn btn-success" href="{{url('notify-vendor/'.$order->orderId.'/'.$orderSource)}}">
                                             <i class="fa fa-bell" title="Send Notification"></i> Send Notification
                                          </a>
                                        </td>
                                    </tr>
                                </tbody>
                                @endforeach
                                @endif
                            </table>
                        </div>
                    </div>
                    @endif
            </div>
                    <div id="labels"></div>
                </div>
            </div>
    </section>
</div>

@endsection
@section('script')

<script>
function makeGraph()
{
    var container = document.getElementById("graph");
    var labels = document.getElementById("labels");
    var dnl = container.getElementsByTagName("li");
    var count = 0;
    for(var i = 0; i < dnl.length; i++)
    {
        var leftM = count*30;
        var color = 'green';
        var item = dnl.item(i);
        var value = item.innerHTML;
        var content = value.split(":");
        value = content[0];
        value = item.getAttribute('value1');
        item.style.height=value + "px";
        item.style.top=(199 - value) + "px";
        item.style.left = (i * 50 + 20)+leftM + "px";
        item.style.height = value + "px";
        item.innerHTML = content[0];
        item.style.visibility="visible";	
        left = (i * 50 + 22) +leftM+ "px";
        /*labels.innerHTML = labels.innerHTML + 
           "<span style='position:absolute;top:-16px;left:"+ 
           left+";background:"+ 'green'+"'>" + 'year' + "</span>";*/
        labels.innerHTML = labels.innerHTML + 
           "<span style='position:absolute;top:5px;left:"+ 
           left+";background:"+ '#ecedef'+"'>"+content[1]+"</span>";
        count++;
    }	
}
//window.onload=makeGraph;
    $(function() {
        $( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
    });

</script>

@stop
