@extends('app')
@section('content')
@if(\Auth::check())
<div class="content-wrapper">
                    <?php
            $bgimage = str_replace('mails/', '', session('bgimage'));
            $bgimage = url('/'.$bgimage);
            $fontsize = session('fontsize');
            $fonttype = session('fonttype');
            $fontcolor = session('fontcolor');

        ?>
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Vendor Email</h1>
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{route('file.uploadbg')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Set back ground image</label>
                                    <input type="file" name="file" class="form-control form-control-100WIDTH" placeholder="attach" required>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:15px;float:left;width: 200px;background-color: #009688;border-color: #009688;">Set background image</button>
                                </div>
                            </div>
                        </form>
                        <form action="{{route('vendor.mail.fontsize')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Set font size</label>
                                    <input type="text" name="fontsize" value="{{isset($fontsize)?$fontsize:''}}" class="form-control" style="width: 200px;" placeholder="font size" required>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:15px;float:left;width: 200px; background-color: #009688;border-color: #009688;">Set font size</button>
                                </div>
                            </div>
                        </form>
                        <form action="{{route('vendor.mail.fonttype')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Set font family</label>
                                    <input type="text" name="fonttype" class="form-control" value="{{isset($fonttype)?$fonttype:''}}" style="width: 200px;" placeholder="css font family" required>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:15px;float:left;width: 200px; background-color: #009688;border-color: #009688;">Set font family</button>
                                </div>
                            </div>
                        </form>
                        <form action="{{route('vendor.mail.fontcolor')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Set font color</label>
                                    <input type="text" name="fontcolor" class="form-control" value="{{isset($fontcolor)?$fontcolor:''}}" style="width: 200px;" placeholder="css font color" required>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:15px;float:left;width: 200px; background-color: #009688;border-color: #009688;">Set font color</button>
                                </div>
                            </div>
                        </form>
                        <form action="{{route('file.upload')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Attach file</label>
                                    <input type="file" name="file" class="form-control form-control-100WIDTH" placeholder="attach" required>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:15px;float:left;width: 200px;background-color: #009688;border-color: #009688;">Attach</button>
                                </div>
                            </div>
                        </form>
                        <form class="form1" action="{{route('vendors.email.send')}}" class="form-horizontal" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Background image</label>
                                    <img src="{{isset($bgimage)?$bgimage:''}}" style="width:100px;">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Subject</label>
                                    <input type="text" name="sub" class="form-control form-control-100WIDTH" placeholder="Enter subject" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Attachments</label>
                                    <div id="">
                                    @if(!empty(session('files')))
                                    @forelse(session('files') as $file=>$original)
                                    <input type="text" name="files[]" value="{{$original}}" style="display: inline-block" readonly class="form-control" placeholder="Enter subject">
                                    <a href="{{url('/attachment/remove')}}/{{$original}}"><i class="fa fa-remove" style="margin-top:5px;font-size: 24px;color: red;margin-left: 10px;"></i></a>
                                    @empty
                                    @endforelse
                                    @else
                                    <div class="form-group period-row" style="display:block;padding:5px;">
                                        <label>No attachments</label>
                                    </div>
                                    @endif
                                    </div>
                                    
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Content</label>
                                    <textarea id="content" class="form-control form-control-100WIDTH" style="white-space: pre-wrap;display:block;height:400px" name="content" required></textarea>
                                    <button href="#" class="btn btn-success" type="submit" style="margin-top:30px;float:right;width: 200px; background-color: #009688;border-color: #009688;">Send</button>
                                    <button href="#" class="btn btn-success" name="test" value="1" type="submit" style="margin-top:30px;float:left;width: 200px; background-color: #009688;border-color: #009688;">Test</button>
                                </div>
                                
                            </div>
                        </form>

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop
@section('script')
<script>
$(document).on('submit','form.form1',function(){
   //$('#content').val($('#content').val().replace(/[\r\n]/g, "<br />"));
   //alert($('#content').val());
});
</script>
@stop