@extends('app')
@section('content')
@if(\Auth::check())
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->

        <section class="content-header">
            <div class="header-icon" style="font-size: 36px;">
                <i class="fa fa-users"></i>
            </div>
            <div class="header-title">
                <h1>Show All Agent</h1>

            </div>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                                <a href="#">
                                    <h4 style="color:#009688">List Agent</h4>
                                </a>
                            </div>
                        </div>
                        <div class="panel-body">
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="btn-group">

                            </div>
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div>
                                <table id="dataTableExample1" class="table  table-striped table-hover">
                                    <thead>
                                        <tr class="info">
                                            <th>First Name</th>
                                            <th>last Name</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Address</th>
                                            <th>Role</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    @foreach($agents as $agent)
                                    <tbody>
                                        <tr>

                                            <td>{{$agent['first_name']}}</td>
                                            <td>{{$agent['last_name']}}</td>
                                            <td>{{$agent['email']}}</td>
                                            <td>{{$agent['mobile']}}</td>
                                            <td>{{$agent['address']}}</td>
                                            <td>{{$agent['role']}}</td>

                                            <td>

                                                @role('admin')




                                                <a href="{{route('agents.show',$agent['id'])}}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i> View </a>


                                                <a href="{{route('agents.edit',$agent['id'])}}" class="btn btn-add btn-sm"><i class="fa fa-pencil"></i> Edit</a>

                                                <a href="{{url('backend/Agent/activate',[$agent['id']])}}" class="{{$agent['active'] == 1 ? 'btn btn-default btn-sm' : 'btn btn-sm btn-info'}}"><i class="fa fa-link"></i>
                                                    {{$agent['active'] == 1 ? 'Block':'Unblock'}}
                                                </a>

                                                <form method="POST" action="{{route('agents.destroy',$agent['id'])}}" style="display: initial;">
                                                    <input type="hidden" name="_method" value="DELETE" />
                                                    <input type="hidden" name="_token" value="{{csrf_token()}}" />
                                                    <button type="submit" onclick="return confirm('Are you sure Delete This Admin?')" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i> Delete</button>
                                                </form>

                                                @endrole

                                            </td>
                                        </tr>
                                    </tbody>
                                    @endforeach
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>

</div>


@else
<script>
    window.location.href = "{{env('APP_URL')}}";
</script>
@endif
@stop
