@extends('app')


@section('content')

    <div class="container-fluid">
            <br>
        <div class="alert">
            <h3 class="text-center">Ratings & Complain Reports</h3>
            <a href="https://www.olfstores.com/manager/feedbacks/reports?exports=true" class="btn btn-success">
                Export
            </a>
            
        </div>
        
        <div id="feedbacks">
        
        <table class="table table-bordered">
        <thead>
            <tr>
                <td>Outlet</td>
                <td>Avg Rating (7 days)</td>
                <td>Avg Rating (14 days)</td>
                <td>Avg Rating (30 days)</td>
                <td>Complain % (7 days)</td>
                <td>Complain % (14 days)</td>
                <td>Complain % (30 days)</td>
            </tr>
        </thead>
        
        <tbody>
            <?php foreach($data as $key=>$value) {?>
                   <tr>
                        <td>{{$key}}</td>
                        <td style="background:{{$value['__7'][1]}}">{{$value['__7'][0]}}</td>
                         <td style="background:{{$value['__14'][1]}}">{{$value['__14'][0]}}</td>
                          <td style="background:{{$value['__a'][1]}}">{{$value['__a'][0]}}</td>
                           <td style="background:{{$value['__7c'][1]}}">{{$value['__7c'][0]}}</td>
                           <td style="background:{{$value['__14c'][1]}}" >{{$value['__14c'][0]}}</td>
                            <td style="background:{{$value['__ac'][1]}}">{{$value['__ac'][0]}}</td>
                       
                        
                   </tr>
            <?php }?>

        </tbody>
        </table>
        </div>
        
    </div>

@stop

