@extends('app')

@section('content')
<style>
    .table {
    width: 100%;
    max-width: 1158px;
    margin-bottom: 20px;
    margin-left: 46px;
    overflow-x: auto;
}
    </style>
<div class="content-wrapper">

    <div style="padding:20px 50px">
        <form method="POST" , action="{{route('createMeta')}}">
            <div class="form-group">
                <label for="exampleInputEmail1">Station Meta</label>
                <input type="text" name="meta" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Station Meta">
            </div>

            <div class="form-group">
                <label for="exampleInputEmail1">Station Description</label>
                <textarea name="description" type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Station Description"></textarea>
            </div>

            <div class="form-group">
                <label for="exampleInputEmail1">Select Station</label>

                <select name="station" class="form-control">
                    @foreach($stat as $station)

                    @if(!in_array($station->code, $ids))
                    <option value="{{$station->id}}">
                        {{$station->code}}
                    </option>
                    @endif
                    @endforeach
                </select>
            </div>



            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

    <table class="table table-primary">
        <thead>
            <tr>
                <td>
                    ID
                </td>

                <td>
                    STATION NAME
                </td>

                <td>
                    META
                </td>

                <td>
                    DESCRIPTION
                </td>

                <td>
                    ACTIONS
                </td>
            </tr>
        </thead>


        <tbody>
            @forelse($stations as $station)

            <tr>
                <td>
                    {{$station->id}}
                </td>
               
                <td>
                    {{$station->station->name ?? '-'}}
                </td>

                <td>
                    {{$station->meta}}
                </td>

                <td>
                    {{$station->description}}
                </td>

                <td>
                    <a href="{{route('editMetaLink', $station->id)}}">Edit</a>
                </td>
            </tr>

            @empty
            <tr>
                <td span="4" style="text-align: center;">
                    No Content Found
                </td>
                <td></td>
                <td></td>
                <td></td>
            </tr>

            @endforelse


        </tbody>
    </table>


</div>
@stop