@extends('app')

@section('content')
<div class="content-wrapper">

    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <div style="margin-top:15px;margin-left:15px;">
                        <form id="form" action="{{url('view-orders/'.$status.'/'.$start.'/'.$end)}}" method="GET">
                            <input type="hidden" name="_token" value="{{csrf_token()}}">
                            <input id="start" type="text" style="max-width:100px;display:inline-block;" name="start" value="{{$start}}" class="form-control to-period datepicker">
                            <input id = "end" type="text" style="max-width:100px;display:inline-block;" name="end" value="{{$end}}" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                                   <span>Apply</span>
                            </button>
                            <!--iframe src="storage/exports/index.html" width=200 height=400 frameborder=0 ></iframe-->
                        </form>
                        <span>Status : </span><span style="margin-top:35px;color:brown">{{$status}}</span>
                    </div>

                    <div class="panel-body" style="clear:both;margin-top:20px;padding:15px;">
                        <div class="table-responsive" style="clear:both">
                            <table id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr class="info">
                                        <th style="background-color:#c4c5c6">Order Id</th>
                                        <th style="background-color:#c4c5c6">Customer Name</th>
                                        <th style="background-color:#c4c5c6">Mobile</th>
                                        <th style="background-color:#c4c5c6">Outlet name</th>
                                        <th style="background-color:#c4c5c6">Total Amount</th>
                                        <th style="background-color:#c4c5c6">Delivery Date</th>
                                        <th style="background-color:#c4c5c6">Status</th>
                                    </tr>
                                </thead>
                                @if(isset($orders))
                                @foreach($orders as $order)
                                <tbody>
                                    <tr style="">
                                        <td style="">{{$order['orderId']}}</td>
                                        <td style="">{{$order['customer']}}</td>
                                        <td style="">{{$order['customerMobile']}}</td>
                                        <td style="">{{isset($order['outletName'])?$order['outletName']:'-'}}</td>
                                        <td style="">{{$order['amountPayable']}}</td>
                                        <td style="">{{$order['deliveryDate']}}</td>
                                        <td style="">{{$order['status']}}</td>
                                    </tr>
                                </tbody>
                                @endforeach
                                @endif
                            </table>
                        </div>
                    </div>
        </div>
                    <div id="labels"></div>
                </div>
            </div>
    </section>
</div>

@endsection
@section('script')

<script>
    $('#form').on('submit', function(e) {
        e.preventDefault();
        var url = '/view-orders/'+'{{$status}}'+'/'+$('#start').val()+'/'+$('#end').val();
        url = '<?php echo url('/') ?>'+ url;
        window.location = url;
    });

    $(function() {
        $( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
    });

</script>

@stop