
@extends('app')
@section('content')
@if(\Auth::check())
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Edit Vendor details</h1>
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{route('outlet.edit',['outletId'=>$outlet->id])}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">

                                <div class="form-group">
                                    <label style="color:#009688">Outlet Name</label>
                                    <input type="text" name="outletName" class="form-control" placeholder="Enter value" required value="{{$outlet->outletName}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Order Timing</label>
                                    <input type="text" name="order_timing" class="form-control" placeholder="Enter value" required value="{{$outlet->order_timing}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Minimum Order Amount</label>
                                    <input type="text" name="minOrderAmount" class="form-control" placeholder="Enter value" required value="{{$outlet->minOrderAmount}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Opening Time</label>
                                    <input type="text" name="openingTime" class="form-control wp" placeholder="Enter value" required {{$outlet->openingTime}}>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Closing Time</label>
                                    <input type="text" name="closingTime" class="form-control wp" placeholder="Enter value" required value="{{$outlet->closingTime}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Delivery Cost</label>
                                    <input type="text" name="deliveryCost" class="form-control" placeholder="Enter Address" required value="{{$outlet->deliveryCost}}">
                                </div>

                                <div class="form-group">
                                    <label style="color:#009688">Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Enter value" required value="{{$outlet->address}}">
                                </div>
                                
                                <div class="form-group">
                                    <label style="color:#009688">City</label>
                                    <input type="text" name="city" class="form-control" placeholder="Enter value" required value="{{$outlet->city}}">
                                </div>
                                
                                <div class="form-group">
                                    <label style="color:#009688">State</label>
                                    <input type="text" name="state" class="form-control" placeholder="Enter value" required value="{{$outlet->state}}">
                                </div>
                                

                                <div class="form-group">
                                    <label style="color:#009688">Breakfast Start Time</label>
                                    <input type="text" name="breakfastStartTime" class="form-control wp" placeholder="Enter value" required value="{{$outlet->breakfastStartTime}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Breakfast End Time</label>
                                    <input type="text" name="breakfastEndTime" class="form-control wp" placeholder="Enter value" required
										value="{{$outlet->breakfastStartTime}}" 
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Lunch Start Time</label>
                                    <input type="text" name="lunchStartTime" class="form-control wp" placeholder="Enter value" required
									value="{{$outlet->lunchStartTime}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Lunch End Time</label>
                                    <input type="text" name="lunchEndTime" class="form-control wp" placeholder="Enter value" required
									value="{{$outlet->lunchEndTime}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Dinner Start Time</label>
                                    <input type="text" name="dinnerStartTime" class="form-control wp" placeholder="Enter value" required
										value="{{$outlet->dinnerStartTime}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Dinner End Time</label>
                                    <input type="text" name="dinnerEndTime" class="form-control wp" placeholder="Enter Address" required
									value="{{$outlet->dinnerEndTime}}"
                                    >
                                </div>

                                <div class="form-group">
                                    <label style="color:#009688">Company Name</label>
                                    <input type="text" name="companyName" class="form-control" placeholder="Enter value" required
										value="{{$outlet->companyName}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Vendor Pan Number</label>
                                    <input type="text" name="vendorPanNumber" class="form-control" placeholder="Enter value" required
										value="{{$outlet->vendorPanNumber}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Gst No</label>
                                    <input type="text" name="gstNo" class="form-control" placeholder="Enter value" required
										value="{{$outlet->gstNo}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">fssaiNo</label>
                                    <input type="text" name="fssaiNo" class="form-control" placeholder="Enter value" required
										value="{{$outlet->fssaiNo}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Fssai Valid Upto</label>
                                    <input type="text" name="fssaiValidUpto" class="form-control dp" placeholder="Enter value" required 
									value="{{$outlet->fssaiValidUpto}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">cancel cut off time</label>
                                    <input type="text" name="cancel_cut_off_time" class="form-control" placeholder="Enter Address" required
										value="{{$outlet->cancel_cut_off_time}}"
                                    >
                                </div>

                                <div class="form-group">
                                    <label style="color:#009688">tags</label>
                                    <input type="text" name="tags" class="form-control" placeholder="Enter value" required
										value="{{$outlet->tags}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">status</label>
                                    <input type="text" name="status" class="form-control" placeholder="Enter value" required
										value="{{$outlet->status}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">logo Image</label>
                                    <input type="file" name="logoImage" class="form-control" placeholder="Enter value" 
									value="{{$outlet->logoImage}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">email</label>
                                    <input type="email" name="email" class="form-control" placeholder="Enter value" required
									value="{{$outlet->email}}"
                                    >
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">mobile</label>
                                    <input type="text" name="mobile" class="form-control" placeholder="Enter value" required
										value="{{$outlet->mobile}}"
                                    >
                                </div>
                                
                                
                                
                                <button  class="btn btn-primary" type="submit" style="width: 200px; margin-left: 10px; margin-left: 128px; background-color: #009688;border-color: #009688;">Save</button>
                            </div>
                        </form>

                        

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop


@section('script')
    <script>
        $('.wp').wickedpicker({twentyFour:true});
        $('.dp').datepicker({
        	dateFormat:'yy-mm-dd'
        });
    </script>
@stop