@extends('app')
@section('content')
<style>
.content-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
  }
  .form-control{
    height:40px;
  }
  .d-flex{
    display:flex;
    align-items:center;
  }
  .select2.select2-container{
width:79% !important;
  }
  textarea{
    width:79% !important;
    max-width:auto;
  }
  .table-condensed{
    font-size:12px;
    width:100%;
  }
  .datepicker-switch{
    text-align:center;
  }
  .content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
  </style>
@if(\Auth::check())
<div class="content-wrapper">

<section class="content-header">
   
      <div class="header-icon">
        <i class="fa fa-users"></i>
        <h1>Outlets</h1>
      </div>
      <div class="header-title">
           <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="{{url('/manager/Stations')}}"><i class="fa fa-arrow-left"></i></a>
        </div>
   
    <div class="d-flex">
      <div style="margin-right:20px;font-size:20px;"><b>Total Outlets: <span style="color:#C00;"><?php echo $total; ?></span></b></div>
      <div class="search-btn">
      <input type="text" id="searchInputStation" class="form-control" placeholder="Search Outlets" onkeyup="searchStations()"/>
      </div>
    </div>
  </section>
  <section class="content">
    <div class="row">
      @if(!empty($outlets))
      @forelse($outlets as $outlet)
      <div class="col-sm-6 col-md-6 col-lg-6" style="min-height:60vh">
        <div class="panel panel-bd lobidrag">
          <div class="panel-body">
            <h3>Outlet Name :{{$outlet->outletName}}({{$outlet->id}})</h3>
            <br>
            <button id="deleteOutlet" onclick="delete1({{$outlet->id}})" class="btn btn-danger" style="border-radius: 20px;">
                   Delete outlet
            </button>	
            <hr>
            
            @role('agent')
            <div style="display:flex;align-items:center;justify-content:space-between;padding:15px">
           <div style="display:flex;align-items:center;"> 
           <strong> Outlet Availability </strong> &emsp;
            <label class="switch">
              <input type="checkbox" id="{{$outlet->id}}" data-id="{{$outlet->id}}"  {{$outlet->open}}>
              <span class="slider round"></span>
            </label>
            
            </div>
            
            @if(!empty($outlet->reason)&&!$outlet->open)
            <label id="reason_{{$outlet->id}}" style="float:right;font-size:95%;" class="label label-lg label-danger">REASON: &nbsp; {{$outlet->reason}}</label>
            @elseif(empty($outlet->reason)&&!$outlet->open)
            <label id="reason_{{$outlet->id}}" style="float:right;font-size:95%;" class="label label-lg label-danger">Closed</label>
            @else
            <label id="reason_{{$outlet->id}}" style="color:green;float:right;"> Available</label>
            @endif
            </div>
            @endrole
            
            
            @role('admin','manager')
             
           <div style="display:inline-flex">
           <strong> Outlet Availability </strong> &emsp;
            <label class="switch">
              <input type="checkbox" id="{{$outlet->id}}" data-toggle="modal" data-id="{{$outlet->id}}" data-target="#updateModal{{$outlet->id}}" {{$outlet->open}}>
              <span class="slider round"></span>
            </label>
            </div>
           
            
            @if($outlet->active=='0')
            <label id="reason_{{$outlet->id}}" style="color:red;float:right;"> Permanently Closed</label>
            @elseif(!empty($outlet->reason)&&!$outlet->open)
            <code id="reason_{{$outlet->id}}" style="float:right;font-size:95%;" class="">REASON: &nbsp; {{$outlet->reason}}</code>
            @elseif(empty($outlet->reason)&&!$outlet->open)
            <label id="reason_{{$outlet->id}}" style="float:right;font-size:95%;" class="label label-lg label-danger">Closed</label>
            @else
            <label id="reason_{{$outlet->id}}" style="color:green;float:right;"> Available</label>
            @endif
            
            <hr>
            
            <div style="display:flex; align-items:center;justify-content:space-between">
             <strong> Close Permanently </strong> &emsp;
            <form method="POST" style="margin-top: 14px;" action="{{route('closedOutlet')}}">
                <input type="hidden" value="{{csrf_token()}}" name="_token" />
                <input type="hidden" value="{{$outlet->id}}" name="outletId" />
                <input type="hidden" value="{{$outlet->active == '1' ? 0:1}}" name="active" />
                <button class="btn {{$outlet->active ==1 ? 'btn-primary': 'btn-default'}}">
                    {{$outlet->active =='1' ? 'Close Permanently':'Permenanetly Closed'}}
                </button>
            </form>
            </div>
           
           <hr>
            @role('admin','manager')
            <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <div style="display:inline">
              <strong>Menu Type</strong> &nbsp;
              <p class="range-field" style=" width:60px;display: inline-block">
                <input type="range" id="{{$outlet->id.'_veg_non_veg'}}" data-toggle="modal" data-id="{{$outlet->id.'_veg_non_veg'}}" data-target="#updateModal{{$outlet->id.'_veg_non_veg'}}" {{$outlet->veg_non_veg}} class="range veg_non_veg" min="0" max="2" value="{{$outlet->veg_non_veg}}">
              </p>
              </div>
              <div style="float:right;font-size:95%" class="label label-success">
                <span style="display: inline-block"></span>
                @if($outlet->veg_non_veg==0)
                <span id="reason_{{$outlet->id.'_veg_non_veg'}}" class="frequency" style="font-weight: bold;">Veg Only {{$outlet->reason_veg_non_veg?'due to '.$outlet->reason_veg_non_veg:''}}</span>
                @elseif($outlet->veg_non_veg==1)
                <span id="reason_{{$outlet->id.'_veg_non_veg'}}" class="frequency" style="font-weight: bold;">Non-Veg Only {{'due to '.$outlet->reason_veg_non_veg?$outlet->reason_veg_non_veg:''}}</span>
                @elseif($outlet->veg_non_veg==2)
                <span id="reason_{{$outlet->id.'_veg_non_veg'}}" class="frequency" style="font-weight: bold;">Veg/Non-veg Available</span>
                @endif
              </div>
            </div>
            @endrole
            <hr>
            @role('admin')
            <form action="{{url('/manager/invoice_frequency')}}/{{$outlet->id}}" method="POST">
              <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <strong style="display: inline-block">Invoice Frequency &nbsp;</strong>
                <p class="range-field" style=" width:60px;display: inline-block">
                  <input type="range" class="range" name="invoice_frequency" min="1" max="3" value="{{$outlet->invoice_frequency+1}}">
                </p>
                <div style="float: right">
                  
                  @if($outlet->invoice_frequency+1==1)
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Date Range</span>
                  @elseif($outlet->invoice_frequency+1==2)
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Weekly</span>
                  @elseif($outlet->invoice_frequency+1==3)
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Monthly</span>
                  @endif
                </div>
              </div>
            </form>
            
            @endrole
            <hr/>
            <form action="{{url('/manager/payment_mode')}}/{{$outlet->id}}" method="POST">
              <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <strong style="display: inline-block">Payment Mode &nbsp;</strong>
                <p class="range-field" style=" width:60px;display: inline-block">
                  <input type="range" class="rangePayment" name="payment_mode" min="0" max="2" value="{{$outlet->payment_mode}}">
                </p>
                <div style="float: right">
                  
                  @if($outlet->payment_mode==0)
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Cash Only</span>
                  @elseif($outlet->payment_mode==1)
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Credit Only</span>
                  @elseif($outlet->payment_mode==2)
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Both</span>
                  @endif
                </div>
              </div>
            </form>

            <!-- Modal -->
            <div class="modal fade" name="{{$outlet->id}}" id="updateModal{{$outlet->id.'_veg_non_veg'}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <form action="{{url('/manager/vegNonveg/')}}/{{$outlet->id}}" class="form-inline ajaxForm_veg_nonveg" role='form' method="POST">
                    <div class="modal-header">
                      <h5 class="modal-title" style="font-size: 16px;color: green;" id="exampleModalLabel">Veg/Non-Veg Save Closing Period and Days</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body" style="text-align:center;height: auto;overflow: auto;">
                      <div style="display:inline-block;margin: 0 auto;text-align:left;">
                        <input type="hidden" name="_token" value="{{csrf_token()}}" />
                        <h5 style="text-align:left">Closing Period</h5>

                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                          @if(!empty($outlet->closingPeriod_veg_non_veg))
                          {{{ '' != $i = 0 }}}
                          @forelse($outlet->closingPeriod_veg_non_veg as $period)
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" id="{{$outlet->id}}_{{$i}}_0" style="max-width:100px" value="{{$period->closedFrom_veg_non_veg}}" name="startDate[{{$i}}]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" id="{{$outlet->id}}_{{$i}}_1" style="max-width:100px" value="{{$period->closedTo_veg_non_veg}}" name="endDate[{{$i++}}]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          @empty
                          @endforelse
                          @else
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" style="max-width:100px" name="startDate[0]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" style="max-width:100px" name="endDate[0]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          @endif
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Weekly Closed</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">Select days</label>
                            <select name="days[]" class="custom-select" multiple size=7>
                              @if(empty($outlet->weeklyClosed_veg_non_veg))
                              <option value="" selected></option>
                              @else
                              <option value=""></option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("SUN",$outlet->weeklyClosed_veg_non_veg))
                              <option value="SUN" selected>SUNDAY</option>
                              @else
                              <option value="SUN">SUNDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("MON",$outlet->weeklyClosed_veg_non_veg))
                              <option value="MON" selected="">MONDAY</option>
                              @else
                              <option value="MON">MONDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("TUE",$outlet->weeklyClosed_veg_non_veg))
                              <option value="TUE" selected>TUESDAY</option>
                              @else
                              <option value="TUE">TUESDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("WED",$outlet->weeklyClosed_veg_non_veg))
                              <option value="WED" selected>WEDNESDAY</option>
                              @else
                              <option value="WED">WEDNESDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("THU",$outlet->weeklyClosed_veg_non_veg))
                              <option value="THU" selected>THURSDAY</option>
                              @else
                              <option value="THU">THURSDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("FRI",$outlet->weeklyClosed_veg_non_veg))
                              <option value="FRI" selected>FRIDAY</option>
                              @else
                              <option value="FRI">FRIDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("SAT",$outlet->weeklyClosed_veg_non_veg))
                              <option value="SAT" selected>SATURDAY</option>
                              @else
                              <option value="SAT">SATURDAY</option>
                              @endif
                            </select>
                          </div>
                        </div>

                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="non_veg_only" id="exampleRadios1" value="0" {{$outlet->veg_non_veg==1?'':'checked'}}>
                          <label class="form-check-label" for="exampleRadios1">
                            Veg Only
                          </label>
                        </div>
                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="non_veg_only" id="exampleRadios2" value="1" {{$outlet->veg_non_veg==1?'checked':''}}>
                          <label class="form-check-label" for="exampleRadios2">
                            Non-veg Only
                          </label>
                        </div>

                        <div style="display:block">
                          <h5 style="text-align:left">Reason for Closing</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reason</label>
                            <textarea style="height:100px" name="reason" class="form-control" required>
                                        </textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                      <button class="btn btn-primary">Save changes</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
            <!-- Modal -->
            <div class="modal fade" name="{{$outlet->id}}" id="updateModal{{$outlet->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <form action="{{url('/manager/Outlet/')}}/{{$outlet->id}}" class="form-inline ajaxForm" role='form' method="POST">
                    <div class="modal-header">
                      <h5 class="modal-title" style="font-size: 16px;color: green;" id="exampleModalLabel">Save Closing Period and Days</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body" style="text-align:center;height: auto;overflow: auto;">
                      <div style="display:inline-block;margin: 0 auto;text-align:left;">
                        <input type="hidden" name="_token" value="{{csrf_token()}}" />
                        <h5 style="text-align:left">Closing Period</h5>

                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                          @if(!empty($outlet->closingPeriod))
                          {{{ '' != $i = 0 }}}
                          @forelse($outlet->closingPeriod as $period)
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" id="{{$outlet->id}}_{{$i}}_0" style="max-width:100px"  @if($outlet->open!='') value="{{$period->closedFrom}}" @endif name="startDate[{{$i}}]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" id="{{$outlet->id}}_{{$i}}_1" style="max-width:100px" @if($outlet->open!='') value="{{$period->closedTo}}"  @endif name="endDate[{{$i++}}]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          @empty
                          @endforelse
                          @else
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input id="fdd{{$outlet->id}}" type="text" style="max-width:100px" name="startDate[0]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input id="tdd{{$outlet->id}}" type="text" style="max-width:100px" name="endDate[0]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          @endif
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Weekly Closed</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">Select days</label>
                            <select name="days[]" class="custom-select" multiple size=7>
                            @if($outlet->open!='') 
                              @if(empty($outlet->weeklyClosed))
                              <option value="" selected></option>
                              @else
                              <option value=""></option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("SUN",$outlet->weeklyClosed))
                              <option value="SUN" selected>SUNDAY</option>
                              @else
                              <option value="SUN">SUNDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("MON",$outlet->weeklyClosed))
                              <option value="MON" selected="">MONDAY</option>
                              @else
                              <option value="MON">MONDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("TUE",$outlet->weeklyClosed))
                              <option value="TUE" selected>TUESDAY</option>
                              @else
                              <option value="TUE">TUESDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("WED",$outlet->weeklyClosed))
                              <option value="WED" selected>WEDNESDAY</option>
                              @else
                              <option value="WED">WEDNESDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("THU",$outlet->weeklyClosed))
                              <option value="THU" selected>THURSDAY</option>
                              @else
                              <option value="THU">THURSDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("FRI",$outlet->weeklyClosed))
                              <option value="FRI" selected>FRIDAY</option>
                              @else
                              <option value="FRI">FRIDAY</option>
                              @endif
                              @if(!empty($outlet->weeklyClosed)&&in_array("SAT",$outlet->weeklyClosed))
                              <option value="SAT" selected>SATURDAY</option>
                              @else
                              <option value="SAT">SATURDAY</option>
                              @endif
                              @endif
                            </select>
                          </div>
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Reason for Closing</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reason</label>
                            <textarea style="height:100px" name="reason"  id="rsn{{$outlet->id}}" class="form-control" @if($outlet->open!='') required @endif></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                      <button class="btn btn-primary">Save changes</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
            @endrole
            <ul class="list-group">
              <li class="list-group-item">Opening Time <span class="badge">{{$outlet->openingTime}}</span></li>
              <li class="list-group-item">Closing Time <span class="badge">{{$outlet->closingTime}}</span></li>
              <li class="list-group-item">Station <span class="badge">{{$outlet->station->name}}</span></li>
              @role('admin','manager')
              <li class="list-group-item"><a href="{{url('/manager/Outlet/edit')}}/{{$outlet->id}}">Edit Outlet</a></li>
                <li class="list-group-item">
                    <a href="{{url('/manager/Outlet/listVendors')}}/{{$outlet->id}}">Set Vendor</a>
                </li>
              @endrole
              <div class="list-group-item" style="display: flex;justify-content: center;">
                @if($outlet->menu()->exists())
                <div class="btn-group">
                  @role('admin','vendor')
                  <a href="{{url('/admin/workflow/menu')}}/{{$outlet->id}}" class="btn btn-success btn-sm">
                    <span class="fa fa-bars"></span>
                    Add Items
                  </a>
                 @endrole
                 
                  @role('admin','manager')
                  <a href="{{url('/upload/menuitems')}}/{{$outlet->id}}" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Upload Items
                  </a>
                  @endrole


                  @role('admin','manager')
                  <a href="{{url('/manager/outlets/list/menuitems')}}/{{$outlet->id}}" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Update Items
                  </a>
                  @endrole
                  
                  @role('admin','manager')
                  <a href="{{url('/manager/outlets/list/menuitems')}}/{{$outlet->id}}/upd" class="btn btn-warning btn-sm">
                    <span class="fa fa-check"></span>
                    Update Items(New)
                  </a>
                  @endrole
                  
                  @role('admin')
                  <a href="#" class="btn btn-primary btn-sm">
                    <span class="fa fa-edit"></span>
                    Edit Vendor details
                  </a>
                  <a href="#" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Edit Vendor Owner Details
                  </a>

                  @endrole
              
                  @role('admin','agent','vendor','radmin')
                  <a href="{{url('/manager/orders')}}/{{$outlet->id}}" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    order details
                  </a>
                  @endrole
                  @role('admin')
                  <a href="{{url('/manager/invoice')}}/{{$outlet->id}}" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Download Invoice
                  </a>
                  @endrole
                  @role('admin')
                  <a href="{{url('/manager/invoice4')}}/{{$outlet->id}}" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Generate Invoice
                  </a>
                  @endrole
                </div>

                @else
                <form action="{{url('/admin/workflow/menu')}}/{{$outlet->id}}" method="POST">
                  <input type="hidden" name="_token" value="{{csrf_token()}}">
                  <input type="hidden" name="menuId" value="{{$outlet->id.mt_rand(1,100)}}">
                  <button type="submit" class="btn btn-primary">
                    <span class="fa fa-cutlery"></span>
                    Add Menu
                  </button>
                </form>
                @endif
                </a>
              </div>
            </ul>
          </div>
        </div>
      </div>
      @empty

      @endforelse
      @endif

  </section>
    <form action="{{url('/manager/Outlets')}}/{{$start}}/{{$end}}/{{$total}}/{{$sid}}" method="POST">
        <div style="margin-left:30px;padding-bottom:50px;">
            <label>rows {{$start}} - {{$end}} of {{$total}}</label>
            @php
            $i = 0;
            $currentPage = (int)($start/20)+1;
            @endphp                            
            @while($i < $pageCount)
            <a href="{{url('/manager/Outlets')}}/{{($i*20)+1}}/{{($i*20)+20}}/{{$total}}" style={{$currentPage==$i+1?"background-color:#428bca;margin-left:5px;color:#fff;":"margin-left:5px;"}} class="btn btn-sm">{{$i+1}}</a>
            @php
            $i++;
            @endphp                        
            @endwhile
            <br>
            <div style="text-align:center;margin-top:15px;">
                <button id="previous" {{$start==1?'disabled':''}} name="submit" value="previous" class="btn btn-primary" style="border-radius: 20px;">
                       Previous
                </button>
                <button id="next" {{$end==$total?'disabled':''}} name="submit" value="next" class="btn btn-primary" style="border-radius: 20px;">
                       Next
                </button>
            </div>
        </div>
    <form>
</div>
@else
<script>
  window.location.href = "{{env('APP_URL')}}";
</script>
@endif
@stop
@section('script')
<script>
  function filterme(value) {
    value = parseInt(value, 10); // Convert to an integer
    if (value === 1) {
      $('#RangeFilter').removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
      $('#invoiceFrequency').text('Date Range');
    } else if (value === 2) {
      $('#RangeFilter').removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
      $('#invoiceFrequency').text('Weekly');
    } else if (value === 3) {
      $('#RangeFilter').removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
      $('#invoiceFrequency').text('Monthly');
    }
  }
    function delete1(outletId){
        if(confirm("Are you sure you want to delete this outlet?")){
            var href = {!! json_encode(url('/manager/delete_outlet/')) !!}
            window.location.href = href+'/'+outletId;
        }
        else{
            return false;
        }          
    }

  $(function() {
    var countPeriod = 0;
    $(".datepicker").datepicker({
      dateFormat: 'yy-mm-dd'
    });
    // $(".datepicker").datetimepicker({
    //     format: 'YYYY-MM-DD HH:mm:ss',
    //     defaultDate: new Date(),
    // });
    $(".modal").on("hide.bs.modal", function() {
      var out = $(this).attr('name');
      if ($('#' + out).attr('touch') == 'true') {} else {
        if ($('#' + out).prop("checked") == true)
          $('#' + out).prop('checked', false);
        else
          $('#' + out).prop('checked', true);
      }
    });
    $(".modal").on("show.bs.modal", function() {
      var out = $(this).attr('name');
      $('#' + out).attr('touch', false);
    });
    $(".form-inline").on("click", ".add-period", function(e) {
      e.preventDefault();
      var id = $(this).closest(".modal").attr("name");
      var clone = $(this).parent().clone();
      clone.appendTo($(this).parent().parent());
      $("#updateModal" + id).find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + (countPeriod) + "]");
        $(this).find(".from-period").attr("id", id + "_" + countPeriod + "_0");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("id", id + "_" + countPeriod + "_1");
        countPeriod++;
      });
      clone.find(".datepicker").removeClass('hasDatepicker').datepicker({
        dateFormat: 'yy-mm-dd'
      });
      countPeriod = 0;
      return false;
    });
    $(".form-inline").on("click", ".remove-period", function(e) {
      e.preventDefault();
      if ($(this).parent().parent().children().length == 1)
        return false;
      var id = $(this).closest(".modal").attr("name");
      $(this).parent().remove();
      $("#updateModal" + id).find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        countPeriod++;
      });
      countPeriod = 0;
      return false;
    });
    $(".range").on("change", function(e) {
      e.preventDefault();
      value = parseInt($(this).val(), 10); // Convert to an integer
      if (value === 1) {
        $(this).removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
        $(this).closest('div').find('.frequency').text('Date Range');
      } else if (value === 2) {
        $('#RangeFilter').removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
        $(this).closest('div').find('.frequency').text('Weekly');
      } else if (value === 3) {
        $('#RangeFilter').removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
        $(this).closest('div').find('.frequency').text('Monthly');
      }
      $(this).closest('form').submit();
    });
    $(".rangePayment").on("change", function(e) {
      e.preventDefault();
      value = parseInt($(this).val(), 10); // Convert to an integer
      if (value === 0) {
        $(this).removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
        $(this).closest('div').find('.payment_mode').text('Cash only');
      } else if (value === 1) {
        $(this).removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
        $(this).closest('div').find('.payment_mode').text('Credit Only');
      } else if (value === 2) {
        $(this).removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
        $(this).closest('div').find('.payment_mode').text('Both');
      }
      $(this).closest('form').submit();
    });
    $(".form-inline-veg-nonveg").on("click", ".add-period", function(e) {
      e.preventDefault();
      var id = $(this).closest(".modal").attr("name");
      var clone = $(this).parent().clone();
      clone.appendTo($(this).parent().parent());
      $("#updateModal" + id + '_veg_non_veg').find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + (countPeriod) + "]");
        $(this).find(".from-period").attr("id", id + "_" + countPeriod + "_0");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("id", id + "_" + countPeriod + "_1");
        countPeriod++;
      });
      clone.find(".datepicker").removeClass('hasDatepicker').datepicker({
        dateFormat: 'yy-mm-dd'
      });
      countPeriod = 0;
      return false;
    });
    $(".form-inline-veg-nonveg").on("click", ".remove-period", function(e) {
      e.preventDefault();
      if ($(this).parent().parent().children().length == 1)
        return false;
      var id = $(this).closest(".modal").attr("name");
      $(this).parent().remove();
      $("#updateModal" + id + '_veg_non_veg').find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        countPeriod++;
      });
      countPeriod = 0;
      return false;
    });
    $('.ajaxForm_veg_nonveg').submit(function(e) {
      e.preventDefault();
      var self = $(this);
      var data = self.serializeArray();
      var options = {
        url: self.attr('action'),
        type: self.attr('method'),
        data: data,
      };

      $.ajax(options).done(function(res) {
        //$('#'+res.outletId+'_veg_non_veg').attr('value', res.veg_non_veg);
        var slider = $('#' + res.outletId + '_veg_non_veg');

        var slider = slider.slider({
          orientation: "horizantal",
          range: "min",
          min: 0,
          max: 2,
          value: 2,
          slide: function(event, ui) {
            slider.val(ui.value);
          }
        });
        $('#' + res.outletId + '_veg_non_veg').val(res.veg_non_veg);
        //slider.slider('value', res.veg_non_veg);
        //slider.trigger('slide',{ ui: $('.ui-slider-handle', slider), value: res.veg_non_veg });
        //$('#'+res.outletId+'_veg_non_veg').slider("value", res.veg_non_veg);
        if (res.veg_non_veg != 2) {
          if (res.veg_non_veg == 1) {
            if (res.reason != '')
              $('#reason_' + res.outletId + '_veg_non_veg').text('Non-veg only due to ' + res.reason);
            else
              $('#reason_' + res.outletId + '_veg_non_veg').text('Non-veg only');
          } else {
            if (res.reason != '')
              $('#reason_' + res.outletId + '_veg_non_veg').text('Veg only due to ' + res.reason);
            else
              $('#reason_' + res.outletId + '_veg_non_veg').text('Veg only');
          }
        } else
          $('#reason_' + res.outletId + '_veg_non_veg').text('Veg-Non veg available');
        $('#updateModal' + res.outletId + '_veg_non_veg').modal('hide');
      });
    });

    $('.ajaxForm').submit(function(e) {
      e.preventDefault();
      var self = $(this);
      var data = self.serializeArray();
      var options = {
        url: self.attr('action'),
        type: self.attr('method'),
        data: data,
      };

      $.ajax(options).done(function(res) {
        if ($('#' + res.outletId).prop("checked") == true) {
          if (!res.open) {
            $('#' + res.outletId).prop('checked', false);
          }
        } else {
          if (res.open) {
            $('#' + res.outletId).prop('checked', true);
          }
        }
        $('#' + res.outletId).attr('touch', true);
        if (!res.open) {
          if (res.reason != '')
            $('#reason_' + res.outletId).html('Closed due to ' + res.reason);
          else
            $('#reason_' + res.outletId).html('Closed');
        } else
        $('#reason_' + res.outletId).html('Active');

        $('#rsn' + res.outletId).val('');
        $('#rsn' + res.outletId).prop('required',false);
        $('#fdd' + res.outletId).val('');
        $('#tdd' + res.outletId).val('');
        $('#weekk' + res.outletId).val('');

        $('#updateModal' + res.outletId).modal('hide');
      });
    });

  });
  function searchStations() {
    var input = document.getElementById("searchInputStation");
    var filter = input.value.toLowerCase();
    var outlets = document.querySelectorAll(".col-sm-6.col-md-6.col-lg-6");
    for (var i = 0; i < outlets.length; i++) {
        var outlet = outlets[i];
        var outletName = outlet.querySelector("h3").textContent.toLowerCase();

        if (outletName.includes(filter) ) {
            outlet.style.display = "block"; // Display the row
        } else {
            outlet.style.display = "none"; // Hide the row
        }
    }
}

// Add an event listener to the input field for keyup event
document.querySelector('#searchInputStation').addEventListener('keyup', function() {
    searchStations(); // Call the search function when the user types
});
</script>
@stop
