@extends('app')
@section('content')
<style>
    .select2-container{
        width: 336px !important;
    }
    .content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
    </style>
@if(\Auth::check())
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
            <h1>Search Outlets</h1>
        </div>
        <div class="header-title">
            
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                
                <div class="panel panel-bd lobidrag">                       
                    <div id="searchPanel" class="panel-body">
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Outlet Name</label>
                                    <input type="text" id="searchOutlets" name="searchOutlets" class="form-control" placeholder="Enter value" required value="">
                                </div>
                            </div>
                            <div id="results"></div>
                        </form>

                        

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop

@section('script')
<script>
  $(function() {
    var search = "";
    var baseurl='{{url('')}}';
    $( "#searchOutlets" ).on("input", function(e) {
        if(e.keyCode == 8 || e.keyCode == 32)
            return false;
        else{
            if($(this).val().trim().length >= 3){
                $("#results div").remove();
                $.ajax({
                      method: "GET",
                      url: baseurl+"/result/outlets/"+$(this).val(),
                      //data: { name: "John", location: "Boston" }
                }).done(function( data ) {
                    $("#results div").remove();
                    $("#results").append(data);
                });
            }
        }
        
    });
  });
</script>
@stop
