@extends('app')
@section('content')
@if(\Auth::check())
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
      
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Show All Users</h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                                <a href="#">
                                    <h4 style="color:#009688">List Users</h4>
                                </a>
                            </div>
                        </div>
                        <div class="panel-body">
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="btn-group">

                            </div>
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="table-responsive">
                                <table id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr class="info">
                                            <td>Sl. No.</td>
                                            <th>First Name</th>
                                            <th>last Name</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Role</th>
                                            <th>Address</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    @foreach($users as $key=>$user)
                                    <tbody>
                                        <tr>
                                            <td>{{ $key + 1 + ($users->currentPage() - 1) * $users->perPage() }}</td>
                                            <td>{{$user['first_name']}}</td>
                                            <td>{{$user['last_name']}}</td>
                                            <td>{{$user['email']}}</td>
                                            <td>{{$user['mobile']}}</td>
                                            <td><b>{{ucfirst($user['role'])}}</b></td>
                                            <td>{{$user['address']}}</td>
                                       
                                            <td style="width: 124px !important;">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <a href="{{route('users.show',$user['id'])}}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
                                                            @role('admin')
                                                            <a href="{{route('users.edit',$user['id'])}}" class="btn btn-add btn-sm"><i class="fa fa-pencil"></i></a>
                                                            <form method="POST" action="{{route('users.destroy',$user['id'])}}">
                                                                <input type="hidden" name="_method" value="DELETE"/>
                                                                <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                                                                <button type="submit" onclick="return confirm('Are you sure Delete This Admin?')" style="margin-left: 76px; margin-top: -24px;" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
                                                            </form>
                                                            @endrole
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            @role('admin')
                                                            @if($user['active'] == 0)
                                                            <a href="{{url('backend/User/activate',[$user['id']])}}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
                                                            @endif
                                                            @endrole
                                                        </td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </tbody>
                                    @endforeach                              
                                </table>
                            </div>
                            {{$users->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>


@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop
