@extends('app')

@section('styles')
<style>
</style>
@stop

@section('content')
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            <i class="fa fa-train"></i>
        </div>
        
<div id="optionsDialog"></div>

<div id="baseOption"></div>

<div id="fileDialog"></div>
        <div class="header-title">
            <h1>Stations</h1>
            <small>.</small>
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    margin-left: 96%;
               margin-top: -24px; background-color: #009688;
               border-color: #009688; color: white" ><i class="fa fa-edit" ></i></a>
        </div>
    </section>

    <section class="content">
        <div id="optionDialog" class="modal fade">
                <div class="modal-dialog">
    
                        <!-- Modal content-->
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Modal Header</h4>
                          </div>
                          <div class="modal-body">
                            <p>Some text in the modal.</p>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                          </div>
                        </div>
                      </div>
        </div>
        <div id="baseDialog" class="modal fade">

                <div class="modal-dialog">
                        <!-- Modal content-->
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">Modal Header</h4>
                          </div>
                          <div class="modal-body">
                            <p>Some text in the modal.</p>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                          </div>
                        </div>
                      </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bd lobidrag">
                    <div class="panel-heading">
                        Add Menu for {{$outlet->outletName}}
                    </div>                       
                    <div class="panel-body">
                        <form action="{{url('/admin/workflow/outlet/items/')}}/{{$outlet->id}}" class="form-horizontal ajaxForm"  role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
								    <label for="name">Item Name</label>
								    <input type="text" class="form-control"  placeholder="Item Name" name="itemName">
                                 </div>
                                 
                                 <div class="form-group">
								    <label for="code">Base Price</label>
								    <input type="text" class="form-control"  placeholder="Base Price" name="basePrice">
                                 </div>


                                 <div class="form-group">
								    <label for="name">Description</label>
								    <input type="text" class="form-control"  placeholder="Enter valid value" name="description">
								 </div>
                                 <div class="form-group">
								    <label for="name">Opening Time</label>
								    <input type="text" class="form-control dp"  placeholder="Enter valid value" name="openingTime">
								 </div>
                                 <div class="form-group">
								    <label for="name">Closing Time</label>
								    <input type="text" class="form-control dp"  placeholder="Enter valid value" name="closingTime">
								 </div>
                                 <div class="form-group">
								    <label for="name">Tax</label>
								    <input type="text" class="form-control"  placeholder="Enter valid value" name="tax">
								 </div>
                                 
                                 <div class="form-group">
								    <label for="name">Selling Price</label>
								    <input type="text" class="form-control"  placeholder="Enter valid value" name="sellingPrice">
                                 </div>

                                 <div class="form-group">
								    <label for="name">Is Veg ??</label>
								    <select name="isVegeterian" id="" class="form-control">
                                        <option value="1">Yes</option>
                                        <option value="0">No</option>
                                    </select>
                                 </div>
                                 <div class="form-group">
                                    <label for="name">Is Non Veg ??</label>
                                        <select name="isNonVegeterian" id="" class="form-control">
                                            <option value="1">Yes</option>
                                            <option value="0">No</option>
                                        </select>
                                    </div>
                                 <div class="form-group">
								    <label for="name">Tags</label>
								    <input type="text" class="form-control"  placeholder="Enter valid value" name="tags">
                                 </div>
                                 
                                 <div class="form-group" id="baseOption">
                                    <label for="name">Options</label>
                                    <input type="text" name="baseOption" value="" class="form-control">
                                 </div>
                                 
                                <div class="form-group" id="options">
                                    <label for="name">Base Option</label>
                                    <input type="hidden" name="options" value="">
                                    <button type="button" class="btn btn-warning btn-block" id="options" data-toggle="modal" data-target="#optionDialog">
                                        <span class="fa fa-bars"></span>
                                        Add Options
                                    </button>
                                </div>

                          <!--       <div class="form-group" id="file">
                                        <label for="name">Image</label>
                                        <input type="hidden" name="image" value="">
                                        <a href="#" class="btn btn-warning btn-block" id="options">
                                            <span class="fa fa-file"></span>
                                            Add Image
                                        </a>
                                    </div> -->

                                
                                 
                                 <div class="form-group">
								    <label for="name">Cuisine</label>
								    <select name="cuisine" class="form-control">
                                     @forelse(\App\Models\Cuisine::all() as $cuisine)
                                         <option value="{{$cuisine->name}}">{{$cuisine->name}}</option>   
                                     @empty
                                     <option value="----">Select cuisine</option>
                                     @endforelse
                                    </select>    
                                 </div>
                                 
                                 <div class="form-group">
								    <label for="name">Food Type</label>
								    <select name="foodType" id="" class="form-control select2">
                                        @forelse(\App\Models\Food::all() as $cuisine)
                                            <option value="{{$cuisine->name}}">{{$cuisine->name}}</option>   
                                        @empty
                                        <option value="----">Select food</option>
                                        @endforelse
                                    </select> 
                                 </div>
                                 
								 <button class="btn btn-primary" style="border-radius: 20px;">
								 	Add  <span class="fa fa-plus"></span>
								 </button>	
                            </div>
                        </form>

                    </div>
                </div>
            </div>

            <div class="container">
            	<div class="row">
                    <h3>Outlet Menu Listings</h3>
            	@forelse(\App\Models\Station::all() as $food)
					<div class="col-md-4 col-lg-4 col-sm-6" style="padding:16px;background:#f9f9f9;border:1px solid #aaa;margin:auto">
						<form 	action="{{url('/manager/station/update')}}/{{$food->id}}" 
										class="form-horizontal ajaxForm"  
										role='form' 
										method="POST">
									
									<div class="panel panel-bd" style="padding:10px;">
                                        <div class="panel-heading ">
                                            Station - {{$food->code}}
                                        </div>
                                        <div class="panel-body">
                                            
                                                <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                                                <div class="form-group">
                                                    <label for="name">Name</label>
                                                    <input type="text" class="form-control"  placeholder="Station Name" name="name" value={{$food->name}}>
                                                 </div>
                                                 
                                                 <div class="form-group">
                                                    <label for="code">Code</label>
                                                    <input type="text" class="form-control"  placeholder="Station Code" name="code" value={{$food->code}}>
                                                 </div>
                
                
                                                 <div class="form-group">
                                                    <label for="name">Valid Till</label>
                                                    <input type="text" class="form-control dp"  placeholder="Enter valid value" name="validTill" value={{$food->validTill}}>
                                                 </div>
                                                 
                                                 <button class="btn btn-warning" style="border-radius: 20px;">
                                                     Edit  <span class="fa fa-edit"></span>
                                                 </button>

                                        </div>
                                    </div>							
					
						</form>

						<form 	action="{{url('/manager/station/delete')}}/{{$food->id}}" 
										class="form-inline ajaxForm"  
										role='form' 
										method="POST">
									
									<input type="hidden" name="_token" value="{{csrf_token()}}"/>
									 <button class="btn btn-danger">
									 	Delete  <span class="fa fa-trash"></span>
									 </button>							
					
                        </form>
                        
                        <a href="{{url('/admin/workflow/user')}}">Add Vendor</a>

							
                    </div>
            	@empty
					<div class="col-md-12">
                        <h4>No Station s added yet</h4>
                    </div>
            	@endforelse
            </div>
            </div>
    </section>

</div>
@stop


@section('script')
<script>

	$('.ajaxForm').submit(function(e){
		e.preventDefault();
		var self =  $(this);
		var data = self.serializeArray();
		var options =  {
			url:self.attr('action'),
			type:self.attr('method'),
			data:data,
        };
        
        console.log(data);

		$.ajax(options).done(function(res){
            window.location.reload();
        });
        
        

	});
</script>
@stop