@extends('app')
@section('content')
@if(\Auth::check())
<style>
    .select2-container{
        width: 336px !important;
    }
    .content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
    </style>
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
                <h1>Select Vendor</h1>
        </div>

        <div class="header-title">
           <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="{{url('/manager/Stations')}}"><i class="fa fa-arrow-left"></i></a>
        </div>
        
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{url('/admin/workflow/user')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <input type="hidden" name="role" value="vendor"/>
                            <div class="col-md-8">
                                 <div class="form-group row">
                                    <label for="name" class="col-md-3">Select Vendor</label>
                                    <div class="col-md-7">
                                        <select name="select_vendor" id="vendorS" class="form-control" onchange="setValue(this.value);">
                                           
                                            @forelse($vendors as $vendor)
                                            
                                            <option value="{{$vendor->id}}">{{$vendor->first_name}} {{$vendor->last_name}} ({{$vendor->email}})</option>
                                            @empty
                                            <span>No vendors available.</span>
                                            @endforelse
                                        </select>
                                        </div>
                                        <div class="col-md-2">
                                        <button  class="btn btn-success" type="submit" style="margin-left: -10px; background-color: #009688;border-color: #009688;margin-left: -21px;height: 28px;padding: 2px 20px;">Set</button>
                                        </div>
                                    </div>
                                
                            </div>
                            <div class="col-md-4">
                                <span id="selectedValueDisplay" style="color:#C00;text-align:right;font-weight:600;font-size:13px;"></span>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop
<script>
    function setValue(selectedValue){
      var selectedValue =  $('#vendorS').children("option:selected").text();
      $('#selectedValueDisplay').text(selectedValue);
    }
</script>