@extends('frontend')

@section('banner')

<h1>Order Food Online for Train Journey</h1>
            <div class="tabber">
                <div class="selections">
                    <div class="card">
                        <a href="#" id="byTrain"><span class="fa fa-train fa-3x"></span></a>
                        <p>Search By Train</p>
                    </div>
                    <div class="card">
                        <a href="#" id="byPNR"><span class="fa fa-calendar fa-3x"></span></a>
                        <p>Search By PNR</p>    
                    </div>
                    <div class="card">
                       <a href="#" id="byStation"> <span class="fa fa-bank fa-3x"></span></a>
                        <p>Search By Station</p>    
                    </div>
                </div>
                <div id="content">
                    <form action="{{url('/search')}}" id="trainTemplate" method="post">  
                        <input type="hidden" name="_token" value="{{csrf_token()}}">  
                        <input type="text" placeholder="Enter Train No" id="train">
                        <input type="text" placeholder="Enter Date of Journey" id="journey">
                        <input type="hidden" name="type" value="train">                 
                        <button>
                            Search
                        </button>
                    </form>
                </div>

                <div id="loader">
                    <span class="fa fa-cog fa-spin fa-2x"></span> <em style="margin-left:10px">Getting Results ......</em>
                </div>
            </div>

@stop


@section('headline')
    Choose your food in four steps
@stop



@section('content')

<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col lg-3 col-sm-6 col-xs-12">
                 <div class="cardX">
                     <img src="{{secure_asset('/static/img/step1.png')}}" alt="step1">
                     <h3>1.Enter PNR or Train</h3>
                     <p>
                        Find Restaurants that deliver food to you by entering your journey details.
                     </p>
                 </div>   
            </div>
            <div class="col-md-3 col lg-3 col-sm-6 col-xs-12">
                <div class="cardX">
                    <img src="{{secure_asset('/static/img/step2.png')}}" alt="step1">
                    <h3>1.Enter PNR or Train</h3>
                    <p>
                       Find Restaurants that deliver food to you by entering your journey details.
                    </p>
                </div>
            </div>
            <div class="col-md-3 col lg-3 col-sm-6 col-xs-12">
                <div class="cardX">
                    <img src="{{secure_asset('/static/img/step3.png')}}" alt="step1">
                    <h3>1.Enter PNR or Train</h3>
                    <p>
                       Find Restaurants that deliver food to you by entering your journey details.
                    </p>
                </div>   
            </div>

            <div class="cardX">
                <img src="{{secure_asset('/static/img/step4.png')}}" alt="step1">
                <h3>1.Enter PNR or Train</h3>
                <p>
                   Find Restaurants that deliver food to you by entering your journey details.
                </p>
            </div>
        </div>
    </div>
</div>
    
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                special offers
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                recent orders
            </div>
        </div>
    </div>  

</div>

<div class="section testimonialsBG">
    <div class="container">
        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Autem ducimus rem nobis voluptate veritatis eius odio explicabo obcaecati, odit ipsa placeat suscipit iste amet repellat aliquam corrupti cupiditate ratione aspernatur.
    </div>
</div>


@stop