@extends('v2.front')

@section('content')
<style>
    i.fa.fa-user {
        font-size: 14px !important;
        margin-right: 6px !important;
    }
    .sticky {
        overflow-x: hidden;
        overflow-y:auto;
        background: #f4f5f7 !important;
    }
    .footer-bg {
    
        margin-top: 60px;
    }
    .top-nav-menu li a {
        padding: 0px 18px !important;
    }
    .container {
        max-width: 1104px !important;
    }
    .center-line {
    
        padding-bottom: 0px;
    }
    .olf_sec{
    padding:0px;
    }
    .btn-main,.btn-primary {
    
        
    border: 1px solid #f67c01;
    background-color: #f67c01;
    }
    .btn-primary:hover {
    
        
    border: 1px solid #f67c01;
    background-color: #f67c01;
    }
    .baner-cnt h2 span {
        color: #f67c01;
    }
    .enjoy-food h2 {
        color: #f67c01;
    }
</style>


<section class="inner-banner">
    <div class="container">
        <div class="d-flex flex-wrap justify-content-between align-items-top">
            <div class="col-md-7">
                <div class="baner-cnt">
                    <h2>About <span> Us</span></h2>
                    <h2 style="font-size:21px;">Experience an exceptional food service with OLF</h2>
                    <p>
                        We are a food delivery and service aggregator born in Gwalior, India. Our food in train ordering services were incepted with a vision to provide train passengers with a platform to satiate their food cravings. OLF is an IRCTC authorized e-catering partner, our team is committed towards providing people with a satisfactory experience in train journey. Leave the hassle of preparing meals for your train journey, leave that job on us! We are associated with a network of 400+ renowned restaurants across the country, who strictly adhere to the safety and hygiene standards approved by FSSAI. So that, you can bid adieu to the pantry food or not so hygienic <a href="https://www.olfstores.com/">food served in train </a> or railway stations. 
                    </p>
                    
                    <p>
                        Your comfort and is our priority! So, whenever you plan your next train journey all you have to do is <a href="https://play.google.com/store/apps/details?id=com.olfstores.olf_user&pli=1">download our app</a> or visit our website and from the comfort of your train seat, browse through a selection of delicacies. Once you provide us with your location or <a href="https://www.olfstores.com/pnrstatus">PNR status</a>, the app navigates through top-tier restaurants that fall on your train route and provides you with ample food options to choose from. Place the order and relax, as our food genies take the plunge to deliver fresh and hygienic food at your train seat.

                    </p>
                </div>
            </div>
            <div class="col-md-5">
                <div class="about-food-bg">
                    <img src="{{url('assets/img/about-food.png')}}" alt="">
                </div>
            </div>

        </div>  

    </section>
        <!-- END top banner section -->

        <!-- START Get Your Order With Trusted People -->
        <div class="container">
                 <div class="d-flex justify-content-center">
                     <div class="col-md-12">
                        <div class="trainer-top text-center blog-main">
                        <div class="sec-heading center-line">Get Your Order With <br>Trusted People</div>
                        </div>
                    </div>
                 </div>
             </div>
         <section class="sec olf_sec">
           <div class="container">
              <div class="annula-plan d-flex flex-wrap align-items-center justify-content-between">
                  <div class="col-md-6 col-12">
                      <div class="enjoy-food">
                        <h2 class="enjoy-food-h2">Online Food Delivery in Train for you with full of safety</h2>
                         
                    </div>
                </div>
                <div class="col-md-6 col-12">
                  <div class="food-order">
                    <div class="img-blk"><img src="{{url('assets/img/delivery-boy.png')}}" alt=""></div>
                </div>
            </div>
        </div>

    </div>
         </section>

        <!-- END Get Your Order With Trusted People -->

        <!-- START accordian -->
        <!--
         <section class="sec background-or">
           <div class="container">
              <div class="annula-plan d-flex flex-wrap align-items-center justify-content-between">
                  <div class="col-md-6">
                      <div class="faq-page">
            
            
            
            
            
            
            <div id="accordion" class="accordion">
                
                
                <div class="card">
                    <div class="card-header collapsed" data-toggle="collapse" href="#collapse-1" aria-expanded="false">
                        <a class="card-title">
                           What are food additives?
                        </a>
                    </div>
                    <div id="collapse-1" class="card-body collapse" data-parent="#accordion" >
                        <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                    </div>
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-2" aria-expanded="false">
                        <a class="card-title">
                          Additional options &amp; services
                        </a>
                    </div>
                    <div id="collapse-2" class="card-body collapse" data-parent="#accordion">
                        <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                    </div>
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-3" aria-expanded="false">
                        <a class="card-title">
                          How to find
                        </a>
                    </div>
                    <div id="collapse-3" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-4" aria-expanded="false">
                        <a class="card-title">
                          Purchase process
                        </a>
                    </div>
                    <div id="collapse-4" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-5" aria-expanded="false">
                        <a class="card-title">
                          Before you purchase
                        </a>
                    </div>
                    
                    
                </div>
            </div>
        </div>
                </div>
                <div class="col-md-6">
                 <div class="faq-page">
            
            
            
            
            
            
            <div id="accordion" class="accordion">
                
                
                <div class="card">
                <div id="collapse-5" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-6" aria-expanded="false">
                        <a class="card-title">
                          Payment &amp; purchases process
                        </a>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-6" aria-expanded="false">
                        <a class="card-title">
                          Payment &amp; purchases process
                        </a>
                    </div>
                    <div id="collapse-6" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-7" aria-expanded="false">
                        <a class="card-title">
                          General Description
                        </a>
                    </div>
                    <div id="collapse-7" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-8" aria-expanded="false">
                        <a class="card-title">
                          How to search candidates 
                        </a>
                    </div>
                    <div id="collapse-8" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                    <div class="card-header collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse-9" aria-expanded="false">
                        <a class="card-title">
                          How to apply for job 
                        </a>
                    </div>
                    <div id="collapse-9" class="collapse" data-parent="#accordion">
                        <div class="card-body"><p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
                </div>
        </div>

    </div>
    <div class="leaf"></div>
         </section>
-->
        <!-- END accordian -->

       
         
      <!-- START Easy order in 4 steps -->

         <section class="sec">
  <div class="container">
        <div class="d-flex flex-wrap align-items-center our-trainer-main">
            <div class="col-6 col-md-3">
                <div class="trainer">
                    <div class="step-iner"><img src="{{url('assets/img/free-train-icon.png')}}" alt="Enter PNR & Choose your meal in Train" class="train-icon"></div>
                    <h4>ENTER PNR/TRAIN No.</h4>
                    <!-- <h5> Choose your meal from a diverse network of 400+ restaurants.</h5> -->
                </div>
            </div>
            <div class="col-6 col-md-3">
                <div class="trainer">
                    <div class="step-iner"><img src="{{url('assets/img/smartphone.png')}}"
                            alt="Choose your meal from a diverse network of 450+ restaurants" class="train-icon"></div>
                    <h4> Select restaurants & Food you want to order</h4>
                    <!-- <h5>Enter PNR or Train No.</h5> -->
                </div>
            </div>
            <div class="col-6 col-md-3">
                <div class="trainer">
                    <div class="step-iner"><img src="{{url('assets/img/payment-method.png')}}" alt="Pay online or pay cash on delivery" class="train-icon">
                    </div>
                    <h4>Pay online or pay cash on delivery</h4>
                    <!-- <h5>Enter PNR or Train No.</h5> -->
                </div>
            </div>
            <div class="col-6 col-md-3">
                <div class="trainer-last">
                    <div class="step-iner"><img src="{{url('assets/img/fast-food.png')}}"
                            alt="Indulge in delicious food delivered at your seat" class="train-icon"></div>
                    <h4>Get Hot & Tasty Food on your Seat</h4>
                    <!-- <h5>Enter PNR or Train No.</h5> -->
                </div>
            </div>

        </div>

    </div>

    
</section>
         
        <!-- END Easy order in 4 steps -->
         

        <!-- START From our Blogs -->
        <!--
         <section class="sec blogs-mobile">
             <div class="container">
                 <div class="d-flex justify-content-center">
                     <div class="col-md-12">
                        <div class="trainer-top text-center blog-main">
                        <div class="sec-heading center-line">From our Blogs</div>
                        </div>
                    </div>
                 </div>
             </div>

             <div class="container">
                 <div class="d-flex flex-wrap align-items-center our-trainer-main">
                     <div class="col-md-3">
                         <div class="blog">
                             <div class="blog-iner"><img src="assets/img/blog-1.png" alt=""></div>
                             <div class="blog-cnt">
                             <h4>My Baking Addiction</h4>
                             <p>Foundation works with the tools & services you already use every day.</p>
                             <a href="javascript:void(0)">Read More</a>
                             </div>
                         </div>
                     </div>
                       <div class="col-md-3">
                         <div class="blog">
                             <div class="blog-iner"><img src="assets/img/blog-2.png" alt=""></div>
                             <div class="blog-cnt">
                             <h4>The Country Cook</h4>
                             <p>Foundation works with the tools & services you already use every day.</p>
                             <a href="javascript:void(0)">Read More</a>
                             </div>
                         </div>
                     </div>
                       <div class="col-md-3">
                         <div class="blog">
                             <div class="blog-iner"><img src="assets/img/blog-3.png" alt=""></div>
                             <div class="blog-cnt">
                             <h4>Joy the Bakery</h4>
                             <p>Foundation works with the tools & services you already use every day.</p>
                             <a href="javascript:void(0)">Read More</a>
                             </div>
                         </div>
                     </div>
                       <div class="col-md-3">
                         <div class="blog">
                             <div class="blog-iner"><img src="assets/img/blog-4.png" alt=""></div>
                             <div class="blog-cnt">
                             <h4>Joy the Baker</h4>
                             <p>Foundation works with the tools & services you already use every day.</p>
                             <a href="javascript:void(0)">Read More</a>
                             </div>
                         </div>
                     </div>
                    
                 </div>

             </div>
         </section>
         -->
        <!-- END From our Blogs -->

        <!-- START Why OlfStores for Train Food Delivery? -->
         <section class="sec background-grey">
           <div class="container">
              <div class="annula-plan d-flex flex-wrap justify-content-between">
                <div class="col-md-6">
                    <div class="app-img-blk"><img src="{{url('assets/img/app-store.png')}}" alt=""></div>
                </div>

                  <div class="col-md-6">
                      <div class="enjoy-food food-listing">
                        <h2>The Best Food Delivery App</h2>
                        <p>We have a launch team that focuses on one city at a time. At the end of the day, we're a marketplace. In order to make an effective marketplace, you need critical mass. We need enough restaurants that quality and variety.</p>
                        <div class="app-store">
                            <a href="javascript:void(0)"><img src="{{url('assets/img/android-store.png')}}" alt=""></a>
                            <a href="javascript:void(0)"><img src="{{url('assets/img/apple-store.png')}}" alt=""></a>
                        </div>
                    </div>
                </div>

        </div>
    </div>
         </section>

        <!-- END Why OlfStores for Train Food Delivery? -->



        <!-- START What Our Viewer Say -->
<!--
         <section class="sec">
             <div class="container">
                 <div class="d-flex justify-content-center">
                     <div class="col-md-12">
                        <div class="trainer-top text-center blog-main">
                        <div class="sec-heading center-line">From our Blogs</div>
                        </div>
                    </div>
                 </div>
             </div>

             <div class="container">
                 <div class="d-flex flex-wrap align-items-center">
                     <div class="owl-carousel owl-theme">
                        <div class="item">
                        <div class="user-feedback">
                            <p>"Quick and efficient. Awesome service and very reliable!”</p>
                        </div>
                        <div class="guru-main d-flex flex-wrap align-items-top user-img">
                            <div class="guru-left">
                                <img src="assets/img/user-1.png" alt="">
                            </div>
                            <div class="guru-rgt">
                                <h4>Tina Roth Eisenberg</h4>
                                <p>Okla Labs</p>
                            </div>
                        </div>
                        </div>
                        <div class="item">
                        <div class="user-feedback">
                            <p>"Quick and efficient. Awesome service and very reliable!”</p>
                        </div>
                        <div class="guru-main d-flex flex-wrap align-items-top user-img">
                            <div class="guru-left">
                                <img src="assets/img/user-2.png" alt="">
                            </div>
                            <div class="guru-rgt">
                                <h4>Tina Roth Eisenberg</h4>
                                <p>Okla Labs</p>
                            </div>
                        </div>
                        </div>
                        <div class="item">
                        <div class="user-feedback">
                            <p>"Quick and efficient. Awesome service and very reliable!”</p>
                        </div>
                        <div class="guru-main d-flex flex-wrap align-items-top user-img">
                            <div class="guru-left">
                                <img src="assets/img/user-3.png" alt="">
                            </div>
                            <div class="guru-rgt">
                                <h4>Tina Roth Eisenberg</h4>
                                <p>Okla Labs</p>
                            </div>
                        </div>
                        </div>
                    </div>
                    
                 </div>

             </div>
         </section>
         -->
@stop

@php
    $metadata=\App\Models\PageMeta::where('id',2)->first();
@endphp

@section('title')
    {{$metadata->meta_title ?? ''}}
@stop

@section('meta_image')
{{ asset($metadata->meta_image ?? '') }}
@stop

@section('description')
    {{$metadata->meta_description ?? ''}}
@stop



<style>
    p {
    font-family: 'Abhaya Libre';
    font-weight: 400 !important;
}
h2{
    font-family: 'Abhaya Libre' !important;
}
.center-line{
     font-family: 'Abhaya Libre' !important;
}
.enjoy-food h4{
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #fff !important;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a:hover {
    color: #fff ;
}
.footer-bg:before{
    display: none !important;
}
.leaf-ft:before{
    display: none !important;
}
.top-banner:after{
     display: none !important;
}
.background-or:after{
    display: none !important;
}
.background-or:before{
    display: none !important;
}
.leaf:after{
    display: none !important;
}
.background-grey:after{
    display: none !important;
}
.background-grey:before{
   display: none !important; 
}
.footer-bg:after{
     display: none !important; 
}
img.train-icon {
    height: 100px;
    margin-top: 10px;
}
header {
    padding: 8px 0px;
  
}
.trainer-last{
    text-align: center;
    padding: 20px;
    max-height: 340px;
    position: relative;
    min-height: auto;
    margin-top:-70px;
}
.trainer-last:hover {
    background-color: #fff;
    height: 100%;
    border-radius: 8px;
    -webkit-box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 13%);
    box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 13%);
    cursor: pointer;
    padding: 20px;
}
.trainer-last h4 {
    font-weight: 600;
    padding: 15px 0;
    font-size: 22px;
}
.trainer::before:not(:last-child){
    background-image:none !important;
}
.trainer::before {
    
    right: -103px;
}
.enjoy-food h2 {
    color: #ff6713;
    font-size: 28px;
    padding-bottom: 30px;
    font-family: "Merienda One";
    font-weight:600;
}
.app-store {
    margin-top:20px;
}
@media (max-width:480px){
    .trainer-last {
   
   margin-top: 0px!important;
}  
.trainer-last h4 {
    font-size: 15px;
}
}
@media (max-width:576px){
    .trainer-last {
   
   margin-top: 0px!important;
}  
.trainer-last h4 {
    font-size: 15px;
}
}

@media (max-width: 768px){
    .banner-lft-cnt .btn-main {
    margin-left: 5% !important;
    float: left !important;
    padding: 6px 5px !important;
    font-size: 14px !important;
    width: 51% !important;
}
.banner-lft-cnt {
    padding: 15px 0;
    text-align: center !important;
    padding-left: 0px !important;
}
.trainer-last {
   
   margin-top: -70px;
} 
.trainer h4 {
    
    font-size: 15px !important;
} 
.wa-link {
    display: block !important;
    bottom: 3% !important;
    float: right;
    right: 8%;
    position: absolute;
    width: 29%;
    background-color: transparent !important;
    z-index: 9 !important;
}
.step-iner {
    min-height: 142px;
    max-height: 140px;
    height: auto;
    width: auto;
    overflow: hidden;
    text-align: center;
    border-radius: 4%;
}
.trainer {
    min-height: 252px;
}
.trainer h4 {
    font-size: 13px;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 619px !important;
}

}

@media screen and (max-width: 991px) {
  
    img.train-icon {
    padding: 10px !important;
    height: auto !important;
    }
    a.btn.btn-primary {
    margin-top: 2px !important;
}
.h2, h2 {
    font-size: 16px !important;
    text-align: center;
}
.footer-bg {
    margin-top: 0px !important;
}
.app-store{
    display:flex;
    justify-content:center;
}
.app-store > a img {
    max-width: 163px;
}
.login-rgt-button a {
    font-size: 10px;
    padding: 3px;
}
.container {
    max-width: 829px !important;
}
.app-store > a img {
    max-width: 145px;
}
.app-store{
    display:flex;
}
.train-fileds {
    width: 92% !important;
    margin: 0 auto;
}
.app-store > a img {
    max-width: 142px !important;
}
.trainer-last h4 {
   
    font-size: 15px;
}
.trainer-last {
   
    margin-top: 7px;
}
.h2, h2 {
    font-size: 20px !important;
    text-align: center;
    font-weight: 600 !important;
}
.h3, h3{
    font-size: 20px !important;
    
    font-weight: 600 !important;   
}
.enjoy-food h4 {
    font-size: 17px;
    padding-bottom: 5px;
    line-height: 28px;
    font-weight: 600;
}
.h2, h2 {
    font-size: 20px !important;
    font-weight: 600 !important;
}
}


</style>