@extends('v2.front')

@section('content')
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<style>
.baner-cnt{
    background: #fff;
    padding: 10px 20px;
   box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}
.sec-heading {
    font-size: 34px !important;
    font-weight: 600;
    color: #181f2e;
    position: relative;
    margin-top: 60px;
}
.baner-cnt h4 {
    font-weight: 600;
    margin-bottom: 3px !important;
}
.profile-form{
    border: 1px solid #e6e6e6;
    padding: 15px 10px;
    box-shadow: 0 0 3px rgba(0,0,0,0.3);
}
.center-line {
    font-family: "Abhaya Libre";
    padding-bottom: 19px !important;
}
.h5, h5 {
    font-size: 16px !important;
    margin-right: 9px;
}
section {
    padding: 30px 0 !important;
}
p{
    line-height: 20px !important;
}
.contact-main ul li a {
    font-size: 14px;
    font-family: 'Abhaya Libre'!important;
    display: flex;
    align-items:center;
}
.profile-form .form-control {
    background-color: #f6f7f8;
    border: 0;
    padding: 20px 10px !important;
}
.quick-call h4 {
    font-size: 30px !important;
    color: #ffffff;
    font-family: "Abhaya Libre";
}
.quick-call h3 {
    font-size: 30px !important;
    font-family: "Abhaya Libre";
}
.quick-call {
    padding: 12px 0 !important;
}
.btn-main {
    display: inline-block;
    color: #ffffff;
    font-size: 17px !important;
    border-radius: 5px;
    text-align: center;
    padding: 5px 15px !important;
    border: 1px solid #ff6713;
    font-weight: 500;
    -webkit-transition: all 0.6s ease-in 0s;
    -o-transition: all 0.6s ease-in 0s;
    transition: all 0.6s ease-in 0s;
    background-color: #ff6713;
    -webkit-box-shadow: 0 3px 10px rgb(252 141 71 / 20%);
    cursor: pointer;
    text-transform: capitalize;
}
div:where(.swal2-container).swal2-center>.swal2-popup {
    grid-column: 2;
    grid-row: 2;
    align-self: center;
    justify-self: center;
    width: 285px;
    margin-top: -71px;
}
div:where(.swal2-container) button:where(.swal2-styled) {
    margin: 0.3125em;
    padding: 3px 14px;
    transition: box-shadow .1s;
    box-shadow: 0 0 0 3px rgba(0,0,0,0);
    font-weight: 500;
   
}
div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
   
    background-color: #f67c01;
  
}
.sbt-btn{
    margin-bottom:0rem !important;
}
.term_condition{
    display: flex;
    align-items: flex-start;
    margin-bottom: 10px;
    font-size: 13px;
    color: #495057;
}
.term_condition input{
    margin-right: 9px;
    margin-top: 4px;
}

    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
#error{
    color:#C00;
    display:block;
    font-size:12px;
    margin-left:10px;
}
.btn-main,.btn-primary {
   
    
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.baner-cnt h2 span {
    color: #f67c01;
}
.btn-main.filled, .btn-main:hover, .btn-main:focus {
    color: #f67c01;}
</style>

<main>
    <section class="inner-banner">
    <div class="container">
    <div class="d-flex flex-wrap justify-content-between align-items-top">
        <div class="col-md-5">
            <div class="about-food-bg">
                <img src="{{url('assets/img/contact-us.png')}}" alt="">
            </div>
            <div class="col-md-12">
                <div class="trainer-top">
                    <div class="sec-heading center-line">We are always open 24/7 for you</div>
                </div>
             </div>
             <div class="col-md-12">
                    <div>
                        <img src="/8739122f367a0d2a6049ef77cda58f48.png" alt="">
                        <p><b>Address:</b> <span style="color:#f67c01;font-weight: 700;">OLF STORES AND TECHNOLOGIES PRIVATE LIMITED</span> H.NO.62 C/O MAHESH SINGH KRISHNA NIWAS,, HILLS VIEW COLONY,D.D NAGAR, GATE NO.2, GWALIOR, Gwalior, Madhya Pradesh, India, 474005</p>
                    </div>
                </div>
                <div class="col-md-12">
                    <div>
                        <img src="/f2b06d50c2587e921b22c1404fcbbb36.png" alt="">
                        <p><b>Email Address:</b> <span>contact@olfstores.com</span></p>
                    </div>
                </div>
                <div class="col-md-12">
                    <div>
                        <img src="/1467781e22eecf43ebb03316272ac877.png" alt="">
                        <p><b>Phone Number:</b> 9522996999</p>
                    </div>
                </div>
        </div>
         <div class="col-md-1">
         </div>
        <div class="col-md-6">
            <div class="baner-cnt">
                    <h2>Contact <span> Us</span></h2>
                    <h4>Let's Get in touch</h4>
                    <p>Feel free to contact us we will get back to you as soon as we can.</p>
                <form id="myForm">
                    <div class="d-flex flex-wrap align-items-center justify-content-between profile-form">
                        
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Full Name<span class="compulsary-star">*</span></label>
                                <input type="text" class="form-control" id="fullName" name="fullName" placeholder="Your Name" required>
                                <span style="display: none">First Name is required</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Email Address<span class="compulsary-star">*</span></label>
                                <input type="email" class="form-control" id="email" name="email" placeholder="Your Email" required>
                                <span style="display: none">Enter a valid email</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Phone Number<span class="compulsary-star">*</span></label>
                                <input type="text" class="form-control" placeholder="Your Number" required  id="phn_no" >
                                <span style="display: none">Enter Phone Number</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Subject<span class="compulsary-star">*</span></label>
                                <input type="text" class="form-control" id="Subject" placeholder="Subject" required>
                                <span style="display: none">Enter Subject</span>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Message<span class="compulsary-star">*</span></label>
                                <textarea class="form-control" rows="2" id="Message" placeholder="Write your message here..." required></textarea>
                                <span style="display: none">Enter Message</span>
                            </div>
                        </div>
                        <div class="col-md-12 d-flex term_condition">
                            <input type="checkbox" id="Term" value="check">
                            <div>I authorize OLF Stores and its representative to call ,SMS, Email or whatsapp me about its products and offers . This consent overrides any registration for DNC/ NDNC.</div>
                            
                        </div>
                        <div id="error"></div>
                        <div class="col-md-12">
                            <div class="form-group sbt-btn">
                                <div class="login-button">
                                    <!-- <input class="btn-main login-btn" type="button" name="submit" value="Submit" onclick="getFormData()"> -->
                                     <input class="btn-main login-btn" type="button" name="submit" value="Submit" onclick="getFormData()">
                                </div>
                            </div>
                        </div>

                    </div>
                </form>
                

            </div>
        </div>
       

    </div>

    </section>


        <div class="quick-call-blk">
            <div class="d-flex flex-wrap justify-content-center align-items-center">
                <div class="col-md-12">
                    <div class="quick-call text-center">
                        <h3>Call Us for Quick Order</h3>
                        <h4>+91-9522996999</h4>
                    </div>
                </div>
            </div>
        </div>

</main>
<script>
   function getFormData() {
  // const myForm = document.getElementById('myForm');
  // const formData = new FormData(myForm);
  // const data = Object.fromEntries(formData);
  // console.log('[FORM_DATA]', data);
  
  if($('#fullName').val()=='')
  {
    alert('Please Enter full Name');
    return false;
  }
  
  var email = $('#email').val();
  var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;

  var phoneNumber = $('#phn_no').val();
  var phonePattern = /^\d{10}$/; // Assuming a 10-digit number

  
  
  if (!email.match(emailPattern)) {
    alert('Please Enter a valid Email address');
    return false;
  }
  if (!phoneNumber.match(phonePattern)) {
    alert('Please Enter a valid 10-digit Phone Number');
    return false;
  }
  if($('#Subject').val()=='')
  {
    alert('Please Enter Subject');
    return false;
  }if($('#Message').val()=='')
  {
    alert('Please Enter Message');
    return false;
  }
  
  
 if (!(document.getElementById("Term")).checked){
  document.getElementById("error").innerHTML = "You must accept the terms and conditions by checking the Checkbox";
  return false;
 }
 else{
    document.getElementById("error").innerHTML= ''
 }
 

  var fullName=$('#fullName').val();
  var email=$('#email').val();
  var phn_no=$('#phn_no').val();
  var Subject=$('#Subject').val();
  var Message=$('#Message').val();
  var Term=$('#Term').val();
 

  if(typeof fullName =='number'){
    alert('please fill alphate');
    return false
  }
  var base_url = '{{url('')}}';
   $.ajax({
    type: 'POST',
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
    },
    url: base_url + '/SubmitEnquery',
    cache: false,
    data: {
        'fullName':fullName,'email':email,'phn_no':phn_no,
        'Subject':Subject,
        'Message':Message,
        'Term':Term,
   },
    success: function(data) {
        
        
        Swal.fire({
  
  text: 'Thanks For Submission',
  
  confirmButtonText: 'OK',
}); 

         $('#fullName').val('');
         $('#email').val('');
         $('#phn_no').val('');
         $('#Subject').val('');
         $('#Message').val('');
       $('#Term').val('');
     }
         
    });

  
}
</script>
<!-- END Call Us for Quick Order -->



<!-- START map location -->


<!-- END map location -->





@stop


@section('title')
Having any query regarding food? Contact Us | OLF
@stop
@section('description')Have a hunger free train journey with OLF. Call us on +91-9522996999 or download our app for more information. @stop

<style>
        p {
    font-family: 'Abhaya Libre' !important;
    font-weight: 400 !important;
}
h2{
   
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.center-line{
        font-family: 'Abhaya Libre' !important;
}
.quick-call h3{
        font-family: 'Abhaya Libre' !important;
}
.quick-call h4{
     font-family: 'Abhaya Libre' !important;
}
.form-group {
    font-family: 'Abhaya Libre';
    font-weight: 400 !important;
}
.footer-bg:after{
    display:none !important;
}
.baner-cnt h2 {
    padding-bottom: 10px;
    font-size: 35px !important;
    font-family: "Abhaya Libre";
    text-align: center;
    font-weight: 600;
}
.quick-call-blk {
   
   background-color: #f67c01 !important;
}
@media(max-width:991px){
    .baner-cnt h2 {
    padding-bottom: 0;
    font-size: 24px;
    text-align: center;
    font-weight: 600;
}
}
</style>
