@extends('v2.front')

@section('content')

<section class="sec">
    <div class="container">
        
        <div class="train-fileds">
                            <!--<input type="text" name="TRAIN" placeholder="Train Number/Name" @click="${this.setRoute}" @change="${this.handleChange}"><br> -->
                            <input type="text" name="PNR"
                                placeholder="{{session()->has('queryPNR') ? session('queryPNR') : 'PNR'}}"
                                @click="${this.setRoute}">


                        </div>


                        @if(session()->has('error'))
                        <div class="alert alert-danger">
                            {{session('error')}}
                        </div>
                        @endif

        <button class="mt-3 btn-main"><i class="fa fa-search"></i>Search Restaurants</button>
        
        <h1 class="text-center mt-4">
            Order Delicious Dinner in Train with OLF
        </h1>
        <p class="mt-4">
            It is said “Dinner is better when family eats together”, enjoy the cohesiveness of a quality meal time with your friends and family even when you travel in train. Order dinner on train with OLF, as we take the plunge to make your meal time special.
        </p>

        <dl class="mt-4">
            <dt>How to order dinner in train online?</dt>
            <dd>
                It’s quite simple, all you have to do is visit our official website, or download our app on your android smartphone. Navigate to Google Play Store download OLF, log in to app, enter required information and now brace yourself for tasty journey ahead! Put an end to your night cravings with a delicious range of dinner train menu available. All you have to do is, enter the pnr status of your train or your train number, then select the date of your train journey and your source station, destination station and voila! Tasty railway dinner will come to you in no time!
            </dd>

            <dt>We offer quality services</dt>
            <dd>

                OLF strives to be India’s no. 1 food in train delivery aggregator. We provide railway dining, lunch in train, breakfast in train, snacks in train at major railway stations across country. We have partnered with over a network of 400+ restaurants, so providing you with hot food on schedule will not be a problem for us.
                <br>

                Quality food, hygienic food is guaranteed! As our restaurants only adhere to FSSAI approved safety protocols. So order your favourite dinner in train and we will deliver it right at your train seat.

            </dd>

            <dt>Dinner train menu- What option is available?</dt>
            <dd>
                Craving something spicy? Or something chatpata? Order Non-Veg Dinner in train, Veg Dinner food in train which offers you with a variety of Chinese food, South Indian food, North Indian food, Hyderabadi cuisine, Italian food, gujarati food, and other cuisines. We also have Jain cuisine available aboard the train. Whether it's nutritious snacks, cold and refreshing soft beverages, or a combination dinner, you can count on us for irctc dinner booking.
            </dd>
        </dl>
    </div>
</section>
@stop

@section('title')Order Dinner in Train with OLF | Tasty & Quick Food Delivery in Train @stop
@section('description')Order delicious & healthy Dinner in Train & Get Tasty Dinner at the Best Price Delivered at Your Seat with 100% hygienic. 
Choose From OLF. @stop

<style>
.footer-bg:after{
    display: none !important;
}
.contact-main ul li a{
    font-size: 14px;
    font-family: 'Abhaya Libre'!important; 

}
p {
    font-family: 'Abhaya Libre' !important;
   font-weight: 500 !important;
}
    h1.text-center.mt-4 {
    font-family: 'Abhaya Libre';
}
p.mt-4 {
    font-family: 'Abhaya Libre';
    font-weight: 500 !important;
}
dt {
    font-family: 'Abhaya Libre';
}
dd {
    font-family: 'Abhaya Libre';
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
</style>
