@extends('v2.front')

@section('content')
<style>
    p{
        margin-bottom:0;
    }

    p {
    font-family: 'Abhaya Libre' !important;
    font-weight: 400 !important;
}
h1{
   
    font-family: 'Abhaya Libre' !important;
}
h2{
   
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #fff;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.footer-bg:after{
    display:none !important;
}
.sticky header {
    background-color: #f67c01;
}

    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
.top-nav-menu li a {
    padding: 0px 18px !important;
    font-weight: 600;
}
.btn-primary {
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.btn-primary:hover {
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
@media (max-width:1024px){
    .top-nav-menu li a {
    padding: 0px 13px !important;
    font-weight: 600 !important;
}

}
@media (max-width:786px){
    .container {
    max-width: 829px !important;
}
h1{
    font-size:20px;
}
}
</style>
<div class="container" style="margin-top:100px">
        <h1>
            OLF: Find us serving in 450+ Locations across India
        </h1>
        
        <hr>
        
        <p>
            At OLF, our motto is to reach to a wider range of train passengers by enabling them to order food in train. We understand, train journey can give you major food cravings and that’s where we come to play! OLF delivers food across 450+ locations, we partner with a network of restaurants approved by FSSAI. So no matter what’s your mood, we house a range of flavours and delectable delicacies to make your train journey worth every moment.
        </p>
        
       
       <table class="table table-responsive">
           @foreach($stations->chunk(5) as $key => $chunks)
           <tr> 
                @foreach($chunks as $station)
                <td>
                    <p>
                        <a href="{{url('')}}/locations/order-food-in-train-at-{{preg_replace('/\s/', '-', $station->name)}}-{{$station->code}}-order-food-at-your-train-seat">
                            <b>{{$station->name}}- {{$station->code}}</b>
                        </a>
                    </p>
                </td>
                @endforeach
            </tr>

       @endforeach
    
       </table>

</div>
@stop

@php
    $metadata=\App\Models\PageMeta::where('id',6)->first();
@endphp

@section('title')
{{$metadata->meta_title ?? ''}}
@stop

@section('meta_image')
{{ asset($metadata->meta_image ?? '') }}
@stop

@section('description')
{{$metadata->meta_description ?? ''}}
@stop

