@extends('v2.front')

@section('content')
<section class="sec">
    <div class="container">
        
        <div class="train-fileds">
                            <!--<input type="text" name="TRAIN" placeholder="Train Number/Name" @click="${this.setRoute}" @change="${this.handleChange}"><br> -->
                            <input type="text" name="PNR"
                                placeholder="{{session()->has('queryPNR') ? session('queryPNR') : 'PNR'}}"
                                @click="${this.setRoute}">


                        </div>


                        @if(session()->has('error'))
                        <div class="alert alert-danger">
                            {{session('error')}}
                        </div>
                        @endif

        <button class="mt-3 btn-main"><i class="fa fa-search"></i>Search Restaurants</button>
        
        <h1 class="text-center mt-4">
            Order Lunch in Train with OLF
        </h1>

        <div class="mt-4">
            <p style="font-family: 'Abhaya Libre' !important;">
                Lunch is an important meal of the day; it provides healthy nutrients and required calories that keep your body running throughout the day. Therefore, when planning your train journey, don’t forget to order lunch on train with OLF.
                <br>
                We take the responsibility to make your train travel delicious and super healthy; OLF is an IRCTC approved e-catering aggregator. We have a network of 400+ restaurants that adhere to safety & hygiene protocols approved by FSSAI. Therefore, we can guarantee you will not only get hot & fresh lunch in train, but it will be 100% hygienic and safe to eat.

            </p>


        </div>

        <dl>
            <dt>Choose from a variety of food options-</dt>
            <dd>
                Say goodbye to old times when you had to satisfy your taste buds via pantry car food or food available from station vendors. With OLF, you can now purchase irctc lunch online and choose from a variety of offerings. We know the taste buds of every Indian traveler is as unique as their personality; hence, you get to choose from a myriad of North Indian cuisines, Chinese food, south Indian food, Jain food, veg food, non-veg food, Italian food, indo-chinese food, Mughlai food, fast food and a lot more.
                <br>
                After every meal, we quench your sweet tooth for those who crave something sweet after every meal by offering Indian sweets, cakes, desserts, and pastries. You have everything on your phone, whatever your mood is, there’s a lot of comfort food on train. 

            </dd>
            <dt>What are the types of lunch on a train near me?</dt>
            <dd>
                OLF serves you with a wide range of delicacies choose from:
                Order Thali in train: Veg Thali, Non-Veg Thali, Maharaja Thali, Deluxe Thali, Combo Thali
                <br>
                Order Veg lunch food in train: Order chhole bhature, roti, aloo sabzi, aloo gobhi, matar paneer, shahee paneer, palak paneer, paneer butter masala, mixed vegetable, poha, khichdi, duma aloo, rajma chawal, chhole chawal, dal chawal, dosa, idli sambhar, vada pao, vada sambhar, pav bhaji and a lot more.
                <br>
                Order Non Veg lunch in train: butter chicken, chicken rara, mutton, chicken 65, chicken biryani, mutton biryani, chicken tikka, egg biryani, bread omelette, tandoori chicken, chicken sandwich.

            </dd>

        </dl>
    </div>
</section>
@stop

@section('title')Order Lunch in Train with OLF | Tasty & Quick Food Delivery in Train @stop


@section('description')Order delicious & healthy Lunch in Train & Get Tasty Lunch at the Best Price Delivered at 
Your Seat with 100% hygienic. Choose From OLF. @stop

<style>
    h1.text-center.mt-4 {
    font-family: 'Abhaya Libre';
}
p {
    font-family: 'Abhaya Libre' !important;
   font-weight: 500 !important;
}

dd {
    font-family: 'Abhaya Libre';
}
dt {
    font-family: 'Abhaya Libre';
}
.footer-bg:after{
    display: none !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
</style>

