@extends('v2.front')

@section('content')
<section class="inner-banner">
    <div class="container">
        <div class="d-flex flex-wrap justify-content-between align-items-top">
            <div class="col-md-6">
                <div class="baner-cnt">
                    <h2>{{$station->name}} <span> Junction</span></h2>
                    <h4>Let's Find best for you</h4>
                    <p>But I must explain to you how all this mistaken idea of denouncing pleasure and praising pain was born and I will give you a complete account of the system, and expound the actual teachings of the great explorer of the truth, the master-builder of human happiness. No one rejects, dislikes, or avoids pleasure</p>

                </div>
            </div>
            <div class="col-md-6">
                <div class="resturant-food-bg">
                    <img src="assets/img/resturant-list-img.png" alt="">
                </div>
            </div>

        </div>

</section>
<!-- END top banner section -->

<!-- START Best Resturant For You -->
<section class="sec">
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="col-md-12">
                <div class="trainer-top text-center">
                    <div class="sec-heading center-line">Best Resturant For You</div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="d-flex flex-wrap align-items-center our-trainer-main">
            @forelse($restraunts as $restraunt)

            <div class="col-md-3">
                <div class="resturant-main">
                    <div class="resturant-iner"><img src="{{secure_asset('assets/img/resturant-4.png')}}" alt=""></div>
                    <div class="resturant-cnt">
                        <h4>{{$restraunt->name}}</h4>
                        <h5><img src="assets/img/veg.png" alt=""> {{$restraunt->tags}}</h5>
                        <h6><i class="fa fa-money"></i>Accepts cash & online payments</h6>
                        <h6><i class="fa fa-clock-o"></i>{{$restraunt->order_timing}} min</h6>
                        @if(! $restraunt->da)
                        <h6 style="color:{{$restraunt->color}}">Order booking not Available right now</h6>
                        @endif
                        <div class="login-button get-started">
                            <a href="{{ $restraunt->da ?route('web.items',['id' => $restraunt->id]) :'#'}} " class="btn-main login-btn">View Menu</a>
                        </div>
                    </div>
                </div>
            </div>



            @empty
                <div class="col-lg-12">
                    <h3 class="text-center">
                        Sorry No Restraunts are available at this time
                    </h3>

                    <div class="text-center p-4">
                            <a href="#" class="btn btn-primary text-center backBtn">
                                <i class="fa fa-chevron-left"></i>
                                Back
                            </a>
                    </div>
                </div>
            @endforelse
        </div>

    </div>
</section>
<!-- END Best Resturant For You -->


@stop