@php
$stations = $result->stations;
$passengerInfo = $result->passengerInfo;
$trainInfo = $result->trainInfo;
@endphp

<table class="table table-bordered">

    <thead>
        <tr>
            <th>
                #
            </th>

            <th>
                Coach
            </th>

            <th>
                Berth
            </th>
        </tr>
    </thead>
    @foreach($passengerInfo as $key => $pass)
    <tr>
        <td>{{$key}}</td>
        <td>{{$pass->currentCoach}}</td>
        <td>{{$pass->currentBerthNo}}</td>

    </tr>

    @endforeach

</table>

<table class="table table-condensed">
    <tr>
        <th>
            Train no
        </th>
        <td>
            {{$trainInfo->trainNo}}
        </td>
    </tr>

    <tr>
        <th>
            Train Name
        </th>
        <td>
            {{$trainInfo->name}}
        </td>
    </tr>

    <tr>
        <th>
            Source Station
        </th>
        <td>
            {{$trainInfo->fromStationName ?? "--"}}
        </td>
    </tr>

    <tr>
        <th>
            Destination Station
        </th>

        <td>
            {{$trainInfo->toStationName ?? '--'}}
        </td>
    </tr>
</table>

<table class="table table-bordered">

<thead>
    <tr>
        <th>#</th>
        <th>Station</th>
        <th>Arrival Date</th>
        <th>Arrival Time</th>
        <th>
            Halt (in minutes)
        </th>
    </tr>
</thead>
    @foreach($stations as $key => $station)

    <tr>

    <td>
        {{$key}}
    </td>
        <td>
            {{$station->name}}/{{$station->code}}
        </td>

        <td>
            {{$station->arrDate}}
        </td>

        <td>
            {{$station->schArrivalTime}}
        </td>

        <td>
            {{$station->halt}} min
        </td>

        <td>
            @if(in_array($station->code, $codes))
                <a href="{{route('pnr.fetch', ['pnr' => $pnr])}}">
                    book food
                </a>
            @endif
        </td>
    </tr>
    @endforeach
</table>