<?php $__env->startSection('content'); ?>
<style>
    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
.ql-editor .ql-align-justify {
   
    font-weight: 400 !important;
}
.ql-editor p:nth-child(23), .ql-editor p:nth-child(24), .ql-editor p:nth-child(25), .ql-editor p:nth-child(13), .ql-editor p:nth-child(11), .ql-editor p:nth-child(14){
    display:flex;

}
.blog-container{
    margin-top:30px;
}
p {
  
    font-weight: 500;
}
@media (max-width:991px){
h1{
    font-size:15px;
}
.ql-editor .ql-align-justify {
    text-align: justify;
    font-weight: 500;
    margin-top: 10px;
}
.content h1{
    font-weight:600;
}
.blog-container{
    margin-top:-20px;
}
.ql-editor p:nth-child(2), .ql-editor p:nth-child(5), .ql-editor p:nth-child(7), .ql-editor p:nth-child(9), .ql-editor p:nth-child(16),
 .ql-editor p:nth-child(18), .ql-editor p:nth-child(21), .ql-editor p:nth-child(27){
    display:none;
}

.ql-editor p:nth-child(10) span:nth-child(2), .ql-editor p:nth-child(11) span:nth-child(2), .ql-editor p:nth-child(12) span:nth-child(2), .ql-editor p:nth-child(13) span:nth-child(2){
    width:100%;
}
.ql-editor p:nth-child(10), .ql-editor p:nth-child(11), .ql-editor p:nth-child(12), .ql-editor p:nth-child(13), .ql-editor p:nth-child(14){
    margin-top:4px;
    display:flex;
}
.ql-editor p:nth-child(26){
display:flex;
}
}
    </style>
<div class="container blog-container">
    <link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
    <link href="//cdn.quilljs.com/1.3.6/quill.bubble.css" rel="stylesheet">

    <div class="content row">
        <div class="sidebar col-12 col-sm-4 col-md-4 col-lg-3 d-none d-sm-block">
            
            <h3>Recent Posts</h3>

            <ul class="list-group">
                <?php $__empty_1 = true; $__currentLoopData = $recentPosts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <li class="list-group-item">
                    <a href="<?php echo e($category->url); ?>">
                        <?php echo e(substr($category->title, 0,20)."..."); ?>

                    </a>
                </li>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                <li class="list-group-item">
                    No Categories
                </li>
                <?php endif; ?>
            </ul>


        </div>

        <div class="col-12 col-sm-8 col-md-8 col-lg-9">
            
            <p>
                
                <!-- <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                
                    <a href="<?php echo e($category->url); ?>" >
                        <?php echo e($category->name); ?> •
                    </a>
                
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                
                    No Categories
                
                <?php endif; ?> -->
                
            </p>
            
            <?php if($lastPost): ?>
            <h1>
                <?php echo e($lastPost->title); ?>

            </h1>
            <?php if($lastPost->image!=""): ?>
            <div>
            <img src="<?php echo e(url($lastPost->image)); ?>"  height="300px" width="800px" />
            </div>
            <?php endif; ?>
            <div id="content">

            </div>
            
            <?php else: ?>
            <p>
                No Blog Posts found
            </p>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer-scripts'); ?>

<script src="//cdn.quilljs.com/1.3.6/quill.js"></script>
<script src="https://unpkg.com/quill-image-resize-module@3.0.0/image-resize.min.js"></script>
<script>
    var content = `<?php echo $lastPost != null ? base64_decode($lastPost->content) : "<p>No Post</p>"; ?>`;

    var options = {
        readOnly: true,

    };
    var $editor = new Quill(document.querySelector("#content"), options)
    $editor.root.innerHTML = content
</script>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('title'); ?><?php echo e($title); ?><?php $__env->stopSection(); ?>

<?php $__env->startSection('description'); ?><?php echo e($description); ?> <?php $__env->stopSection(); ?>

<?php echo $__env->make('v2.front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/v2/blog/index.blade.php ENDPATH**/ ?>