<?php $__env->startSection('content'); ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<style>
.baner-cnt{
    background: #fff;
    padding: 10px 20px;
   box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}
.sec-heading {
    font-size: 34px !important;
    font-weight: 600;
    color: #181f2e;
    position: relative;
    margin-top: 60px;
}
.baner-cnt h4 {
    font-weight: 600;
    margin-bottom: 3px !important;
}
.profile-form{
    border: 1px solid #e6e6e6;
    padding: 15px 10px;
    box-shadow: 0 0 3px rgba(0,0,0,0.3);
}
.center-line {
    font-family: "Abhaya Libre";
    padding-bottom: 19px !important;
}
.h5, h5 {
    font-size: 16px !important;
    margin-right: 9px;
}
section {
    padding: 30px 0 !important;
}
p{
    line-height: 20px !important;
}
.contact-main ul li a {
    font-size: 14px;
    font-family: 'Abhaya Libre'!important;
    display: flex;
    align-items:center;
}
.profile-form .form-control {
    background-color: #f6f7f8;
    border: 0;
    padding: 20px 10px !important;
}
.quick-call h4 {
    font-size: 30px !important;
    color: #ffffff;
    font-family: "Abhaya Libre";
}
.quick-call h3 {
    font-size: 30px !important;
    font-family: "Abhaya Libre";
}
.quick-call {
    padding: 12px 0 !important;
}
.btn-main {
    display: inline-block;
    color: #ffffff;
    font-size: 17px !important;
    border-radius: 5px;
    text-align: center;
    padding: 5px 15px !important;
    border: 1px solid #ff6713;
    font-weight: 500;
    -webkit-transition: all 0.6s ease-in 0s;
    -o-transition: all 0.6s ease-in 0s;
    transition: all 0.6s ease-in 0s;
    background-color: #ff6713;
    -webkit-box-shadow: 0 3px 10px rgb(252 141 71 / 20%);
    cursor: pointer;
    text-transform: capitalize;
}
div:where(.swal2-container).swal2-center>.swal2-popup {
    grid-column: 2;
    grid-row: 2;
    align-self: center;
    justify-self: center;
    width: 285px;
    margin-top: -71px;
}
div:where(.swal2-container) button:where(.swal2-styled) {
    margin: 0.3125em;
    padding: 3px 14px;
    transition: box-shadow .1s;
    box-shadow: 0 0 0 3px rgba(0,0,0,0);
    font-weight: 500;
   
}
div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
   
    background-color: #f67c01;
  
}
.sbt-btn{
    margin-bottom:0rem !important;
}
.term_condition{
    
    margin-bottom: 10px;
    
    color: #495057;
}
.term_condition input{
    margin-right: 9px;
    margin-top: 4px;
}

    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
#error{
    color:#C00;
    display:block;
    font-size:12px;
    margin-left:10px;
}
.btn-main,.btn-primary {
   
    
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.baner-cnt h2 span {
    color: #f67c01;
}
.btn-main.filled, .btn-main:hover, .btn-main:focus {
    color: #f67c01;
}
  .baner-cnt h1 {
    color: #fff;
    background: #f67c01;
    text-align: center;
    padding: 6px;
}
</style>

<main>
    <section class="inner-banner">
        <div class="container">
            <div class="d-flex flex-wrap justify-content-between align-items-top">
                
                <div class="col-lg-8 m-auto">
                    <div class="baner-cnt">
                            <h1>Bulk Order Request</h1>
                            
                    
                            <form id="myForm">
                    <div class="d-flex flex-wrap align-items-center justify-content-between profile-form">
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>Email<span class="compulsary-star">*</span></label></b>
                                <input type="email" class="form-control" id="email" name="email" placeholder="Your Email" required>
                                <span style="display: none">Enter a valid email</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>Your Name<span class="compulsary-star">*</span></label></b>
                                <input type="text" class="form-control" id="name" name="name" placeholder="Your Name" required>
                                <span style="display: none">Name is required</span>
                            </div>
                        </div>
                        
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>Mobile Number<span class="compulsary-star">*</span></label></b>
                                <input type="text" class="form-control" placeholder="Your Number" required  id="mob_no" >
                                <span style="display: none">Enter Mobile Number</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>Number of Passengers</label></b>
                                <input type="text" class="form-control" id="no_pessenger" placeholder="Number of Passengers" required>
                                <span style="display: none">Enter No of Passengers</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>Journey Date<span class="compulsary-star">*</span></label></b>
                                <input type="date" class="form-control" id="jur_date" placeholder="Date" required>
                                <span style="display: none">Enter Date</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <b><label>PNR Number<span class="compulsary-star">*</span></label></b>
                                <input type="text" class="form-control" id="pnr_no" placeholder="PNR Number" required>
                                <span style="display: none">Enter PNR Number</span>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Message</label>
                                <textarea class="form-control" rows="2" id="message" placeholder="Write your message here..." required></textarea>
                                <span style="display: none">Enter Message</span>
                            </div>
                        </div>
                        <div class="col-md-12 term_condition">
                            <label>I am travel agent<span class="compulsary-star">*</span></label>
                            <div class=" d-flex align-items-center">
                            <input type="radio" name="travel_agent" value="Yes" id="travel_agent" style="margin-left:20px;"> Yes
                            <input type="radio" name="travel_agent" value="No" id="travel_agent" style="margin-left:20px;"> No
                            
                            </div>
                            
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label></label>
                                <input type="hidden" class="form-control" id="Status" placeholder="PNR Number" required>
                                
                            </div>
                        </div>
                        
                        
                        <div class="col-md-12 mt-3 text-center">
                            <div class="form-group sbt-btn">
                                <div class="login-button">
                                    <!-- <input class="btn-main login-btn" type="button" name="submit" value="Submit" onclick="getFormData()"> -->
                                     <input class="btn-main login-btn" type="button" name="submit" value="Submit" onclick="getFormData()">
                                </div>
                            </div>
                        </div>

                    </div>
                </form>
                            
                        
                    </div>
                
                </div>
            
            </div>
    
        </div>
        

    </section>
</main>
<script>
   function getFormData() {


    var travel_agent = $("input[name='travel_agent']:checked").val();
  
  if (typeof travel_agent === 'undefined') {
    alert('Please select "Yes" or "No" for Travel Agent');
    return false;
  }


  if($('#email').val()=='')
  {
    alert('Please Enter Email');
    return false;
  }
  
  var email = $('#email').val();
  var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;

  var phoneNumber = $('#mob_no').val();
  var phonePattern = /^\d{10}$/; // Assuming a 10-digit number

  var pnr_no = $('#pnr_no').val();
var pnrPattern = /^[A-Za-z0-9]{10}$/; // Assuming a PNR is a 6-character alphanumeric code

var no_pessenger = $('#no_pessenger').val();

if (isNaN(no_pessenger) || no_pessenger <= 0) {
  alert('Please Enter a valid number of passengers');
  return false;
}

if (!pnr_no.match(pnrPattern)) {
  alert('Please Enter a valid 10-character PNR Number');
  return false;
}
  
  if (!email.match(emailPattern)) {
    alert('Please Enter a valid Email address');
    return false;
  }
  if (!phoneNumber.match(phonePattern)) {
    alert('Please Enter a valid 10-digit Phone Number');
    return false;
  }
  if($('#name').val()=='')
  {
    alert('Please Enter Name');
    return false;
  }if($('#message').val()=='')
  {
    alert('Please Enter Message');
    return false;
  }

  if($('#jur_date').val()=='')
  {
    alert('Please Enter Date');
    return false;
  }
  

  if($('#mob_no').val()=='')
  {
    alert('Please Enter Mobile Number');
    return false;
  }
  
  if($('#travel_agent').val()=='')
  {
    alert('Please Click Yes or No');
    return false;
  }
  
 

  var name=$('#name').val();
  var email=$('#email').val();
  var mob_no=$('#mob_no').val();
  var pnr_no=$('#pnr_no').val();
  var jur_date = $('#jur_date').val();
  var no_pessenger=$('#no_pessenger').val();
  var message=$('#message').val();
  var travel_agent=$('#travel_agent').val();
  var Status=$('#Status').val();
  
 

  if(typeof name =='number'){
    alert('please fill alphate');
    return false
  }
  var base_url = '<?php echo e(url('')); ?>';
   $.ajax({
    type: 'POST',
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
    },
    url: base_url + '/OrderBooking',
    cache: false,
    data: {
        'name':name,'email':email,'mob_no':mob_no,
        'pnr_no':pnr_no,'no_pessenger':no_pessenger,
        'message':message,
        'jur_date':jur_date,
        'travel_agent':travel_agent,
        'Status':Status,
       
   },
    success: function(data) {
        
        
        Swal.fire({
  
  text: 'Thanks For Submission',
  
  confirmButtonText: 'OK',
}); 

         $('#name').val('');
         $('#email').val('');
         $('#mob_no').val('');
         $('#phn_no').val('');
         $('#no_pessenger').val('');
         $('#message').val('');
         $('#travel_agent').val('');
         $('#jur_date').val('');
         $('#Status').val('');
     }
         
    });

  
}
</script>
<!-- END Call Us for Quick Order -->



<!-- START map location -->


<!-- END map location -->



<?php $__env->stopSection(); ?>

<?php
    $metadata=\App\Models\PageMeta::where('id',3)->first();
?>

<?php $__env->startSection('title'); ?>
<?php echo e($metadata->meta_title ?? ''); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('meta_image'); ?>
<?php echo e(asset($metadata->meta_image ?? '')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('description'); ?>
<?php echo e($metadata->meta_description ?? ''); ?>

<?php $__env->stopSection(); ?>





<style>
        p {
    font-family: 'Abhaya Libre' !important;
    font-weight: 400 !important;
}
h2{
   
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.center-line{
        font-family: 'Abhaya Libre' !important;
}
.quick-call h3{
        font-family: 'Abhaya Libre' !important;
}
.quick-call h4{
     font-family: 'Abhaya Libre' !important;
}
.form-group {
    font-family: 'Abhaya Libre';
    font-weight: 400 !important;
}
.footer-bg:after{
    display:none !important;
}
.baner-cnt h2 {
    padding-bottom: 10px;
    font-size: 35px !important;
    font-family: "Abhaya Libre";
    text-align: center;
    font-weight: 600;
}
.quick-call-blk {
   
   background-color: #f67c01 !important;
}
.LsSwGf {
    -webkit-user-select: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    cursor: pointer;
    display: inline-block;
    height: 20px;
    outline: none;
    position: relative;
    vertical-align: middle;
    width: 37px;
    z-index: 0;
}
.FXLARc {
    -webkit-flex-shrink: 0;
    flex-shrink: 0;
}
.hh4xKf {
    -webkit-transition: border-color .3s ease;
    transition: border-color .3s ease;
    border: 7px solid #b9b9b9;
    -webkit-border-radius: 7px;
    border-radius: 7px;
    position: absolute;
    top: 3px;
    width: 23px;
}
.SWVgue:not(.qs41qe):hover>.YGFwk {
    -webkit-animation: appsMaterialWizRadialInkSpread;
    animation: appsMaterialWizRadialInkSpread;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    background-color: rgba(32,33,36,.04);
}
.Y4klN.i9xfbb > .MbhUzd, .Y4klN.u3bW4e > .MbhUzd {
    background-color: rgba(143, 53, 27, 0.15);
}
.SWVgue.i9xfbb>.YGFwk {
    background-color: rgba(26,115,232,.25);
}
.SWVgue>.YGFwk {
    -webkit-transform: scale(2);
    transform: scale(2);
}
.i9xfbb>.YGFwk {
    background-color: rgba(0,150,136,0.2);
}
.rbsY8b {
    transition: -webkit-transform .06s ease;
    -webkit-transition: -webkit-transform .06s ease;
    -webkit-transition: transform .06s ease;
    transition: transform .06s ease;
    -webkit-transition: transform .06s ease,-webkit-transform .06s ease;
    transition: transform .06s ease,-webkit-transform .06s ease;
}
.E7QdY {
    -webkit-transition: border-color .3s ease;
    transition: border-color .3s ease;
    border: 10px solid #fafafa;
    -webkit-border-radius: 100%;
    border-radius: 100%;
    position: absolute;
    -webkit-box-shadow: 0px 1px 3px rgba(0,0,0,.4);
    box-shadow: 0px 1px 3px rgba(0,0,0,.4);
}
.Y4klN.N2RpBe .espmsb {
    border-color: rgb(143, 53, 27);
    color: rgba(255, 255, 255, 1);
}
.SWVgue.N2RpBe .E7QdY {
    border-color: rgb(26,115,232);
}
[aria-checked=true] .E7QdY {
    border-color: #009688;
}
.E7QdY {
    -webkit-transition: border-color .3s ease;
    transition: border-color .3s ease;
    border: 10px solid #fafafa;
    -webkit-border-radius: 100%;
    border-radius: 100%;
    position: absolute;
    -webkit-box-shadow: 0px 1px 3px rgba(0,0,0,.4);
    box-shadow: 0px 1px 3px rgba(0,0,0,.4);
}

.LsSwGf {
    -webkit-user-select: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    cursor: pointer;
    display: inline-block;
    height: 20px;
    outline: none;
    position: relative;
    vertical-align: middle;
    width: 37px;
    z-index: 0;
}
.docssharedWizToggleLabeledContainer {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    flex-grow: 1;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    justify-content: space-between;
}
.Jo4Fpf.iib5kc {
    background: rgb(52,168,83);
}
.Jo4Fpf {
    border-radius: 40px;
    height: 10px;
}
.XEkxq {
    background: url(https://www.gstatic.com/recaptcha/api2/logo_48.png);
    background-repeat: no-repeat;
    background-size: 24px;
    display: inline-block;
    height: 24px;
    width: 24px;
    margin-right:10px;
}
.zmR5lf{
    justify-content: center;
    display: flex;
    align-items: center;
}
.form-control{
    margin-bottom:16px;
}
.hh4xKf {
    -webkit-transition: border-color .3s ease;
    transition: border-color .3s ease;
    border: 7px solid #b9b9b9;
    -webkit-border-radius: 7px;
    border-radius: 7px;
    position: absolute;
    top: 3px;
    width: 51px;
}
.LsSwGf {
    -webkit-user-select: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    cursor: pointer;
    display: inline-block;
    height: 20px;
    outline: none;
    position: relative;
    vertical-align: middle;
    width: 56px;
    z-index: 0;
}
.Y4klN.N2RpBe > .MLPG7 {
    border-color: rgb(233, 215, 209);
}
@media(max-width:991px){
    .baner-cnt h2 {
    padding-bottom: 0;
    font-size: 24px;
    text-align: center;
    font-weight: 600;
}
}
</style>

<?php echo $__env->make('v2.front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/v2/pages/bulkorder.blade.php ENDPATH**/ ?>