<?php $__env->startSection('content'); ?>
<style>
.d-flex{
    display:flex;
    justify-content: space-between;
    align-items:center;
}
.form-inline{
    margin-bottom:0px;
}
.container {
    width: 993px;
    box-shadow: 0px 0px 5px rgba(0,0,0,1.0);
}
.flex-direction{
    display:flex;
    flex-direction:row;
}
.flex-direction a{
    margin-right:5px;
    font-size:13px;
}
.station-title{
    padding:0px 10px;
}
.main-header{
    background-color:#010a0f;
    color:#fff;
}
.station-table{
    border:1px solid #000;
}
.form-control {
    
    text-transform: uppercase;
}
#ui-datepicker-div{
    z-index: 9999 !important;
}
.modal-body{
    padding:10px;
}
.mt-2{
    margin-top:10px;
}
.form-inline .form-control {
    display: inline-block;
    width: 100%;
    vertical-align: middle;
}
.header-icon .fa{
    font-size: 31px;
    margin-right: 10px
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 93px;
    float: left;
    margin-top: -4px;
    line-height: 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 10px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
</style>
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            <i class="fa fa-train"></i>
            <h1>Trains</h1>
        </div>
        <div class="header-title">
            
            
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    
              background-color: #009688;
               border-color: #009688; color: white" ><i class="fa fa-edit" ></i></a>
        </div>
    </section>

    <section class="content">
        <div class="row">
            <?php if(hasPermission(['create-train'])): ?>
            <div class="col-md-12">
                <div class="panel panel-bd ">
                    <div class="panel-heading">
                        Add Train 
                    </div>                       
                    <div class="panel-body">
                        <form action="<?php echo e(url('/manager/add-trains-step-one')); ?>" class="form-horizontal"  role='form' method="POST">
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
                            <div class="col-md-12">
                              <div class="row pl-pr">
                                <div class="col-md-10">
                                    <div class="row">   
                                    <label for="name" class="col-md-4">Select Train</label>
                                    <div class="col-md-8">
                                        <?php if(!empty($trains) && !empty($trains->data)): ?>
                                        <select class="selectBox form-control" name="train_id">
                                            <?php $__currentLoopData = $trains->data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trainData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($trainData->trainId); ?>"><?php echo e($trainData->trainNumberAndName); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php endif; ?>
                                    </div>
                                    </div>
                                    <?php if($errors->has('train_number')): ?>
                                        <span class="text-danger" style="text-align: center;">
                                            <?php echo e($errors->first('train_number')); ?>

                                        </span>
                                    <?php endif; ?>
                                </div>           
                                <div class="col-md-2 text-right">
                                    <button type="submit" class="btn btn-primary">
                                        Add  <span class="fa fa-plus"></span>
                                    </button>  
                                </div>
                              </div>
                            </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <?php if(hasPermission(['station-list'])): ?>
            <div class="container-fluid">
                <div class="row">
                    <div class="table-responsive a">
                        <table class="table-bordered table">
                            <thead>
                                <tr class="main-header">
                                    <th style="min-width:150px;text-align:center;">Sl.No.</th>
                                    <th style="min-width:150px;text-align:center;">Train Number</th>
                                    <th style="min-width:120px;text-align:center;">Train Name</th>
                                    <th style="min-width:200px;text-align:center;">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = \App\Models\Trains::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trainData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr class="stationlist">
                                    <td class="stationCode text-center">
                                        <?php echo e($loop->iteration); ?>

                                    </td>
                                    <td class="stationCode text-center">
                                        <?php echo e($trainData->number); ?>

                                    </td>
                                    <td class="stationCode text-center">
                                        <?php echo e($trainData->name); ?>

                                    </td>
                                    <td class="stationCode text-center" style="font-size: 20px;">
                                        <a href="#" target="_blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                        <?php if(hasPermission(['edit-train'])): ?>
                                        <a href="<?php echo e(url('/manager/train-content-edit/'.$trainData->id)); ?>" class="btn btn-warning"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a>
                                        <?php endif; ?>
                                        <?php if(hasPermission(['delete-train'])): ?>
                                        <a href="<?php echo e(url('/manager/train-content-delete/'.$trainData->id)); ?>" class="btn btn-danger"><i class="fa fa-trash" aria-hidden="true"></i></a>
                                        <?php endif; ?>
                                    </td>  
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="5" style="text-align: center;">
                                        No Trains added yet
                                    </td>
                                </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <?php endif; ?>
    </section>

    

</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
<script>

    $('.dp').datepicker();

	$('.ajaxForm').submit(function(e){
		e.preventDefault();
		var self =  $(this);
		var data = self.serializeArray();
		var options =  {
			url:self.attr('action'),
			type:self.attr('method'),
			data:data,
		};

		$.ajax(options).done(function(res){
            window.location.reload();
        });
        
        

	});

    function searchTrains() {
    var input = document.getElementById("searchTrain");
    var filter = input.value.toLowerCase();
    var outlets = document.querySelectorAll(".stationlist");
    for (var i = 0; i < outlets.length; i++) {
        var outlet = outlets[i];
        var outletName = outlet.querySelector("#stationName").value.toLowerCase();

        if (outletName.includes(filter) ) {
            outlet.style.display = "table-row"; // Display the row
        } else {
            outlet.style.display = "none"; // Hide the row
        }
    }
}

// Add an event listener to the input field for keyup event
document.querySelector('#searchTrain').addEventListener('keyup', function() {
    searchTrains(); // Call the search function when the user types
});

// $('.edit').click(function(){
//     $('.model').show();
// })

function openModel(getid){
    var url = "<?php echo e(url('')); ?>";
    $.ajax({
       type: 'POST',
       headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
       },
       url: url + '/GetFoodDetails',
       cache: false,
       data: {
           'getid':getid
       }, 
       success: function(data) {
       
       // var obj = JSON.parse(data);
        console.log(data.code);
        $("#stationcode").val(data.code);
        $("#stationname").val(data.name);
        $("#hid").val(data.id);
        $('.model').show();
        
       }})

}

function submitDetail(){
    var base_url = "<?php echo e(url('/manager/station/update')); ?>";
   var code =  $("#stationcode").val();
   var name =   $("#stationname").val();
    var id =    $("#hid").val();
    $.ajax({
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
        },
        url: base_url,
        cache: false,
        data: {
            'id': id,
            'name':name,
            'code':code,
            
        },
        success: function(data) {
            location.reload();
        }
    })
    
}
    
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/trains/index.blade.php ENDPATH**/ ?>