<?php $__env->startSection('content'); ?>
<style>
    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
header {
    padding: 8px 0px;
  
}
.btn-primary {
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.btn-primary:hover, .btn-primary:active {
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.alert-info {
    color: #fff;
    background-color: #f67c01;
    border-color: #f67c01;
}
.alert-info p{
    font-size: 19px;
    color: #fff;
    margin-bottom:0px;
}
.btn-primary.focus, .btn-primary:focus {
    box-shadow:none !important;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #f67c01;
    border-color: #f67c01;
}
@media (max-width:991px){
h1{
    font-size:16px;
}
h2{
    font-size:14px;
}
h3{
    font-size:14px;
}
}
    </style>
<section class="section-banner">
    <div class="container">

        <h1>
            Check PNR Status
        </h1>

        <h2>
            Train PNR Status Enquiry at OLF
        </h2>
        <div style="margin-top: 30px;">
            <form action="" method="post" class="form-inline">

                <div class="form-group mx-sm-3 mb-2">
                    <label for="inputPassword2" class="sr-only">PNR Number</label>
                    <input type="text" class="form-control" name="pnr" placeholder="Enter 10 digit PNR">
                </div>
                <button type="submit" class="btn btn-primary mb-2">Submit</button>
            </form>

        </div>
        <hr>

        <?php if(session()->has('pnrMessage')): ?>
        <div class="alert alert-info">
            <p>
                <?php echo e(session('pnrMessage')); ?>

            </p>
        </div>
        <?php endif; ?>

        <?php if($result != null): ?>

        <?php echo $__env->make('v2.partials.pnrResult', ['result'=> $result->result,'codes' => $codes, 'pnr' => $pnr], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php endif; ?>


    </div>

    <div class="container">
        
<h1>PNR: What is it and how does it turn significant?</h1>
<p>
PNR is the short form of ‘Passenger Name Record’, and Indian Railways does assign this exclusive number to every reserved railway ticket. The present condition of booked rail tickets, no matter whether it is waitlisted, RAC, or confirmed is called the PNR status. This PNR is a unique 10-digit number. It is necessary that every passenger preserve their PNR cautiously as it helps a lot in different matters right from getting information about reservation status to refund of the ticket amount in case the train is cancelled. 
The IRCTC PNR status 10 digit number demonstrates a passenger’s fundamental information, like his name, sex, age, train details, ticket booking status, and date of the journey. The database allocates this unique number with all passenger details that are entered when they book the ticket.
Every PNR status 10 digit comprises a max. of 6 passengers only, and the PNR number does last for at least nine months. It is since TDR filed takes a max. of nine months. After this, it is withdrawn from the database. When only the bought ticket status gets confirmed, further travel data, such as berth number, berth type, and coach number becomes available.
Where does the PNR number remain located?
</p>
<p>
A person can easily find his 10-digit PNR number if he sees the topmost left-hand side of his train ticket. It also remains stored in Railways when it is being generated besides every piece of information related to the passengers as well as their journey. 
After the PNR number was implemented successfully in Airlines, Indian Railways embraced it, and in Railways, it is managed well. PNR numbers turn the entire process efficient and smooth for both passengers and the railway department, particularly for passengers because they can go through several things connected to their journey and coach just by discovering the IRCTC PNR status check. Since this number is computer-generated and unique, it helps both the passengers and railway administration to track all records related to the journey and allied matters easily. OLF also takes help of PNR of the passengers to track the food orders and deliver it accordingly. 

</p>
<h3>Why would you rely on us?
</h3>
<p>
When people use our PNR status check inquiry system, they can check the PNR status of Indian Railways in real-time. Additionally, they can get a real-time update on their railway ticket. You must tap on the button mentioning ‘PNR Status’ when you enter the 10-digit PNR number. 
We continue to keep our passengers updated about their PNR number status before their train ride. This way, we help them make a well-informed choice. Passengers can download our application from the Play Store for keeping themselves updated on the PNR check on mobile. We also ask the passengers to provide their PNR while ordering food. It makes our job easy and fast. It helps us to track the train status and deliver food as per the orders. 
Our whole process of railway food supply is a perfect example of impeccable supply chain management. We serve hot and tasty food only. The food items are collected from the specific restaurants. We have to keep track when the train is arriving at a particular station when we deliver food to the passengers with previous orders. The whole process is executed with hundred percent accuracy where PNR plays a vital role. 

</p>

<h3>Why book your tickets with us?</h3>

<p>
We provide several features that seem unparalleled to the passengers which is why they choose us. Some unique aspects of our services are:


</p>

<table class="table">
    <tr>
        <td>Get confirmed ticket of IRCTC</td>
        <td>When passengers use our train alternates as well as prediction characteristic, they augment their opportunities to get confirmed train tickets of IRCTC</td>
    </tr>
    <tr>
        <td>Free cancellation of the IRCTC tickets</td>
        <td>Passengers will get a full refund of their IRCTC train tickets when they opt for our free cancellation feature.</td>
    </tr>
    <tr>
        <td>UPI-enabled secured payment</td>
        <td>We keep our passengers’ payments highly secured. Additionally, we offer several payment and UPI modes</td>
    </tr>
    <tr>
        <td>Inquiry booking and inquiry support</td>
        <td>Passengers can get round-the-clock customer support from us related to any IRCTC booking-related queries and train inquiry</td>
    </tr>
    <tr>
        <td>Live tracking of train status</td>
        <td>They can also check train status as well as notification of their IRCTC train tickets</td>
    </tr>
</table>

<h3>What does the PNR number store?</h3>
<p>
    PNR number stores some information about passengers like:
<ul>
    <li>• The travel details of passengers, like the ticket number, seat number, coach number and name, destination station, the status of their tickets, mode of payment, and berth preferences.</li>
    <li>• The personal details, like their age, sex, date of birth, email address, and phone number.</li>
</ul>
</p>

    
<h3>How does the PNR status work? </h3>    
<p>
    The PNR check train status works on the following steps for completing a reservation process:
        <ul>
    <li>• PNR includes general passenger details including contact details, names, agency address info, etc. to the reservation.
    </li>
    <li>• PNR also performs pricing and booking steps for air segments.
    </li>
    <li>• It also performs hotel aggregator or Sabre GDS hotel booking through a booking key.
    </li>
    <li>• PNR also performs every booking step for rental vehicles.
    </li>
    <li>• Includes miscellaneous segment info and specific service details, like TSA-related details, Remarks, SSRs, etc.
    </li>
    <li>• Commits or finalizes the transaction.</li>
    </ul>
</p>
    
    
<h3>Significance of the PNR status</h3>
<p>
Indian Railways propose passengers with Passenger Name Record via IRCTC. It comprises a 10-digit number containing every piece of necessary information of the passengers including their name, gender, age, info of the train coach, train number, boarding station, seat number, and a class of travel. Besides, IRCTC PNR involves other information too connected to payment made via gateways, the fare of the ticket, and transaction ID.
It is important to note that a PNR remains valid for a particular journey as well as for a particular person. The IRCTC PNR status is volatile. So, when a passenger’s voyage completes, Indian Railways erases it. When you take our assistance, you will confront a charming experience. The best thing is you will be able to make an IRCTC PNR status check of your train easily. We will propose you with only the accurate information regarding your travel.
Method of checking the PNR status of your train

</p>

<p>
You can easily track PNR status because to make a train PNR enquiry you need not put much effort. For knowing the PNR status, you must open the search bar and enter your PNR number. When you do it, it will automatically show you your ticket’s PNR status. Though the top left corner will display your PNR number the PNR number of your e-ticket will appear in a different location. It will get printed on the page’s top half.
Kinds of IRCTC PNR status

</p>

<p>
You will come across various PNR status types and some of them are:</br>
    • RAC – RAC is the abbreviation for Reservation Against Cancellation and it means the railway ticket has got a confirmed seat but it has a wait-listed berth too. When you get your ticket booked by the status of RAC, then you have the split the allocated berth into a couple of seats. <br>
    • CNF – CNF is meant confirmed. When your ticket status shows CNF then you can be sure that your seats have got confirmed. <br>
    • WL – Waiting List is meant your ticket status will become confirmed only when passengers who are traveling on the same train and have booked their tickets too will cancel their tickets. <br>
    • CAN – CAN is meant canceled. It means your ticket is no longer valid. <br>
    • PQWL – PQWL meant Pooled Quota Waiting List and this status is issued when passengers travel from origin stations to stations those are short of the ultimate station. <br>
    • GNWL – This is meant General Waiting List, and the chances of this ticket status being confirmed are high. <br>
    • TQWL – TQWL is meant Tatkal Quota Waiting List and it is the waiting list meant for Tatkal tickets booking. Nonetheless, at the time of preparing the charge, GNWL is chosen over TQWL. <br>
    • RLWL – RLWL is the abbreviation for Remote Location Waiting List. It is meant tickets are issued to passengers for immediate stations that are situated between the origin and last station). These stations are commonly the most vital towns that fall on the route. <br>
    • NOSB – NOSB meant No Seat Berth. It means your journey is permitted without a seat. Commonly, it is allotted to child passengers who have not attained the age of 11 years. <br>
When a passenger fails to get a confirmed railway ticket, he must check the availability of seats on other trains. <br>
 
</p>

<p>
The  generation of PNR for different types of trains For every train of the Indian Railways, the PNR number gets generated from regular passenger trains to daily express trains. Every train is classed according to its average speed, halts, and various other factors. <br>
    • Express trains – The express or super-fast express trains operate all across India’s longer distance routes. Passengers can reserve their tickets here. So, they will come across an exclusive PNR number that is generated for all tickets that help in recognizing the traveler. <br>
    • Passenger trains – Commonly, passenger trains run between short-distanced cities, and there are slow and fast passenger trains that the Indian Railways run. As there isn’t any train ticket reservation facility available for these kinds of trains, no PNR number becomes generated. <br>
    • Metro trains – A metro train is a train that is equipped with every technology and facility that has begun operations in many metro cities, such as Mumbai, Bangalore, and Delhi. As the metro train tickets are not reserved, no PNR number generation becomes processed here. <br>
    • Suburban local trains – Many fast local trains are available that halt at only the important stations. Here, reserving a seat does not seem possible. Hence, no PNR generation gets applied on a suburban train. <br>
    • Rajdhani Express trains – The Rajdhani Express Trains are fully air-conditioned and they are also fast trains having a lesser number of stops. These trains run between significant Indian cities. You can reserve the train tickets besides the PNR status. <br>
    • Janshatabdi and Shatabdi Express trains – The Janshatabdi and Shatabdi express trains run between moderately-distanced vital stations. Both these trains lack sleeper coaches. However, there is a difference between Janshatabdi and Shatabdi trains. The Hanshatabdi trains comprise both non-AC and AC coaches. On the other hand, the Shatabdi trains tend to be fully AC. Passengers can check these trains’ PNR and they can also reserve the tickets from here. <br>
    • Duronto Express trains – The Duronto express trains from the origin station to the destination station, and there isn’t any halt in between. You can reserve the tickets. Again, you can track the PNR status too.  <br>
    • Garib Rath trains – The Garib Rath Trains have Air Conditioned 3 Tier coaches. You can also reserve tickets besides checking the PNR status for these trains. <br>
</p>


<h3>Meaning of PNR number generated <h3>
    <p>
PNR number holds different pieces of information connected to a passenger’s train journey and some of them are:
    • Details of Passengers – The details of passengers, like name, sex, age, and berth preference.
    • Details of tickets – Date of journey, train number, source or origin station, boarding station, destination station, quota, berth, and class.
    • Payment details, type of transaction, and fare.
    • The initial three digits convey from which PRS or Passenger Reservation System the railway ticket has got booked.
    • Zonal codes 
        ◦ 1 SCR Secunderabad PRS
        ◦ 2,3 NCR, NR, NER, and NWR
        ◦ 4,5 SWR, SR, and SCR Chennai PRS
        ◦ 6,7 ECR, NFR, SER, SECR Calcutta PRS, and ECoR.
        ◦ 8,9 WCR, WR Mumbai PRS, and CR.
</p>
<p>
The last 7 digits are some randomly generated numbers that use the Rand () function and these numbers do not represent any information about the journey or ticket. They remain available to provide the PNR number with a unique identity.
What is meant by PNR confirmation probability?
PNR confirmation probability is meant the chances of getting a ticket confirmed when the present status is mentioned as “Not Available”. If every RAC and confirmed ticket does not remain available, then the Indian Railways allots a waitlisted ticket so that passengers can do bookings of respective class and train. Ticket Confirmation Probability depends on many factors, such as seasons, festivals, special events, etc. When your ticket becomes confirmed then you must check the train running status.

</p>
</div>

</section>
<?php $__env->stopSection(); ?>


<?php
    $metadata=\App\Models\PageMeta::where('id',4)->first();
?>

<?php $__env->startSection('title'); ?>
<?php echo e($metadata->meta_title ?? ''); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('meta_image'); ?>
<?php echo e(asset($metadata->meta_image ?? '')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('description'); ?>
<?php echo e($metadata->meta_description ?? ''); ?>

<?php $__env->stopSection(); ?>



<?php $__env->startSection('footer-scripts'); ?>
<script type="application/ld+json">
      {
        "@context": "https://schema.org",
        "@type": "FAQPage",
        "mainEntity": [{
                "@type": "Question",
                "name": "What is PNR?",
                "acceptedAnswer": {
                    "@type": "Answer",
                    "text": "PNR is an abbreviation for ‘Passenger Record Name’, Indian Railways assigns a unique number to each reserved rail ticket. The current state of a booked rail ticket, such as whether it is confirmed, waitlisted, or RAC, is referred to as the PNR Status. Passengers can check their PNR status online from OLF website, or mobile application. It gives passengers basic information such as their name, age, and gender, as well as the day and time of their travel, train information, and the status of their ticket purchase. Only if the purchased ticket status is Confirmed further travel data like coach number, berth number, and berth type is available."
                }
            }, {
                "@type": "Question",
                "name": "Ways To Check IRCTC PNR Status",
                "acceptedAnswer": {
                    "@type": "Answer",
                    "text": "Check PNR Status Online through OLF Website, Check PNR Status through SMS - In case, you're not online, you may send an SMS to 139 using the format below. • Send the text: PNR <10 digit PNR Number> to 139. • Example- PNR 4360373388 You will get a sms on your registered mobile number with your PNR Status, confirmation and updates. Please note that SMS service will incur carrier costs."
                }
            }, {
                "@type": "Question",
                "name": "Where can I see my PNR number?",
                "acceptedAnswer": {
                    "@type": "Answer",
                    "text": "On your Railway Ticket- In most cases, the PNR number is displayed in the upper left corner of the printed tickets (tickets that are taken from railway station booking window).
                    For E - tickets - When you book train ticket through IRCTC or a third - party travel website,
                    your IRCTC PNR is listed at the top of your ticket. < /p>"
                }
            }, {
                "@type": "Question",
                "name": "What is the meaning of 10-digit PNR number?",
                "acceptedAnswer": {
                    "@type": "Answer",
                    "text": "The first 3 digits indicate the Passenger Reservation System (PRS) via which the ticket is purchased.
                    In terms of the train 's beginning station, the first digit is determined by the train'
                    s zone.
                    Zonal Codes - 1(SCR Secunderabad PRS);2,
                    3(NR, NCR, NWR, NER New Delhi PRS);4,
                    5(SR, SWR, SCR Chennai PRS);6,
                    7(NFR, ECR, ER, ECoR, SER, SECR Calcutta PRS);8,
                    9(CR, WCR, WR Mumbai PRS) The last seven digits are generated using a random method.These digits don't have anything to do with the ticket or the travel. They only provide the PNR number a distinctive identification."
                }
            }, {
                "@type": "Question",
                "name": "Types of PNR Status and their meaning",
                "acceptedAnswer": {
                    "@type": "Answer",
                    "text": "CNF- It stands for confirmed
                   When seats are confirmed, the ticket status changes to CNF.
                    RAC - The term Reservation Against Cancellation
                    refers to a railway ticket that has a confirmed seat but is on a waiting list.If the tickets are purchased with RAC status,
                    the assigned berth must be divided into two seats.
                    CAN - stands
                    for Cancelled,
                    indicating that the ticket has been cancelled.
                    WL - Waiting List is a ticket status that is verified only
                    if other passengers on the same train who have purchased tickets before you cancel theirs.
                    GNWL - It stands
                    for General Waiting List.
                    The chances of this ticket status being verified are quite high.
                    PQWL - Passengers going between intermediate stations have a separate queue from the regular backlog under the Pooled Quota Waitlist.
                    RLWL - A waitlist
                    for a remote location has a high likelihood of being confirmed.Smaller stations have their own set of quotas,
                    and waiting seats on intermediate stations are designated as RLWL.
                    TQWL - Instead than going via RAC,
                    Tatkal tickets are verified directly.The status of a traveler who makes a tatkal booking and is placed on the wait list is TQWL.
                    NOSB - stands
                    for NO SEAT BERTH,
                    which indicates that you can travel without a seat.This is only
                    for children under the age of eleven.
                    "}
                }]
        }
</script>
<?php $__env->stopSection(); ?>


<style>
    p {
    font-family: 'Abhaya Libre' !important;
    font-weight: 400 !important;
}
h1{
   
    font-family: 'Abhaya Libre' !important;
}
h2{
   
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.footer-bg:after{
    display:none !important;
}
</style>
<?php echo $__env->make('v2.front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/v2/pages/pnr_status.blade.php ENDPATH**/ ?>