<?php $__env->startSection('content'); ?>
<?php if(\Auth::check()): ?>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<style>
.d-flex{
    display:flex;
    justify-content:space-between;
    align-items:center;
}
.fa {
    font-size: 35px;
}
a {
    color: #00f;
    text-decoration: none;
}
.search-button form{
    display:flex;
        justify-content:space-between;
        align-items:center;
}
.search-button span {
    width: 165px;
    font-weight: 600;
    margin-right: 12px;
}
.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #aaa;
    border-radius: 4px;
    height: 34px;
}
.search-button input{
    width:200px;
    margin-right:10px;
}
.fa{
    font-size:24px;
}
.content-header{
   display:flex;
   align-items:center;
}
.header-icon .fa{
    font-size: 30px;
}
.content-header .header-title {
    margin-left: 0px;
}
.content-header .header-icon {
    
    width: 41px;
   
}

.form-inline .form-control {
    max-width:161px !important;
    display: inline-block;
    width: 170px !important;
    vertical-align: middle;
}
.btn-group{
    display:flex;
    justify-content:space-between;
    width:100%;
}
.search-button form {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.TotalBulkOrder {
    text-align:right;
}

.panel-heading .accordion-toggle:after {

    font-family: 'Glyphicons Halflings'; 
    content: "\e114"; 
    float: right;
}
.panel-heading .accordion-toggle.collapsed:after {

    content: "\e080";    
}

a:focus,a:hover{
    background: transparent;
}

.table-responsive {
    overflow: hidden;
    height: auto;
}

</style>

<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
      
    <section class="content-header">
        <div class="header-icon">
        <i class="fa fa-map-marker"></i>
        </div>
        <div class="header-title">
            <h1><?php echo e($title); ?></h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                               
                                <div class="search-button col-md-12">
                                   
                                        <form action="" method="GET">
                                        <input <?php if(request()->get('outletName')!=""): ?> value="<?php echo e(request()->get('outletName')); ?>" <?php endif; ?> type="text" class="form-control" name="outletName" Placeholder="Search....."/>
                                        <button class="btn btn-primary" type="submit" style="margin-right:10px;">Search</button>
                                        <a class="btn btn-primary" href="<?php echo e(url('/backend/outlets/OutletHistory')); ?>"><i class="fa fa-refresh" aria-hidden="true"></i></a>
                                    
                                    </form>
                                </div>
                                <div class="TotalBulkOrder col-md-12">
                                    <b>Total FSSAI: 
                                        <span style="color:#c00;font-weight:800;"><?php echo e($result->Total()); ?></span>
                                    </b>
                                </div>
                            </div>
                        </div>
                        <div class="panel-body">
                            <?php if(!empty($result)): ?>
                            <div class="container-fluid">
                              <div class="panel-group" id="accordion">
                                <?php $__currentLoopData = $result; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outlet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
                               
                                <div class="panel panel-default">
                                  <div class="panel-heading">
                                    <h4 class="panel-title">
                                      <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion" href="#collapse<?php echo e($outlet->id); ?>" style="padding-right: 3rem;">
                                        <?php echo e($outlet->outletName ?? ''); ?>

                                      </a>
                                      <?php if($outlet->is_delete): ?>
                                      <a href="<?php echo e('/backend/outlets/restore/'.$outlet->id); ?>" class="text-success"><i class="fa fa-recycle text-success" aria-hidden="true"></i></a>
                                      <?php endif; ?>
                                    </h4>
                                  </div>
                                  <div id="collapse<?php echo e($outlet->id); ?>" class="panel-collapse collapse">
                                    <div class="panel-body">
                                    <?php if(!empty($outlet->histories)): ?>
                                        <div class="table-responsive">
                                            <table id="dataTableExample1" class="table table-bordered table-striped table-hover text-center">
                                                <thead>
                                                <tr class="info">
                                                    <th style="min-width:200px;">Fssai Number</th>
                                                    <th style="min-width:100px;">GST No</th>
                                                    <th style="min-width:100px;">Fssai Valid Upto </th>
                                                    <th style="min-width:100px;">Created At</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $__currentLoopData = $outlet->histories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outletHistory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($outletHistory->fssaiNo); ?></td>
                                                    <td>
                                                    <?php echo e($outletHistory->gstNo); ?>

                                                    </td>
                                                    <td>
                                                    <?php echo e($outletHistory->fssaiValidUpto); ?>

                                                    </td>
                                                    <td>
                                                    <?php echo e(date("Y-m-d", strtotime($outletHistory->created_at))); ?>

                                                    </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    <?php endif; ?>
                                    </div>
                                  </div>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                              </div>
                            </div> 

                            <?php echo e($result->links()); ?>


                            <?php endif; ?>

                           <div class="modal fade"  tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" id="updateModal">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                    <form action="" class="form-inline" role='form'>
                                        <div class="modal-header">
                                        <h5 class="modal-title" style="font-size: 16px;color: green;" id="exampleModalLabel">Extend Date</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        </div>
                                        <div class="modal-body" style="text-align:center;height: auto;overflow: auto;">
                                        <div class="row align-items-center">
                                            
                                            <lable class="col-md-3"><h5 style="text-align:left">FSSAI Valid Upto</h5></lable>

                                            <div class="col-md-4 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                                            
                                            <input type="text" style="max-width:100px" name="date"  class="form-control datepicker  fromperiod" id="fromperiod">
                                           
                                            <input type="hidden" style="max-width:100px"   class="form-control hid" id="hid">
                                            
                                            </div>
                                            <div class="col-md-4 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                                            <input type="time" style="max-width:100px" name="time"  class="form-control time" id="time">
                                            </div>
                                        
                                            
                                        
                                        
                                        </div>
                                        </div>
                                        <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                        <button type="button" onclick="saveChange();" class="btn btn-primary">Save changes</button>
                                        </div>
                                    </form>
                                    </div>
                                </div>
                            </div>


                           
                           

                        </div>

                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>

<?php else: ?>

<?php endif; ?>

<?php $__env->stopSection(); ?>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script>
    
    

   

   function fssaiDateChange(Id, fssaiValidUpto,time){
   $("#fromperiod").val(fssaiValidUpto);
   $("#time").val(time);
    $("#hid").val(Id);
    $('#updateModal').modal('show');

    $(".datepicker").datepicker({
      dateFormat: 'yy-mm-dd'
    });
    
    $(".modal").on("show.bs.modal", function() {
     
      $(".datepicker").datepicker({
      dateFormat: 'yy-mm-dd'
    });
    });
    
   }

  

   function saveChange(){ 
    var base_url = "<?php echo e(url('')); ?>";
    var faslvl =  $("#fromperiod").val();
    var Id =  $("#hid").val();
    var time = $("#time").val();
//dateExtande

$.ajax({
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
        },
        url: base_url+"/backend/dateExtande",
        cache: false,
        data: {
            'Id': Id,
            'faslvl':faslvl,
            'time':time
        },
        success: function(data) {
            $('#updateModal').modal('hide');
            location.reload();
        }
    })

    
   }


   function updateStatus(target){ 
    var base_url = "<?php echo e(url('')); ?>";
    var ActivateBtn = $('#ActivateBtn'+target).text();

    // By default Active-----
    if(ActivateBtn=='Active'){
        var fssaiStatus = 0;
        var  Alertmsg = "to Activate";
    }
    else if(ActivateBtn=='In-Active'){
        fssaiStatus = 1;
        Alertmsg = "to Deactive";
    }

if(confirm('Are You Sure '+Alertmsg+' ?')){
$.ajax({
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
        },
        url: base_url+"/backend/updateStatus",
        cache: false,
        data: {
            'Id': target,
            'fssaiStatus':fssaiStatus,
        },
        success: function(data) {
            var obj = JSON.parse(data);
            if(obj.response ==0){
            $('#ActivateBtn'+target).text('In-Active');
            $('#ActivateBtn'+target).removeClass("btn-success");
            $('#ActivateBtn'+target).addClass("btn-danger");
            }
            else if(obj.response ==1){
                $('#ActivateBtn'+target).text('Active');
                $('#ActivateBtn'+target).removeClass("btn-danger");
                 $('#ActivateBtn'+target).addClass("btn-success");
            }
        }
    })
}
    
   }
   
</script>


<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/outlets/OutletHistory.blade.php ENDPATH**/ ?>