<?php $__env->startSection('content'); ?>
<section class="sec">


    <style>
        ul.list li:before {
            content: '⚫';
            margin-right: 4px;
            font-size: 10px;
            font-family: 'Abhaya Libre';
        }
        p.mt-4 {
    font-family: 'Abhaya Libre';
    font-weight: 400;
    }
    p {
    font-family: 'Abhaya Libre';
    font-weight: 500;
}
h3.mt-4 {
    font-family: 'Abhaya Libre';
}
ul.list {
    font-family: 'Abhaya Libre';
}
h2 {
    font-family: 'Abhaya Libre';
}
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}

.footer-bg:after{
    display: none;
}
    </style>

    <div class="container">
        
        <div class="train-fileds">
                            <!--<input type="text" name="TRAIN" placeholder="Train Number/Name" @click="${this.setRoute}" @change="${this.handleChange}"><br> -->
                            <input type="text" name="PNR"
                                placeholder="<?php echo e(session()->has('queryPNR') ? session('queryPNR') : 'PNR'); ?>"
                                @click="${this.setRoute}">


                        </div>


                        <?php if(session()->has('error')): ?>
                        <div class="alert alert-danger">
                            <?php echo e(session('error')); ?>

                        </div>
                        <?php endif; ?>

                        <button class="mt-3 btn-main"><i class="fa fa-search"></i>Search Restaurants</button>
        
        <h1 style="font-size: 30px; font-weight: bold; text-align:center;font-family: 'Abhaya Libre' ">Breakfast in Train with OLF</h1>
        <p class="mt-4">
            Start your journey by indulging delicious & healthy breakfast on the train. Do you know breakfast is one of the important meals of the day, and what better way could be to enjoy the train ride with full energy than ordering breakfast on a train.
            OLF provides its customers with a wide range of vegetarian and non-vegetarian meal options. We understand one of the significant concerns experienced by passengers while traveling by train is quality food! Travel lovers, now say goodbye to food crisis during your train travel, order breakfast in train berth via OLF. We house a network of 450+ restaurants approved by FSSAI. Therefore we can assure you the guarantee of serving delicious and hygienic <a href="https://www.olfstores.com/">food on the train </a>.
        </p>

        <h2>
            Order from a variety of Breakfast meals
        </h2>

        <p>
            Board on a scrumptious train journey with OLF, we are honored to serve our clients with various pure vegetarian and non-vegetarian breakfast options.
            Don’t stick to the unhygienic alternatives to food when your food buddy ‘OLF’ is with you! Choose from north Indian food, south Indian food, Jain food, English breakfast in train, and a lot more. Download our app and enter the PNR status of your train, you will be directed to a list of nearby restaurants. Depending upon your time of travel, book breakfast food in train beforehand so that you can timely receive the food right at your train berth.
        </p>

        <p>
            Order one of the best seller breakfast options-
        </p>

        <ul class="list">
            <li>Aloo Parantha, Gobhi Parantha, Aloo Pyaaz Parantha</li>
            <li>Beverages: Tea, Coffee, Milk</li>
            <li>Puri Sabzi</li>
            <li>Poha</li>
            <li>Idli Sambhar</li>
            <li>Vada Sambhar</li>
            <li>Sandwiches</li>
            <li>Bread Omelette</li>
            <li>Chole Bhature</li>
        </ul>

        <h3 class="mt-4">
            How to pre-order breakfast by train from OLF?
        </h3>

        <p>
            Follow the below-mentioned steps to order food or breakfast online from OLF:
        </p>

        <ul class="list">
            <li>Download our app via Google Play Store or visit our website www.olfstores.com or directly call us on +91 9522996999.</li>
            <li>Enter your <a href="https://www.olfstores.com/pnrstatus">10 digit PNR number</a> or your train name, train number. Then choose your boarding station along with the boarding date.</li>
            <li>Choose from a variety of breakfast meals on train available on the menu</li>
            <li>Proceed with the payment online via debit/credit card, UPI, internet banking, or e-wallets for a hassle-free experience. You can also opt for Cash on delivery.</li>
            <li>Once the payment is made, you will be directed to a confirmation page, and our delivery agent will get in touch with you for confirmation.</li>
        </ul>

    </div>
</section>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('title'); ?>Order Breakfast in Train with OLF | Tasty & Quick Food Delivery in Train <?php $__env->stopSection(); ?>


<?php $__env->startSection('description'); ?>Order delicious & healthy breakfast in Train & Get Tasty breakfast meals at the Best Price Delivered at Your Seat. Choose From OLF. <?php $__env->stopSection(); ?>




<?php echo $__env->make('v2.front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/v2/pages/breakfast.blade.php ENDPATH**/ ?>