<?php $__env->startSection('content'); ?>
<?php if(\Auth::check()): ?>
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
      
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Show All Users</h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                                <a href="#">
                                    <h4 style="color:#009688">List Users</h4>
                                </a>
                            </div>
                        </div>
                        <div class="panel-body">
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="btn-group">

                            </div>
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="table-responsive">
                                <table id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr class="info">
                                            <td>Sl. No.</td>
                                            <th>First Name</th>
                                            <th>last Name</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Role</th>
                                            <th>Address</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tbody>
                                        <tr>
                                            <td><?php echo e($key + 1 + ($users->currentPage() - 1) * $users->perPage()); ?></td>
                                            <td><?php echo e($user['first_name']); ?></td>
                                            <td><?php echo e($user['last_name']); ?></td>
                                            <td><?php echo e($user['email']); ?></td>
                                            <td><?php echo e($user['mobile']); ?></td>
                                            <td><b><?php echo e(ucfirst($user['role'])); ?></b></td>
                                            <td><?php echo e($user['address']); ?></td>
                                       
                                            <td style="width: 124px !important;">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <a href="<?php echo e(route('users.show',$user['id'])); ?>" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
                                                            <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                                                            <a href="<?php echo e(route('users.edit',$user['id'])); ?>" class="btn btn-add btn-sm"><i class="fa fa-pencil"></i></a>
                                                            <form method="POST" action="<?php echo e(route('users.destroy',$user['id'])); ?>">
                                                                <input type="hidden" name="_method" value="DELETE"/>
                                                                <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
                                                                <button type="submit" onclick="return confirm('Are you sure Delete This Admin?')" style="margin-left: 76px; margin-top: -24px;" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
                                                            </form>
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                                                            <?php if($user['active'] == 0): ?>
                                                            <a href="<?php echo e(url('backend/User/activate',[$user['id']])); ?>" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
                                                            <?php endif; ?>
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </tbody>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                              
                                </table>
                            </div>
                            <?php echo e($users->links()); ?>

                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>


<?php else: ?>
<script>window.location.href = "<?php echo e(env('APP_URL')); ?>";</script>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/users/index.blade.php ENDPATH**/ ?>