<?php

namespace App\AppFilters;

class DailyFilter{
    public function handle($request, $next){
        if(! request()->has('daily')){
            return $next($request);
        }
        
        $builder = $next($request);
        return $builder->whereDate('created_at', '=', \Carbon\Carbon::today()->toDateString());
    }
}