<?php

namespace App\AppFilters;

class RangeFilter{
    public function handle($request,  $next){
        if(!request()->has('sdate')||!request()->has('edate'))
            return $next($request);
            
        $builder = $next($request);
        return $builder->whereDate('created_at','>=',\Carbon\Carbon::createFromFormat('Y-m-d',request('sdate'))->toDateString())
            ->whereDate('created_at','<=',\Carbon\Carbon::createFromFormat('Y-m-d',request('edate'))->toDateString());
    }
}