<?php

namespace App\Domain;

use Illuminate\Contracts\View\Factory;
use Illuminate\Support\Facades\Blade;
use Symfony\Component\Debug\Exception\FatalThrowableError;

class StringParser
{
    public static function render($template, $args = [])
    {
        $args['__env'] = app(Factory::class);

        $code = Blade::compileString($template);

        $bufferLevel = ob_get_level();

        ob_start();
        extract($args, EXTR_SKIP);
        try {
            eval('?' . '>' . $code);
        } catch (\Throwable $th) {
            while (ob_get_level() > $bufferLevel) {
                ob_end_clean();
            }

            throw new FatalThrowableError($th);
        } catch (\Exception $e) {
            while (ob_get_level() > $bufferLevel) {
                ob_end_clean();
            }

            throw $e;
        }

        return ob_get_clean();
    }
}
