<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Events;

use App\Models\Order;
use Illuminate\Queue\SerializesModels;
use Log;
class OrderCreatedWallet
{
    use SerializesModels;

    public $order;

    /**
     * Create a new event instance.
     *
     * @param  \App\Order  $order
     * @return void
     */
    public function __construct(Order $order)
    {   

        $this->order = $order;
        $previous = $this->order->latest($this->order->customerMobile,$this->order->orderId);
        //Log::channel('dailyInfo')->info('order id:here'.print_r($previous,true));
        if($previous!=null){
            $previous->next_id=$this->order->orderId;
            $previous->next_type=  get_class ($this->order);
            //$previous->wallet->next_id=$this->order->wallet->id;
            //$previous->wallet->save();
            $previous->save();
            $previousClass = get_class($previous);
            if($previousClass=='App\Order')
                $this->order->previous_id = $previous->orderId;
            else
                $this->order->previous_id = $previous->id;

            $this->order->previous_type = get_class ($previous);
            //$this->order->wallet->previous_id=$previous->wallet->id;
            //$this->order->wallet->save();
            $this->order->save();

            Log::channel('dailyInfo')->info('depositing here'.$this->order->orderId.$previous->balance);
            $this->order->wallet->deposit($previous->balance);
        }
        $previous = \App\Models\MemoryUser::where('mobile',$this->order->customerMobile)->first();
        //Log::channel('dailyInfo')->info('previous id:'.$previous);
        if($previous!=null){
            $previous->next_type = get_class ($this->order);
            $previous->next_id = $this->order->orderId;
            $previous->save();
        }
    }
}
