<?php

namespace App\GupshupAPI;

class SendMessage extends RequestHandler{
    protected $url = null;
    protected $data1 = null;
    protected $headers1 =  null;

    public function __construct()
    {
        parent::__construct();
        
        $this->url = 'https://api.gupshup.io/sm/api/v1/msg';
        $this->data1 = [   
                'channel'=> 'whatsapp',
                'source' => env('GUPSHUP_SOURCE_MOBILE', null), 
                'src.name'=> env('GUPSHUP_APP_ID', null),
            ];
        $this->headers1 =  [   
                    'Cache-Control: no-cache',
                    'cache-control: no-cache'
                ];
        
    }
                
    public function handle($data){
        $data = array_merge($this->data1, $data);
        $headers = array_merge($this->headers1, $this->headers());
        
        $result = $this->getResult($this->url, $data, $headers);
        
        return $result;
    }

}