<?php namespace App\Handlers\Events;

use App\Events\NotificationEmail;
use App\Jobs\CustomerInvoiceJob;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldBeQueued;
use Kreait\Firebase\Http\Auth\CustomToken;

class NotificationHandler {

	/**
	 * Create the event handler.
	 *
	 * @return void
	 */
	public function __construct()
	{
		//
	}

	/**
	 * Handle the event.
	 *
	 * @param  NotificationEmail  $event
	 * @return void
	 */
	public function handle(CustomerInvoiceJob $event)
	{
		$event->handle();
	}

}
