<?php

use Illuminate\Support\Facades\Gate;

function hasPermission($permissionSlugs)
{
    if (auth()->check()) {
        foreach ($permissionSlugs as $permissionSlug) {
            if (!Gate::check($permissionSlug)) {
                return false;
            }
        }
        
        return true;
    }
    
    return false;
}
