<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Http\Controllers\Auth;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Validator;
use App\Models\User;
use App\Models\Token;
use Auth;
use Log;

class MultipleAccessApiLoginController extends ApiLoginController
{
    private $hash = true;
    public function getToken($apiToken)
    {
        return hash('sha256', $apiToken);;
    }

    public function saveToken($accessToken, $user)
    {
        $postArray = ['access_token' => $this->getToken($accessToken), 'user_id' => $user->id];
        return Token::create($postArray);
        //return User::where('email',$user->email)->token()->create($postArray);
    }
    public function getTokenUser($token)
    {
        //Log::channel('dailyInfo')->info('user1'.$token);
        $token = Token::where('access_token',$this->getToken($token))->first();
        return User::find($token->user_id);
    }
    public function removeToken($apiToken, $user)
    {
        return $this->deleteToken($apiToken);
    }
    public function deleteToken($apiToken)
    {
        $token = Token::where('access_token', $this->getToken($apiToken));
        return $token->delete();
    }
    public function getAuthUser()
    {
        return Auth::guard('token')->user();
    }
    public function getRole()
    {
    	return ['vendor'];
    }
}
