<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Cart;
use Session;
use App\Models\MenuItem;
use Exception;
class CartContrller extends Controller {

	protected $cart=null;
	public function __construct(){
		/*if(Session::has('cart')){
			$this->cart = Session::get('cart');
		}else{
			$cart = \App\Cart::getInstance();
			Session::put('cart',$cart);
			$this->cart = Session::get('cart');
		}*/

		$this->cart = \App\Models\Cart::getInstance();
		
	
	}
	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index(){
		return response($this->cart->getItems(),200);
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function AddToCart(Request $request, $id){
		dd($this->cart);
		$item = (object)MenuItem::find($id)->toArray();
		$this->cart->manageItem($item);
		return response('Item Added To Cart Succesfully',200);
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function removeFromcart(Request $request,$id)
	{
		$this->cart->removeFromCart($id);
		return response($this->cart->getItems(),200);
	}

	
	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function updateCart(Request $request, $id,$qty){
		try{
			$item = (object)MenuItem::find($id)->toArray();
			$this->cart->manageItem($item, $qty);
		}catch(Exception $e){
			$message = $e->getMessage();
			return  response(['code'=>$message],200); 
		}
		return response(['qty'=>$this->cart->getItem($id)->qty],200);
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function getTotal(){
		$total = $this->cart->getTotal();
		return response(['Total'=>$total],200);
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function destroy($id){
		
	}

}
