<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
class EnquiryController extends Controller
{
    public function SubmitEnquery(Request $request)
    {
        $dataarray=array(
         'FullName'=>$request->fullName,
         'Email'=>$request->email,
         'Phone'=>$request->phn_no,
         'Subject'=>$request->Subject,
         'Message'=>$request->Message,
         'Status' =>1
        );
        $result = DB::table('CustomerEnquiry')->insert($dataarray);
        $id = DB::getPdo()->lastInsertId();

    }
    public function Queries(Request $request)
    {   
        $this->authorize('customer-quiries-list');

        $Queries =DB::table('CustomerEnquiry')->orderby('id','DESC')->paginate(10);
       return view('backend/Queries.index', compact(['Queries']));
    }
    public function OrderBooking(Request $request)
    {
        $datasarray=array(
         'name'=>$request->name,
         'email'=>$request->email,
         'mob_no'=>$request->mob_no,
         'pnr_no'=>$request->pnr_no,
         'no_pessenger'=>$request->no_pessenger,
         'message'=>$request->message,
         'jur_date'=>$request->jur_date,
         'travel_agent'=>$request->travel_agent,
         'Status'=>$request->Status,
        
        );
        $res = DB::table('bulk_order')->insert($datasarray);
        $id = DB::getPdo()->lastInsertId();
       

    }
    public function BulkBooking(Request $request)
    {
        $status = $request->status;
        $name = $request->name;
        $BulkBooking  =DB::table('bulk_order')
        ->where(function($query) use($status){
            if($status!=""){
                $query->where("Status","=",$status);
            }
            
        })
        ->where(function($query) use($name){
            if($name!=""){
                $query->where("name","like", "%".$name."%");
            }
           
        })
        ->orderby('id','DESC')->paginate(10);
        return view('backend/BulkBooking.index', compact(['BulkBooking']));
       
    }

    public function rejected(Request $request){
        $id =$request->id;
        $IsUpdated =  DB::table('bulk_order')->where('id',$id)->update(["Status" =>"1"]);
        
        if($IsUpdated){
           
             echo json_encode(["success"=>"true","msg" => "Rejected Successfully"]);
        }
    }
    public function approved(Request $request){
        $id =$request->id;
        $IsUpdated =  DB::table('bulk_order')->where('id',$id)->update(["Status" =>"2"]);
       
        if($IsUpdated){
           
             echo json_encode(["success"=>"true","msg" => "Approved Successfully"]);
        }
    }

    public function TotalRequest(Request $request){
      $totalCont =  DB::table('bulk_order')->where("Status","=",0)->count();
      $totalContEnquery =  DB::table('CustomerEnquiry')->where("Status","=",1)->count();
      echo json_encode(["totalCont"=>$totalCont,"CustomerEnquiry" =>$totalContEnquery]);
    }

    public function UpdateSeenCount(){
        $totalContEnquery =  DB::table('CustomerEnquiry')->where("Status","=",1)->update(["Status"=>0]);
        echo "success";
    }

  
    
  

    
    
}
