<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;

class LogController extends Controller
{
    public function getLog(Request $request,$log_source)
    {
        if(!$request->has('date')){
            $date = \Carbon\Carbon::now()->format('Y-m-d');
        }else{
            $date = $request->input('date');
        }

        if($log_source=="order")
            $myFile = getcwd()."/../storage/logs/orderinfo-".$date.".log";
        elseif($log_source=="outlet")
            $myFile = getcwd()."/../storage/logs/outletinfo-".$date.".log";
        elseif($log_source=="menu")
            $myFile = getcwd()."/../storage/logs/menuinfo-".$date.".log";
        else
        abort(404);

        $myFileContents = array();
        //return;
        try{
            $lineCount = 0;
            $page = 1;
            if($request->has('page'))
                $page = $request->page;

            $handle = fopen($myFile, "r");

            while (($line = fgets($handle)) !== false) {
                if($lineCount>=($page-1)*19999&&$lineCount<=$page*19999)
                    $myFileContents[]=$line;
                $lineCount = $lineCount+1;
            }

            fclose($handle);
            /*
            $fh = fopen($myFile, 'r');
            $myFileContents = fread($fh,filesize($myFile));
            fclose($fh);*/
        }catch(\Exception $e){

            $myFileContents[] = 'log file doesn\'t exists';
            //throw $e;
        }
        /*
        $myFileContents = '<link href="txtstyle.css" rel="stylesheet" type="text/css" />'.$myFileContents;
        $fp = fopen(getcwd().'/../storage/exports/index.html', 'w');
        fwrite($fp, $myFileContents);
        fclose($fp);*/
        return view('backend.admins.log',['log_source'=>$log_source,'log'=>$myFileContents,'date'=>$date,'page'=>$page,'total'=>ceil($lineCount/20000)]);
    }


    // public function getLog(Request $request, $log_source)
    // {
    //     if (!$request->has('date')) {
    //         $date = \Carbon\Carbon::now()->format('Y-m-d');
    //     } else {
    //         $date = $request->input('date');
    //     }
    
    //     if ($log_source == "order")
    //         $myFile = getcwd() . "/../storage/logs/orderinfo-" . $date . ".log";
    //     elseif ($log_source == "outlet")
    //         $myFile = getcwd() . "/../storage/logs/orderinfo-" . $date . ".log";
    //     elseif ($log_source == "menu")
    //         $myFile = getcwd() . "/../storage/logs/orderinfo-" . $date . ".log";
    //     else
    //         abort(404);
    
    //     $myFileContents = array();
    
    //     try {
    //         $lineCount = 0;
    //         $page = 1;
    //         if ($request->has('page'))
    //             $page = $request->input('page');
    
    //         $handle = fopen($myFile, "r");
    //         $lines = [];
    
    //         while (($line = fgets($handle)) !== false) {
    //             $lines[] = $line;
    //         }
    //         fclose($handle);
    
    //         // Extract timestamps and sort lines
    //         usort($lines, function($a, $b) {
    //             $pattern = '/\[(.*?)\]/'; // Pattern to extract date within brackets
    //             preg_match($pattern, $a, $matchesA);
    //             preg_match($pattern, $b, $matchesB);
    
    //             $timestampA = isset($matchesA[1]) ? strtotime($matchesA[1]) : 0;
    //             $timestampB = isset($matchesB[1]) ? strtotime($matchesB[1]) : 0;
    
    //             return $timestampB <=> $timestampA; // Sort by descending order of timestamp
    //         });
    
    //         $lineCount = count($lines);
    //         $start = ($page - 1) * 19999;
    //         $end = $page * 19999;
    
    //         for ($i = $start; $i < $end && $i < $lineCount; $i++) {
    //             $myFileContents[] = $lines[$i];
    //         }
    //     } catch (\Exception $e) {
    //         $myFileContents[] = 'log file doesn\'t exist';
    //     }
    
    //     return view('backend.admins.log', [
    //         'log_source' => $log_source,
    //         'log' => $myFileContents,
    //         'date' => $date,
    //         'page' => $page,
    //         'total' => ceil($lineCount / 20000)
    //     ]);
    // }
    

}
