<?php

namespace App\Logging;

use Monolog\Logger;

class CreateOutletLogger
{
    public function __invoke(array $config)
    {
        $logger = new Logger('dailyInfo');
        $handler = new PrependLogHandler();
        $handler->setFormatter(new CustomFormatter());
        $logger->pushHandler($handler);

        return $logger;
    }
}
