<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    protected $fillable = [
        'id',
        'date',
        'period_start',
        'outlet_id',
        'outlet_name',
        'gstin_outlet',
        'commision',
        'igst',
        'month_payable',
        'previous_balance',
        'online_payments',
        'payable',
        'period_end',
        'amount_paid',
        'total_debit',
        'total_credit'
    ];
    public function items(){
    	return $this->hasMany(\App\Models\InvoiceItem::class);
    }
    public function payments(){
    	return $this->hasMany(\App\Models\Payment::class);
    }
}
