<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Menu extends Model
{
    protected $fillable = [
        'menuId',
        'validtill'
    ];
    
    public function items(){
    	return $this->hasMany(\App\Models\MenuItem::class);
    }
    
    public function outlet()
    {
        return $this->belongsTo('App\Models\Outlet');
    }
}
