<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class MenuItem extends Model
{
    protected $fillable= [
        'menu_id',
        'itemName',
        'basePrice',
        'sellingPrice',
        'vendorPrice',
        'tax',
        'cuisine',
        'foodType',
        'options',
        'baseOption',
        'tags',
        'description',
        'openingTime',
        'closingTime',
        'isVegeterian',
        'isNonVegeterian',
        'image',
        'outlet_id',
        'visibility'
    ];
    public function menu()
    {
        return $this->belongsTo('App\Models\Menu');
    }
}
