<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Post extends Model{

    public $table = "posts";

    protected $fillable = [
        'title',
        'slug', 
        'content',
        'description',
        'page_title',
    ];
    
    public function category(){
        return $this->belongsTo(\App\Models\BlogCategory::class);
    }
}