<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Role extends Model
{  
   
   protected $guarded=['id'];

    public function permissions() {
       return $this->belongsToMany(Permission::class,'role_has_permissions');
    }
    public function users() {
       return $this->belongsToMany(User::class,'users_roles','role_id','user_id');
    }

    public function hasPermissionTo($permissionId)
   {
      return $this->permissions->contains('id', $permissionId);
   }

}
