<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Station extends Model
{
	protected $fillable = [
		'name',
		'code',
		'validTill',
		'active'
	];

	public function outlets()
	{
		return $this->hasMany(\App\Models\Outlet::class)->where('active', 1);
	}

	public function content()
	{
		return $this->hasOne(StationContent::class);
	}
}
