<?php

namespace App\Policies;

use Illuminate\Auth\Access\HandlesAuthorization;
use App\Models\Menu;
use App\Models\User;

class MenuPolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function before($user, $ability)
    {

        if ($user->isAdmin()) {
            return true;
        }
    }
    public function pol_update_menu(User $user, Menu $menu)
    {
        if($user->hasRole('vendor'))
            return $user->id == $menu->outlet->user_id;
    }
    public function pol_delete_menu(User $user, Menu $menu)
    {
        if($user->hasRole('vendor'))
            return $user->id == $menu->outlet->user_id;
    }

}
