<?php

namespace App\Services;

use GuzzleHttp\Client;
use Illuminate\Support\Facades\Log;

class LoginOtpService {
    private  $client;

    function __construct(Client $client)
    {
        $this->client = $client;        
    }

    private function getContent($otp){
        return "{$otp} is your OLF OTP (One Time Password) . For security reasons, do not share the OTP.";
    }

    public function sendOtp($mobile, $otp)
    {
        $key = "191164Aup6j2p05a4cb419";
        $message = $this->getContent($otp);
        $url = sprintf('https://api.msg91.com/api/sendhttp.php?authkey=%s&mobiles=%s&route=%s&sender=%s&message=%s&country=%s', $key, $mobile, '4', urlencode('OLFSTR'), urlencode(urlencode($message)), '91');
        $url = $url . sprintf('&DLT_TE_ID=%s', "1307163282082764683");

        try {
            $response = $this->client->get($url);
            Log::info("$otp send to $mobile : [{$response->getBody()}]");
        } catch (\Exception $th) {
            Log::error($th);
        }
    }


}