<?php

namespace App;

use GuzzleHttp\Exception\GuzzleException;
use GuzzleHttp\Client;

interface IClient {
	public  function makeRequest($url,$params);
}

class XClient{
	private static $obj;
	private $cl;
	private function __construct(){
		$this->cl = new Client();
	}
	public static function getClient(){
		if(!isset(self::$obj))
			self::$obj = new XClient();
		return self::$obj;
	}


	public function Request($type,$url,$params=null){
		if($type  == 'GET'){
			// handle get
			if(!isset($params)){
				//handle without params
				try{
                                    $res = $this->cl->request('GET',$url);
                                    if($res->getStatusCode()== "200"){
                                            return $res->getBody()->getContents();
                                    }
				}catch(GuzzleException $e){
					return $e->getMessage();
				}

			}else{
				// handle with params
				try{
					$res = $this->cl->request('GET',$url,$params);
					if($res->getStatusCode()== "200"){
						return $res->getBody()->getContents();
					}

				}catch(GuzzleException $e){
					return $e->getMessage();
				}
			}
		}else{
			try{
					$res = $this->cl->request('POST',$url,$params);
					if($res->getStatusCode()== "200"){
							return $res->getBody()->getContents();
					}

				}catch(GuzzleException $e){
						return $e->Message;
				}
		}
	}

}
