const e = React.createElement;

/* controls */
const option = props => e('option',{value:props.value},props.label);

const select = props => e('select',{
    className:'form-control',
    style:{borderRadius:'0px', flex:1},
    onChange:props.onChange
},props.children);

const input = props => e('input',{
    className:'form-control',
    style:{borderRadius:'0px', flex:1},
    placeholder:props.placeholder,
    onChange:props.onChange,
    disabled:props.disabled,
    type:props.type
})
/*

const headerStyles = {
    borderBottom: '1px solid orangered',
    padding:'10px',
    fontSize:'13px'
}
const spanTProps = {
    style:{
        padding:'15px',
        display:'block',
        flex:1,
        fontWeight:'bold',
        textAlign:'center',
        fontSize:'13px'
    }
}
*/
const headerStyles = {
    borderBottom: '1px solid orangered',
    padding:'5px',
    fontSize:'13px'
}
const spanTProps = {
    style:{
        padding:'5px',
        display:'block',
        flex:0.5,
        fontWeight:'bold',
        textAlign:'center',
        fontSize:'13px'
    }
}

/***new styles**/
const rowDivStyle = {
    style: {
        display: 'inline-block',
        padding: '0 5px 0 5px',
        textAlign: 'center'        
    }
}
const detailsDiv = {
    style: {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center'
    }
}
const leftCol = {
    flex:'0 0 auto',
    width:'200px',
}
const midCol = {
    flex:'1 1 auto',
}
const spanStyle1 = {
    textAlign:'center'
}
const makeRequest = (orderId,data)=>{
    var url = `https://stage.ipsator.com/api/v1/order/${orderId}/vendor/status`;
    console.log(data);
    $.ajax({
        type: "post",
        beforeSend: function (xhr) {
            xhr.setRequestHeader ("Authorization", "9022e607-bb1e-4530-ade8-daf67c716fbb");
        },
        url: url,
        crossDomain:true,
        dataType: 'json',
        async: false,
        data: JSON.stringify(data),
        success: function (){
        alert('Order Status updated');
        }
    });
    /*return fetch(url,{
        method: "POST",
        headers:{
            'Authorization':'9022e607-bb1e-4530-ade8-daf67c716fbb',
        },
        
        body:JSON.stringify(data)
    });*/
}

const btnStles = {
   flex:0.5,
   borderRadius:0 
}

const spanProps = {
    style:{
        padding:'5px',
        display:'block',
        flex:0.5,
        fontSize:'13px'
    }
}

const divStyles = {
    padding:'5px',
    border:'1px solid #eee',
    width:'100%'
}

class OrderApp extends React.Component{
    constructor(props){
        super(props)
        this.state = {
            orders:[],
            url:`${window.location.href}`,
            url2:'',
            url3:'',
            selected:false
        }
    }

    componentWillMount(){
        this.setState({
            orders:orders.map(e=>({
                ...e,
                expanded:false
            }))
        })
    }

    componentWillUpdate(){
    }
    detail2Row(name1,val1,name2,val2,name3,val3){
        return  e('div', {
                        ...detailsDiv
                    },[
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },name1),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val1),
                            ]),

                        ]),
                        e('div',{
                            style:{
                                ...midCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },name2),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val2),
                            ]),

                        ]),
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },name3),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val3),
                            ]),

                        ]),
                ])

    }
    detailPlainRow(val1,val2,val3){
        return  e('div', {
                        ...detailsDiv
                    },[
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val1),
                        ]),
                        e('div',{
                            style:{
                                ...midCol
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val2),
                        ]),
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val3),
                        ]),
                ])

    }
    orderItem({orderId,customerDetails,deliveryDetails, expanded, priceDetails,orderItems,outletDetails,status,paymentType},key){
        deliveryDetails = JSON.parse(deliveryDetails)
        return [
            e('div',{
            },[
                e('div',{
                    style:{
                        display:'block',
                        alignItems:'center'
                    }
                },[
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },orderId)
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },customerDetails.customerName)
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },customerDetails.mobile)
                    ]),
                    e('div',{
                        style:{
                            position:'relative',
                            float:'right'
                        },
                        
                    },[
                        ((user.role=='admin' || user.role=='agent' || user.role=='vendor') && e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles
                            },
                            onClick:()=>console.log('update')
                        },'Update')),
                        
                        e('button',{
                            className:'btn btn-default',
                            style:{
                                ...btnStles
                            },
                            onClick:()=>{
                                const item = this.state.orders[key];
                                const newItem = {
                                    ...item,
                                    expanded:!item.expanded
                                }

                                const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                this.setState({
                                    orders:newArray
                                })

                            }
                        },'Expand')                    
                    ]),
                ])
            ]),

            e('div',{
                style:{
                    display: expanded?'block':'none',
                    justifyContent:'space-around',
                    borderTop:'1px solid #000',

                }  
            },[
                e('div',{
                    style: {
                        maxWidth: '500px'
                    }
                },[
                    this.detail2Row('Station Name',deliveryDetails.station),
                    orderItems.map((o,idx)=>{
                        return this.detailPlainRow(o.itemName,o.quantity,o.sellingPrice)
                    }),

                ])
            ])
        ]
    }

    render(){
        console.log(this.state);

        return e('div',{}, [
            e('div',{
                style:{
                    display:'flex',
                    alignItems:'center',
                    width:'60%',
                    borderBottom:'1px solid #eee',
                    padding:'20px 0 20px 0'
                }
            },[
                e(select,{
                    onChange:(e)=>{
                        this.setState({
                            ...this.state,
                            url2:`${window.location.href}/${e.target.value}`,
                            selected:true
                        })
                    }
                },[
                    e(option,{
                        label:'Phone',
                        value:'mobile'
                    }),
                    e(option,{
                        label:'Customer Name',
                        value:'customer'
                    }),
                    e(option,{
                        label:'Order Id',
                        value:'orderId'
                    }),
                ]),
            
                e(input,{
                    style:{flex:1},
                    placeholder:'search',
                    disabled:!this.state.selected,
                    onChange:(e)=>{
                        this.setState({
                            ...this.state,
                            url3:`${this.state.url2}/${e.target.value}`,
                        })
                    }
                }),
            
            
                e('button',{
                    className:'btn btn-primary',
                    style:{borderRadius:0},
                    onClick:()=>{
                        fetch(this.state.url3).then(res=>res.json()).then(res=>{
                            var response = res.map(el=>({
                                ...el,
                                ['outletDetails']:JSON.parse(el.aggregatorDetails),
                                ['customerDetails']:JSON.parse(el.customerDetails),
                                ['priceDetails']:JSON.parse(el.priceDetails),
                                ['orderItems']:JSON.parse(el.orderItems),
                                ['expanded']:false
                            }));
                            this.setState({
                                orders:response
                            })
                        })
                    }
                },'Search'),

                e('button',{
                    className:'btn btn-primary',
                    style:{borderRadius:0},
                    onClick:()=>{
                        this.setState({
                            orders
                        })
                    }
                },'reset'),
                e('a',{
                    className:'btn btn-success',
                    style:{
                        borderRadius:0
                    },
                    href:`/manager/orders/vendor/create`
                },'Create Order')
            
            ]),

            e('div',{},[
                e('div',{
                    style:{
                        display:'block',
                        alignItems:'center',
                        backgroundColor:'#fff',
                        borderBottom:'2px solid #000'
                    }
                },[
                        e('div',{
                            style:{
                                display:'block',
                                alignItems:'center',
                                backgroundColor:'#fff',
                                borderBottom:'2px solid #000'
                            }
                        },[

                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },'orderId')
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },'customerName')
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{
                            
                        },'mobile')
                    ]),
                ]),
            ]),
                e('div',{
                    style:{
                        display:'flex',
                        flexDirection:'column',
                        alignItems:'center',
                    }
                },[
                    this.state.orders.map((item,key)=>{
                        return e('div',{key,
                                        style:{
                                            flex:1,
                                            width:'100%',
                                            backgroundColor:'#fff',
                                            border:'1px solid #eee',
                                        }
                        },this.orderItem(item,key))
                    })
                ])
            ])
            
        ])
    }
}
ReactDOM.render(e(OrderApp), document.getElementById('app'));