const e = React.createElement;

/* controls */
const option = props => e('option',{value:props.value},props.label);

const select = props => e('select',{
    className:'form-control',
    style:{borderRadius:'0px', flex:1},
    onChange:props.onChange
},props.children);

const input = props => e('input',{
    className:'form-control',
    style:{borderRadius:'0px', flex:1},
    placeholder:props.placeholder,
    onChange:props.onChange,
    disabled:props.disabled,
    type:props.type
})
/*

const headerStyles = {
    borderBottom: '1px solid orangered',
    padding:'10px',
    fontSize:'13px'
}
const spanTProps = {
    style:{
        padding:'15px',
        display:'block',
        flex:1,
        fontWeight:'bold',
        textAlign:'center',
        fontSize:'13px'
    }
}
*/
const headerStyles = {
    borderBottom: '1px solid orangered',
    padding:'5px',
    fontSize:'13px'
}
const spanTProps = {
    style:{
        padding:'5px',
        display:'block',
        flex:0.5,
        fontWeight:'bold',
        textAlign:'center',
        fontSize:'13px'
    }
}

/***new styles**/
const rowDivStyle = {
    style: {
        display: 'flex',
        flex: '1 1 auto',
        padding: '0 15px 0 15px',
        textAlign: 'left'
    }
}
const deviderDiv = {
    style: {
        border: '1px solid rgb(238, 238, 238)',
        margin: '10px 0 10px 0'
    }
}
const detailsDiv = {
    style: {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: '5px 0 5px 0'
    }
}
const detailsDiv1 = {
    style: {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: '3px 0 3px 0'
    }
}
const leftCol = {
    flex:'1 1 auto',
    width:'100px',
}
const midCol = {
    flex:'1 1 auto',
    width:'100px'
}
const spanStyle1 = {
    textAlign:'center'
}
const makeRequest = (orderId,data)=>{
    var url = `https://stage.ipsator.com/api/v1/order/${orderId}/vendor/status`;
    console.log(data);
    $.ajax({
        type: "post",
        beforeSend: function (xhr) {
            xhr.setRequestHeader ("Authorization", "9022e607-bb1e-4530-ade8-daf67c716fbb");
        },
        url: url,
        crossDomain:true,
        dataType: 'json',
        async: false,
        data: JSON.stringify(data),
        success: function (){
        alert('Order Status updated');
        }
    });

    /*return fetch(url,{
        method: "POST",
        headers:{
            'Authorization':'9022e607-bb1e-4530-ade8-daf67c716fbb',
        },

        body:JSON.stringify(data)
    });*/
}

const btnStles = {
   borderRadius:0
}

const spanProps = {
    style:{
        padding:'5px',
        display:'block',
        flex:0.5,
        fontSize:'13px'
    }
}

const divStyles = {
    padding:'5px',
    border:'1px solid #eee',
    width:'100%'
}

class OrderApp extends React.Component{
    constructor(props){
        super(props)
        this.state = {
            orders:[],
            url:`${window.location.href}`,
            url2:'',
            url3:'',
            selected:false,
            orders:false,
            approve:(typeof approve !== 'undefined' && approve),
            status: 'ORDER_DELIVERED',
            massUpdate: {
                checked: false,
                orders: []
            },
            cancelled:false
        }
    }

    componentWillMount(){
        this.setState({
            orders:orders.map(e=>({
                ...e,
                expanded:false
            })),
            outletId: (typeof outletId !== 'undefined' && outletId)
        })
    }
    componentDidMount() {
        this.$el = $(this.el)
        let that = this
        this.$el.datepicker().datepicker('setDate',new Date());
        this.$el.change(function(e){
            that.setState({
                ...this.state,
                date:e.target.value
            })
        })
    }
    componentWillUpdate(){
    }
    detail2Row(name1,val1,name2,val2,name3,val3){
        return  e('div', {
                        ...detailsDiv
                    },[
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {
                                        color: 'burlywood'
                                    }
                                },name1),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val1),
                            ]),

                        ]),
                        e('div',{
                            style:{
                                ...midCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {
                                        color: 'burlywood'
                                    }
                                },name2),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val2),
                            ]),

                        ]),
                        e('div',{
                            style:{
                                ...leftCol
                            }
                        },[
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {
                                        color: 'burlywood'
                                    }
                                },name3),
                            ]),
                            e('div',{
                                style:{
                                    display: 'block'
                                }
                            },[
                                e('span',{
                                    style: {

                                    }
                                },val3),
                            ]),

                        ]),
                ])

    }
    detailPlainRow(val1,val2,val3,style){
        return  e('div', {
                        ...detailsDiv1
                    },[
                        e('div',{
                            style:{
                                ...leftCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val1),
                        ]),
                        e('div',{
                            style:{
                                ...midCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val2),
                        ]),
                        e('div',{
                            style:{
                                ...leftCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val3),
                        ]),
                ])

    }
    detailPlainRow1(val1,val2,val3,style){
        return  e('div', {
                        ...detailsDiv1
                    },[
                        e('div',{
                            style:{
                                ...leftCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val1),
                        ]),
                        e('div',{
                            style:{
                                ...midCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {
                                    ...spanStyle1
                                }
                            },val2),
                        ]),
                        e('div',{
                            style:{
                                ...leftCol,
                                ...style
                            }
                        },[
                            e('span',{
                                style: {

                                }
                            },[
                                e('div' ,{

                                },[
                                    e('i',{
                                        className: 'fa fa-inr',
                                        ariaHidden: 'true',
                                        style: {
                                            paddingRight: '3px'
                                        }
                                    },''),
                                    e('span',{

                                    },val3)
                                ]),
                            ]),
                        ]),
                ])

    }

    orderItem({orderId,customerDetails,deliveryDetails, expanded, priceDetails,orderItems,outletDetails,status,paymentType, paymentReason,vendorOrder,reason,status_status,pending_status,status_reason,deliveryBoy,deliveryBoyName,deliveryBoyName1,checked,reason1},key){
        deliveryDetails = JSON.parse(deliveryDetails)
        
        let [name , mobile] = ["Corrupted Order", orderId]
        
        if(customerDetails != null){
            if('customerName' in customerDetails)
                name = customerDetails.customerName
            
            if('fullName' in customerDetails)
                name = customerDetails.customerName
                
            
            if('mobile' in customerDetails)
                mobile = customerDetails.mobile
            
        }
        
        let status1 = status
        if(!deliveryBoyName1)
            deliveryBoyName1 = deliveryBoyName
        if(checked==null)
            checked = false;
        if(this.state[orderId]!=undefined && this.state.hasOwnProperty(orderId) && this.state[orderId].hasOwnProperty('status'))
            status1 = this.state[orderId].status
        return [
            e('div',{
                style:{
                    fontSize: '13px',
                    color: 'green',
                    padding: '15px 0 15px 0'
                }
            },[
                e('div',{
                    style:{
                        display:'flex',
                        alignItems:'center',
                    }
                },[
                    e('input',{
                        style:{marginLeft: '15px',lineHeight: '28px'},
                        type: 'checkbox',
                        checked:checked,
                        onChange:(e)=>{
                            const item = this.state.orders[key];
                            let massUpdateOrders = this.state.massUpdate.orders;
                            if(e.target.checked){
                                massUpdateOrders = massUpdateOrders.concat([{
                                    orderId: item.orderId,
                                    checked: item.checked,
                                    vendorOrder: item.vendorOrder
                                }])
                            }else{
                                massUpdateOrders = massUpdateOrders.filter(i=>i.orderId!=item.orderId);
                            }
                            const newItem = {
                                ...item,
                                checked: e.target.checked
                            }
                            //this.state.massUpdate.hasOwnProperty('orders')
                            const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                            this.setState({
                                ...this.state,
                                orders:newArray,
                                massUpdate: {
                                    ...this.state.massUpdate,
                                    orders: massUpdateOrders
                                }
                            })
                        }
                    }),

                    e('div',{
                        style: {
                            ...rowDivStyle.style,
                            padding: '0 15 0 15'
                        },
                        className: ((user.role=='admin' || user.role=='agent')?'col-sm-3 col-md-3 col-lg-3':'col-sm-4 col-md-4 col-lg-4')
                    },[
                        e('div', {
                            style: {
                                display: 'block'
                            }
                        },[
                            e('div',{
                                style: {
                                    lineHeight: '12px',
                                    fontSize: '11px',
                                    textAlign: 'left',
                                    color: 'burlywood'
                                }
                            },'Order Id'),
                            e('div',{

                            },orderId),
                        ]),
                    ]),/*
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('div', {
                            style: {
                                display: 'block'
                            }
                        },[
                            e('div',{
                                style: {
                                    lineHeight: '12px',
                                    fontSize: '11px',
                                    textAlign: 'left',
                                    color: 'burlywood'
                                }
                            },'Status'),
                            e('div',{

                            },status),
                        ]),
                    ]),*/
                    e('div',{
                        ...rowDivStyle,
                        className: ((user.role=='admin' || user.role=='agent')?'col-sm-3 col-md-3 col-lg-3':'col-sm-4 col-md-4 col-lg-4')
                    },[
                        e('span',{

                        },name)
                    ]),
                    e('div',{
                        ...rowDivStyle,
                        className: ((user.role=='admin' || user.role=='agent')?'col-sm-3 col-md-3 col-lg-3':'col-sm-4 col-md-4 col-lg-4')
                    },[
                        e('div' ,{
                            style: {
                                textAlign: 'right'
                            }
                        },[
                            e('i',{
                                className: 'fa fa-phone',
                                ariaHidden: 'true',
                                style: {
                                    paddingRight: '3px'
                                }
                            },''),
                            e('span',{

                            },mobile)
                        ]),
                    ]),
                    ((user.role=='admin') && this.state.approve && e('div',{
                        ...rowDivStyle,
                        className: 'col-sm-3 col-md-3 col-lg-3'
                    },[
                        e('span',{

                        },outletDetails.outletName)
                    ])),
                    ((user.role=='admin' || user.role=='agent') && !this.state.approve && e('div',{
                        ...rowDivStyle,
                        className: 'col-sm-3 col-md-3 col-lg-3'
                    },[
                        e('span',{

                        },customerDetails.email)
                    ])),
                    e('div',{
                        style:{
                            flex:'1 1 auto',
                        },

                    },[
                        ((user.role=='admin' || user.role=='agent' || user.role=='vendor') &&                          e('div',{
                            style: {
                                display: 'inline-flex',
                                flex:'1 1 auto',
                                padding: '0 15px 0 15px'
                            }
                        },[])),
                        e('div',{
                            style: {
                                flex:'1 1 auto',
                                padding: '0 15px 0 15px',
                                width: '16%'
                            }
                        },[
                            e('i',{
                                className: 'fa fa-ellipsis-v',
                                ariaHidden: 'true',
                                style: {
                                    paddingRight: '3px',
                                    fontSize: '14px',
                                    cursor: 'pointer',
                                    padding: '10px',
                                    color: 'black'
                                },
                                onClick:()=>{
                                    const item = this.state.orders[key];
                                    const newItem = {
                                        ...item,
                                        expanded:!item.expanded
                                    }

                                    const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                    this.setState({
                                        ...this.state,
                                        orders:newArray
                                    })

                                }
                            },''),

                            /*
                            e('button',{
                            className:'btn btn-default',
                            style:{
                                ...btnStles,
                            },
                            onClick:()=>{
                                const item = this.state.orders[key];
                                const newItem = {
                                    ...item,
                                    expanded:!item.expanded
                                }

                                const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                this.setState({
                                    orders:newArray
                                })

                            }
                        },'Expand')*/
                        ]),
                    ]),
                ])
            ]),

            e('div',{
                style:{
                    display: expanded?'block':'none',
                    justifyContent:'space-around',
                }
            },[
                e('div',{
                    style: {
                        fontSize: '13px',
                        color: 'green',
                        padding: '0 15px 0 15px'
                    }
                },[
                    this.detail2Row('Status',status,(status_reason && 'Reason'),(status_reason && [
                                                        e('div',{},status_reason)]),(status_status!=null && 'Pending Status'),(status_status!=null && [
                                                        e('div',{},pending_status)])),
                    this.detail2Row([
                    e('select',{
                        value:status1,
                        className:'form-control sss',
                        style:{
                            ...btnStles
                        },
                        onChange:(evt)=>{
                            let reason = evt.target.value=='ORDER_CANCELLED'||evt.target.value=='ORDER_UNDELIVERED'?true:false
                            let reason1 = evt.target.value=='ORDER_OUT_FOR_DELIVERY'?true:false
                            const item = this.state.orders[key];
                            const newItem = {
                                ...item,
                                expanded:item.expanded,
                                reason:reason,
                                reason1:reason1
                            }

                            const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                            this.setState({
                                orders:newArray,
                                [orderId]: {
                                    vendorOrder:vendorOrder,
                                    status:evt.target.value,
                                    status_reason:'',
                                    reason1:reason1
                                }
                            })
                        }
                    },[
                            e(option,{
                                label:status,
                                value:status
                            }),

                            e(option,{
                                label:'ORDER_UNDELIVERED',
                                value:'ORDER_UNDELIVERED'
                            }),

                            e(option,{
                                label:'ORDER_PREPARED',
                                value:'ORDER_PREPARED'
                            }),

                            e(option,{
                                label:'ORDER_OUT_FOR_DELIVERY',
                                value:'ORDER_OUT_FOR_DELIVERY'
                            }),

                            e(option,{
                                label:'ORDER_DELIVERED',
                                value:'ORDER_DELIVERED'
                            }),

                            e(option,{
                                label:'ORDER_PARTIALLY_DELIVERED',
                                value:'ORDER_PARTIALLY_DELIVERED'
                            }),

                            e(option,{
                                label:'ORDER_CANCELLED',
                                value:'ORDER_CANCELLED'
                            }),

                            ]),
                            (reason && e(input,{
                                style:{flex:1},
                                placeholder:'reason',
                                onChange:(e)=>{
                                    this.setState({
                                        ...this.state,
                                        [orderId]: {
                                            ...this.state[orderId],
                                            status_reason:e.target.value
                                        }
                                    })
                                }
                            })),
                            (reason1 &&                     e('select',{
                        value:deliveryBoyName1,
                        className:'form-control',
                        style:{
                            ...btnStles
                        },
                        onChange:(evt)=>{
                            const item = this.state.orders[key];
                            var index = evt.nativeEvent.target.selectedIndex;
                            const newItem = {
                                ...item,
                                deliveryBoy: evt.target.value,
                                deliveryBoyName1:  evt.nativeEvent.target[index].label
                            }

                            const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                            this.setState({
                                orders:newArray,
                                ['_'+orderId]: {
                                    deliveryBoyId:evt.target.value,
                                }
                            })
                        }
                    },[
                            e(option,{
                                label:'Select Delivery Boy',
                                value:0
                            }),
                            e(option,{
                                label:deliveryBoyName1,
                                value:deliveryBoy
                            }),
                            outletDetails.deliveryBoys1 && outletDetails.deliveryBoys1.map(item=>e(option,{
                                label:item.first_name+item.last_name,
                                value:item.id
                            })),
                            ])),

                            e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles,
                            },
                            onClick:()=>{
                                this.state[orderId] && this.state[orderId]!=undefined
                                        && (!reason||(reason&&this.state[orderId].status_reason))
                                        && fetch((user.role=='admin' && `/manager/orders/admin/update/${orderId}/update`)
                                                || `/manager/orders/update_status/${orderId}`,{
                                    method:'POST',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                    body:JSON.stringify({
                                        ...this.state[orderId],
                                    })
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res;
                                        const newItem = {
                                            ...item,
                                            expanded:true
                                        }

                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));

                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            [orderId]: undefined,
                                        })
                                    })
                                deliveryBoy!=0 && this.state['_'+orderId] && this.state['_'+orderId]!=undefined
                                        && fetch((user.role=='admin' || user.role=='vendor')
                                                 && `/manager/order/${orderId}/setDeliveryBoy/${this.state['_'+orderId].deliveryBoyId}/${vendorOrder}`,{
                                    method:'GET',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res;
                                        const newItem = {
                                            ...item,
                                            expanded:true,
                                        }

                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));

                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            ['_'+orderId]: undefined
                                        })
                                    })}
                        },'Update'),
                        ],'','','','',[,
                                                        (user.role=='admin' && status_status!=null && e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles,
                                margin:'0 5px 0 5px'
                            },
                            onClick:()=>{

                                fetch(`/manager/orders/admin/update/${orderId}/approve`,{
                                    method:'POST',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                    body:JSON.stringify({
                                        vendorOrder:vendorOrder
                                    })
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res;
                                        const newItem = {
                                            ...item,
                                            expanded:true
                                        }
                                        /*
                                        const newArray = this.state.approve?this.state.orders.slice(0,key).concat(this.state.orders.slice(key+1))
                                                            :this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                    */
                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            [orderId]: undefined,
                                        })
                                    })}
                        },'Approve')
                    ),
                            (user.role=='admin' && status_status!=null && e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles,
                                margin:'0 5px 0 5px'
                            },
                            onClick:()=>{

                                fetch(`/manager/orders/reject/${orderId}`,{
                                    method:'POST',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                    body:JSON.stringify({
                                        vendorOrder:vendorOrder
                                    })
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res;
                                        const newItem = {
                                            ...item,
                                            expanded:true
                                        }
                                        /*
                                        const newArray = this.state.approve?this.state.orders.slice(0,key).concat(this.state.orders.slice(key+1))
                                                            :this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                    */
                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            [orderId]: undefined,
                                        })
                                    })}
                        },'Reject')
                    )                    ]),
                    this.detail2Row('Delivery Boy',(deliveryBoyName && deliveryBoyName)||'Not Assigned','','','',''),
                    /*this.detail2Row([
                    e('select',{
                        value:deliveryBoyName1,
                        className:'form-control',
                        style:{
                            ...btnStles
                        },
                        onChange:(evt)=>{
                            const item = this.state.orders[key];
                            var index = evt.nativeEvent.target.selectedIndex;
                            const newItem = {
                                ...item,
                                deliveryBoy: evt.target.value,
                                deliveryBoyName1:  evt.nativeEvent.target[index].label
                            }

                            const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                            this.setState({
                                orders:newArray,
                                ['_'+orderId]: {
                                    deliveryBoyId:evt.target.value,
                                }
                            })
                        }
                    },[
                            e(option,{
                                label:deliveryBoyName1,
                                value:deliveryBoy
                            }),
                            outletDetails.deliveryBoys1 && outletDetails.deliveryBoys1.map(item=>e(option,{
                                label:item.first_name+item.last_name,
                                value:item.id
                            })),
                            ]),

                            e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles,
                            },
                            onClick:()=>{
                                this.state['_'+orderId] && this.state['_'+orderId]!=undefined
                                        && fetch((user.role=='admin' || user.role=='vendor')
                                                 && `/manager/order/${orderId}/setDeliveryBoy/${this.state['_'+orderId].deliveryBoyId}/${vendorOrder}`,{
                                    method:'GET',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res;
                                        const newItem = {
                                            ...item,
                                            expanded:true,
                                        }

                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));

                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            ['_'+orderId]: undefined
                                        })
                                    })}
                        },'Update'),
                        ],'','','','','',),*/

                    this.detail2Row('Station Name',deliveryDetails.station,'Train No',deliveryDetails.trainNo,'Train Name',deliveryDetails.trainName),
                    e('div',{
                        ...deviderDiv
                    }),
                    this.detail2Row('Time Of delivery',deliveryDetails.ETA,'','','Payment Mode', [e('select',{
                        value:paymentType,
                        className:'form-control sss',
                        style:{
                            ...btnStles
                        },
                        onChange:(evt)=>{
                            let paymentStatus = evt.target.value;
                            const item = this.state.orders[key];
                            const newItem = {
                                ...item,
                                expanded:item.expanded,
                                paymentType:paymentStatus,
                                paymentReason:paymentReason
                            }

                            const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));
                            this.setState({
                                orders:newArray,
                                [orderId]: {
                                    orderId:orderId,
                                    vendorOrder:vendorOrder,
                                    paymentType:paymentStatus,
                                    paymentReason:reason1
                                }
                            })
                        }
                    },[
                            e(option,{
                                label:paymentType,
                                value:paymentType
                            }),

                            e(option,{
                                label:'CASH_ON_DELIVERY',
                                value:'CASH_ON_DELIVERY'
                            }),

                            e(option,{
                                label:'PRE_PAID',
                                value:'PRE_PAID'
                            }),
                    ]), (e(input,{
                                style:{flex:1},
                                placeholder:'Payment reason',
                                onChange:(e)=>{
                                    this.setState({
                                        ...this.state,
                                        [orderId]: {
                                            ...this.state[orderId],
                                            paymentReason:e.target.value
                                        }
                                    })
                                }
                           })), e('button',{
                            className:'btn btn-warning',
                            style:{
                                ...btnStles,
                            },
                            onClick:()=>{
                                this.state[orderId] && this.state[orderId]!=undefined
                                        && fetch(`/manager/update_payment`, {
                                    method:'POST',
                                    headers: {
                                        'Accept': 'application/json',
                                        'Content-Type': 'application/json'
                                      },
                                    body:JSON.stringify({
                                        ...this.state[orderId],
                                    })
                                  }).then(res=>res.json()).then(res=>{
                                        const item = res.order;
                                        const newItem = {
                                            ...item,
                                            expanded:true
                                        }

                                        const newArray = this.state.orders.slice(0,key).concat([newItem]).concat(this.state.orders.slice(key+1));

                                        this.setState({
                                            ...this.state,
                                            orders:newArray,
                                            [orderId]: undefined,
                                        })
                                    })
                            }
                        },'Update'),
                    ]),
                    e('div',{
                        ...detailsDiv
                    }),
                    this.detailPlainRow('Item','Qty','Amount',{color:'burlywood'}),
                    (orderItems!==null && orderItems.map((o,idx)=>{
                        return this.detailPlainRow1(o.itemName,o.quantity,o.sellingPrice)
                    })),
                    this.detailPlainRow1('Total Amount','',priceDetails.totalAmount,{fontWeight:'bold',color:'black'}),
                    e('div',{
                        ...detailsDiv
                    }),
                    e('div',{
                        ...deviderDiv
                    }),
                    this.detail2Row('Berth No',deliveryDetails.berth,'','','Coach No',deliveryDetails.coach),
                    e('div',{
                        ...detailsDiv
                    }),
                ])
            ])
        ]
    }

    render(){
        console.log(this.state);

        return e('div',{}, [
            e('div',{
                style:{
                    display:'flex',
                    alignItems:'center',
                    width:'60%',
                    borderBottom:'1px solid #eee',
                    padding:'20px 0 20px 0'
                }
            },[
                /*
                e(select,{
                    onChange:(e)=>{
                        this.setState({
                            ...this.state,
                            url2:`${window.location.href}/${e.target.value}`,
                            selected:true
                        })
                    }
                },[
                    e(option,{
                        label:'Phone',
                        value:'mobile'
                    }),
                    e(option,{
                        label:'Customer Name',
                        value:'customer'
                    }),
                    e(option,{
                        label:'Order Id',
                        value:'orderId'
                    }),
                ]),
            */
            
            e('div', {
                "display":"flex",
                "alignItems":'center',
            }, [
                e('h5', {}, ["Cancelled? "]),
                ,
                e('input', {
                    type:'radio',
                    onChange:(e) => {
                      this.setState({
                          ...this.state,
                          cancelled:true
                      })
                      console.log(this.state)
                    },
                })    
            ]),
            
                e('input',{
                    ref:el=>this.el=el,
                    className:'datepicker',
                    style:{flex:1,maxWidth: '238px',lineHeight: '28px'},
                    placeholder:'Date',
                    disabled:!this.state.orders,
                    onChange:(e)=>{
                        console.log(e.target.value)
                        this.setState({
                            ...this.state,
                            date:e.target.value
                        })
                    }
                }),


                e('button',{
                    className:'btn btn-primary',
                    style:{borderRadius:0},
                    onClick:()=>{
                        fetch((user.role=='admin' && !this.state.outletId && `/manager/orders/admin/approve/json`
                                || `/manager/orders/get/json/${this.state.outletId}`),{
                                        method:'POST',
                                        headers: {
                                            'Accept': 'application/json',
                                            'Content-Type': 'application/json'
                                          },
                                        body:JSON.stringify({
                                            date:this.state.date,
                                            cancelled:this.state.cancelled
                                        })
                                  }).then(res=>res.json()).then(res=>{
                            this.setState({
                                ...this.state,
                                orders:res,
                                massUpdate: {
									checked: false,
									orders: []
								}
                            })
                        })
                    }
                },'Show Orders'),

                /*
                e('button',{
                    className:'btn btn-primary',
                    style:{borderRadius:0},
                    onClick:()=>{
                        this.setState({
                            orders
                        })
                    }
                },'reset'),
                */
                e('a',{
                    className:'btn btn-success',
                    style:{
                        borderRadius:0
                    },
                    href:`/`
                },'Create Order')

            ]),
        e('div',{
                style:{
					marginTop:'7px',
                    display:'flex',
                    alignItems:'center',
                    width:'60%',
                    borderBottom:'1px solid #eee',
                    padding:'20px 0 20px 0'
                }
            },[
            e('input',{
                style:{marginLeft: '15px',marginRight: '15px',lineHeight: '28px'},
                type: 'checkbox',
                checked: this.state.massUpdate.checked,
                onChange:(e)=>{
                    let orders = this.state.orders.map((item,key)=>{
                        return {
                            ...item,
                            checked: e.target.checked
                        }
                    })
                    let orders1= []
                    if(e.target.checked)
                        orders1 = this.state.orders.map((item,key)=>{
                            return {
                                orderId: item.orderId,
                                checked: item.checked,
                                vendorOrder: item.vendorOrder
                            }
                    })
                    this.setState({
                        ...this.state,
                        orders: orders,
                        massUpdate: {
                            checked: e.target.checked,
                            orders: orders1
                        }
                    })
                }
            }),
            e('span',{
                style: {
                    marginRight: '15px'
                }
            },'Select All'),

        e('select',{
            value:this.state.status,
            className:'form-control sss',
            style:{
                ...btnStles,
                maxWidth: '238px',
                display: 'inline-block',
            },
            onChange:(evt)=>{
                this.setState({
                    ...this.state,
                    status: evt.target.value,
                })
            }
        },[
                    e(option,{
                        label:'ORDER_UNDELIVERED',
                        value:'ORDER_UNDELIVERED'
                    }),

                    e(option,{
                        label:'ORDER_PREPARED',
                        value:'ORDER_PREPARED'
                    }),

                    e(option,{
                        label:'ORDER_OUT_FOR_DELIVERY',
                        value:'ORDER_OUT_FOR_DELIVERY'
                    }),

                    e(option,{
                        label:'ORDER_DELIVERED',
                        value:'ORDER_DELIVERED'
                    }),

                    e(option,{
                        label:'ORDER_PARTIALLY_DELIVERED',
                        value:'ORDER_PARTIALLY_DELIVERED'
                    }),

                    e(option,{
                        label:'ORDER_CANCELLED',
                        value:'ORDER_CANCELLED'
                    }),

                    ]),
                e('button',{
                className:'btn btn-warning',
                style:{
                    ...btnStles,
                },
                onClick:()=>{
                    this.state.massUpdate.orders.length>0
                            && fetch(((user.role=='admin' || user.role=='manager')  && ((!this.state.outletId && `/orders1/massApproval/update`)
                                                                                        || `/orders1/mass/${this.state.outletId}/update`)),{
                        method:'POST',
                        headers: {
                            'Accept': 'application/json',
                            'Content-Type': 'application/json'
                          },
                        body:JSON.stringify({
                            orders: this.state.massUpdate.orders,
                            status: this.state.status,
                            date: this.state.date
                        })
                      }).then(res=>res.json()).then(res=>{
                            this.setState({
                                ...this.state,
                                orders: res,
                                massUpdate: {
                                    orders: [],
                                    checked: false
                                }
                            })
                        })}
            },'Update All'),
            ]),
            e('div',{},[
                e('div',{
                    style:{
                        display:'block',
                        alignItems:'center',
                        backgroundColor:'#fff',
                        borderBottom:'2px solid #000'
                    }
                },[
                        e('div',{
                            style:{
                                display:'block',
                                alignItems:'center',
                                backgroundColor:'#fff',
                            }
                        },[
                    /*
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{

                        },'orderId')
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{

                        },'customerName')
                    ]),
                    e('div',{
                        ...rowDivStyle
                    },[
                        e('span',{

                        },'mobile')
                    ]),*/
                ]),
            ]),
                e('div',{
                    style:{
                        display:'flex',
                        flexDirection:'column',
                        alignItems:'center',
                    }
                },[
                    this.state.orders.map((item,key)=>{
                        return e('div',{key,
                                        style:{
                                            flex:1,
                                            width:'100%',
                                            backgroundColor:'#fff',
                                            border:'1px solid #eee',
                                        }
                        },this.orderItem(item,key))
                    })
                ])
            ])

        ])
    }
}
ReactDOM.render(e(OrderApp), document.getElementById('app'));
