@extends('app')

@section('content')

        <div class="login-wrapper">

            <div class="container-center">
                <div class="login-area" style="   margin-left: -35px; margin-top: -145px;">
                <div class="panel panel-bd panel-custom">
                    <div class="panel-heading" style="background-color: #009688;
    border-color: #009688;">
                        <div class="view-header">
                            <div class="header-icon">
                                <i class="pe-7s-unlock"></i>
                            </div>
                            <div class="header-title">
                                <h3 style="color: white;">Login</h3>
                                <small><strong style="color: white;">Please enter your credentials to login.</strong></small>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body" style="padding-left: 33px;">
                        @if (count($errors) > 0)
						<div class="alert alert-danger">
							<strong>Whoops!</strong> There were some problems with your input.<br><br>
							<ul>
								@foreach ($errors->all() as $error)
									<li>{{ $error }}</li>
								@endforeach
							</ul>
						</div>
					@endif


					   @if(Session::has('warning'))
                    <div class="alert alert-danger">
							<strong>
                             {{Session::get('warning')}}
                            </strong>
						</div>
                    @endif

                        <form class="form-horizontal" role="form" method="POST" action="{{ url('/auth/login') }}" id="loginForm" novalidate>
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <div class="form-group">
                                <label class="control-label" for="username">Username</label>
                                <input type="email" placeholder="example@gmail.com" title="Please enter you username" required="" value="" name="email" id="username" class="form-control">
                                <span class="help-block small">Your unique username to app</span>
                            </div>
                            <div class="form-group">
                                <label class="control-label" for="password">Password</label>
                                <input type="password" title="Please enter your password" placeholder="******" required="" value="" name="password" id="password" class="form-control">
                                <span class="help-block small">Your strong password</span>
                            </div>
                            <div>
                                <button class="btn btn-add" style="width: 200px; margin-left: 69px; ">Login</button>
                            </div>
                        </form>

                        </div>
                        </div>
                </div>
            </div>
        </div>

@endsection
