@extends('app')

@section('styles')
<link href="//cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
<link href="//cdn.quilljs.com/1.3.6/quill.bubble.css" rel="stylesheet">


@stop

<style>
    .content-header{
   display:flex;
   align-items:center;
   justify-content:space-between;
   width:100%;
}
.content-header {
   
    padding: 12px 21px 12px 21px;

}
.header-icon .fa{
    font-size: 30px;
}
.content-header .header-title {
    margin-left: 0px;
}
.content-header .header-icon {
    width: 100% !important;
    display: flex;
}
.content-header .header-icon .fa{
    margin-right:10px;
}
.content-header .header-title {
    margin-left: 0px !important;
}
.content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}

.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 4px !important;
    margin-bottom: 10px;
}
    </style>
@section('content')
<div class="content-wrapper">
    <section class="content-header">
        <div class="header-icon">
        <i class="fa fa-sticky-note-o" aria-hidden="true"></i>
        <h1>Blog Edit</h1>
            <div class="header-title">
        </div>
        </div>
        <div class="header-title">
        <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="{{url('/backend/Blog/view')}}"><i class="fa fa-arrow-left"></i></a>
            <!-- <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="   background-color: #009688;
               border-color: #009688; color: white"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> -->
        </div>
    </section>

    <section class="content">
        <div>
            <div class="panel panel-bd lobidrag">
                <div class="panel-heading">Blog</div>
                <div class="panel-body">
                    <form action="{{url('backend/Blog/edit').'/'.$categories->id}}" method="post" enctype="multipart/form-data">

                       <input type="hidden" name="content" id="content">

                        <div class="form-group">
                            <input type="text" name="title" placeholder="Description" class="form-control" name="description" value="{{$categories->title}}"></div>

                        <div id="toolbar-container">
                            <span class="ql-formats">
                                <select class="ql-font"></select>
                                <select class="ql-size"></select>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-bold"></button>
                                <button class="ql-italic"></button>
                                <button class="ql-underline"></button>
                                <button class="ql-strike"></button>
                            </span>
                            <span class="ql-formats">
                                <select class="ql-color"></select>
                                <select class="ql-background"></select>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-script" value="sub"></button>
                                <button class="ql-script" value="super"></button>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-header" value="1"></button>
                                <button class="ql-header" value="2"></button>
                                <button class="ql-blockquote"></button>
                                <button class="ql-code-block"></button>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-list" value="ordered"></button>
                                <button class="ql-list" value="bullet"></button>
                                <button class="ql-indent" value="-1"></button>
                                <button class="ql-indent" value="+1"></button>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-direction" value="rtl"></button>
                                <select class="ql-align"></select>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-link"></button>
                                <button class="ql-image"></button>
                                <button class="ql-video"></button>
                                <button class="ql-formula"></button>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-clean"></button>
                            </span>
                        </div>

                        <div id="contentBody" style="height: 400px;">
                        
                        </div>

                        <div>
                       
                        </div>

                        <br>

                        <div class="mt-3">
                            <input type="file" name="image" class="form-control" >
                            @if($categories->image!="") 
                                <img src="{{url($categories->image)}}"  height="60px" width="60px" /> 
                            @endif
                        </div>

                        <button class="btn btn-primary" type="submit">
                            Save
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </section>


    @stop

    @section('script')
    <script src="//cdn.quilljs.com/1.3.6/quill.js"></script>
    <script src="https://unpkg.com/quill-image-resize-module@3.0.0/image-resize.min.js"></script>


    <script>
                var content = `{!! $categories->content != null ? base64_decode($categories->content) : "<p>Content Goes Here</p>" !!}`;

        var options = {
            // debug: 'info',
            modules: {
                toolbar: '#toolbar-container',
                imageResize: {
                    displaySize: true
                },
            },
            placeholder: 'Compose an epic...',
            readOnly: false,
            theme: 'snow',
            name: 'content'
        };
        var editor = new Quill(document.querySelector("#contentBody"), options)

        editor.root.innerHTML = content

        editor.on('text-change', function(text) {
            $txtObject = document.querySelector('#content');
            $txtObject.value = (editor.root.innerHTML)
        })
    </script>

    @stop