@extends('app')

@section('content')
<style>
.d-flex{
    display:flex;
    justify-content: space-between;
    align-items:center;
}
.form-inline{
    margin-bottom:0px;
}
.container {
    width: 993px;
    box-shadow: 0px 0px 5px rgba(0,0,0,1.0);
}
.flex-direction{
    display:flex;
    flex-direction:row;
}
.flex-direction a{
    margin-right:5px;
    font-size:13px;
}
.station-title{
    padding:0px 10px;
}
.main-header{
    background-color:#010a0f;
    color:#fff;
}
.station-table{
    border:1px solid #000;
}
.form-control {
    
    text-transform: uppercase;
}
#ui-datepicker-div{
    z-index: 9999 !important;
}
.modal-body{
    padding:10px;
}
.mt-2{
    margin-top:10px;
}
.form-inline .form-control {
    display: inline-block;
    width: 100%;
    vertical-align: middle;
}
.blog-list-table{
    height:380px;
}
.content-header{
   display:flex;
   align-items:center;
   justify-content:space-between;
   width:100%;
}
.content-header {
   
    padding: 12px 21px 12px 21px;

}
.header-icon .fa{
    font-size: 30px;
}
.content-header .header-title {
    margin-left: 0px;
}
.content-header .header-icon {
    width: 100%;
    display: flex;
}
.content-header .header-icon .fa{
    margin-right:10px;
}
.header-title{
    display:flex;
    justify-content:space-between;
    align-items:center;
    width:96%;
    margin-left:80px;
}
</style>
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            
            <div class="header-title">
            <div class="d-flex justify-content-between align-items-center">
            <i class="fa fa-sticky-note-o" aria-hidden="true"></i>
            <h1>Post Refresher</h1>
            </div>
            @if (hasPermission(['create-blog']))
                <a href="{{url('/backend/Blog/add')}}" class="btn btn-primary" style="text-align:center; display:flex;justify-content:space-between;align-items:center;">Add New Blog</a>
            @endif    
        </div>
        </div>
        <!-- <div class="header-title">
           
           
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="
               background-color: #009688;
               border-color: #009688; color: white" >
               <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
            </a>
        </div> -->
    </section>

    <section class="content">
        <div class="row">
           
            <div class="container">
            	<div class="row">
                    
                    <div class="table-responsive a blog-list-table">
                    <table class="table-bordered table">
                        <thead>
                            <tr class="main-header">
                                <th style="min-width:50px;text-align:center;"> Id</th>
                                <th style="min-width:200px;text-align:center;">title</th>
                                <th style="min-width:200px;text-align:center;">Content</th>
                                <th style="min-width:80px;text-align:center;">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($AllData as $alldata)
                            <tr class="stationlist">
                               
                                    <td class="stationCode" style="text-align:center;">
                                       {{$alldata->id}}
                                    </td>
                                    <td>
                                    {{$alldata->title}}
                                    </td>
                                    <td>
                                    {{substr(strip_tags(base64_decode($alldata->content)),0,50)}}
                                    </td>
                                   
                                
                                    <td style="text-align:center;display:flex;justify-content-between;">
                                        @if (hasPermission(['edit-blog']))
                                            <a href="{{url('/backend/Blog/edit').'/'.$alldata->id}}" class="btn btn-primary" style="text-align:center; display:flex;justify-content:space-between;align-items:center;margin-right:10px;">Edit 
                                                <i class="fa fa-pencil-square-o" aria-hidden="true" style="font-size: 15px; margin-left: 7px; margin-top: 3px"></i>
                                            </a>
                                        @endif
                                   
                                        <a href="{{url('blog/posts').'/'.$alldata->slug}}" target="_blank" class="btn btn-primary" style="text-align:center; display:flex;justify-content:space-between;align-items:center;">View 
                                            <i class="fa fa-eye-square-o" aria-hidden="true" style="font-size: 15px; margin-left: 7px; margin-top: 3px"></i>
                                        </a>
                                        
                                    </td>
                                    
                            </tr>
                            
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    

</div>
@stop



