@extends('app')
@section('content')
@if(\Auth::check())
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<style>
    .d-flex{
        display:flex;
        justify-content:space-between;
        align-items:center;
    }
    .fa {
    
    font-size: 35px;
   
}
a {
    color: #00f;
    text-decoration: none;
}
.search-button form{
    display:flex;
        justify-content:space-between;
        align-items:center;
}
.search-button span {
    width: 165px;
    font-weight: 600;
    margin-right: 12px;
}
.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #aaa;
    border-radius: 4px;
    height: 34px;
}
.search-button input{
    width:200px;
    margin-right:10px;
}
.fa{
    font-size:24px;
}
.content-header{
   display:flex;
   align-items:center;
}
.header-icon .fa{
    font-size: 30px;
}
.content-header .header-title {
    margin-left: 0px;
}
.content-header .header-icon {
    
    width: 41px;
   
}

.form-inline .form-control {
    max-width:161px !important;
    display: inline-block;
    width: 170px !important;
    vertical-align: middle;
}

    </style>
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
      
    <section class="content-header">
        <div class="header-icon">
        <i class="fa fa-map-marker"></i>
        </div>
        <div class="header-title">
            <h1>FASSI Validity Expiry Details</h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                               
                                <div class="search-button col-md-12">
                                   
                                        <form action="" method="GET">
                                        <input type="text" class="form-control" name="outletName" Placeholder="Search....."/>
                                        <div>
                                        <select name="status" class="selectBox form-control">
                                            <option value="0">--Select--</option>
                                            <option @if(request()->get('status')==1) selected @endif value="1">Expired</option>
                                            <option @if(request()->get('status')==2) selected @endif value="2">UnExpired</option>
                                        </select>
                                        </div>
                                        <input type="text" name="fromdate" id="fromDate" placeholder="From Date" class="form-control" @if(request()->get('fromdate')!="") @endif value="{{request()->get('fromdate')}}"/>
                                        <input type="text" name="todate" id="toDate" placeholder="To Date" class="form-control"  @if(request()->get('todate')!="") @endif value="{{request()->get('todate')}}" style="margin-right:10px;"/>
                                   
                                        <button class="btn btn-primary" type="submit" style="margin-right:10px;">Search</button>
                                        <a class="btn btn-primary" href="{{url('/backend/fssaiExpire')}}"><i class="fa fa-refresh" aria-hidden="true"></i></a>
                                    
                                    </form>
                                </div>
                                <div class="TotalBulkOrder col-md-12">
                                    <b>Total FSSAI: 
                                        <span style="color:#c00;font-weight:800;">{{$outlets->Total()}}</span>
                                    </b>
                                </div>
                            </div>
                        </div>
                        <div class="panel-body">
                           <div class="table-responsive">
                                <table id="dataTableExample1" class="table table-bordered table-striped table-hover text-center">
                                        <thead>
                                            <tr class="info">
                                            
                                                <th style="min-width:200px;">Outlet</th>
                                                <th style="min-width:180px;">FSSAI Number</th>
                                                <th style="min-width:100px;">FSSAI Valid Upto</th>
                                                <th style="min-width:100px;">Days Left</th>
                                                <th style="min-width:100px;">Outlet Status</th>
                                                <th style="min-width:100px;">Action</th>
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                        @foreach ($outlets as $outlet)
                                        <?php $curnt= strtotime(date('Y-m-d'));
                                         $validDate =   strtotime(date("Y-m-d",strtotime($outlet->fssaiValidUpto)));
                                         
                                         $daysleft = $validDate - $curnt;
                                         $style ="";

                                         $currentPlusTen = strtotime("+30 days");
                                        
                                        ?>
                                         @if ($validDate < $currentPlusTen && $validDate > $curnt)
                                         @php  $style ="background-color:#ddafaf"; @endphp
                                         @endif
                                            <tr style="{{$style}}">
                                                <td style="">{{ $outlet->outletName }}</td>
                                                <td>{{$outlet->fssaiNo}}</td>
                                                <td>
                                                    {{date("Y-m-d h:i A", strtotime($outlet->fssaiValidUpto))}}
                                                </td>
                                                <td>
                                                @if($daysleft <= 0)
                                                <span style="color:#c00;font-weight:600;"> {{'Expired'}}</span>
                                               @else
                                                <span style="color:green;font-weight:600;"> {{($daysleft/(60*60*24))}} days</span>
                                                @endif
                                                </td>
                                              
                                                <td>
                                                    @if(!empty($outlet->reason) && $outlet->active=='0')
                                                    <label id="reason_{{$outlet->id}}" style="color:rgba(23, 11, 255, 0.793);">
                                                        Closed : {{$outlet->reason}}
                                                        
                                                        @if(!empty($outlet->closingPeriod) && sizeof(json_decode($outlet->closingPeriod))>0)
                                                        <hr/>
                                                        @foreach (json_decode($outlet->closingPeriod) as $key=>$closingDate)
                                                            Closed From : {{$closingDate->closedFrom}} To : {{$closingDate->closedTo}}
                                                        @endforeach
                                                        @endif
                                                        
                                                        @if(!empty($outlet->weeklyClosed))
                                                        <hr/>
                                                        Closed Day :
                                                        @foreach(json_decode($outlet->weeklyClosed) as $closingDay)
                                                             {{$closingDay}} @if(!$loop->last) , @endif
                                                        @endforeach
                                                        @endif
                                                    </label>
                                                    @elseif(empty($outlet->reason) && $outlet->active=='0')
                                                    <label id="reason_{{$outlet->id}}" style="color:red;"> Permanent Closed</label>
                                                    @else
                                                    <label id="reason_{{$outlet->id}}" style="color:green;"> Active</label>
                                                    @endif
                                                </td>
                                                <td>
                                                    <a href="javascript:void(0);" class="btn btn-success" onclick="fssaiUpdate({{$outlet->id}})">Update Fsaai</a>
                                                </td>
                                            </tr>
                                        @endforeach   
                                        </tbody>
                                </table> 
                                <div class="d-flex d-flex justify-content-between">
                                    {{ $outlets->appends(Request::except('page'))->links() }}
                                </div>
                           </div>

                            <div class=" modal fade" id="updateModal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-lg" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" style="color:grey;font-weight:600;font-size:15px;">Update Fssai Details</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body update-modal-content">           
                                        
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>

@else

@endif

@stop
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script>
    
    

    $(".datepicker").datepicker({
      dateFormat: 'yy-mm-dd'
    });

    function fssaiUpdate(Id) {
        $.ajax({
            type: 'GET',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Changed 'csrf' to 'csrf-token'
            },
            url: '/backend/fssai/edit/' + Id, // Removed double curly braces around url
            success: function(response) {
                $('.update-modal-content').html(response.html);
                $('#updateModal').modal('show');
            }
        });
    }


  

   function saveChange(){ 

        var base_url = "{{url('')}}";
        var faslvl =  $("#fromperiod").val();
        var Id =  $("#hid").val();
        var time = $("#time").val();
        //dateExtande

        $.ajax({
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
                },
                url: base_url+"/backend/dateExtande",
                cache: false,
                data: {
                    'Id': Id,
                    'faslvl':faslvl,
                    'time':time
                },
                success: function(data) {
                    $('#updateModal').modal('hide');
                    location.reload();
                }
            })

            
        }


    function updateStatus(target){ 
            var base_url = "{{url('')}}";
            var ActivateBtn = $('#ActivateBtn'+target).text();

            // By default Active-----
            if(ActivateBtn=='Active'){
                var fssaiStatus = 0;
                var  Alertmsg = "to Activate";
            }
            else if(ActivateBtn=='In-Active'){
                fssaiStatus = 1;
                Alertmsg = "to Deactive";
            }

        if(confirm('Are You Sure '+Alertmsg+' ?')){
        $.ajax({
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf"]').attr('content')
                },
                url: base_url+"/backend/updateStatus",
                cache: false,
                data: {
                    'Id': target,
                    'fssaiStatus':fssaiStatus,
                },
                success: function(data) {
                    var obj = JSON.parse(data);
                    if(obj.response ==0){
                    $('#ActivateBtn'+target).text('In-Active');
                    $('#ActivateBtn'+target).removeClass("btn-success");
                    $('#ActivateBtn'+target).addClass("btn-danger");
                    }
                    else if(obj.response ==1){
                        $('#ActivateBtn'+target).text('Active');
                        $('#ActivateBtn'+target).removeClass("btn-danger");
                        $('#ActivateBtn'+target).addClass("btn-success");
                    }
                }
            })
        }
    
    }
   
</script>

