@extends('app')

@section('content')
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            <i class="fa fa-cog"></i>
        </div>
        <div class="header-title">
            <h1>Download Invoice</h1>
            <small>.</small>
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    margin-left: 96%;
               margin-top: -24px; background-color: #009688;
               border-color: #009688; color: white" ><i class="fa fa-edit" ></i></a>
        </div>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{url('/manager/invoice/download')}}" class="form-inline ajaxForm"  role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <input type="hidden" name="outletId" value="{{$outletId}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label for="name">Start Date</label>
                                    <input type="text" name="startDate" class="from-control datepicker">
                                    <label for="name">End Date</label>
                                    <input type="text" name="endDate" class="from-control datepicker">
                                    
                                    <button id="downloadInvoice" class="btn btn-primary" style="border-radius: 20px;">
                                           Download  
                                    </button>	
                                    <button id="sendInvoice" class="btn btn-primary" style="border-radius: 20px;">
                                           Send Invoice  
                                    </button>	
                                </div>
                             </div>	                                
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
@stop


@section('script')
<script type="text/javascript">
var SEND_INVOICE_URL = {!! json_encode(url('/manager/invoice1/zip/')) !!}
var DOWNLOAD_INVOICE_URL = {!! json_encode(url('/manager/invoice/download')) !!}
</script>
<script>
    $( ".datepicker" ).datepicker();
$(function() {
  $("#downloadInvoice").click(function() {
    $(this).closest("form").attr('action', DOWNLOAD_INVOICE_URL);
    $(this).closest("form").attr('method', 'POST');
    
    //$(this).closest("form").submit();
  });
  $("#sendInvoice").click(function() {
    $(this).closest("form").attr('action', SEND_INVOICE_URL);
    $(this).closest("form").attr('method', 'GET');
    
    //$(this).closest("form").submit();
  });
});    
</script>
@stop