@extends('app')

@section('content')
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            <i class="fa fa-cog"></i>
        </div>
        <div class="header-title">
            <h1>Menu Items Update</h1>
            <small>.</small>
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    margin-left: 96%;
               margin-top: -24px; background-color: #009688;
               border-color: #009688; color: white" ><i class="fa fa-edit" ></i></a>
        </div>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bd lobidrag">
                    <div class="panel-body">
                        <form id="delete_form" action="{{url('manager/outlets/menuitems/delete')}}/{{$outletId}}" class="form-inline ajaxForm"  role='form' method="GET">
                            <!--input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <input type="hidden" name="outletId" value="{{$outletId}}"/-->
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary" style="">
                                           Delete All
                                    </button>	
                                </div>
                             </div>	                                
                        </form>
                    </div>
                </div>
                <div class="panel panel-bd lobidrag">
                    <div class="panel-heading">
                        <div class="btn-group">
                            <a href="#">
                                <h4 style="color:#009688">List Menu Items</h4>
                            </a>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive" style="clear:both">
                            @if(isset($info))
                            <h5 style="color:yellowgreen">{{$info}}</h4>
                            @endif
                            <table id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr class="info">
                                        <th>Item Id</th>
                                        <th>Item Name</th>
                                        <th>Base Price</th>
                                        <th>Description</th>
                                        <th>Opening Time</th>
                                        <th>Closing Time</th>
                                        <th>Tax</th>
                                        <th>Selling Price</th>
                                        <th>Vendor Price</th>
                                        <th>Is Veg.</th>
                                        <th>Is Non veg.</th>
                                        <th>Tags</th>
                                        <th>Cuisine</th>
                                        <th>FoodType</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                @foreach($items as $item)
                                <tbody>
                                    <tr>
                                        <form method="POST" action="{{url('/manager/outlets/update/menuitems/')}}/{{$outletId}}">
                                            <input type="hidden" name="id" value="{{$item['id']}}">
                                            @foreach($item as $key=>$value)
                                            @if(!in_array($key,['menu_id','itemId','options','baseOption','image','created_at','updated_at','outlet_id']))
                                            <td>
                                                    <input type="text" name="{{$key}}" value="{{$value}}" class="form-control">
                                            </td>
                                            @endif
                                            @endforeach                              
                                            <td>
                                                    <button id="update" name='update' value="update" class="btn btn-primary"  type="submit" style="display:inline-block">Update</button>
                                                    <button id="delete" name="delete" value="delete" class="btn btn-primary"  type="submit" style="display:inline-block;margin-top:5px">Delete</button>
                                            </td>
                                        </form>
                                    </tr>
                                </tbody>
                                @endforeach                              
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
@stop


@section('script')
<script type="text/javascript">
var SEND_INVOICE_URL = {!! json_encode(url('/manager/invoice3/zip/')) !!}
var DOWNLOAD_INVOICE_URL = {!! json_encode(url('/manager/invoice2/download')) !!}
var PAY_INVOICE_URL = {!! json_encode(url('/manager/payment/invoice')) !!}
</script>
<script>
    $( ".datepicker" ).datepicker();
$(function() {
    $( "#delete_form" ).submit(function( event ) {
        if (confirm("Are you sure, you want to delete all menu items for this outlet?")) {
            return true;
        }        
        return false;
    });    
  $("#downloadInvoice").click(function() {
    $(this).closest("form").attr('action', DOWNLOAD_INVOICE_URL);
    $(this).closest("form").attr('method', 'POST');
    
    //$(this).closest("form").submit();
  });
  $("#sendInvoice").click(function() {
    $(this).closest("form").attr('action', SEND_INVOICE_URL);
    $(this).closest("form").attr('method', 'POST');
    
    //$(this).closest("form").submit();
  });
  $("#payInvoice").click(function() {
    $(this).closest("form").attr('action', PAY_INVOICE_URL);
    $(this).closest("form").attr('method', 'POST');
    
    //$(this).closest("form").submit();
  });
});    
</script>
@stop