
@extends('app')
@section('content')
@if(\Auth::check())
<style>
    .d-flex{
        display:flex;
        align-items:center;
        justify-content:space-between;
        margin-right:20px;
    }
    header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 30px;
    color: #009688;
    width: 485px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
</style>

@if(request()->get('img')=='notfound')

<script> alert('Image Extension is not valid'); </script>
@endif 
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
            <h1>Edit Outlet</h1>
        </div>
        <div class="header-title">
        <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="javascript:void(0);" onclick="history.back();"><i class="fa fa-arrow-left"></i></a>
            
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{url('/manager/Outlet/save')}}/{{$outlet->id}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">Outlet Name</label>
                                    <input type="text" name="outletName" class="form-control" placeholder="Enter value" required value="{{$outlet->outletName}}"> 
                                </div>
                                
                                {{-- <div class="form-group">
                                    <label style="color:#009688">Vendor</label><br>
                                    <select name="select_vendor" id="vendorS" class="form-control" onchange="setValue(this.value);">
                                           
                                            @forelse($vendors as $vendor)
                                            
                                            <option value="{{$vendor->id}}">{{$vendor->first_name}} {{$vendor->last_name}} ({{$vendor->email}})</option>
                                            @empty
                                            <span>No vendors available.</span>
                                            @endforelse
                                        </select>
                                    
                                </div> --}}
                              
                                <div class="form-group">
                                    <label style="color:#009688">Vendor Email Id</label>
                                    <input type="text" readonly class="form-control" placeholder="Enter value"  value="{{$vendor->email}}"> 
                                </div>

                                <div class="form-group">
                                    <label style="color:#009688">Vendor PAN Number</label>
                                    <input type="text" name="vendorPanNumber" class="form-control" placeholder="Enter value" required value="{{$outlet->vendorPanNumber}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">GST Number</label>
                                    <input type="text" name="gstNo" class="form-control" placeholder="Enter value" required value="{{$outlet->gstNo}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">FSSAI Number</label>
                                    <input type="text" name="fssaiNo" class="form-control" placeholder="Enter value" required value="{{$outlet->fssaiNo}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">FSSAI Valid Upto</label>
                                    <input type="text" name="fssaiValidUpto" class="form-control" placeholder="Enter value" required value="{{$outlet->fssaiValidUpto}}">
                                </div>
                                
                                <div class="form-group">
                                    <label style="color:#009688">Order Timing</label>
                                    <input type="text" name="order_timing" class="form-control" placeholder="Enter value" required value="{{$outlet->order_timing}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Minimum Order Amount</label>
                                    <input type="text" name="minOrderAmount" class="form-control" placeholder="Enter value" required value="{{$outlet->minOrderAmount}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Opening Time</label>
                                    <input type="text" name="openingTime" class="form-control wp wp_opening_time" placeholder="Enter value" required value="{{$outlet->openingTime}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Closing Time</label>
                                    <input type="text" name="closingTime" class="form-control wp wp_closing_time" placeholder="Enter value" required value="{{$outlet->closingTime}}">
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Delivery Cost</label>
                                    <input type="text" name="deliveryCost" class="form-control" placeholder="Enter Address" required value="{{$outlet->deliveryCost}}">
                                </div>
                                <div class="d-flex ml-mr">
                                    <div class="form-group">
                                        <input type="file" name="fileUpload" class="form-control" id="logoImage">
                                       <!-- @if(isset($outlet->logoImage) && $outlet->logoImage!="") <img src="{{$outlet->logoImage}}" height="40px" width="40px"></img> @endif -->
                                    </div>
                                    <button  class="btn btn-primary" type="submit" style="background-color: #009688;border-color: #009688;width:100px;">Save</button>
                                </div>
                            </div>
                            @if(isset($outlet->logoImage) && $outlet->logoImage!="")
                            <div class="col-sm-4">
                                <div class="imgLogo">
                                    <img src="{{$outlet->logoImage}}" width="200px" height="200px"></img>
                                </div>
                            </div>
                            @endif
                        </form>

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop

@section('script')
    <script>
        $('.wp_opening_time').wickedpicker({twentyFour:true,now:"{{$outlet->openingTime}}"});
        $('.wp_closing_time').wickedpicker({twentyFour:true,now:"{{$outlet->closingTime}}"});
        $('.dp').datepicker({
        	dateFormat:'yy-mm-dd'
        });
    </script>
@stop
<script>
    function setValue(selectedValue){
      var selectedValue =  $('#vendorS').children("option:selected").text();
      $('#selectedValueDisplay').text(selectedValue);
    }
</script>