@extends('app')
@section('content')
@if(\Auth::check())

<div class="content-wrapper">

    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Outlets</h1>
        </div>
    </section>
    <section class="content">
        <div class="row">
        <!-- Main content -->
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div>
                                <label style="color:green">{{$message}}</label>
                            </div>
                            <label style="margin-top: 15px;">Set outlet User</label>
                        </div>
                        <div class="panel-body">
                                <form method="POST" action="{{route('outlet.set.user',$outletId)}}">
                                    <div class="form-group" style="display:block;padding:5px;">
                                        <label style="padding:0 5px 0 5px" for="name">Select vendor</label>
                                        <select name="user_id" class="custom-select select2" >
                                            @if(isset($users))
                                                @foreach($users as $user)
                                                    <option value="{{$user->id}}" {{$user_id==$user->id?"selected":""}}>{{$user->first_name}} {{$user->last_name}} - {{$user->email}}</option>
                                                @endforeach
                                            @endif
                                        </select>
                                        <button type="submit" style="margin-left: 76px; margin-top: -24px;" class="btn btn-danger btn-sm">Set User</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
        </section>
    </div>
        <!-- /.content -->

@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop
