@extends('app')

@section('content')
<style>
 .content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
</style>
<div class="content-wrapper">
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-train"></i>
            <h1>Stations</h1>
        </div>
        <div class="header-title">
            
          
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style=" 
               background-color: #009688;
               border-color: #009688; color: white"><i class="fa fa-edit"></i></a>
        </div>
    </section>

    <section class="content">
        <div class="">
            <div class="panel panel-bd lobidrag">
                <div class="panel-heading">Stations</div>
                <div class="panel-body">
                    <table class="table table-bordered">
                        <thead>
                            <colgroup>
                            </colgroup>
                            <tr>
                                <th>ID</th>
                                <th>NAME</th>
                                <th>CODE</th>
                                @if (hasPermission(['edit-page']) || hasPermission(['delete-page']))
                                <th>ACTIONS</th>
                                @endif
                            </tr>
                        </thead>

                        <tbody>
                            @forelse($stations as $station)
                            <tr>
                                <td>{{$station->id}}</td>
                                <td>{{$station->name}}</td>
                                <td>{{$station->code}}</td>
                                <td>
                                    <a href="{{route('station.content.view',['slug' => $station->title])}}" target="_blank" class="btn btn-primary">View</a>
                                </td>
                                @if (hasPermission(['edit-page']))
                                <td>
                                    <a href="{{url('/manager/station/stationContent/'.$station->code.'/edit')}}" class="btn btn-warning">Edit</a>
                                </td>
                                @endif
                                @if (hasPermission(['delete-page']))
                                <td>
                                    <a href="#" class="btn btn-danger">Delete</a>
                                </td>
                                @endif
                            </tr>
                            @empty

                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>


    @stop

    @section('scripts')


    @stop