@extends('app')

@section('content')
<style>
    @media print {
        #main-header {
            display: none !important;
        }

        .table>thead>tr.info>th {
            background-color: #d9edf7 !important;
            -webkit-print-color-adjust: exact !important;
        }

        a {
            color: #009688 !important;
            text-decoration: none;
        }

        a[href]:after {
            content: none !important;
        }

        .panel-heading.ui-sortable-handle {
            background-color: #e8f1f3 !important;
            -webkit-print-color-adjust: exact !important;
        }

        .table-responsive {
            display: block;
            width: auto;
            height: auto;
            overflow: visible;
        }

        .current-page {
            background-color: #428bca !important;
            color: #fff !important;
            -webkit-print-color-adjust: exact;
        }

        #next,
        #previous,
        .btn-primary {
            background-color: #428bca !important;
            color: #fff !important;
            -webkit-print-color-adjust: exact;
        }

        .content-header {
            display: none !important;
        }

        #invoice-header {
            display: none !important;
        }

        .form-inline .form-control {
            width: auto !important;
            display: inline-block;
            width: auto;
            vertical-align: middle;
        }

        #list-outlets {
            color: #009688 !important;
        }
    }
</style>
<div class="content-wrapper">
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-cog"></i>
        </div>
        <div class="header-title">
            <h1>Create Coupon</h1>
            <small>.</small>
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    margin-left: 96%;
               margin-top: -24px; background-color: #009688;
               border-color: #009688; color: white"><i class="fa fa-edit"></i></a>
        </div>
    </section>

    <form action="{{url('/manager/voucher/save')}}" class="ajaxForm" role='form' method="POST">
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div id="invoice-header" class="panel panel-bd lobidrag">
                        <div class="panel-body">
                            <input type="hidden" name="_token" value="{{csrf_token()}}" />
                            <div class="col-sm-8">
                                <div class="form-group" style="margin-top:15px;">
                                    <label for="name">Coupon Code</label>
                                    <input type="text" name="code" value="{{$code}}" class="form-control">

                                </div>

                                <div class="form-group">

                                    <label for="name">Discount</label>
                                    <input type="text" name="data[discount]" value="{{$data}}" class="form-control">

                                </div>

                                
                                <div class="form-group">

                                    <label for="name">Amount From</label>
                                    <input type="text" name="data[amountFrom]" value="{{$data}}" class="form-control">

                                </div>

                                <div class="form-group">

                                    <label for="name">Amount To</label>
                                    <input type="text" name="data[amountTo]" value="{{$data}}" class="form-control">

                                </div>

                                <div class="form-group">

                                    <label for="name">Coupon Type</label>
                                    <select name="data[strategy]" class="form-control" >
                                        <option value="UPTO">UPTO</option>
                                        <option value="FLAT">FLAT</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="name" style="margin-top:30px;">Expires At</label>
                                    <input type="text" name="expires" value="{{$expires}}" class="form-control datepicker">

                                </div>

                                <button id="createVoucher" class="btn btn-primary" style="border-radius: 20px;">
                                    Submit
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </form>

</div>
@stop


@section('script')
<script>
    $(function() {
        $(".datepicker").datepicker();
    });
</script>
@stop