@extends('app')
@section('content')
@if(\Auth::check())
<style>
    .header-icon{
        display:flex;
        justify-content:space-between;
        align-items:center;
    }
    .header-icon .fa{
        font-size:31px;
        margin-right:10px;
    }
    .content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.content-header .header-icon {
   
    width: 268px;
   
    margin-top: 0px;
    line-height: 0;
}
</style>
<div class="content-wrapper">
  
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
            <h1>Vendors Add</h1>
        </div>
        <div class="header-title">
           <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="{{url('/manager/Stations')}}"><i class="fa fa-arrow-left"></i></a>
        </div>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-sm-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="{{url('/admin/workflow/user')}}" class="form-horizontal" enctype="multipart/form-data" role='form' method="POST">
                            <input type="hidden" name="_token" value="{{csrf_token()}}"/>
                            <input type="hidden" name="role" value="vendor"/>
                            <input type="hidden" name="stationCode" value="{{$stationCode}}"/>
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <label style="color:#009688">First Name</label>
                                    <input type="text" name="first_name" class="form-control" placeholder="Enter First Name" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Last Name</label>
                                    <input type="text" name="last_name" class="form-control" placeholder="Enter Last name" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Email</label>
                                    <input type="text" name="email" class="form-control" placeholder="Enter Title" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Password</label>
                                    <input type="password" maxlength="10" name="password" class="form-control" placeholder="Enter Password" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Mobile</label>
                                    <input type="text" name="mobile" onkeypress="return ((event.charCode >= 48 && event.charCode <= 57) ||  event.charCode == 0)" maxlength="10" class="form-control" placeholder="Enter Mobile" required>
                                </div>
                                <div class="form-group">
                                    <label style="color:#009688">Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Enter Address" required>
                                </div>
                                <button  class="btn btn-success" type="submit" style="width: 200px; margin-left: 10px; margin-left: 128px; background-color: #009688;border-color: #009688;">Save</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
    </section>
</div>
@else
<script>window.location.href = "{{env('APP_URL')}}";</script>
@endif
@stop