@extends('frontend')
@section('banner')

<h1>Order Food Online for Train Journey</h1>
            <div class="tabber">
            <form id="pnrTemplate" action="{{url('/search')}}" method="post">
                    <input type="hidden" name="_token" value="{{csrf_token()}}">
                    <input type="text" placeholder="Enter PNR" name="pnr"/>
                    <input type="hidden" value="byPNR" name="type">
                    <button class="submit" style="width:150px;">
                        Search
                    </button>
            </form>
            </div>

@stop

@section('headline')
    Your Search Results
@stop


@section('icon')
<span class="fa fa-search fa-2x"></span>
@stop

@section('content')


<div class="section" style="background: #f9f9f9">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12 sideCol">
                <div>
                    <h5 class="text-center">FOOD DELIVERY iN TRAIN ROUTE</h5>
                    <h5 class="text-center">GWL</h5>
                    <hr>
                </div>
                
                <div class="searchBlock">
                    <div class="station">
                        <span class="h5" style="display:block;flex:1">SELECT STATION</span>
                        <span class="fa fa-train fa-2x"></span>
                    </div>
    
                    <div class="date" style="background: #f9f9f9">
                        <span class="h5" style="display:block;flex:1">27/1/2018</span>
                        <span class="fa fa-2x fa-clock-o"></span>
                    </div>
    
                    <div id="stations">
                        <ul class="list-group">
                            <li class="list-group-item active"><a href="#">JHANSI</a></li>
                            <li class="list-group-item"><a href="#">BEENA</a></li>
                            <li class="list-group-item"><a href="#">GWALIOR</a></li>
                            <li class="list-group-item"><a href="#">AGRA</a></li>
                        </ul>
                    </div>
    
                </div>

                <div class="searchBlock">
                        <div class="station">
                            <span class="h5" style="display:block;flex:1">SELECT STATION</span>
                            <span class="fa fa-train fa-2x"></span>
                        </div>
        
                        <div class="date" style="background: #f9f9f9">
                            <span class="h5" style="display:block;flex:1">27/1/2018</span>
                            <span class="fa fa-2x fa-clock-o"></span>
                        </div>
        
                        <div id="stations">
                            <ul class="list-group">
                                <li class="list-group-item active"><a href="#">JHANSI</a></li>
                                <li class="list-group-item"><a href="#">BEENA</a></li>
                                <li class="list-group-item"><a href="#">GWALIOR</a></li>
                                <li class="list-group-item"><a href="#">AGRA</a></li>
                            </ul>
                        </div>
        
                    </div>
            </div>
            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                <div class="stationHeader">
                        <p>
                                12190 - MAHAKOSHAL EXPRESS FOOD DELIVERY AT MATHURA JN
                        </p>

                        <p>
                                DELIVERY AT: 18:10 | 6/27/2018
                        </p>   
                </div>
                <div class="row">
                    <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                        <div class="outlet">
                            <div class="header">
                                <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                 <div class="details">
                                     <h4>Hotel Name</h4>
                                     <div class="timer">
                                         <span class="fa fa-clock-o"></span>
                                         <span>09:00 to 22:00</span>
                                     </div>
                                 </div>
                            </div>
                            <div class="contents">
                                <span class="delivery_time">
                                    Delivery: &emsp; 60 min
                                </span>

                                <span class="delivery_time">
                                        Min Order: &emsp; 200
                                </span>
                            </div>
                            <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}">
                                <span class="fa fa-bars pull-left"></span>
                                <span class="text-center">Menu</span>
                            </a>
                        </div>
                    </div>

                    <!-- 2nd column -->

                    <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                            <div class="outlet">
                                <div class="header">
                                    <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                     <div class="details">
                                         <h4>Hotel Name</h4>
                                         <div class="timer">
                                             <span class="fa fa-clock-o"></span>
                                             <span>09:00 to 22:00</span>
                                         </div>
                                     </div>
                                </div>
                                <div class="contents">
                                    <span class="delivery_time">
                                        Delivery: &emsp; 60 min
                                    </span>
    
                                    <span class="delivery_time">
                                            Min Order: &emsp; 200
                                    </span>
                                </div>
                                <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}" >
                                    <span class="fa fa-bars pull-left"></span>
                                    <span class="text-center">Menu</span>
                                </a>
                            </div>
                        </div>

                        <!-- 3rd column -->

                        <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                                <div class="outlet">
                                    <div class="header">
                                        <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                         <div class="details">
                                             <h4>Hotel Name</h4>
                                             <div class="timer">
                                                 <span class="fa fa-clock-o"></span>
                                                 <span>09:00 to 22:00</span>
                                             </div>
                                         </div>
                                    </div>
                                    <div class="contents">
                                        <span class="delivery_time">
                                            Delivery: &emsp; 60 min
                                        </span>
        
                                        <span class="delivery_time">
                                                Min Order: &emsp; 200
                                        </span>
                                    </div>
                                    <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}">
                                        <span class="fa fa-bars pull-left"></span>
                                        <span class="text-center">Menu</span>
                                    </a>
                                </div>
                            </div>      

                            <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                                    <div class="outlet">
                                        <div class="header">
                                            <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                             <div class="details">
                                                 <h4>Hotel Name</h4>
                                                 <div class="timer">
                                                     <span class="fa fa-clock-o"></span>
                                                     <span>09:00 to 22:00</span>
                                                 </div>
                                             </div>
                                        </div>
                                        <div class="contents">
                                            <span class="delivery_time">
                                                Delivery: &emsp; 60 min
                                            </span>
            
                                            <span class="delivery_time">
                                                    Min Order: &emsp; 200
                                            </span>
                                        </div>
                                        <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}">
                                            <span class="fa fa-bars pull-left"></span>
                                            <span class="text-center">Menu</span>
                                        </a>
                                    </div>
                                </div>

                                <!-- 5th column -->
                                <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                                        <div class="outlet">
                                            <div class="header">
                                                <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                                 <div class="details">
                                                     <h4>Hotel Name</h4>
                                                     <div class="timer">
                                                         <span class="fa fa-clock-o"></span>
                                                         <span>09:00 to 22:00</span>
                                                     </div>
                                                 </div>
                                            </div>
                                            <div class="contents">
                                                <span class="delivery_time">
                                                    Delivery: &emsp; 60 min
                                                </span>
                
                                                <span class="delivery_time">
                                                        Min Order: &emsp; 200
                                                </span>
                                            </div>
                                            <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}">
                                                <span class="fa fa-bars pull-left"></span>
                                                <span class="text-center">Menu</span>
                                            </a>
                                        </div>
                                    </div>

                                    <div class="col-md-6 col-lg-6 col-xs6-12 col-sm-6 gridCol">
                                            <div class="outlet">
                                                <div class="header">
                                                    <img src="{{secure_asset('/static/img/Logo.jpg')}}" alt="lOGO" width="100" height="100" class="img img-responsive img-circle img-thumbnail">
                                                     <div class="details">
                                                         <h4>Hotel Name</h4>
                                                         <div class="timer">
                                                             <span class="fa fa-clock-o"></span>
                                                             <span>09:00 to 22:00</span>
                                                         </div>
                                                     </div>
                                                </div>
                                                <div class="contents">
                                                    <span class="delivery_time">
                                                        Delivery: &emsp; 60 min
                                                    </span>
                    
                                                    <span class="delivery_time">
                                                            Min Order: &emsp; 200
                                                    </span>
                                                </div>
                                                <a class="btn btn-success  btn-block" href= "{{url('/vendor/Menu/1')}}">
                                                    <span class="fa fa-bars pull-left"></span>
                                                    <span class="text-center">Menu</span>
                                                </a>
                                            </div>
                                        </div>
                </div>
            </div>
        </div>
    </div>
</div>

@stop
