@extends('app')

@section('content')
<style>
.controls {
    align-items: center;
    justify-content: space-between;
    width: 100%;
    display: flex;
    height: auto;
}
</style>
 <div class="content-wrapper" style ="background:#eee;height:100vh">
    <section class="content">
     <div class ="row">
         <div class="col-md-12">
             <h1>Slides</h1>
             <p>Please upload images of resolution 300X200 ..</p>
            <div id="slideUploader">
                <form id="su1" class="dropzone" action="{{route("slideUploads")}}">
                    
                </form>
            </div>        
         </div>
     </div>
     
     <div class="row">
         <div class="col-md-12">
            <div class="imgContainer">
                @forelse($images as $image)
                <div class="imgWrapper">
                    <img src="{{url('/slider/'.$image->name)}}"  alt="{{$image->name}}" width=200 height=200 />
                    <div class="controlWrapper">
                        <div class="controls" style="padding:10px;">
                        <label class="switch" style="padding:5px;">
                          @if($image->active == 1)
                            <input type="checkbox" data-fileId="{{$image->id}}" checked  data-url="{{route('slideUpdate',['id'=>$image->id])}}">
                          @else
                            <input type="checkbox" data-fileId="{{$image->id}}" data-url="{{route('slideUpdate',['id'=>$image->id])}}" >
                          @endif
                          <span class="slider round"></span>
                        </label>
                        
                        <button data-fileId="{{$image->id}}" style="width:30px; height:30px;color:#fff; border: 2px solid #eee; border-radius:30px;padding:5px;"
                            data-url="{{route('slideRemove',['id'=>$image->id])}}"
                        >
                            <span class="glyphicon glyphicon-trash" style="color:#000"></span>
                        </button>
                    </div>
                    </div>
                </div>
             @empty
              <p> No Images :(</p>
            @endforelse
            </div>     
        </div>
     </div>
    </section>
 </div>  
@stop


@section('script')
<script src ="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.7.0/dropzone.min.js" ></script>
<script>
    $(function(){
        const dropZone = new Dropzone("form#su1", {"url": "{{route("slideUploads")}}"})
        dropZone.on('success', function(f,r){
            window.location.reload();
        });
        
        $('.controlWrapper').on('change',"input[type=checkbox]", function(){
            fetch($(this).data('url'),{method:"POST"}).then( msg => msg.json()).then(msg => {
                alert(msg.message)
                window.location.reload()
            })
        })
        
        $('.controlWrapper').on('click',"button", function(e){
            fetch($(this).data('url'),{method:"POST"}).then( msg => msg.json()).then(msg => {
                alert(msg.message)
                window.location.reload()
            })
        })
        
    })
    
</script>
@stop

@section('styles')
<link rel="stylesheet"  href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.7.0/dropzone.min.css" />
 <style>
     
     .imgWrapper{
         position:relative;
     }
     
     .controlWrapper{
         background:rgba(0,0,0,0.7);
         //height:200px;
         width:100%;
     }
     
     .imgContainer{
         display:grid;
         grid-template-columns:1fr 1fr 1fr;
         grid-gap:20px;
     }
     
     .imgWrapper >img{
         width:100%;
     }
     
     .controls{
         align-items: center;
        justify-content: space-between;
        width: 100%;
        display: flex;
        height: 100%;
     }
 </style>
@stop
