@extends('v2.front')


@section('content')

<section class="inner-banner">
    <div class="container">
        <div class="d-flex flex-wrap justify-content-between align-items-top">
            <div class="col-md-6">
                <div class="baner-cnt">
                    <h2>Traveller <span> Info</span></h2>
                    <h4>Fill your details for reach</h4>
                    <p>But I must explain to you how all this mistaken idea of denouncing pleasure and praising pain was born and I will give you a complete account of the system, and expound the actual teachings of the great explorer of the truth, the master-builder of human happiness. No one rejects, dislikes, or avoids pleasure</p>

                </div>
            </div>
            <div class="col-md-6">
                <div class="resturant-food-bg">
                    <img src="assets/img/traveller-info-img.png" alt="">
                </div>
            </div>

        </div>

</section>
<!-- END top banner section -->

<!-- START Please Fill The Details -->
<section class="sec">
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="col-md-12">
                <div class="trainer-top text-center">
                    <div class="sec-heading center-line">Please Fill The Details</div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        @if( !($userguard != null && auth($userguard)->check()))
            <div class="p-2">
                <h2 class="text-center">Please login/signup to continue</h2>
            </div>
        @else
        @php
        $customer = (object)json_decode(auth($userguard)->user()['customer']);
        
       @endphp
       
            <form action="{{route('checkout.cod')}}" method="post" id="checkoutForm">
            <div class="d-flex flex-wrap our-trainer-main">
                <div class="col-md-6">
                    <div class="traveler-info profile-form">
                        <h5>Traveler Info</h5>
                        <div class="traveler-from">
                            <div class="form-group">
                                <label>Full Name<span class="compulsary-star">*</span></label>
                                <input type="text" class="form-control" placeholder="Your Name" name="fullName" required value="{{$customer->fullName ?? ''}}">
                            </div>
                            <div class="form-group">
                                <label>Phone Number<span class="compulsary-star">*</span></label>
                                <input type="text" class="form-control" placeholder="Your Number" name="mobile" required value="{{$customer->mobile ?? ''}}"  >
                            </div>
                            <div class="form-group">
                                <label>Email Address<span class="compulsary-star">*</span></label>
                                <input type="email" class="form-control" placeholder="Your Email" name="email" required value="{{$customer->email ?? ''}}">
                            </div>
                            <div class="form-group">
                                <label>Delivery Date & Time<span class="compulsary-star">*</span></label>
                                <input type="datetime" class="form-control" placeholder="Delivery Date" value="{{$details->deliveryDate}}" disabled>
                            </div>
                            <h5>Payment Method</h5>
                            <div class="payment-method">
                                <ul>
                                    <li>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="paymentType" id="flexRadioDefault1" value="CASH_ON_DELIVERY">
                                            <label class="form-check-label" for="flexRadioDefault1">
                                                Cash on delivery
                                            </label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="paymentType" id="flexRadioDefault2" checked value="PRE_PAID">
                                            <label class="form-check-label" for="flexRadioDefault2">
                                                Pay Online
                                            </label>
                                        </div>
                                    </li>
                                </ul>

                            </div>
                            <div class="login-button get-started">
                                <button type="submit" class="btn-main login-btn">Place an Order</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="traveler-info profile-form">
                        <h5>Train Info</h5>

                        <div class="form-group">
                            <label>Train Number<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Train Number" value="{{$details->trainNo}}" disabled>
                        </div>
                        <!-- <div class="form-group">
                        <label>Train Number<span class="compulsary-star">*</span></label>
                        <input type="text" class="form-control" placeholder="Train Number">
                    </div> -->

                        <div class="form-group">
                            <label>Station Code<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Station Code" value="{{$details->stationCode}}" disabled>
                        </div>
                        <div class="form-group">
                            <label>Station Name<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Station Name" value="{{$details->stationName}}" disabled>
                        </div>
                        <div class="form-group">
                            <label>PNR<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Your PNR" value="{{$details->pnr}}" disabled>
                        </div>
                        <div class="form-group">
                            <label>Coach<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Your Coach" value="{{$details->coach}}" disabled>
                        </div>
                        <div class="form-group">
                            <label>Berth<span class="compulsary-star">*</span></label>
                            <input type="text" class="form-control" placeholder="Your Berth" value="{{$details->berth}}" disabled>
                        </div>
                    </div>
                </div>

            </div>

        </form>
        @endif
    </div>
</section>
<!-- END Please Fill The Details -->




@stop


@push('scripts')
<script src="https://checkout.razorpay.com/v1/checkout.js"></script>
@endpush


@section('footer-scripts')


<script>
    const form = document.querySelector('#checkoutForm')
    const requestUrl = "{{route('razor.token')}}"

    var options = {
        "key": "{{config('razorpay.razor_key')}}", // Enter the Key ID generated from the Dashboard
        "currency": "INR",
        "name": "OLF Stores",
        "description": "OLF Stores", //☒
        "order_id": "order_9A33XWu170gUtm", //♦ This is a sample Order ID. Pass the `id` obtained in the response of Step 1
        "callback_url": "{{route('razor.junk')}}",
        "prefill": {
            "name": "Gaurav Kumar",
            "email": "gaurav.kumar@example.com",
            "contact": "9999999999"
        }, //㕖
        "notes": {
            "address": "OLF Store"
        },
        "theme": {
            "color": "#3399cc"
        }
    };

    const formFields = (formData) => {
        let _fields = {}

        for (const [key , value] of formData) {
            _fields[key] = value
        }

        return _fields;
    }

    form.addEventListener('submit', async (ev) => {
        
        let _frmData = new FormData(form)
       
        const header = document.querySelector('meta[name="csrf-token"]').textContent

        let _payment = 'PRE_PAID'
        let _paymentType = _frmData.get('paymentType')
        let _contact = _frmData.get('mobile')

        options = {
            ...options,
            prefill: {
                name: _frmData.get('fullName'),
                contact: _frmData.get('mobile'),
                email: _frmData.get('email')
            }
        }

        const validationRegex = new RegExp(/^(6|7|8|9)\d{9}$/)


        if (! validationRegex.test(_contact)) {
            alert('Please Enter valid mobile number')
            ev.preventDefault();
            return;
        }
        

        if (_payment == _paymentType) {
            ev.preventDefault();

            await fetch("{{route('customer.junk')}}", {method:"POST", headers:{
                'X-CSRF-TOKEN':header
            }, body:_frmData}).then(c => c.json()).then(console.log).catch(console.log)


            await fetch(requestUrl, {
                headers: {
                    'X-CSRF-TOKEN': header
                },
                method: 'POST'
            }).then(r => r.json()).then(c => {
                options = {
                    ...options,
                    "order_id": c.id
                }

                var rzp1 = new Razorpay(options);
                rzp1.open()

            })



        }else{
            let _fields = formFields(_frmData)
            console.log(_fields)
        }

    })
</script>
@stop