@extends('v2.front')

@section('content')
	<style>
.inner-banner p{
   line-height: 8px !important;
    margin-bottom: 10px !important;

}
.inner-banner {
    background-color: #ffffff;
    margin: 60px 0 0 0 !important;
}
.code-line{
    margin-top: 25px;
}
</style>

<section class="inner-banner">
            <div class="container">
                <div class="d-flex flex-wrap justify-content-between align-items-top">
                    <div class="col-md-12">
                    <div class="well">
                        <h1>Terms & Conditions</h1>
                    </div>
                   
<h2 class="code-line" data-line-start=2 data-line-end=3 ><a id="1_GENERAL_2"></a>1. GENERAL</h2>
<ul>
<li class="has-line-data" data-line-start="3" data-line-end="7">“Online food delivery in train” means the provision of delivery of pre-ordered meals (by selection) at the seat/berth on the train,
<ul>
<li class="has-line-data" data-line-start="4" data-line-end="5">which includes:-</li>
<li class="has-line-data" data-line-start="5" data-line-end="6">Pre-ordered meal (along with Railneer/approved PDW, Beverages) in packaged form.</li>
<li class="has-line-data" data-line-start="6" data-line-end="7">Delivery of Meals as per schedule of train at station.</li>
</ul>
</li>
<li class="has-line-data" data-line-start="7" data-line-end="8">Delivery of Pre-ordered meal along with bill/invoice.</li>
<li class="has-line-data" data-line-start="8" data-line-end="9">“Customer” means bonafide Railway passenger(s).</li>
<li class="has-line-data" data-line-start="9" data-line-end="10">“Charges” means the charges to be paid by the Customer in respect of Online food delivery in train services in accordance with</li>
<li class="has-line-data" data-line-start="10" data-line-end="11">charging structure which may be amended by OLF STORES from time to time</li>
<li class="has-line-data" data-line-start="11" data-line-end="12">“OTP” means one time password which shall be provided to the passenger through email and SMS (Short Message Service) by OLF STORES.</li>
<li class="has-line-data" data-line-start="12" data-line-end="13">At the time of taking delivery of the pre-ordered meal the passenger shall provide the OTP to the authorized</li>
<li class="has-line-data" data-line-start="13" data-line-end="14">personnel delivering the meal. The delivery of pre-ordered meal shall be subject to passenger giving correct and identical OTP  as provided to the passenger at the time of booking of the meal.</li>
<li class="has-line-data" data-line-start="14" data-line-end="15">“Station” means Railway station over Indian Railways network.</li>
<li class="has-line-data" data-line-start="15" data-line-end="16">“Train” means trains operated and managed by Indian Railways.</li>
<li class="has-line-data" data-line-start="16" data-line-end="18">Email address and/or mobile telephone with SMS facility is essential for using Online food delivery in train service.</li>
</ul>
<h2 class="code-line" data-line-start=18 data-line-end=19 ><a id="2_FORMATION_OF_CONTRACT_18"></a>2. FORMATION OF CONTRACT</h2>
<ul>
<li class="has-line-data" data-line-start="19" data-line-end="20">The Online food delivery in train services are provided by OLF STORES subject to these terms and conditions, the acceptance of  which the Customer shall confirm and agree by the act of booking an Online food delivery in train services and paying the charges.</li>
<li class="has-line-data" data-line-start="20" data-line-end="21">No representative, employee or salesperson or agent of OLF STORES or its Service Provider has authority to vary, amend or waive any of these conditions.</li>
<li class="has-line-data" data-line-start="21" data-line-end="23">These terms and conditions will prevail over any terms or conditions proposed by the Customer orally or on any order form or similar document: and any such other terms and conditions proposed shall not be binding on OLF STORES.</li>
</ul>
<h2 class="code-line" data-line-start=23 data-line-end=24 ><a id="3_ONLINE_FOOD_DELIVERY_IN_TRAIN_SERVICES_23"></a>3. ONLINE FOOD DELIVERY IN TRAIN SERVICES</h2>
<ul>
<li class="has-line-data" data-line-start="24" data-line-end="25">All specifications, descriptions, drawings, photographs or illustrations of the meals shown on the website, photograph, mail, advertisements etc. are purported to be food &amp; beverage items which may not be identical to the item delivered. Any other advertising matter and sample books are only intended to serve as a guide and not to be relied upon by the Customer or treated as binding or as forming part of these conditions or any contract with the Customer.</li>
<li class="has-line-data" data-line-start="25" data-line-end="26">OLF STORES shall use its reasonable endeavours to deliver the pre-ordered meals with/without beverages to the customer at seat/berth on the selected train during the booked meal, but reserves the right to cancel the order due to technical reasons or otherwise in which case an alternative pre-ordered meal with or without beverage will be delivered or a refund of the Charges will be made at the discretion of OLF STORES.</li>
<li class="has-line-data" data-line-start="26" data-line-end="28">OLF STORES shall use its reasonable endeavours to ensure suitable delivery of pre-ordered meals on the seat/berth on the train including timely delivery with packaged meal, ensuring staff/service provider are on hand to respond to any queries, of the customer.</li>
</ul>
<h2 class="code-line" data-line-start=28 data-line-end=29 ><a id="4_CHARGES_28"></a>4. CHARGES</h2>
<ul>
<li class="has-line-data" data-line-start="29" data-line-end="31">Charges payable for an Online food delivery in train services shall be as applicable for the chosen/selected meal items for pre-order by the customer for delivery at the selected trains. The charges are inclusive of applicable VAT and other government taxes and packing charges. The taxes as applicable are levied by Vendors. OLF STORES is not responsible for applicability of taxes.</li>
</ul>
<h2 class="code-line" data-line-start=31 data-line-end=32 ><a id="5_TERMS_OF_PAYMENT_31"></a>5. TERMS OF PAYMENT</h2>
<ul>
<li class="has-line-data" data-line-start="32" data-line-end="33">Customers shall make payment for an Online food delivery in train services at the time of booking of meal by entering the details of their debit/credit card/net banking/e-wallet on on-line booking form, provided that such debit/credit card/net banking/e-wallet is listed as acceptable by OLF STORES on the booking form instructions.</li>
<li class="has-line-data" data-line-start="33" data-line-end="35">Unless otherwise agreed to in writing, the Customer shall not be entitled to any discount.</li>
</ul>
<h2 class="code-line" data-line-start=35 data-line-end=36 ><a id="6_CUSTOMERS_OBLIGATIONS_35"></a>6. CUSTOMER’S OBLIGATIONS</h2>
<ul>
<li class="has-line-data" data-line-start="36" data-line-end="37">The customer may pre-order the meal on-line on Online food delivery in train service anytime after booking of ticket and up to 02 hours of scheduled arrival of the train (In certain cases vendors have opted to serve meals even within 02 hrs. of train reaching a station) at selected station and shall ensure that all fields in the format have been filled in correctly. OLF STORES shall not be responsible for any incorrect information provided by the customer.</li>
<li class="has-line-data" data-line-start="37" data-line-end="38">The customer must carry the railway ticket at the time of delivery of pre-ordered meal at the seat/berth on the stationary train.</li>
<li class="has-line-data" data-line-start="38" data-line-end="39">OLF STORES shall not be liable for the delivery of pre-ordered meal in case the passenger is not carrying the valid Railway ticket and not giving correct and identical OTP, at the time of delivery, as provided to the passenger at the time of booking of the meal.</li>
<li class="has-line-data" data-line-start="39" data-line-end="40">The Customer shall be a bonafide Rail passenger having a valid railway ticket with PNR.</li>
<li class="has-line-data" data-line-start="40" data-line-end="41">The customer must carry the railway ticket at the time of delivery of pre-ordered meal at the seat/berth on the stationary train.</li>
<li class="has-line-data" data-line-start="41" data-line-end="42">OLF STORES shall not be liable for the delivery of pre-ordered meal in case the passenger is not carrying the valid Railway ticket and not giving correct and identical OTP, at the time of delivery, as provided to the passenger at the time of booking of the meal.</li>
<li class="has-line-data" data-line-start="42" data-line-end="43">OLF STORES and the service provider with whom OLF STORES has entered into an agreement for the provision of delivery of</li>
<li class="has-line-data" data-line-start="43" data-line-end="44">pre-ordered meals reserve the right at their sole and absolute discretion to refuse delivery if the passenger resorts to violence and/or abusive language with the authorized delivery person.</li>
<li class="has-line-data" data-line-start="44" data-line-end="45">Pre-deboarding/No show/Non-Boarding:-</li>
<li class="has-line-data" data-line-start="45" data-line-end="46">In case of pre-deboarding of the customer by detraining at any station prior to the selected station on train route, OLF STORES shall not be liable to deliver the pre-ordered meal at any other station or in any other train other than as selected by the passenger.</li>
<li class="has-line-data" data-line-start="46" data-line-end="47">Customers must be present on the seat/berth as confirmed against the PNR on the selected train during the period of trains stationed at the selected Railway station. In case, customer is not present/seated on the seat/berth as confirmed against the PNR for the selected train, the customer shall be considered to be No-Show and OLF STORES or the service provider shall not be liable for non-delivery of the pre-ordered meal during the stationary period of the train at selected Railway station as location of the customer cannot be determined otherwise and in such cases refund shall not be permissible.</li>
<li class="has-line-data" data-line-start="47" data-line-end="48">In case, the passenger has neither cancelled nor boarded the train, the OLF STORES shall not be liable for non-delivery.</li>
<li class="has-line-data" data-line-start="48" data-line-end="49">OLF STORES shall not be responsible for any delay in arrival/departure of the running train.</li>
<li class="has-line-data" data-line-start="49" data-line-end="50">All disputes are subject to the exclusive jurisdiction of the Gwalior Courts.</li>
</ul>
<h2 class="code-line" data-line-start=50 data-line-end=51 ><a id="7_CANCELLATIONREVISION_POLICY_50"></a>7. CANCELLATION/REVISION POLICY</h2>
<ul>
<li class="has-line-data" data-line-start="51" data-line-end="52">Prior to 2 hours of delivery, booking of meal can be cancelled. In cases where vendor has opted delivery time, less than 02 hrs,orders can be cancelled within 05 minutes from time of booking.</li>
<li class="has-line-data" data-line-start="52" data-line-end="53">No revision/cancellation is permitted within 02 hours of scheduled arrival time of the train at the selected station.</li>
<li class="has-line-data" data-line-start="53" data-line-end="54">Cancellation is not allowed at the time of delivery of pre-ordered meal.</li>
<li class="has-line-data" data-line-start="54" data-line-end="55">Any amendment is subject to cancellation of previous booking.</li>
<li class="has-line-data" data-line-start="55" data-line-end="57">Revision in booking of Online food delivery in train service may be allowed subject to condition that customer cancels the previous booking of meal.</li>
</ul>
<h2 class="code-line" data-line-start=57 data-line-end=58 ><a id="8_REFUND_POLICY_57"></a>8. REFUND POLICY</h2>
<ul>
<li class="has-line-data" data-line-start="58" data-line-end="59">If the amount gets debited from the customer account and orders are not being confirmed due to technical reasons OLF STORES will refund the entire amount (as credit to the relevant credit /debit card account used for the transaction).</li>
<li class="has-line-data" data-line-start="59" data-line-end="60">OLF STORES’s payment reconciliation team works on a 24 x 7 basis, OLF STORES offers no guarantees whatsoever for the  accuracy or timeliness of the refunds reaching the Customers bank accounts. This is on account of the multiplicity of  organizations involved in processing of online transactions, the problems with Internet infrastructure currently available and  working days/holidays of financial institutions.</li>
<li class="has-line-data" data-line-start="60" data-line-end="61">In case train is cancelled by the Railways due to accidents, breaches or floods, Bandh or Rail Roko agitation etc- full refund of the entire amount will be granted provided the customer cancels the order. On line cancellation of such cases can be done up to 72 hrs after the scheduled delivery time. However, there shall be no auto refund, the passenger shall have to make claim for refund in such cases.</li>
<li class="has-line-data" data-line-start="61" data-line-end="62">In case a train is running late, and reaches the meal delivery station beyond the service time; i.e. after 2200 hrs; the delivery of meal is not guaranteed by OLF STORES. In such case, if food is not delivered to passenger, full refund shall be made.</li>
<li class="has-line-data" data-line-start="62" data-line-end="63">In the event of vendor of OLF STORES failing to make the delivery for any reason whatsoever, customer has to make a claim of refund either by giving feedback or by calling customer care within 05 days of the scheduled delivery day, failing which order would be deemed to be delivered and no claim for refund would be entertained thereafter.</li>
<li class="has-line-data" data-line-start="63" data-line-end="65">It is clarified that, by placing an order(s) through Online food delivery in train services, a customer unconditionally and fully accepts all above terms and conditions of Online food delivery in train services.</li>
</ul>
<h2 class="code-line" data-line-start=65 data-line-end=66 ><a id="9_LIMITATION_OF_LIABILITY_65"></a>9. LIMITATION OF LIABILITY</h2>
<ul>
<li class="has-line-data" data-line-start="66" data-line-end="67">OLF STORES shall under no circumstances be liable for any indirect, special or consequential loss including but not limited to loss of profit, loss of contract, loss of revenue or loss of business, howsoever arising whether in contract, tort (including negligence) or statuary duty or otherwise.</li>
<li class="has-line-data" data-line-start="67" data-line-end="68">The aggregate liability of OLF STORES, whether in contract, tort of including negligence or breach of statuary duty or otherwise to the customer for any loss or damage whether asserted by the Customer or third parties, of whatsoever nature and howsoever caused shall be limited to and in no circumstances shall exceed the Charges paid by the Customer for the Online food delivery in train service.</li>
<li class="has-line-data" data-line-start="68" data-line-end="69">OLF STORES shall under no circumstances be liable for any Customer failing to be present at the seat/berth during the period of the train being stationary at the selected station. Neither OLF STORES nor any service provider with whom OLF STORES has entered into an agreement for the provision of Online food delivery in train services has any obligation to inform train delays.</li>
<li class="has-line-data" data-line-start="69" data-line-end="70">OLF STORES shall under no circumstances be liable for any customer failing to provide OTP for the delivery of pre-ordered meal.</li>
<li class="has-line-data" data-line-start="70" data-line-end="71">OLF STORES shall under no circumstances be liable or responsible for the choice made by the customer for the particular meal item and it shall be solely at his own risk.</li>
<li class="has-line-data" data-line-start="71" data-line-end="72">All information, recommendations and advice given by or on behalf of OLF STORES to the Customer regarding train details are given without liability on the part of OLF STORES.</li>
<li class="has-line-data" data-line-start="72" data-line-end="74">The Customer shall fully indemnify and compensate OLF STORES, its employees,sub-contractors and agents in respect of all actions, suits, claims, demands, costs, charges or expenses arising whether asserted by the Customer or third party out of or in connection with the provision of the Online food delivery in train service which are caused directly or indirectly thorough the act or omission, wilful misconduct or negligence of the Customer.</li>
</ul>
<h2 class="code-line" data-line-start=74 data-line-end=75 ><a id="10_ARBITRATION_74"></a>10. ARBITRATION</h2>
<ul>
<li class="has-line-data" data-line-start="75" data-line-end="76">In the event of any dispute arising amongst the Parties, the parties agree to use their best efforts to attempt to resolve all disputes in prompt, equitable and good faith. In the event the parties are unable to do so then such disputes or differencearising under any of these condition or in connection with this contract (except as to any matter the decision of arbitration as per the provisions of “the Arbitration Conciliation Act-1996”. The event shall be referred to the Sole arbitration of an officer or other person, nominated by Chairman and managing Director, OLF STORES to be arbitrator however will not be one of those who have had one opportunity to deal with the matters to be which the contract relates or who in the course of their duties have expressed views on all or any of the matters under dispute of difference. The award of Arbitrator shall be final and binding on the parties to this contract. The venue of the arbitration shall be at Gwalior. The arbitration fee shall be shared between the arbitrator and OLF STORES equally.</li>
</ul>
<h2 class="code-line" data-line-start=76 data-line-end=77 ><a id="11_FORCE_MAJEURE_76"></a>11. FORCE MAJEURE</h2>
<ul>
<li class="has-line-data" data-line-start="77" data-line-end="79">OLF STORES shall not be liable to the Customer for any loss or damage caused to or suffered by the Customer as a direct or indirect result if the provision of an Online food delivery in train service by or on behalf of OLF STORES being prevented, restricted, hindered or delayed by reason of any circumstances outside the control of OLF STORES.</li>
</ul>
<h2 class="code-line" data-line-start=79 data-line-end=80 ><a id="12_WAIVER_79"></a>12. WAIVER</h2>
<ul>
<li class="has-line-data" data-line-start="80" data-line-end="82">The right power and remedies provided pursuant to these conditions are cumulative and do not exclude or affect any rights, powers and remedies provided by law. No delay in exercising, or no exercising OLF STORES of any rights or remedies under these conditions shall operate as a waiver or lease of that right, power or remedy.</li>
</ul>
<h2 class="code-line" data-line-start=82 data-line-end=83 ><a id="13_CONDITIONS_FOR_ISSUANCE_AND_USAGE_OF_COUPON_82"></a>13. CONDITIONS FOR ISSUANCE AND USAGE OF COUPON</h2>
<ul>
<li class="has-line-data" data-line-start="83" data-line-end="84">The coupon code is non transferable to another user.</li>
<li class="has-line-data" data-line-start="84" data-line-end="85">Only one coupon can be used at one time.</li>
<li class="has-line-data" data-line-start="85" data-line-end="86">Applicable on both prepaid and COD orders.</li>
<li class="has-line-data" data-line-start="86" data-line-end="87">Validity of coupon is for 6 months from the date of issue.</li>
<li class="has-line-data" data-line-start="87" data-line-end="88">In case of non delivery, your coupon will be treated as unused coupon and one additional coupon will be issued.</li>
<li class="has-line-data" data-line-start="88" data-line-end="89">In case of cancellation of order on which coupon is applied, coupon will be treated as unused.</li>
</ul>
<h2 class="code-line" data-line-start=89 data-line-end=90 ><a id="CONTACT_US_89"></a>CONTACT US</h2>
<ul>
<li class="has-line-data" data-line-start="90" data-line-end="91">For any further queries please contact us by calling Customer care at 9522996999 available between 10 am to 10 pm. It is clarified that, by placing an order(s) through Online food delivery in train services, a customer unconditionally and fully accepts all above terms and conditions of Online food delivery in train services.</li>
</ul>
    </div>
                </div>
            </div>
    
    
</section>

@stop


@section('title')OLF- IRCTC authorized E-catering partner | About Us @stop
@section('description')OLF is a Food delivery and service aggregator approved by IRCTC. We have partnered over a 
network of 400+ FSSAI approved restaurants, operate across major stations in India. @stop

<style>
.top-nav-menu li a {
    font-size: 18px;
    color: #2a2a2a;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
    h2 {
    font-family: 'Abhaya Libre' !important;
}
h3 {
    font-family: 'Abhaya Libre' !important;
}
h4 {
    font-family: 'Abhaya Libre' !important;
}
p {
    font-family: 'Abhaya Libre'!important;
    font-weight: 500!important;
}
.footer-bg:after{
    display: none !important;
}

</style>
