@extends('v2.front')


@section('content')

<style>
    .btn-left {
        border-top-left-radius: 0px;
        border-bottom-left-radius: 0px;
    }

    .btn-right {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
    }
   
    i.fa.fa-user {
    font-size: 14px !important;
    margin-right: 6px !important;
}
a.btn.btn-primary {
    margin-top: 0px !important;
}
.container {
    max-width: 1104px !important;
}
.top-nav-menu li a {
    padding: 0px 18px !important;
    font-weight: 600 !important;
}
    /* .autocomplete-items {
        position: absolute;
        border: 1px solid #d4d4d4;
        border-bottom: none;
        border-top: none;
        z-index: 99;
        /*position the autocomplete items to be the same width as the container:
    top: 100%;
    left: 0;
    right: 0;
    }

    */
    .autocomplete-items {
        position: absolute;
        border: 1px solid #d4d4d4;
        border-bottom: none;
        border-top: none;
        z-index: 99;
        top: 81%;
        left: 43px;
        right: 0;
        width: 93%;
    }

    .autocomplete-items div {
        padding: 10px;
        cursor: pointer;
        background-color: #fff;
        border-bottom: 1px solid #d4d4d4;
    }

    .autocomplete-items div:hover {
        /*when hovering an item:*/
        background-color: #e9e9e9;
    }

    .autocomplete-active {
        /*when navigating through the items using the arrow keys:*/
        background-color: DodgerBlue !important;
        color: #ffffff;
    }

    .row-header>strong {
        display: block;
        width: 100%;
        text-align: center;
        font-size: 14px;
    }

    .row-header {
        background-color: #eee;
        padding: 20px 10px;
    }

    .stn-row {
        padding: 20px 10px;
        border-bottom: 1px solid #eee;
    }

    .stn-row>* {
        flex: 1;
    }

    .st>h6 {
        font-size: 15px;
        font-weight: bold;
        margin-bottom: 0;
    }

    .stn-row strong {
        font-size: 15px;
        font-weight: bold;
    }

    .intermediates {
        position: absolute;
        bottom: -10px;
        left: 50%;
        right: 0;
        margin-left: calc(100% -50%)px;
    }

    .im {
        background-color: #eaeaea;
    }
  .train-search{
    width:30%;
  }
    p {
    font-family: 'Abhaya Libre' !important;
    font-weight: 400 !important;
}
.row-header>strong {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 20px;
}
h2{
   
    font-family: 'Abhaya Libre' !important;
}
.top-nav-menu li a {
    font-size: 18px;
    color: #fff;
    padding: 0px 20px;
    text-transform: capitalize;
    font-weight: 500;
    font-family: 'Abhaya Libre' !important;
}
.footer-bg:after{
    display:none !important;
}
h1 {
    font-family: 'Abhaya Libre'!important;
}
h3 {
    font-family: 'Abhaya Libre'!important;
}
.sticky header{
    background-color: #ff6713;
}
header {
    padding: 8px 0px;
  
}
.container {
    max-width: 1104px !important;
}
.btn-primary {
   border: 1px solid #f67c01;
   background-color: #f67c01;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #f67c01;
    border-color: #f67c01;
}
.btn-primary.focus, .btn-primary:focus {
    box-shadow:none !important;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #f67c01;
    border-color: #f67c01;
}
.sticky header {
    background-color: #f67c01;
}
@media (max-width:991px){
    .train-search {
    width: 80%;
}
.row-header>strong {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 11px;
}
.row-header {
    background-color: #eee;
    padding: 20px 0px;
    max-width: 331px;
    overflow-x: scroll;
}
h1, h2, h3{
    font-family: 'Abhaya Libre'!important;
    font-size: 20px;
}
}
@media (max-width:1024px){
    .top-nav-menu li a {
    padding: 0px 13px !important;
    font-weight: 600 !important;
}
}
@media (max-width:991px){
    .row-header {
    background-color: #eee;
    padding: 20px 0px;
    max-width: 384px;
    overflow-x: scroll;
}
}
@media (max-width:768px){
    .row-header {
    background-color: #eee;
    padding: 20px 0px;
    max-width: 740px;
    overflow-x: scroll;
}
.row-header>strong {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 20px;
}
}


@media (max-width:576px){
    .row-header>strong {
   
    font-size: 14px;
}
.row-header {
  
    max-width: 510px;
   
}
}
@media (max-width: 380px){
.row-header>strong {
    font-size: 13px;
}
}
</style>

<div class="container" style="margin-top: 102px; margin-bottom: 25px;" id="trainContrainer">
    <div class="list-group-item">

        <h3>Train Search</h3>
        <div class="d-flex align-items-center">
            <div class="form-group mb-0 train-search">
                <input type="text" class="form-control btn-right" id="myInput" />

            </div>

            <button class="btn btn-primary btn-left" id="search">
                <i class="fa fa-search"></i>
                &nbsp;
                Search
            </button>
        </div>
    </div>

    <div class="trainListContrainer">
        <div id="currentPosition"></div>
        <div id="trainList">
            <div class="d-flex align-items-center justify-space-between row-header">
                <strong> Station </strong>
                <strong> Scheduled Time </strong>
                <strong> Actual </strong>
                <strong>Delay </strong>
            </div>

        </div>

        <div id="stationHolder">

        </div>
    </div>
</div>

<div class="container">
    <h1>Know Your Train Status At Any Point In Time</h1>
    <p>
        The railway is the backbone of the transportation system in India. Indian Railways consist of 115,000 Km of railway track which is the largest in the world. Indian Railways carry near about 24 million passengers in more than 23000 trains daily. There are more than 7100 stations connected through railways in India. rail journey is interesting for many reasons. Again, for millions of people rail journey is either essential or the only option. It is also true that railways are the cheapest means of transportation in India. The experience of a long-distance journey is unforgettable for travellers. And to make your journey smooth sailing, OLF has introduced a train ticket status check. This is a technologically advanced service that makes the status check of any long-distance train in any part of the country easy and fast. In fact, travellers get the status of the train in real-time.
    </p>
    
    <h2>Importance of knowing the train status</h2>
    <p>
        Every train traveller knows the importance of keeping track of the positions of the trains they are supposed to travel on or already travelling on. When you know the location of the train, you can easily schedule your other important jobs accordingly. If the train is running late and you know the status, you may leave from your home to the station later according to the new arrival time of the train. In case, you have not checked the status and arrived early at the station, you have to wait for a long time which can be boring. Again, when you know the status of the arrival time of the train at your destination station, you can book a cab accordingly in advance or book a local train ticket in advance according to the schedule. The train status update saves time and energy. On many occasions, it saves money also. OLF has the systematic network and tools for irctc train enquiry.
    </p>

    <p>
        Train journey becomes more comfortable and easy when you know the position of the train in real-time. While serving good food during your journey, OLF also makes the train status inquiry easy for a passenger. 
    </p>
    
    <h2>Find the train status anytime from anywhere</h2>
    <p>
        To check the status of the train, you have to download the mobile app of OLF. You can get this app on the Google Play Store. Checking the status is also possible on the website of OLF but few people borrow laptops on the train so OLF has made the process available in all forms. After downloading the app you have to register with OLF by providing some information. This takes just a few minutes. If you have already ordered food on OLF, you can directly access the irctc train status option.
    </p>

    <p>
        Now the process is easy, type the name of the train or train number in the given field. You can find the train number in your train ticket along with PNR and other details. In fact, as you type the train name, OLF provides several auto-suggestions from which you can select the train name easily. After selecting the train, select the date of starting the journey of the train correctly. The app or website now shows the list of all the stations the train will stop along with arrival and departure times. It will also indicate clearly which stations it has passed already. So, you get a complete picture of the current status of the train. OLF keeps on updating the status in real-time. this means, you never miss any information throughout the journey. On the other hand, if any of your family members, relatives, or friends are travelling by a particular train, you can keep track of her journey through the live train status of OLF. 
    </p>

    <h3>Information a passenger gets through the live train status</h3>
    <p>
        If you follow the above-mentioned process, you get all the essential data regarding the train. Your travel to any destination in any part of the country will be tension-free and well-organized if you know the whereabouts of the train. Use the facility of OLF’s train ticket status check to find where is the train and when it will arrive at the station? If there is any delay in the arrival or departure of the train, you can utilize your time in some other jobs. 
    </p>

    <p>
        On OLF, when you check the status of the train with the train name or number, you get the following information immediately: Station, Schedule time, Actual time, and Delay. For any long-distance train, you get these pieces of information inevitably. At first, it shows, the stations the train has passed already. Now, against each station, the other information will be displayed. The stations the train has crossed already have all the fields displayed like the scheduled time of arrival of the train, the actual time when the train has arrived at the station, and lastly, if there is any delay, then how late the train arrived in the station. In case, the train has arrived at the right time, then the scheduled time and the arrival time will be the same. On the other hand, for the remaining stations where the train has scheduled halts but the stations are yet to be reached, you will find only the scheduled time for those stations.
    </p>

    <p>
        Apart from this basic information that helps you to get the required information, you will also get information on how much time the train will halt at a station. It helps to get prepared beforehand when you take the train or get off. This is particularly important when you have lots of language with you and there are several co-passengers expected to get off at the same station. 
    </p>

    <p>
        At any point in time, the real-time irctc train enquiry on OLF keeps you updated on every matter related to your journey or a journey of a loved one. You can take preparation beforehand.
    </p>


    <h3>The benefit of obtaining live train status</h3>

    <p>
        Live train status is beneficial for various reasons, first and foremost reason is that it makes your journey comfortable. You know where you are right now and how long will it take to reach your destination. 
        You also know when the next station will arrive or when your ordered food will be served. 
        Second, time is precious. Knowing the time of arrival or departure of the train will help you to schedule your other engagements accordingly. If the train is running late, you can schedule your transportation from the railway station as per the new schedule. You can also inform the family that the train is running late or the train is running in time which will keep them tension-free. So, always keep the OLF’s app handy. 
        It is a friend in need. 
    </p>

    <h3>
        Is OLF’s information dependable?
    </h3>

    <p>
        You may ask, how can I trust OLF’s information? There is no doubt that irctc train status is important to you. The time is precious, so also your jobs. Thousands of patients are travelling to Delhi, Mumbai, Chennai, Vellore, and many other cities for treatments. Their schedule is highly precious. Again, thousands of professionals are travelling by train from one city to another for meetings, seminars, or businesses. Every passenger’s time is precious and OLF value the time of the passengers. 
    </p>

    <p>
        OLF is an IRCTC-approved service provider. OLF is serving delicious food to rail passengers pan India. It’s a huge responsibility where a few seconds of disturbance can spoil the whole system. IRCTC has found OLF trustworthy, so they have approved OLF’s services. To help the passengers with railway information, OLF fetches real-time data from National Train Enquiry System (NTES). This system is directly managed by the Indian Railways. It is a centralized system to help travellers obtain real-time information about any scheduled train running in any part of the country. So, you can always depend on the OLF’s information. 
    </p>


    <h3>Advantages of availing OLF’s service</h3>

    <p>
        OLF is an IRCTC-approved railway online food delivery service. You can order your favorite dishes from a wide network of more than 400 high-class restaurants located in different parts of the country. At the same time, you can check the train status at any point in time on OLF. So, from the same app, you can order food as many times as you want and check the live train status throughout your journey. It makes the railway journey really cherishing or effortless. Indian Railway, the biggest organization in the world, has been modernizing in every aspect. The trains are getting faster and services are getting updated. OLF is contributing at its best to this effort. OLF is dedicated to better services to travellers. 
    </p>
    
    <h3>How to spot your train on OLF?</h3>
     <p>
         Track train status with OLF by either visiting our website or downloading our mobile app. We are an irctc authorized e-catering partner; along with providing tasty food on the train, we assist in tracking the live train running status. 
     </p>
     
     <p>
         First, type in the train number or name for which a live train inquiry is required in the search box. You have to manually type the initial characters of the train number, the auto feature of OLF assists in swiftly recommending the train for which the user wishes to check the Live train status. The next step in determining the status of a train is to choose the date for which the user wants to conduct a live train inquiry. OLF displays a list of stations that this particular train passes through based on the selected train. Selecting a specific railway station is optional but suggested if the user wants to check the train's operating status for that station. After entering these data, click the Get Status button to get the current train status.
     </p>
     
     <h3>What details are included in live train status?</h3>
     <p>
         When you enter your train details, you can expect to receive all the data about the train, including how much it is delayed and when it will arrive at the next station, by checking the Live Train Running Status. Live Train Enquiry provides the following information about train travel:
     </p>
     
     <ul class="list-group">
         <li class="list-group-item">
             This indicates the length of time a train was stopped at a particular station.
         </li>
         
         <li class="list-group-item">
             It also displays the delay time (if any) of every station visited throughout the route.
         </li>
         
         <li class="list-group-item">
             It displays the Estimated Time of Arrival and Estimated Time of Departure for stations that the train has yet to reach based on the train's current running status.
         </li>
     </ul>
     
     <h3 class="mt-4">What is live train running status?</h3>
     
     <p>
         The term "live train status" refers to the systematic approach to following a train's present location, as well as its expected arrival and departure times at every station along the route. You may also use this to verify the train's current delay. You will be able to determine whether your train is operating on schedule or any delay in reaching your destination by checking the live train status. OLF provides real-time train information and allows you to check Indian train status.
     </p>
     
     
     <h3>What is the benefit of live train status?</h3>
     
     <p>
         Your time is necessary, and every minute matters. Therefore, what better could be to keep track of time. When you track the irctc train status, you get real-time updates on where your train is and when it is scheduled for? Or if it is delayed, you can accordingly arrange your transportation for railway station. At OLF, we take data from National Train Enquiry System (NTES) for this purpose; hence as a result, users can check the status updates regularly. So, now you know the benefit of live train running status, download OLF app or visit our website to check your train status.
     </p>
     
     <h3>I can't track the live status of my train? What's the reason?</h3>
     
     <p>
         Under a few circumstances, it can be possible that the search bar may show an error:
     </p>
     
     <ul class="list-group">
         <li class="list-group-item">The specified train number or name is invalid, the train's current status is unavailable.</li>
         <li class="list-group-item">On the given day, the specified train is not available.</li>
         <li class="list-group-item">Information from the Indian Railways system is not always accessible owing to network issues or congestion.</li>
         <li class="list-group-item">If you're checking the status of a train via an internet connection on your phone or laptop, the information won't come through because your device's internet network is slow or non-existent. </li>
     </ul>
     
     <h3 class="mt-4">How to know if my train is running late?</h3>
     
     <p>
         There are several techniques to determine whether or not trains are operating. For this, you can go to the official website of OLF or download our app from play store. Navigate towards 'train search' and enter the required details. You will be directed towards the screen, wherein the exact status will be shown on the screen.
     </p>
</div>





@stop



@push('scripts')



<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js" integrity="sha512-qTXRIMyZIFb8iQcfjXWCO8+M5Tbc38Qi5WzdPOYZHIlZpzBHG3L3by84BBBOiRGiEb7KKtAOAs5qYdUiZiQNNQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.21/lodash.min.js" integrity="sha512-WFN04846sdKMIP5LKNphMaWzU7YpMyCU245etK3g/2ARYbPK9Ub18eG+ljU96qKRCWh+quCY7yefSmlkQw1ANQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script type="module">
    import {
        LitElement,
        css,
        html
    } from 'https://unpkg.com/lit-element@2.2.1/lit-element.js?module'





    class StationNode extends LitElement {
        static get properties() {
            return {
                intermediates: {
                    type: Array
                },
                station: {
                    type: Object
                },
                isOpen: false,
                lastDeparted:{type:String}


            }
        }

        constructor() {
            super()
            this.station = {}
            this.intermediates = []
            this.isOpen = false,
            this.lastDeparted = null
        }

        _togglelist() {
            this.isOpen = !this.isOpen
        }

        createRenderRoot() {
            return this
        }


        _renderInterMediateStations() {


            return html `<div style="display:${this.isOpen ? 'block':'none'}">
                ${ this.intermediates.length > 0 ? this.intermediates.map((station) => {
                    const {sname, distance, scode, day, arrive} = station
                    const {lastDeparted} = this
                    const _hi = sname.toLowerCase().includes(lastDeparted.toLowerCase())
                    
                    return html`<div class = "d-flex align-items-center justify-space-between stn-row im ${_hi ? 'bg-info':''}" >
                <div class = "text-center st" >
                <h6> ${
                    sname
                }(${
                    scode
                }) </h6> <small>${distance}km (Day ${day})</small>
                </div> 
                <div class = "text-center" >
                <div>
                <strong class = "mr-2" > Arr </strong> 
                <small> ${
                    arrive
                } </small> </div> 
                </div>

                <div class = "text-center">

                </div>

                <div class = "text-center">

                </div>


                </div>

                </div>`
        }): html `<p><p>`
    } </div>`
    }

    _renderStation() {
        const {
            sname,
            distance,
            scode,
            day,
            arrive,
            depart,
            actArr,
            actDep,
            delayArr,
            delayDep,
            isCurrent
        } = this.station

        const {lastDeparted} = this

        
        const _hi = sname.toLowerCase().includes(lastDeparted.toLowerCase())

        

        return html `<div class="d-flex align-items-center justify-space-between stn-row  ${_hi ? 'bg-info':''}"   style="position: relative;">
                <div class="text-center st">
                    <h6>${sname} (${scode}) </h6> <small>${distance} km (Day ${day})</small>
                </div>

                <div class="text-center">
                    <div>
                        <strong class="mr-2">Arr</strong>
                        <small>${arrive}</small>
                    </div>

                    <div>
                        <strong class="mr-2">Dep</strong>
                        <small>${depart}</small>
                    </div>
                </div>

                <div class="text-center">
                    <div>
                        <strong style="color: green;">${actArr}</strong>
                    </div>

                    <div class="d-inline-flex align-items-center">
                        <strong style="color: green;">${actDep}</strong>
                    </div>
                </div>

                <div class="text-center">
                    <div>
                        <strong style="color: green;">${delayDep <= 0 ? 'No delay' : delayDep + " mins"}</strong>
                    </div>

                </div>

                <div class="intermediates">
                    <span class="badge badge-pill badge-secondary px-2 py-1" style="cursor: pointer;" @click="${this._togglelist}">${this.intermediates.length} intermediate stations</span>
                </div>

            </div>`
    }


    render() {
        
        return html `${this._renderStation()} ${this._renderInterMediateStations()}`
    }


    }

    customElements.define('station-node', StationNode)
</script>

<script>
    function autocomplete(inp, arr) {
        /*the autocomplete function takes two arguments,
        the text field element and an array of possible autocompleted values:*/
        var currentFocus;
        /*execute a function when someone writes in the text field:*/
        inp.addEventListener("input", function(e) {
            var a, b, i, val = this.value;
            /*close any already open lists of autocompleted values*/
            closeAllLists();
            if (!val) {
                return false;
            }
            currentFocus = -1;
            /*create a DIV element that will contain the items (values):*/
            a = document.createElement("DIV");
            a.setAttribute("id", this.id + "autocomplete-list");
            a.setAttribute("class", "autocomplete-items");
            /*append the DIV element as a child of the autocomplete container:*/
            this.parentNode.appendChild(a);
            /*for each item in the array...*/
            for (i = 0; i < arr.length; i++) {
                /*check if the item starts with the same letters as the text field value:*/
                if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
                    /*create a DIV element for each matching element:*/
                    b = document.createElement("DIV");
                    /*make the matching letters bold:*/
                    b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
                    b.innerHTML += arr[i].substr(val.length);
                    /*insert a input field that will hold the current array item's value:*/
                    b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
                    /*execute a function when someone clicks on the item value (DIV element):*/
                    b.addEventListener("click", function(e) {
                        /*insert the value for the autocomplete text field:*/
                        inp.value = this.getElementsByTagName("input")[0].value;
                        /*close the list of autocompleted values,
                        (or any other open lists of autocompleted values:*/
                        closeAllLists();
                    });
                    a.appendChild(b);
                }
            }
        });
        /*execute a function presses a key on the keyboard:*/
        inp.addEventListener("keydown", function(e) {
            var x = document.getElementById(this.id + "autocomplete-list");
            if (x) x = x.getElementsByTagName("div");
            if (e.keyCode == 40) {
                /*If the arrow DOWN key is pressed,
                increase the currentFocus variable:*/
                currentFocus++;
                /*and and make the current item more visible:*/
                addActive(x);
            } else if (e.keyCode == 38) { //up
                /*If the arrow UP key is pressed,
                decrease the currentFocus variable:*/
                currentFocus--;
                /*and and make the current item more visible:*/
                addActive(x);
            } else if (e.keyCode == 13) {
                /*If the ENTER key is pressed, prevent the form from being submitted,*/
                e.preventDefault();
                if (currentFocus > -1) {
                    /*and simulate a click on the "active" item:*/
                    if (x) x[currentFocus].click();
                }
            }
        });

        function addActive(x) {
            /*a function to classify an item as "active":*/
            if (!x) return false;
            /*start by removing the "active" class on all items:*/
            removeActive(x);
            if (currentFocus >= x.length) currentFocus = 0;
            if (currentFocus < 0) currentFocus = (x.length - 1);
            /*add class "autocomplete-active":*/
            x[currentFocus].classList.add("autocomplete-active");
        }

        function removeActive(x) {
            /*a function to remove the "active" class from all autocomplete items:*/
            for (var i = 0; i < x.length; i++) {
                x[i].classList.remove("autocomplete-active");
            }
        }

        function closeAllLists(elmnt) {
            /*close all autocomplete lists in the document,
            except the one passed as an argument:*/
            var x = document.getElementsByClassName("autocomplete-items");
            for (var i = 0; i < x.length; i++) {
                if (elmnt != x[i] && elmnt != inp) {
                    x[i].parentNode.removeChild(x[i]);
                }
            }
        }
        /*execute a function when someone clicks in the document:*/
        document.addEventListener("click", function(e) {
            closeAllLists(e.target);
        });
    }

    $(document).ready(function() {
        const trains = "{!! join(',', array_map(function($r){ return $r->trainNumberAndName;}, $trains->data)) !!}"


        const __data = trains.split(",")
        window.trains = __data
        autocomplete(document.getElementById("myInput"), __data);

        const _btn = document.querySelector('#search')

        _btn.addEventListener('click', function(e) {
            const _input = document.querySelector('#myInput')
            const _value = _input.value.match(/[0-9]{5}/g)
            if (_value == null) {
                alert("Please select correct train from dropdown")
            } else {
                const value = _value[0]
                const dateTime = moment(new Date).unix()
                const date = moment(new Date).format('DD MMM Y')
                document.querySelector('#trainContrainer').dispatchEvent(new CustomEvent('trainQuery', {
                    detail: {
                        value,
                        date,
                        dateTime
                    }
                }))
            }
        })

        const StationNode = function(data, next = null) {
            this.value = data
            this.next = next
        }

        const setupNodes = (stations) => stations.reverse().reduce((acc, item, index) => {
            return new StationNode(item, acc instanceof StationNode ? acc : new StationNode(acc, acc.next))
        })


        const processStations = (rootNode, stations, imsett, currset) => {
            const __payload = []

            let __currentNode = rootNode
            while (__currentNode != null) {
                __payload.push({
                    currentStation: __currentNode.value,
                    intermediates: imsett(__currentNode, __currentNode.next, stations),
                    nextStation: __currentNode.next,
                    isCurrent: currset(__currentNode.value)
                })
                __currentNode = __currentNode.next
            }

            return __payload
        }



        const _trainContrainer = document.querySelector('#trainContrainer')


        const renderer = (state) => {

            const dmy = document.createElement('div')
            dmy.innerHTML = `<div class="d-flex align-items-center justify-space-between row-header">
                <strong>  Station </strong>
                <strong> Scheduled Time </strong>
                <strong> Actual </strong>
                <strong>Delay </strong>
            </div>`

            const parent = document.querySelector('#trainList')


            switch (state.value) {
                case 'IN_PROGRESS':
                    _dm = `<div class="stnLoader d-flex align-items-center justify-content-center p-4 bg-light"> 
                            <div class="text-center">
                                    <i class="fa fa-spin fa-circle-o-notch fa-2x"></i> <br/> <p>Please wait ..</p>
                            </div> 
                        </div>`

                    parent.innerHTML = (_dm)
                    break

                case 'FINISHED':
                    const {
                        globalPayload,
                        lastDeparted
                    } = state.data
                    parent.innerHTML = ""
                    parent.append(dmy)


                    if (globalPayload !== null) {
                        globalPayload.forEach(({
                            currentStation,
                            intermediates
                        }) => {
                            const stn = document.createElement('station-node')
                            stn.station = currentStation
                            stn.intermediates = intermediates
                            stn.lastDeparted = lastDeparted
                            parent.append(stn)
                            
                        })

                    }
                    break

                default:
                    break
            }
        }

        _trainContrainer.addEventListener('uiState', function(e) {

            const _container = document.querySelector('#trainList')
            renderer(e.detail)

            const parent = e.currentTarget
        })

        _trainContrainer.addEventListener('LIVE_STATUS', function(e) {
            const {message, status, klass} = e.detail
            const _container = document.querySelector('#currentPosition')
            _container.innerHTML = `<div class="alert ${klass}">
                <p>
                ${message}
                </p>
            </div>`
        })


        _trainContrainer.addEventListener('trainQuery', async function(e) {
            this.dispatchEvent(new CustomEvent('uiState', {
                detail: {
                    value: 'IN_PROGRESS',
                    data: null
                }
            }))

            const {
                value,
                dateTime,
                date
            } = e.detail
            const url = `https://www.trainman.in/services/get-ntes-running-status/${value}?key=012562ae-60a9-4fcd-84d6-f1354ee1ea48&int=1&refresh=true&date=${date}&time=${dateTime}`;

            try {
                const _response = await fetch(url)
                const _data = await _response.json()
                const {
                    rakes
                } = _data
                const _rake = rakes.filter(({
                    startDate
                }) => startDate == date)[0]

                const {
                    stations,
                    scraped_at
                } = _rake

                const _stations = stations.map((item, index) => ({
                    ...item,
                    index
                }))

                const intermediates = ""
                const currentPostion = null

                const nodes = setupNodes(_stations.filter(({
                    stops
                }) => stops == 1))

                const lastScrapped = moment(new Date(scraped_at))
                const currentDate = moment(new Date())

                const parse = (__dt) => {
                    const _p = __dt.match(/(\d+)/g)
                    console.log(_p)
                    return new Date(_p[0], _p[1] - 1, _p[2], _p[3], _p[4])
                }

                const updateTime = (time) => {
                    return currentDate.format('Y-M-D') + ` ${time.split(/\s/g)[1]}`
                }

                const _time = currentDate.format('DD-M-Y')

                const _scrapped = await fetch(`/get/livestatus/${value}/on/${_time}`)
                const __response = await _scrapped.json()

                const {
                    message,
                    status,
                    parts: {
                        lastDeparted
                    }
                } = __response

                const _trnPayload = processStations(nodes, _stations, (currentNode, nextNode, all) => {
                    if (nextNode != null) {
                        return all.slice(currentNode.value.index + 1, nextNode.value.index)
                    }
                    return []
                }, ({
                    sname
                }) => {
                    return false
                })

                this.dispatchEvent(new CustomEvent('LIVE_STATUS', {
                    detail: {
                        status,
                        message,
                        klass: status == 'LATE' ? 'alert-danger' : 'alert-success'
                    }
                }))

                this.dispatchEvent(new CustomEvent('uiState', {
                    detail: {
                        value: 'FINISHED',
                        data: {
                            globalPayload: _trnPayload,
                            message,
                            status,
                            lastDeparted
                        }
                    }
                }))

            } catch (error) {

                this.dispatchEvent(new CustomEvent('uiState', {
                    detail: {
                        value: 'LOAD_ERROR',
                        message: error.message
                    }
                }))

            }


        })


    })
</script>
@endpush


@php
    $metadata=\App\Models\PageMeta::where('id',5)->first();
@endphp

@section('title')
{{$metadata->meta_title ?? ''}}
@stop

@section('meta_image')
{{ asset($metadata->meta_image ?? '') }}
@stop

@section('description')
{{$metadata->meta_description ?? ''}}
@stop

