<?php $__env->startSection('content'); ?>
<?php if(\Auth::check()): ?>
<div class="content-wrapper">

    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>View Log</h1>
        </div>
    </section>


    <div class="btn-group btn-group-justified" role="group" aria-label="...">
        <a href="<?php echo e(url('/admin/log/order')); ?>" class="btn <?php if($log_source=="order"): ?> btn-success <?php else: ?> btn-default <?php endif; ?>">Order Log</a>
        <a href="<?php echo e(url('/admin/log/outlet')); ?>" class="btn <?php if($log_source=="outlet"): ?> btn-success <?php else: ?> btn-default <?php endif; ?>">Outlet Log</a>
        <a href="<?php echo e(url('/admin/log/menu')); ?>" class="btn <?php if($log_source=="menu"): ?> btn-success <?php else: ?> btn-default <?php endif; ?>">Menu Log</a>
    </div>

   

    <section class="content">
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12" >
                <form action="<?php echo e(url('/admin/log')); ?>" method="POST">
                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                    <input type="text" style="max-width:200px" name="date" value="<?php echo e($date); ?>" class="from-control to-period datepicker">
                    <button class="btn btn-primary add-period" style="border-radius: 20px;">
                            <span>Log</span>
                    </button>
                    <br>
                    <div style="clear:both;margin-top:30px;font-size:17px">
                        <?php if($page>1): ?>
                        <a href="<?php echo e(url('/admin/log')); ?>?date=<?php echo e($date); ?>&page=<?php echo e($page-1); ?>"><i class="fa fa-arrow-left" aria-hidden="true"></i></a>
                        <?php else: ?>
                        <span><i class="fa fa-arrow-left" aria-hidden="true"></i></span>
                        <?php endif; ?>
                        <span style="margin-left:15px;font-size:14px">Page <?php echo e($page); ?></span>
                        <?php if($total>$page): ?>
                        <a style="margin-left:15px" href="<?php echo e(url('/admin/log')); ?>?date=<?php echo e($date); ?>&page=<?php echo e($page+1); ?>"><i class="fa fa-arrow-right" aria-hidden="true"></i></a>
                        <?php else: ?>
                        <span style="margin-left:15px"><i class="fa fa-arrow-right" aria-hidden="true"></i></span>
                        <?php endif; ?>
                        <span style="margin-left:45px;font-size:14px">Total <?php echo e($total); ?></span>
                    </div>
                    <div class="log" style="background:#f7f7f7;margin-top:15px;border:1px solid #dfe1e5;padding:15px;font-size:12px;overflow-y: auto;height:430px;box-shadow: 0 1px 3px #dfe1e5, 0 1px 2px #dfe1e5;border-radius:4px;">
                        <?php $__empty_1 = true; $__currentLoopData = $log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $line): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <p><?php echo e($line); ?></p>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <?php endif; ?>
                    </div>
                    <!--iframe src="storage/exports/index.html" width=200 height=400 frameborder=0 ></iframe-->
                </form>       
            </div>     
        </div>
    </section>
</div>
<?php else: ?>
<script>window.location.href = "<?php echo e(env('APP_URL')); ?>";</script>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
    $(function() {
        $( ".datepicker" ).datepicker({ dateFormat: 'yy-mm-dd' });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/admins/log.blade.php ENDPATH**/ ?>