<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/swiper.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/fonts.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/font-awesome.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/video-js.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/owl.theme.default.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(secure_asset('assets/css/responsive.css')); ?>">
    <title>OLFstore</title>

    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-207961482-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'UA-207961482-1');
    </script>
    
</head>

<body style="background-color: #FCE5D8; ">

    <!-- START of header -->
    <div class="text-center mt-5">
        <a href="/">
            <img class="logo" src="<?php echo e(secure_asset('assets/img/logo.png')); ?>" alt="CR">
            <!-- <img class="logo-small" src="assets/img/logo-small.svg" alt="CR"> -->
        </a>
    </div>

    <div class="container">
        <div class="col-md-12">
            <div class="order text-center">
                <img src="assets/img/order-confirm.png" alt="">
                <h5>We've Received your order</h5>
                <p>
                    Thank You for choosing OLF as your food in train delivery partner. Nothing makes us happier than completing an order. Our partner restaurants use best only the finest ingredients that makes a delicious meal. Your order will be delivered to your train seat shortly.
                    We hope to see you soon! Have a happy and safe journey ahead.
                </p>
                <h6>Order ID:<span><?php echo e($orderId); ?></span></h6>
                <h6>Order Date & Time:<span><?php echo e($deliveryTime); ?></span></h6>
                <ul class="order-confirm-btn">
                    <li>
                        <div class="login-button get-started">
                            <a href="/" class="btn-main login-btn">Home</a>
                        </div>
                    </li>
                    <li>

                    </li>
                </ul>
            </div>

        </div>
    </div>




    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="<?php echo e(secure_asset('assets/js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/video.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/swiper.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/owl.carousel.min.js')); ?>"></script>
    <script src="<?php echo e(secure_asset('assets/js/app.js')); ?>"></script>

    <script async src="https://www.googletagmanager.com/gtag/js?id=AW-299620926"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'AW-299620926');
    </script>


    <script>
        gtag('event', 'conversion', {
            'send_to': 'AW-299620926/Ty21CLyX6_QCEL60744B'
        });
    </script>
    
</body>

</html><?php /**PATH /home/invoidea/public_html/olf/resources/views/v2/pages/order_success.blade.php ENDPATH**/ ?>