<?php $__env->startSection('content'); ?>
<?php if(\Auth::check()): ?>
<div class="wrapper">

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
       
    <section class="content-header">
        <div class="header-icon">
            <i class="fa fa-users"></i>
        </div>
        <div class="header-title">
            <h1>Show All Vendor</h1>
            
        </div>
    </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="btn-group">
                                <a href="#">
                                    <h4 style="color:#009688">List Vendor</h4>
                                </a>
                            </div>
                        </div>
                        <div class="panel-body">
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="btn-group">

                            </div>
                            <!-- Plugin content:powerpoint,txt,pdf,png,word,xl -->
                            <div class="table-responsive">
                                <table id="dataTableExample1" class="table table-bordered table-striped table-hover">
                                    <thead>
                                        <tr class="info">
                                            <th>First Name</th>
                                            <th>last Name</th>
                                            <th>Outlet</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Address</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tbody>
                                        <tr>
                                  
                                            <td><?php echo e($vendor['first_name']); ?></td>
                                            <td><?php echo e($vendor['last_name']); ?></td>
                                            <?php if(sizeof($vendor['outlets'])>0): ?>
                                            <td>
                                                <?php $__currentLoopData = $vendor['outlets']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outlet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php echo e($outlet['outletName'] ?? ''); ?>

                                                    <?php if(!$loop->last): ?> , <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </td>
                                            <?php else: ?>
                                            <td>---</td>
                                            <?php endif; ?>
                                            <td><?php echo e($vendor['email']); ?></td>
                                            <td><?php echo e($vendor['mobile']); ?></td>
                                            <td><?php echo e($vendor['address']); ?></td>
                                       
                                            <td style="width: 124px !important;">
                                                <table>
                                                    <tr>
                                                        <td>
                                                <a href="<?php echo e(route('vendors.show',$vendor['id'])); ?>" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
                                                <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
                                                <a href="<?php echo e(route('vendors.edit',$vendor['id'])); ?>" class="btn btn-add btn-sm"><i class="fa fa-pencil"></i></a>
                                                <?php endif; ?>
                                                
                                                <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                                                <form method="POST" action="<?php echo e(route('vendors.destroy',$vendor['id'])); ?>">
                                                    <input type="hidden" name="_method" value="DELETE"/>
                                                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
                                                    <button type="submit" onclick="return confirm('Are you sure Delete This Admin?')" style="margin-left: 76px; margin-top: -24px;" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
                                                </form>
                                                <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
                                                            <?php if($vendor['active'] == 0): ?>
                                                            <a href="<?php echo e(url('backend/Vendor/activate',[$vendor['id']])); ?>" class="btn btn-success btn-sm"><i class="fa fa-check"></i></a>
                                                            <?php endif; ?>
                                                            <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </td>
                                        </tr>
                                    </tbody>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                              
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
   
</div>


<?php else: ?>
<script>window.location.href = "<?php echo e(env('APP_URL')); ?>";</script>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/vendors/index.blade.php ENDPATH**/ ?>