<?php $__env->startSection('content'); ?>
<style>
.content-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
  }
  .form-control{
    height:40px;
  }
  .d-flex{
    display:flex;
    align-items:center;
  }
  .select2.select2-container{
width:79% !important;
  }
  textarea{
    width:79% !important;
    max-width:auto;
  }
  .table-condensed{
    font-size:12px;
    width:100%;
  }
  .datepicker-switch{
    text-align:center;
  }
  .content-header .header-icon .fa {
    font-size: 31px;
   
}
.header-icon .fa{
    font-size:31px;
    margin-right:10px;
}
.content-header .header-icon {
    font-size: 48px;
    color: #009688;
    width: 300px;
    float: left;
    margin-top: 0px;
    line-height: 0;
    display: flex;
    align-items: center;
}
.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 8px;
    margin-bottom: 10px;
}
.content-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
  </style>
<?php if(\Auth::check()): ?>
<div class="content-wrapper">

<section class="content-header">
   
      <div class="header-icon">
        <i class="fa fa-users"></i>
        <h1>Outlets</h1>
      </div>
      <div class="header-title">
           <a class="btn" style="background-color: #009688;
    border-color: #009688;
    color: white;" href="<?php echo e(url('/manager/Stations')); ?>"><i class="fa fa-arrow-left"></i></a>
        </div>
   
    <div class="d-flex">
      <div style="margin-right:20px;font-size:20px;"><b>Total Outlets: <span style="color:#C00;"><?php echo $total; ?></span></b></div>
      <div class="search-btn">
      <input type="text" id="searchInputStation" class="form-control" placeholder="Search Outlets" onkeyup="searchStations()"/>
      </div>
    </div>
  </section>
  <section class="content">
    <div class="row">
      <?php if(!empty($outlets)): ?>
      <?php $__empty_1 = true; $__currentLoopData = $outlets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $outlet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
      <div class="col-sm-6 col-md-6 col-lg-6" style="min-height:60vh">
        <div class="panel panel-bd lobidrag">
          <div class="panel-body">
            <h3>Outlet Name :<?php echo e($outlet->outletName); ?>(<?php echo e($outlet->id); ?>)</h3>
            <br>
            <button id="deleteOutlet" onclick="delete1(<?php echo e($outlet->id); ?>)" class="btn btn-danger" style="border-radius: 20px;">
                   Delete outlet
            </button>	
            <hr>
            
            <?php if(auth()->check() && auth()->user()->hasRole('agent')) :?>
            <div style="display:flex;align-items:center;justify-content:space-between;padding:15px">
           <div style="display:flex;align-items:center;"> 
           <strong> Outlet Availability </strong> &emsp;
            <label class="switch">
              <input type="checkbox" id="<?php echo e($outlet->id); ?>" data-id="<?php echo e($outlet->id); ?>"  <?php echo e($outlet->open); ?>>
              <span class="slider round"></span>
            </label>
            
            </div>
            
            <?php if(!empty($outlet->reason)&&!$outlet->open): ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="float:right;font-size:95%;" class="label label-lg label-danger">REASON: &nbsp; <?php echo e($outlet->reason); ?></label>
            <?php elseif(empty($outlet->reason)&&!$outlet->open): ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="float:right;font-size:95%;" class="label label-lg label-danger">Closed</label>
            <?php else: ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="color:green;float:right;"> Available</label>
            <?php endif; ?>
            </div>
            <?php endif; ?>
            
            
            <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
             
           <div style="display:inline-flex">
           <strong> Outlet Availability </strong> &emsp;
            <label class="switch">
              <input type="checkbox" id="<?php echo e($outlet->id); ?>" data-toggle="modal" data-id="<?php echo e($outlet->id); ?>" data-target="#updateModal<?php echo e($outlet->id); ?>" <?php echo e($outlet->open); ?>>
              <span class="slider round"></span>
            </label>
            </div>
           
            
            <?php if($outlet->active=='0'): ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="color:red;float:right;"> Permanently Closed</label>
            <?php elseif(!empty($outlet->reason)&&!$outlet->open): ?>
            <code id="reason_<?php echo e($outlet->id); ?>" style="float:right;font-size:95%;" class="">REASON: &nbsp; <?php echo e($outlet->reason); ?></code>
            <?php elseif(empty($outlet->reason)&&!$outlet->open): ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="float:right;font-size:95%;" class="label label-lg label-danger">Closed</label>
            <?php else: ?>
            <label id="reason_<?php echo e($outlet->id); ?>" style="color:green;float:right;"> Available</label>
            <?php endif; ?>
            
            <hr>
            
            <div style="display:flex; align-items:center;justify-content:space-between">
             <strong> Close Permanently </strong> &emsp;
            <form method="POST" style="margin-top: 14px;" action="<?php echo e(route('closedOutlet')); ?>">
                <input type="hidden" value="<?php echo e(csrf_token()); ?>" name="_token" />
                <input type="hidden" value="<?php echo e($outlet->id); ?>" name="outletId" />
                <input type="hidden" value="<?php echo e($outlet->active == '1' ? 0:1); ?>" name="active" />
                <button class="btn <?php echo e($outlet->active ==1 ? 'btn-primary': 'btn-default'); ?>">
                    <?php echo e($outlet->active =='1' ? 'Close Permanently':'Permenanetly Closed'); ?>

                </button>
            </form>
            </div>
           
           <hr>
            <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
            <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <div style="display:inline">
              <strong>Menu Type</strong> &nbsp;
              <p class="range-field" style=" width:60px;display: inline-block">
                <input type="range" id="<?php echo e($outlet->id.'_veg_non_veg'); ?>" data-toggle="modal" data-id="<?php echo e($outlet->id.'_veg_non_veg'); ?>" data-target="#updateModal<?php echo e($outlet->id.'_veg_non_veg'); ?>" <?php echo e($outlet->veg_non_veg); ?> class="range veg_non_veg" min="0" max="2" value="<?php echo e($outlet->veg_non_veg); ?>">
              </p>
              </div>
              <div style="float:right;font-size:95%" class="label label-success">
                <span style="display: inline-block"></span>
                <?php if($outlet->veg_non_veg==0): ?>
                <span id="reason_<?php echo e($outlet->id.'_veg_non_veg'); ?>" class="frequency" style="font-weight: bold;">Veg Only <?php echo e($outlet->reason_veg_non_veg?'due to '.$outlet->reason_veg_non_veg:''); ?></span>
                <?php elseif($outlet->veg_non_veg==1): ?>
                <span id="reason_<?php echo e($outlet->id.'_veg_non_veg'); ?>" class="frequency" style="font-weight: bold;">Non-Veg Only <?php echo e('due to '.$outlet->reason_veg_non_veg?$outlet->reason_veg_non_veg:''); ?></span>
                <?php elseif($outlet->veg_non_veg==2): ?>
                <span id="reason_<?php echo e($outlet->id.'_veg_non_veg'); ?>" class="frequency" style="font-weight: bold;">Veg/Non-veg Available</span>
                <?php endif; ?>
              </div>
            </div>
            <?php endif; ?>
            <hr>
            <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
            <form action="<?php echo e(url('/manager/invoice_frequency')); ?>/<?php echo e($outlet->id); ?>" method="POST">
              <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <strong style="display: inline-block">Invoice Frequency &nbsp;</strong>
                <p class="range-field" style=" width:60px;display: inline-block">
                  <input type="range" class="range" name="invoice_frequency" min="1" max="3" value="<?php echo e($outlet->invoice_frequency+1); ?>">
                </p>
                <div style="float: right">
                  
                  <?php if($outlet->invoice_frequency+1==1): ?>
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Date Range</span>
                  <?php elseif($outlet->invoice_frequency+1==2): ?>
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Weekly</span>
                  <?php elseif($outlet->invoice_frequency+1==3): ?>
                  <span class="frequency" style="color: #d94f9b;font-weight: bold;">Monthly</span>
                  <?php endif; ?>
                </div>
              </div>
            </form>
            
            <?php endif; ?>
            <hr/>
            <form action="<?php echo e(url('/manager/payment_mode')); ?>/<?php echo e($outlet->id); ?>" method="POST">
              <div style="display: block;margin-top: 15px;margin-bottom: 10px;">
              <strong style="display: inline-block">Payment Mode &nbsp;</strong>
                <p class="range-field" style=" width:60px;display: inline-block">
                  <input type="range" class="rangePayment" name="payment_mode" min="0" max="2" value="<?php echo e($outlet->payment_mode); ?>">
                </p>
                <div style="float: right">
                  
                  <?php if($outlet->payment_mode==0): ?>
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Cash Only</span>
                  <?php elseif($outlet->payment_mode==1): ?>
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Credit Only</span>
                  <?php elseif($outlet->payment_mode==2): ?>
                  <span class="payment_mode" style="color: #d94f9b;font-weight: bold;">Both</span>
                  <?php endif; ?>
                </div>
              </div>
            </form>

            <!-- Modal -->
            <div class="modal fade" name="<?php echo e($outlet->id); ?>" id="updateModal<?php echo e($outlet->id.'_veg_non_veg'); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <form action="<?php echo e(url('/manager/vegNonveg/')); ?>/<?php echo e($outlet->id); ?>" class="form-inline ajaxForm_veg_nonveg" role='form' method="POST">
                    <div class="modal-header">
                      <h5 class="modal-title" style="font-size: 16px;color: green;" id="exampleModalLabel">Veg/Non-Veg Save Closing Period and Days</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body" style="text-align:center;height: auto;overflow: auto;">
                      <div style="display:inline-block;margin: 0 auto;text-align:left;">
                        <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>" />
                        <h5 style="text-align:left">Closing Period</h5>

                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                          <?php if(!empty($outlet->closingPeriod_veg_non_veg)): ?>
                          <?php echo e('' != $i = 0); ?>

                          <?php $__empty_2 = true; $__currentLoopData = $outlet->closingPeriod_veg_non_veg; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" id="<?php echo e($outlet->id); ?>_<?php echo e($i); ?>_0" style="max-width:100px" value="<?php echo e($period->closedFrom_veg_non_veg); ?>" name="startDate[<?php echo e($i); ?>]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" id="<?php echo e($outlet->id); ?>_<?php echo e($i); ?>_1" style="max-width:100px" value="<?php echo e($period->closedTo_veg_non_veg); ?>" name="endDate[<?php echo e($i++); ?>]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                          <?php endif; ?>
                          <?php else: ?>
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" style="max-width:100px" name="startDate[0]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" style="max-width:100px" name="endDate[0]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          <?php endif; ?>
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Weekly Closed</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">Select days</label>
                            <select name="days[]" class="custom-select" multiple size=7>
                              <?php if(empty($outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="" selected></option>
                              <?php else: ?>
                              <option value=""></option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("SUN",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="SUN" selected>SUNDAY</option>
                              <?php else: ?>
                              <option value="SUN">SUNDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("MON",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="MON" selected="">MONDAY</option>
                              <?php else: ?>
                              <option value="MON">MONDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("TUE",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="TUE" selected>TUESDAY</option>
                              <?php else: ?>
                              <option value="TUE">TUESDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("WED",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="WED" selected>WEDNESDAY</option>
                              <?php else: ?>
                              <option value="WED">WEDNESDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("THU",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="THU" selected>THURSDAY</option>
                              <?php else: ?>
                              <option value="THU">THURSDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("FRI",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="FRI" selected>FRIDAY</option>
                              <?php else: ?>
                              <option value="FRI">FRIDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed_veg_non_veg)&&in_array("SAT",$outlet->weeklyClosed_veg_non_veg)): ?>
                              <option value="SAT" selected>SATURDAY</option>
                              <?php else: ?>
                              <option value="SAT">SATURDAY</option>
                              <?php endif; ?>
                            </select>
                          </div>
                        </div>

                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="non_veg_only" id="exampleRadios1" value="0" <?php echo e($outlet->veg_non_veg==1?'':'checked'); ?>>
                          <label class="form-check-label" for="exampleRadios1">
                            Veg Only
                          </label>
                        </div>
                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="non_veg_only" id="exampleRadios2" value="1" <?php echo e($outlet->veg_non_veg==1?'checked':''); ?>>
                          <label class="form-check-label" for="exampleRadios2">
                            Non-veg Only
                          </label>
                        </div>

                        <div style="display:block">
                          <h5 style="text-align:left">Reason for Closing</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reason</label>
                            <textarea style="height:100px" name="reason" class="form-control" required>
                                        </textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                      <button class="btn btn-primary">Save changes</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
            <!-- Modal -->
            <div class="modal fade" name="<?php echo e($outlet->id); ?>" id="updateModal<?php echo e($outlet->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog" role="document">
                <div class="modal-content">
                  <form action="<?php echo e(url('/manager/Outlet/')); ?>/<?php echo e($outlet->id); ?>" class="form-inline ajaxForm" role='form' method="POST">
                    <div class="modal-header">
                      <h5 class="modal-title" style="font-size: 16px;color: green;" id="exampleModalLabel">Save Closing Period and Days</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body" style="text-align:center;height: auto;overflow: auto;">
                      <div style="display:inline-block;margin: 0 auto;text-align:left;">
                        <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>" />
                        <h5 style="text-align:left">Closing Period</h5>

                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 20px;">
                          <?php if(!empty($outlet->closingPeriod)): ?>
                          <?php echo e('' != $i = 0); ?>

                          <?php $__empty_2 = true; $__currentLoopData = $outlet->closingPeriod; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input type="text" id="<?php echo e($outlet->id); ?>_<?php echo e($i); ?>_0" style="max-width:100px"  <?php if($outlet->open!=''): ?> value="<?php echo e($period->closedFrom); ?>" <?php endif; ?> name="startDate[<?php echo e($i); ?>]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input type="text" id="<?php echo e($outlet->id); ?>_<?php echo e($i); ?>_1" style="max-width:100px" <?php if($outlet->open!=''): ?> value="<?php echo e($period->closedTo); ?>"  <?php endif; ?> name="endDate[<?php echo e($i++); ?>]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                          <?php endif; ?>
                          <?php else: ?>
                          <div class="form-group period-row" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">From Date</label>
                            <input id="fdd<?php echo e($outlet->id); ?>" type="text" style="max-width:100px" name="startDate[0]" class="form-control from-period datepicker">
                            <label style="padding:0 5px 0 5px" for="name">To Date</label>
                            <input id="tdd<?php echo e($outlet->id); ?>" type="text" style="max-width:100px" name="endDate[0]" class="form-control to-period datepicker">
                            <button class="btn btn-primary add-period" style="border-radius: 20px;">
                              <span class="fa fa-plus"></span>
                            </button>
                            <button class="btn btn-primary remove-period" style="border-radius: 20px;">
                              <span class="fa fa-minus"></span>
                            </button>
                          </div>
                          <?php endif; ?>
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Weekly Closed</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">Select days</label>
                            <select name="days[]" class="custom-select" multiple size=7>
                            <?php if($outlet->open!=''): ?> 
                              <?php if(empty($outlet->weeklyClosed)): ?>
                              <option value="" selected></option>
                              <?php else: ?>
                              <option value=""></option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("SUN",$outlet->weeklyClosed)): ?>
                              <option value="SUN" selected>SUNDAY</option>
                              <?php else: ?>
                              <option value="SUN">SUNDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("MON",$outlet->weeklyClosed)): ?>
                              <option value="MON" selected="">MONDAY</option>
                              <?php else: ?>
                              <option value="MON">MONDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("TUE",$outlet->weeklyClosed)): ?>
                              <option value="TUE" selected>TUESDAY</option>
                              <?php else: ?>
                              <option value="TUE">TUESDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("WED",$outlet->weeklyClosed)): ?>
                              <option value="WED" selected>WEDNESDAY</option>
                              <?php else: ?>
                              <option value="WED">WEDNESDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("THU",$outlet->weeklyClosed)): ?>
                              <option value="THU" selected>THURSDAY</option>
                              <?php else: ?>
                              <option value="THU">THURSDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("FRI",$outlet->weeklyClosed)): ?>
                              <option value="FRI" selected>FRIDAY</option>
                              <?php else: ?>
                              <option value="FRI">FRIDAY</option>
                              <?php endif; ?>
                              <?php if(!empty($outlet->weeklyClosed)&&in_array("SAT",$outlet->weeklyClosed)): ?>
                              <option value="SAT" selected>SATURDAY</option>
                              <?php else: ?>
                              <option value="SAT">SATURDAY</option>
                              <?php endif; ?>
                              <?php endif; ?>
                            </select>
                          </div>
                        </div>
                        <div style="display:block">
                          <h5 style="text-align:left">Reason for Closing</h5>
                        </div>
                        <div class="col-sm-12 group" style="text-align:left;padding-top: 10px;padding-bottom: 10px;">
                          <div class="form-group" style="display:block;padding:5px;">
                            <label style="padding:0 5px 0 5px" for="name">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reason</label>
                            <textarea style="height:100px" name="reason"  id="rsn<?php echo e($outlet->id); ?>" class="form-control" <?php if($outlet->open!=''): ?> required <?php endif; ?>></textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                      <button class="btn btn-primary">Save changes</button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
            <?php endif; ?>
            <ul class="list-group">
              <li class="list-group-item">Opening Time <span class="badge"><?php echo e($outlet->openingTime); ?></span></li>
              <li class="list-group-item">Closing Time <span class="badge"><?php echo e($outlet->closingTime); ?></span></li>
              <li class="list-group-item">Station <span class="badge"><?php echo e($outlet->station->name); ?></span></li>
              <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
              <li class="list-group-item"><a href="<?php echo e(url('/manager/Outlet/edit')); ?>/<?php echo e($outlet->id); ?>">Edit Outlet</a></li>
                <li class="list-group-item">
                    <a href="<?php echo e(url('/manager/Outlet/listVendors')); ?>/<?php echo e($outlet->id); ?>">Set Vendor</a>
                </li>
              <?php endif; ?>
              <div class="list-group-item" style="display: flex;justify-content: center;">
                <?php if($outlet->menu()->exists()): ?>
                <div class="btn-group">
                  <?php if(auth()->check() && auth()->user()->hasRole('admin','vendor')) :?>
                  <a href="<?php echo e(url('/admin/workflow/menu')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-success btn-sm">
                    <span class="fa fa-bars"></span>
                    Add Items
                  </a>
                 <?php endif; ?>
                 
                  <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
                  <a href="<?php echo e(url('/upload/menuitems')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Upload Items
                  </a>
                  <?php endif; ?>


                  <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
                  <a href="<?php echo e(url('/manager/outlets/list/menuitems')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Update Items
                  </a>
                  <?php endif; ?>
                  
                  <?php if(auth()->check() && auth()->user()->hasRole('admin','manager')) :?>
                  <a href="<?php echo e(url('/manager/outlets/list/menuitems')); ?>/<?php echo e($outlet->id); ?>/upd" class="btn btn-warning btn-sm">
                    <span class="fa fa-check"></span>
                    Update Items(New)
                  </a>
                  <?php endif; ?>
                  
                  <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                  <a href="#" class="btn btn-primary btn-sm">
                    <span class="fa fa-edit"></span>
                    Edit Vendor details
                  </a>
                  <a href="#" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Edit Vendor Owner Details
                  </a>

                  <?php endif; ?>
              
                  <?php if(auth()->check() && auth()->user()->hasRole('admin','agent','vendor','radmin')) :?>
                  <a href="<?php echo e(url('/manager/orders')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    order details
                  </a>
                  <?php endif; ?>
                  <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                  <a href="<?php echo e(url('/manager/invoice')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Download Invoice
                  </a>
                  <?php endif; ?>
                  <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
                  <a href="<?php echo e(url('/manager/invoice4')); ?>/<?php echo e($outlet->id); ?>" class="btn btn-warning btn-sm">
                    <span class="fa fa-user"></span>
                    Generate Invoice
                  </a>
                  <?php endif; ?>
                </div>

                <?php else: ?>
                <form action="<?php echo e(url('/admin/workflow/menu')); ?>/<?php echo e($outlet->id); ?>" method="POST">
                  <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                  <input type="hidden" name="menuId" value="<?php echo e($outlet->id.mt_rand(1,100)); ?>">
                  <button type="submit" class="btn btn-primary">
                    <span class="fa fa-cutlery"></span>
                    Add Menu
                  </button>
                </form>
                <?php endif; ?>
                </a>
              </div>
            </ul>
          </div>
        </div>
      </div>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

      <?php endif; ?>
      <?php endif; ?>

  </section>
    <form action="<?php echo e(url('/manager/Outlets')); ?>/<?php echo e($start); ?>/<?php echo e($end); ?>/<?php echo e($total); ?>/<?php echo e($sid); ?>" method="POST">
        <div style="margin-left:30px;padding-bottom:50px;">
            <label>rows <?php echo e($start); ?> - <?php echo e($end); ?> of <?php echo e($total); ?></label>
            <?php
            $i = 0;
            $currentPage = (int)($start/20)+1;
            ?>                            
            <?php while($i < $pageCount): ?>
            <a href="<?php echo e(url('/manager/Outlets')); ?>/<?php echo e(($i*20)+1); ?>/<?php echo e(($i*20)+20); ?>/<?php echo e($total); ?>" style=<?php echo e($currentPage==$i+1?"background-color:#428bca;margin-left:5px;color:#fff;":"margin-left:5px;"); ?> class="btn btn-sm"><?php echo e($i+1); ?></a>
            <?php
            $i++;
            ?>                        
            <?php endwhile; ?>
            <br>
            <div style="text-align:center;margin-top:15px;">
                <button id="previous" <?php echo e($start==1?'disabled':''); ?> name="submit" value="previous" class="btn btn-primary" style="border-radius: 20px;">
                       Previous
                </button>
                <button id="next" <?php echo e($end==$total?'disabled':''); ?> name="submit" value="next" class="btn btn-primary" style="border-radius: 20px;">
                       Next
                </button>
            </div>
        </div>
    <form>
</div>
<?php else: ?>
<script>
  window.location.href = "<?php echo e(env('APP_URL')); ?>";
</script>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script>
  function filterme(value) {
    value = parseInt(value, 10); // Convert to an integer
    if (value === 1) {
      $('#RangeFilter').removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
      $('#invoiceFrequency').text('Date Range');
    } else if (value === 2) {
      $('#RangeFilter').removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
      $('#invoiceFrequency').text('Weekly');
    } else if (value === 3) {
      $('#RangeFilter').removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
      $('#invoiceFrequency').text('Monthly');
    }
  }
    function delete1(outletId){
        if(confirm("Are you sure you want to delete this outlet?")){
            var href = <?php echo json_encode(url('/manager/delete_outlet/')); ?>

            window.location.href = href+'/'+outletId;
        }
        else{
            return false;
        }          
    }

  $(function() {
    var countPeriod = 0;
    $(".datepicker").datepicker({
      dateFormat: 'yy-mm-dd'
    });
    // $(".datepicker").datetimepicker({
    //     format: 'YYYY-MM-DD HH:mm:ss',
    //     defaultDate: new Date(),
    // });
    $(".modal").on("hide.bs.modal", function() {
      var out = $(this).attr('name');
      if ($('#' + out).attr('touch') == 'true') {} else {
        if ($('#' + out).prop("checked") == true)
          $('#' + out).prop('checked', false);
        else
          $('#' + out).prop('checked', true);
      }
    });
    $(".modal").on("show.bs.modal", function() {
      var out = $(this).attr('name');
      $('#' + out).attr('touch', false);
    });
    $(".form-inline").on("click", ".add-period", function(e) {
      e.preventDefault();
      var id = $(this).closest(".modal").attr("name");
      var clone = $(this).parent().clone();
      clone.appendTo($(this).parent().parent());
      $("#updateModal" + id).find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + (countPeriod) + "]");
        $(this).find(".from-period").attr("id", id + "_" + countPeriod + "_0");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("id", id + "_" + countPeriod + "_1");
        countPeriod++;
      });
      clone.find(".datepicker").removeClass('hasDatepicker').datepicker({
        dateFormat: 'yy-mm-dd'
      });
      countPeriod = 0;
      return false;
    });
    $(".form-inline").on("click", ".remove-period", function(e) {
      e.preventDefault();
      if ($(this).parent().parent().children().length == 1)
        return false;
      var id = $(this).closest(".modal").attr("name");
      $(this).parent().remove();
      $("#updateModal" + id).find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        countPeriod++;
      });
      countPeriod = 0;
      return false;
    });
    $(".range").on("change", function(e) {
      e.preventDefault();
      value = parseInt($(this).val(), 10); // Convert to an integer
      if (value === 1) {
        $(this).removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
        $(this).closest('div').find('.frequency').text('Date Range');
      } else if (value === 2) {
        $('#RangeFilter').removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
        $(this).closest('div').find('.frequency').text('Weekly');
      } else if (value === 3) {
        $('#RangeFilter').removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
        $(this).closest('div').find('.frequency').text('Monthly');
      }
      $(this).closest('form').submit();
    });
    $(".rangePayment").on("change", function(e) {
      e.preventDefault();
      value = parseInt($(this).val(), 10); // Convert to an integer
      if (value === 0) {
        $(this).removeClass('rangeAll', 'rangePassive').addClass('rangeActive');
        $(this).closest('div').find('.payment_mode').text('Cash only');
      } else if (value === 1) {
        $(this).removeClass('rangeActive', 'rangePassive').addClass('rangeAll');
        $(this).closest('div').find('.payment_mode').text('Credit Only');
      } else if (value === 2) {
        $(this).removeClass('rangeAll', 'rangeActive').addClass('rangePassive');
        $(this).closest('div').find('.payment_mode').text('Both');
      }
      $(this).closest('form').submit();
    });
    $(".form-inline-veg-nonveg").on("click", ".add-period", function(e) {
      e.preventDefault();
      var id = $(this).closest(".modal").attr("name");
      var clone = $(this).parent().clone();
      clone.appendTo($(this).parent().parent());
      $("#updateModal" + id + '_veg_non_veg').find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + (countPeriod) + "]");
        $(this).find(".from-period").attr("id", id + "_" + countPeriod + "_0");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("id", id + "_" + countPeriod + "_1");
        countPeriod++;
      });
      clone.find(".datepicker").removeClass('hasDatepicker').datepicker({
        dateFormat: 'yy-mm-dd'
      });
      countPeriod = 0;
      return false;
    });
    $(".form-inline-veg-nonveg").on("click", ".remove-period", function(e) {
      e.preventDefault();
      if ($(this).parent().parent().children().length == 1)
        return false;
      var id = $(this).closest(".modal").attr("name");
      $(this).parent().remove();
      $("#updateModal" + id + '_veg_non_veg').find(".group").children().each(function() {
        $(this).find(".from-period").attr("name", "startDate[" + countPeriod + "]");
        $(this).find(".to-period").attr("name", "endDate[" + countPeriod + "]");
        countPeriod++;
      });
      countPeriod = 0;
      return false;
    });
    $('.ajaxForm_veg_nonveg').submit(function(e) {
      e.preventDefault();
      var self = $(this);
      var data = self.serializeArray();
      var options = {
        url: self.attr('action'),
        type: self.attr('method'),
        data: data,
      };

      $.ajax(options).done(function(res) {
        //$('#'+res.outletId+'_veg_non_veg').attr('value', res.veg_non_veg);
        var slider = $('#' + res.outletId + '_veg_non_veg');

        var slider = slider.slider({
          orientation: "horizantal",
          range: "min",
          min: 0,
          max: 2,
          value: 2,
          slide: function(event, ui) {
            slider.val(ui.value);
          }
        });
        $('#' + res.outletId + '_veg_non_veg').val(res.veg_non_veg);
        //slider.slider('value', res.veg_non_veg);
        //slider.trigger('slide',{ ui: $('.ui-slider-handle', slider), value: res.veg_non_veg });
        //$('#'+res.outletId+'_veg_non_veg').slider("value", res.veg_non_veg);
        if (res.veg_non_veg != 2) {
          if (res.veg_non_veg == 1) {
            if (res.reason != '')
              $('#reason_' + res.outletId + '_veg_non_veg').text('Non-veg only due to ' + res.reason);
            else
              $('#reason_' + res.outletId + '_veg_non_veg').text('Non-veg only');
          } else {
            if (res.reason != '')
              $('#reason_' + res.outletId + '_veg_non_veg').text('Veg only due to ' + res.reason);
            else
              $('#reason_' + res.outletId + '_veg_non_veg').text('Veg only');
          }
        } else
          $('#reason_' + res.outletId + '_veg_non_veg').text('Veg-Non veg available');
        $('#updateModal' + res.outletId + '_veg_non_veg').modal('hide');
      });
    });

    $('.ajaxForm').submit(function(e) {
      e.preventDefault();
      var self = $(this);
      var data = self.serializeArray();
      var options = {
        url: self.attr('action'),
        type: self.attr('method'),
        data: data,
      };

      $.ajax(options).done(function(res) {
        if ($('#' + res.outletId).prop("checked") == true) {
          if (!res.open) {
            $('#' + res.outletId).prop('checked', false);
          }
        } else {
          if (res.open) {
            $('#' + res.outletId).prop('checked', true);
          }
        }
        $('#' + res.outletId).attr('touch', true);
        if (!res.open) {
          if (res.reason != '')
            $('#reason_' + res.outletId).html('Closed due to ' + res.reason);
          else
            $('#reason_' + res.outletId).html('Closed');
        } else
        $('#reason_' + res.outletId).html('Active');

        $('#rsn' + res.outletId).val('');
        $('#rsn' + res.outletId).prop('required',false);
        $('#fdd' + res.outletId).val('');
        $('#tdd' + res.outletId).val('');
        $('#weekk' + res.outletId).val('');

        $('#updateModal' + res.outletId).modal('hide');
      });
    });

  });
  function searchStations() {
    var input = document.getElementById("searchInputStation");
    var filter = input.value.toLowerCase();
    var outlets = document.querySelectorAll(".col-sm-6.col-md-6.col-lg-6");
    for (var i = 0; i < outlets.length; i++) {
        var outlet = outlets[i];
        var outletName = outlet.querySelector("h3").textContent.toLowerCase();

        if (outletName.includes(filter) ) {
            outlet.style.display = "block"; // Display the row
        } else {
            outlet.style.display = "none"; // Hide the row
        }
    }
}

// Add an event listener to the input field for keyup event
document.querySelector('#searchInputStation').addEventListener('keyup', function() {
    searchStations(); // Call the search function when the user types
});
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/outlets/outlatesByStation.blade.php ENDPATH**/ ?>