<?php $__env->startSection('content'); ?>
<div class="content-wrapper">
	<section class="content-header">
        <div class="header-icon">
            <i class="fa fa-cog"></i>
        </div>
        <div class="header-title">
            <h1>Food Types</h1>
            <small>.</small>
            <a href="#" class="btn btn-sm" data-toggle="modal" data-target="#basicModal" style="    margin-left: 96%;
               margin-top: -24px; background-color: #009688;
               border-color: #009688; color: white" ><i class="fa fa-edit" ></i></a>
        </div>
    </section>

    <section class="content">
        <div class="row">
            <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
            <div class="col-md-12">
                <div class="panel panel-bd lobidrag">                       
                    <div class="panel-body">
                        <form action="<?php echo e(url('/manager/food/create')); ?>" class="form-inline ajaxForm"  role='form' method="POST">
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
                            <div class="col-sm-8">
                                <div class="form-group">
								    <label for="name">Name</label>
								    <input type="text" class="form-control" id="exampleInputName2" placeholder="Jane Doe" name="name" Required>
								 </div>
								 <button class="btn btn-primary" style="border-radius: 20px;">
								 	Add  <span class="fa fa-plus"></span>
								 </button>	
                            </div>
                        </form>

                    </div>
                </div>
            </div>
            <?php endif; ?>
            <div class="col-lg-12 col-md-12">
            	<ul class="list-group">
            	<?php $__empty_1 = true; $__currentLoopData = \App\Models\Food::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $food): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
					<li class="list-group-item" style="display:flex;align-items:center">
						<form 	action="<?php echo e(url('/manager/food/update')); ?>/<?php echo e($food->id); ?>" 
										class="form-inline ajaxForm"  
										role='form' 
										method="POST">
									
									<input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
					
									<div class="form-group">
									    <label for="name">Name</label>
									    <input type="text" class="form-control"  placeholder="<?php echo e($food->name); ?>" name="name" id="name">
									 </div>
                                                                        <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
									 <button 
									 	class="btn btn-warning"
										style="border-bottom-left-radius: 20px;border-top-left-radius: 20px;border-top-right-radius: 0;border-bottom-right-radius: 0"	
									 >
									 	Edit  <span class="fa fa-edit"></span>
									 </button>							
                                                                        <?php endif; ?>
						</form>


						<form 	action="<?php echo e(url('/manager/food/delete')); ?>/<?php echo e($food->id); ?>" 
										class="form-inline ajaxForm"  
										role='form' 
										method="POST">
									
									<input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>"/>
                                                                        <?php if(auth()->check() && auth()->user()->hasRole('admin')) :?>
									 <button class="btn btn-danger" style="border-bottom-left-radius: 0;border-top-left-radius: 0;border-top-right-radius: 20px;border-bottom-right-radius: 20px">
									 	Delete  <span class="fa fa-trash"></span>
									 </button>
                                                                        <?php endif; ?>
					
						</form>

							
					</li>
            	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
					<li class="list-group-item">
						No Food Category
					</li>
            	<?php endif; ?>
            	</ul>
            </div>
    </section>

</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
<script>
	


	$('.ajaxForm').submit(function(e) {
    e.preventDefault(); // Prevent the default form submission

  
    var self = $(this);
    var data = self.serializeArray();
    var options = {
        url: self.attr('action'),
        type: self.attr('method'),
        data: data,
    };

    $.ajax(options).done(function(res) {
        window.location.reload();
    });
});







</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invoidea/public_html/olf/resources/views/backend/food/index.blade.php ENDPATH**/ ?>